searchNodes=[{"ref":"Chunky.html","title":"Chunky","type":"module","doc":"Extended chunking and enumeration manipulations. Functions Chunky.permutations/1 - Generate all permutations of a set of values, with no duplication Chunky.permutations_size/1 - Calculate the size of a permutation result from Chunky.permutations/1 Chunky.combinations/2 - Generate combinations of a set of values, with no duplication Chunky.combinations_size/2 - Calculate the size of a combanation result from Chunky.combinations/2 Chunky.chunk_length/2 - Chunk an enumerable into a list of specific length chunks For combinations and permutations, it can be helpful compare the differences: UnorderedOrdered No ReplacementChunky.combinations/2Chunky.permutations/1 Replacementunsupportedunsupported And expected outputs from simple string parameters: UnorderedOrdered No Replacement[ &quot;abc&quot;, &quot;abd&quot;, &quot;acd&quot;, &quot;bcd&quot;][&quot;abc&quot;, &quot;acb&quot;, &quot;bac&quot;, &quot;bca&quot;, &quot;cab&quot;, &quot;cba&quot;] Replacement"},{"ref":"Chunky.html#chunk_length/2","title":"Chunky.chunk_length/2","type":"function","doc":"Break a set of values into smaller chunks of a specific length. iex&gt; Chunky.chunk_length([1, 2, 3, 4, 5, 6], 3) [ [1, 2, 3], [4, 5, 6]] iex&gt; Chunky.chunk_length(&quot;Sphinx of black quartz, judge my vow&quot;, 5) [&quot;Sphin&quot;, &quot;x of &quot;, &quot;black&quot;, &quot; quar&quot;, &quot;tz, j&quot;, &quot;udge &quot;, &quot;my vo&quot;, &quot;w&quot;] The type of the set of values can be: a list of any type, like [1, 2, 3] or [:a, :b, %{}] a string or binary, like &quot;abcd&quot; a tuple, like {1, :b, &quot;asdf&quot;} a range, like 1..4 or 3..-1 When a set is chunked, the resulting list will contain values in the shape of the original; a chunked list will contains lists, chunked tuples will contain tuples, chunked strings will contain strings. The only exception is ranges, which will result in lists. Supported Chunking Types The following types of sets are supported for chunking: List A list with just about any kind of value can be chunked, and the result will be a list of lists: iex&gt; Chunky.chunk_length([1, 2, 3, 4, 5, 6, 7, 8], 3) [ [1, 2, 3], [4, 5, 6], [7, 8]] iex&gt; Chunky.chunk_length([:a, 1, :b, 2, :c, 3, :d, 4, :e, 5, :f, 6], 4) [ [:a, 1, :b, 2], [:c, 3, :d, 4], [:e, 5, :f, 6]] Collections, types, and other values can be in the chunked set: iex&gt; Chunky.chunk_length([~D(2019-12-05), %{a: &quot;foo&quot;}, {:tup, :le}, true], 2) [ [~D(2019-12-05), %{a: &quot;foo&quot;}], [{:tup, :le}, true]] String/Binary Chunked strings are returned as a list of strings. Chunky works with full UTF-8, including multi-code point glyphs like emojis and variable emojis. iex&gt; Chunky.chunk_length(&quot;abcdefghijklmnop&quot;, 7) [ &quot;abcdefg&quot;, &quot;hijklmn&quot;, &quot;op&quot;] iex&gt; Chunky.chunk_length(&quot;😀🤷🏽‍♀️⭐️℉😐&quot;, 3) [&quot;😀🤷🏽‍♀️⭐️&quot;, &quot;℉😐&quot;] Tuple When tuples are chunked, the resulting list will also contain tuples. As part of the chunking process the original tuple is converted to a list, before the final values are re-assembled into tuples. Like working with lists, tuples can contain any values: iex&gt; Chunky.chunk_length({:a, :b, :c, :d, :e, :f, :g, :h, :i, :j}, 4) [ {:a, :b, :c, :d}, {:e, :f, :g, :h}, {:i, :j}] iex&gt; Chunky.chunk_length({:task, ~D(2019-12-09), %{value: &quot;timer&quot;}, true, 123, &quot;foo&quot;}, 2) [ {:task, ~D(2019-12-09)}, {%{value: &quot;timer&quot;}, true}, {123, &quot;foo&quot;}] Ranges Ranges can be used to create chunks over ordered lists of numbers. Before chunking the provided range is converted into a list. Increasing or decreasing ranges are supported. iex&gt; Chunky.chunk_length(1..20, 5) [ [1, 2, 3, 4, 5], [6, 7, 8, 9, 10], [11, 12, 13, 14, 15], [16, 17, 18, 19, 20]] iex&gt; Chunky.chunk_length(10..-10, 3) [ [10, 9, 8], [7, 6, 5], [4, 3, 2], [1, 0, -1], [-2, -3, -4], [-5, -6, -7], [-8, -9, -10] ]"},{"ref":"Chunky.html#combinations/2","title":"Chunky.combinations/2","type":"function","doc":"Generate the set of combinations from a set of values. The type of the set of values can be: a list of any type, like [1, 2, 3] or [:a, :b, %{}] a string or binary, like &quot;abcd&quot; a tuple, like {1, :b, &quot;asdf&quot;} a range, like 1..4 or 3..-1 This is not lazy generated, so a combination of a large set may take awhile. Keep in mind that the total number of combinations of k length for a set of n values is: n! ---------- k!(n - k)! When a set is generated, the resulting list will contain values in the shape of the original; a combination from a list will contains lists, combination from tuples will contain tuples, combination from strings will contain strings. The only exception is ranges, which will result in lists. So, for instance, a combination from a string will result in a list of strings. Chunky should handle Unicode just fine: iex&gt; Chunky.combinations(&quot;😀★⍵😀🤷🏽‍♀️&quot;, 3) [&quot;😀★⍵&quot;, &quot;😀★😀&quot;, &quot;😀★🤷🏽‍♀️&quot;, &quot;😀⍵😀&quot;, &quot;😀⍵🤷🏽‍♀️&quot;, &quot;😀😀🤷🏽‍♀️&quot;, &quot;★⍵😀&quot;, &quot;★⍵🤷🏽‍♀️&quot;, &quot;★😀🤷🏽‍♀️&quot;, &quot;⍵😀🤷🏽‍♀️&quot;] Supported Combinations The Chunky.combinations/2 function can work with sets of any size (memory and time permitting). Examples that follow usually use sets with a length of 2 or 3 for ease of documentation. The following types of sets are supported as combinations: List A list with just about any kind of value can be permuted, and the result will be a list of lists: iex&gt; Chunky.combinations([1, 5, 7, 11, 27], 3) [[1, 5, 7], [1, 5, 11], [1, 5, 27], [1, 7, 11], [1, 7, 27], [1, 11, 27], [5, 7, 11], [5, 7, 27], [5, 11, 27], [7, 11, 27]] iex&gt; Chunky.combinations([:a, &quot;b&quot;, 3, 26.2], 2) [ [:a, &quot;b&quot;], [:a, 3], [:a, 26.2], [&quot;b&quot;, 3], [&quot;b&quot;, 26.2], [3, 26.2] ] Collections, types, and other values can be combined as well: iex&gt; Chunky.combinations([~D(2019-12-05), %{a: &quot;foo&quot;}, {:tup, :le}, [1, 2, 3]], 3) [ [~D[2019-12-05], %{a: &quot;foo&quot;}, {:tup, :le}], [~D[2019-12-05], %{a: &quot;foo&quot;}, [1, 2, 3]], [~D[2019-12-05], {:tup, :le}, [1, 2, 3]], [%{a: &quot;foo&quot;}, {:tup, :le}, [1, 2, 3]] ] String/Binary Combined strings are returned as a list of strings. Chunky works with full UTF-8, including multi-code point glyphs like emojis and variable emojis. iex&gt; Chunky.combinations(&quot;abcd&quot;, 2) [&quot;ab&quot;, &quot;ac&quot;, &quot;ad&quot;, &quot;bc&quot;, &quot;bd&quot;, &quot;cd&quot;] iex&gt; Chunky.combinations(&quot;😀🤷🏽‍♀️⭐️🧁🦴&quot;, 3) [ &quot;😀🤷🏽‍♀️⭐️&quot;, &quot;😀🤷🏽‍♀️🧁&quot;, &quot;😀🤷🏽‍♀️🦴&quot;, &quot;😀⭐️🧁&quot;, &quot;😀⭐️🦴&quot;, &quot;😀🧁🦴&quot;, &quot;🤷🏽‍♀️⭐️🧁&quot;, &quot;🤷🏽‍♀️⭐️🦴&quot;, &quot;🤷🏽‍♀️🧁🦴&quot;, &quot;⭐️🧁🦴&quot; ] Tuple When tuples are combined, the resulting list will also contain tuples. As part of the combination the original tuple is converted to a list, before the final values of the combination are re-assembled into tuples. Like working with lists, tuples can contain any values: iex&gt; Chunky.combinations({:a, :b, :c, :d, :e}, 3) [ {:a, :b, :c}, {:a, :b, :d}, {:a, :b, :e}, {:a, :c, :d}, {:a, :c, :e}, {:a, :d, :e}, {:b, :c, :d}, {:b, :c, :e}, {:b, :d, :e}, {:c, :d, :e} ] iex&gt; Chunky.combinations({:task, ~D(2019-12-09), %{value: &quot;timer&quot;}, [1, 2, 3]}, 3) [ {:task, ~D[2019-12-09], %{value: &quot;timer&quot;}}, {:task, ~D[2019-12-09], [1, 2, 3]}, {:task, %{value: &quot;timer&quot;}, [1, 2, 3]}, {~D[2019-12-09], %{value: &quot;timer&quot;}, [1, 2, 3]} ] Ranges Ranges can be used to create combinations over ordered lists of numbers. Before combination the provided range is converted into a list. Increasing or decreasing ranges are supported. iex&gt; Chunky.combinations(3..6, 2) [ [3, 4], [3, 5], [3, 6], [4, 5], [4, 6], [5, 6] ] iex&gt; Chunky.combinations(-10..-13, 3) [ [-10, -11, -12], [-10, -11, -13], [-10, -12, -13], [-11, -12, -13] ] Examples iex&gt; Chunky.combinations([4, 3, 4, 3], 3) [[4, 3, 4], [4, 3, 3], [4, 4, 3], [3, 4, 3]] iex&gt; Chunky.combinations(&quot;abcd&quot;, 2) [&quot;ab&quot;, &quot;ac&quot;, &quot;ad&quot;, &quot;bc&quot;, &quot;bd&quot;, &quot;cd&quot;] iex&gt; Chunky.combinations({:a, :b, :c}, 1) [ {:a}, {:b}, {:c}] iex&gt; Chunky.combinations(2..-2, 3) [ [2, 1, 0], [2, 1, -1], [2, 1, -2], [2, 0, -1], [2, 0, -2], [2, -1, -2], [1, 0, -1], [1, 0, -2], [1, -1, -2], [0, -1, -2]]"},{"ref":"Chunky.html#combinations_size/2","title":"Chunky.combinations_size/2","type":"function","doc":"Compute the size of the result of calling Chunky.combinations/2, without actually running a combination. This is particularly useful, as the number of results of a combination of k elements from a set of n, grows as: n! ---------- k!(n - k)! This can be a quick sanity check before running a permutation. Works with all of the parameters that work with Chunky.permutations/1, as a drop in replacement. Uses a closed form factorial to calculate the size of the list that would result from an indentical call to Chunky.permutations/1: iex&gt; Chunky.combinations_size(&quot;abcd&quot;, 2) 6 iex&gt; Chunky.combinations_size(1..10, 4) 210 iex&gt; Chunky.combinations_size({:a, :b, :c, :d, :e, :f, :g}, 5) 21 iex&gt; Chunky.combinations_size([2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30], 3) 455 See Chunky.combinations/2 for more details on supported types."},{"ref":"Chunky.html#permutations/1","title":"Chunky.permutations/1","type":"function","doc":"Generate all of the permutations, without duplicates, from a set of values. The type of the set of values can be: a list of any type, like [1, 2, 3] or [:a, :b, %{}] a string or binary, like &quot;abcd&quot; a tuple, like {1, :b, &quot;asdf&quot;} a range, like 1..4 or 3..-1 This is not lazy generated, so a permutation of a large set may take awhile. Keep in mind that the total number of permutations for a set of N values is N!. When a set is permuted, the resulting list will contain values in the shape of the original; a permuted list will contains lists, permuted tuples will contain tuples, permuted strings will contain strings. The only exception is ranges, which will result in lists. So, for instance, a permuted string will result in a list of strings. Chunky should handle Unicode just fine: iex&gt; Chunky.permutations(&quot;😀★⍵&quot;) [&quot;😀★⍵&quot;, &quot;😀⍵★&quot;, &quot;★😀⍵&quot;, &quot;★⍵😀&quot;, &quot;⍵😀★&quot;, &quot;⍵★😀&quot;] Supported Permutations The Chunky.permutations/1 function can work with sets of any size (memory and time permitting). Examples that follow usually use sets with a length of 3 for ease of documentation. The following types of sets are supported as permutations: List A list with just about any kind of value can be permuted, and the result will be a list of lists: iex&gt; Chunky.permutations([1, 2, 3]) [[1, 2, 3], [1, 3, 2], [2, 1, 3], [2, 3, 1], [3, 1, 2], [3, 2, 1]] iex&gt; Chunky.permutations([:a, &quot;b&quot;, 3]) [ [:a, &quot;b&quot;, 3], [:a, 3, &quot;b&quot;], [&quot;b&quot;, :a, 3], [&quot;b&quot;, 3, :a], [3, :a, &quot;b&quot;], [3, &quot;b&quot;, :a] ] Collections, types, and other values can be permuted as well: iex&gt; Chunky.permutations([~D(2019-12-05), %{a: &quot;foo&quot;}, {:tup, :le}]) [ [~D[2019-12-05], %{a: &quot;foo&quot;}, {:tup, :le}], [~D[2019-12-05], {:tup, :le}, %{a: &quot;foo&quot;}], [%{a: &quot;foo&quot;}, ~D[2019-12-05], {:tup, :le}], [%{a: &quot;foo&quot;}, {:tup, :le}, ~D[2019-12-05]], [{:tup, :le}, ~D[2019-12-05], %{a: &quot;foo&quot;}], [{:tup, :le}, %{a: &quot;foo&quot;}, ~D[2019-12-05]] ] String/Binary Permuted strings are returned as a list of strings. Chunky works with full UTF-8, including multi-code point glyphs like emojis and variable emojis. iex&gt; Chunky.permutations(&quot;abc&quot;) [&quot;abc&quot;, &quot;acb&quot;, &quot;bac&quot;, &quot;bca&quot;, &quot;cab&quot;, &quot;cba&quot;] iex&gt; Chunky.permutations(&quot;😀🤷🏽‍♀️⭐️&quot;) [ &quot;😀🤷🏽‍♀️⭐️&quot;, &quot;😀⭐️🤷🏽‍♀️&quot;, &quot;🤷🏽‍♀️😀⭐️&quot;, &quot;🤷🏽‍♀️⭐️😀&quot;, &quot;⭐️😀🤷🏽‍♀️&quot;, &quot;⭐️🤷🏽‍♀️😀&quot; ] Tuple When tuples are permuted, the resulting list will also contain tuples. As part of the permutation the original tuple is converted to a list, before the final values of the permutation are re-assembled into tuples. Like working with lists, tuples can contain any values: iex&gt; Chunky.permutations({:a, :b, :c}) [ {:a, :b, :c}, {:a, :c, :b}, {:b, :a, :c}, {:b, :c, :a}, {:c, :a, :b}, {:c, :b, :a} ] iex&gt; Chunky.permutations({:task, ~D(2019-12-09), %{value: &quot;timer&quot;}}) [ {:task, ~D[2019-12-09], %{value: &quot;timer&quot;}}, {:task, %{value: &quot;timer&quot;}, ~D[2019-12-09]}, {~D[2019-12-09], :task, %{value: &quot;timer&quot;}}, {~D[2019-12-09], %{value: &quot;timer&quot;}, :task}, {%{value: &quot;timer&quot;}, :task, ~D[2019-12-09]}, {%{value: &quot;timer&quot;}, ~D[2019-12-09], :task} ] Ranges Ranges can be used to create permutations over ordered lists of numbers. Before permutation the provided range is converted into a list. Increasing or decreasing ranges are supported. iex&gt; Chunky.permutations(3..5) [[3, 4, 5], [3, 5, 4], [4, 3, 5], [4, 5, 3], [5, 3, 4], [5, 4, 3]] iex&gt; Chunky.permutations(-10..-12) [ [-10, -11, -12], [-10, -12, -11], [-11, -10, -12], [-11, -12, -10], [-12, -10, -11], [-12, -11, -10] ] Examples iex&gt; Chunky.permutations([1, 2, 3]) [[1, 2, 3], [1, 3, 2], [2, 1, 3], [2, 3, 1], [3, 1, 2], [3, 2, 1]] iex&gt; Chunky.permutations(&quot;abc&quot;) [&quot;abc&quot;, &quot;acb&quot;, &quot;bac&quot;, &quot;bca&quot;, &quot;cab&quot;, &quot;cba&quot;] iex&gt; Chunky.permutations({:a, :b, :c}) [ {:a, :b, :c}, {:a, :c, :b}, {:b, :a, :c}, {:b, :c, :a}, {:c, :a, :b}, {:c, :b, :a} ] iex&gt; Chunky.permutations(1..-1) [ [1, 0, -1], [1, -1, 0], [0, 1, -1], [0, -1, 1], [-1, 1, 0], [-1, 0, 1]]"},{"ref":"Chunky.html#permutations_size/1","title":"Chunky.permutations_size/1","type":"function","doc":"Compute the size of the result of calling Chunky.permutations/1, without actually running a permutation. The results of a permutation of a set of n items grows at a rate of n!. This can be a quick sanity check before running a permutation. Works with all of the parameters that work with Chunky.permutations/1, as a drop in replacement. Uses a closed form factorial to calculate the size of the list that would result from an indentical call to Chunky.permutations/1: iex&gt; Chunky.permutations_size(&quot;abcd&quot;) 24 iex&gt; Chunky.permutations_size(1..10) 3628800 iex&gt; Chunky.permutations_size({:a, :b, :c, :d, :e, :f, :g}) 5040 iex&gt; Chunky.permutations_size([1, 4, 8, 10, 15, 37, 91, 113, 3345, 8765, 101010, 345678]) 479001600 See Chunky.permutations/1 for more details on supported types."},{"ref":"Chunky.CacheAgent.html","title":"Chunky.CacheAgent","type":"module","doc":"The CacheAgent is a dead simple wrapper of an atom named Agent around a Map. Start an agent for a particular function cache within the current BEAM instance with: iex&gt; CacheAgent.start_link(:function_name) Check for values with has?/2: iex&gt; CacheAgent.has?(:function_name, 3) Get and set values with get/2 and set/3: iex&gt; CacheAgent.set(:function_name, 3, 3235) iex&gt; CacheAgent.get(:function_name, 3) 3235 See Math.partition_count/1 as an example."},{"ref":"Chunky.CacheAgent.html#cache_as/3","title":"Chunky.CacheAgent.cache_as/3","type":"macro","doc":""},{"ref":"Chunky.CacheAgent.html#child_spec/1","title":"Chunky.CacheAgent.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Chunky.CacheAgent.html#get/2","title":"Chunky.CacheAgent.get/2","type":"function","doc":"Retrieve a value from the cache by key."},{"ref":"Chunky.CacheAgent.html#has?/2","title":"Chunky.CacheAgent.has?/2","type":"function","doc":"Check if the cache has a key"},{"ref":"Chunky.CacheAgent.html#put/3","title":"Chunky.CacheAgent.put/3","type":"function","doc":"Store a key/value pair in the cache."},{"ref":"Chunky.CacheAgent.html#start_link/1","title":"Chunky.CacheAgent.start_link/1","type":"function","doc":"Start a cache for a particular atom. Calling multiple times with the same atom will return the original named cache, and isn&#39;t harmful."},{"ref":"Chunky.Fraction.html","title":"Chunky.Fraction","type":"module","doc":"Functions for creating and manipulating fractions. Most functions will work with combinations of Fractions and Integers. All of the fraction functions work with explicit integer numerators and denominators, falling back to returning floating point number only when configured to in special circumstances. Value Coercion A subset of functions for working with fractions will automatically coerce things that look like fractions - any value that can be parsed by some version of new/1. This includes: Existing fractions %Fraction{num: 22, den:7} Integers 14 Floats 1.75 2-tuples {3, 91} Integer as String &quot;4&quot; Float as String &quot;1.35&quot; Fraction as String &quot;2/9&quot; See new/1 for more information about how values are converted to fractions. The following functions support mixed types as parameters, either positionally (like the basic math functions) or as part of a list (aggregate functions): absolute_value/1 add/3 ceiling/1 divide/3 floor/1 multiply/3 subtract/3 gt?/2 gte?/2 lt?/2 lte?/2 eq?/2 clamp/2 fractionalize/1 max_of/1 max_of/2 min_of/1 min_of/2 min_max_of/1 normalize_all/1 power/3 round/1 sort/2 sum/1 uniq/2 within?/2 within?/3 Creating Fractions Construct fractions from a single integer, tuple of integers, or a pair of integer parameters. new/1 - Create a Fraction from an integer, float, string, or tuple of integers new/2 - Create a Fraction from a numerator and denominator, or a float with options iex&gt; Fraction.new(3) %Fraction{num: 3, den: 1} iex&gt; Fraction.new({22, 7}) %Fraction{num: 22, den: 7} iex&gt; Fraction.new(0.25, conversion: :precision) %Fraction{num: 1, den: 4} iex&gt; Fraction.new(&quot;-33/913&quot;) %Fraction{num: -33, den: 913} iex&gt; Fraction.new(5, 11) %Fraction{num: 5, den: 11} Basic Math Standard math functions that work with two fractions, or a fraction and an integer. Options allow for automatic simplification and control over how certain operations work. absolute_value/1 - Absolute value |v| of fraction add/3 - Add two fractions, or a fraction and a value compatible with new/1 ceiling/1 - Round a fraction up to the nearest whole value decrement/2 - Decrement the numerator or denominator by one divide/3 - Divide two fractions, or a fraction and a value compatible with new/1 floor/1 - Round a fraction down to the nearest whole value increment/2 - Increment the numerator or denominator by one max_of/2 - Find the larger of two fractions, or a fraction and a value compatible with new/1 min_of/2 - Find the smaller of two fractions, or a fraction and value compatible with new/1 multiply/3 - Multiply two fractions, or a fraction and a value compatible with new/1 power/3 - Take a fraction or an integer to the power of a fraction or an integer round/1 - Round to the nearest whole value subtract/3 - Subtract two fractions, or a fraction and a value compatible with new/1 iex&gt; Fraction.new(4, 3) |&gt; Fraction.add(Fraction.new({1, 6})) |&gt; Fraction.power(2) %Fraction{num: 81, den: 36} iex&gt; Fraction.power(8, Fraction.new(1, 3)) %Fraction{num: 2, den: 1} Comparisons Binary comparisons between two fractions or a fraction and an integer. eq?/2 - Equality (==) comparison between two fractions, or a fraction and an integer gt?/2 - Greater than (&gt;) comparison between two fractions, or a fraction and an integer gte?/2 - Greater than or equal (&gt;=) comparison between two fractions, or a fraction and an integer lt?/2 - Less than (&lt;) comparison between two fractions, or a fraction and an integer lte?/2 - Less than or equal (&lt;=) comparison between two fractions, or a fraction and an integer near_equal?/3 - Test if the difference between two fractions is less than or equal to another fraction within?/2 - Test if a fraction is within the specified Range within?/3 - Test if a fraction is within the lower and upper value bounds iex&gt; Fraction.gt?(Fraction.new(7, 8), Fraction.new(8, 9)) false iex&gt; Fraction.eq?(3, Fraction.new(27, 9)) true Fraction Manipulation Manipulate the components of individual fractions. components/1 - Get the numerator and denominator of a fraction as a tuple of integers get_remainder/1 - Get fractional remainder after removing all whole values of a fraction get_whole/1 - Get whole value portion of a fraction reciprocal/2 - Inverse or reciprocal of a fraction simplify/1 - Simplify a fraction to it&#39;s reduced form split/1 - Extract the whole value portion and the remainer portion of a fraction as a tuple to_float/2 - Convert a fraction to a floating point value iex&gt; Fraction.new(88, 28) |&gt; Fraction.simplify() |&gt; Fraction.split() {3, %Fraction{num: 1, den: 7}} iex&gt; Fraction.new(22, 7) |&gt; Fraction.to_float(precision: 2) 3.14 Aggregate Functions Work with multiple fractions in aggregate. Most aggregate functions will work with Fractions, or any value that can be converted to a fraction with new/1. clamp/2 - Constrain a list of values to be within a specific range fractionalize/1 - Convert a list of fraction representations (anything that works with new/1) into Fraction structs max_of/1 - Find the largest value in a list of fractions, or literals compatible with new/1 min_of/1 - Find the smallest value in a list of fractions, or literals compatible with new/1 min_max_of/1 - Find the smallest and largest values in a list of fractions or literals compatible with new/1 normalize/2 - Convert two fractions to a common denominator normalize_all/1 - Convert a list of two or more fractions to a common denominator sort/2 - Sort a list of values as fractions sum/2 - Find the sum of a list of fractions uniq/2 - Extract unique fractions from a list of values iex&gt; Fraction.normalize(Fraction.new(22, 7), Fraction.new(4, 3)) { %Fraction{num: 66, den: 21}, %Fraction{num: 28, den: 21} } iex&gt; Fraction.max_of([&quot;3/4&quot;, {4, 5}, 1.5]) %Fraction{num: 15, den: 10} Inspection Inspect the properties of individual fractions. has_whole?/1 - Does a fraction have a whole value component? (i.e. has a total value greater than 1) is_negative?/1 - Is a fraction negative? is_positive?/1 - Is a fraction positive? is_simplified?/1 - Is a fraction in it&#39;s simplified form? is_whole?/1 - Is the fraction an exact whole number? is_zero?/1 - Is the fraction zero? iex&gt; Fraction.new(3, 18) |&gt; is_simplified?() false"},{"ref":"Chunky.Fraction.html#absolute_value/1","title":"Chunky.Fraction.absolute_value/1","type":"function","doc":"Get the absolute value of a fraction. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.new(&quot;-34/9&quot;) |&gt; Fraction.absolute_value() %Fraction{num: 34, den: 9} iex&gt; Fraction.absolute_value(&quot;-44/7&quot;) %Fraction{num: 44, den: 7}"},{"ref":"Chunky.Fraction.html#add/3","title":"Chunky.Fraction.add/3","type":"function","doc":"Add two fractions, or a fraction and a value, and return the (optionally simplified) result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.add(Fraction.new(1, 2), Fraction.new(-8, 3)) %Fraction{num: -13, den: 6} iex&gt; Fraction.add(Fraction.new(3, 4), Fraction.new(3, 4), simplify: true) %Fraction{num: 3, den: 2} iex&gt; Fraction.add(Fraction.new(1, 3), 5) %Fraction{num: 16, den: 3} iex&gt; Fraction.add(2, Fraction.new(5, 4)) %Fraction{num: 13, den: 4} iex&gt; Fraction.add(&quot;2/3&quot;, Fraction.new(5, 3)) %Fraction{num: 7, den: 3}"},{"ref":"Chunky.Fraction.html#ceiling/1","title":"Chunky.Fraction.ceiling/1","type":"function","doc":"Find the ceiling of a fractional value. The ceiling of n, or ⌈n⌉, rounds a fractional value up to the nearest whole value. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.new(&quot;7/8&quot;) |&gt; Fraction.ceiling() %Fraction{num: 8, den: 8} iex&gt; Fraction.new(&quot;0/17&quot;) |&gt; Fraction.ceiling() %Fraction{num: 0, den: 17} iex&gt; Fraction.new(&quot;-47/3&quot;) |&gt; Fraction.ceiling() %Fraction{num: -45, den: 3} iex&gt; Fraction.ceiling(-3.5) %Fraction{num: -30, den: 10}"},{"ref":"Chunky.Fraction.html#clamp/2","title":"Chunky.Fraction.clamp/2","type":"function","doc":"Constrain a list of values as fraction to only those values within the specified min and max. Values that are not yet Fractions are coerced into fractional values before processing. Supports Type Coercion?: ✅ Options min - Minimum value for constraining value list. Can be any value that is handled by new/1 max - Maximum value for constraining value list. Can be any value that is handled by new/1 min_inclusive - Boolean. Default true. Use inclusive minimum constraint (values &gt;= min), otherwise use exclusive (values &gt; min). max_inclusive - Boolean. Default true. Use inclusive maximum constraint (values &lt;= max), otherwise use exclusive (values &lt; max). Examples iex&gt; Fraction.clamp([&quot;22/7&quot;, &quot;14/7&quot;, &quot;11/7&quot;, &quot;7/7&quot;], min: 1, max: 2, inclusive_max: false) [%Fraction{num: 11, den: 7}, %Fraction{num: 7, den: 7}] iex&gt; Fraction.clamp([&quot;22/7&quot;, &quot;14/7&quot;, &quot;11/7&quot;, &quot;7/7&quot;], min: 1, max: 2, inclusive_min: false) [%Fraction{num: 14, den: 7}, %Fraction{num: 11, den: 7}]"},{"ref":"Chunky.Fraction.html#components/1","title":"Chunky.Fraction.components/1","type":"function","doc":"Extract the numerator and denominator of a fraction as a tuple of values. Examples iex&gt; Fraction.new(1, 37) |&gt; Fraction.components() {1, 37} iex&gt; Fraction.new(0, 3) |&gt; Fraction.components() {0, 3}"},{"ref":"Chunky.Fraction.html#decrement/2","title":"Chunky.Fraction.decrement/2","type":"function","doc":"Decrement the numerator or denominator by one. This is not necessarily an arithmatically valid operation, rather it directly decrements the numerator or denominator. If the decrement would create an invalid denominator, it will return an error instead. Valid mode values are: :both, :num, :numerator, :den, or :denominator. Note that when decrementing a negative value by the numerator, the value will move away from 0, towards the negative. Examples iex&gt; Fraction.new(&quot;7/11&quot;) |&gt; Fraction.decrement(:num) %Fraction{num: 6, den: 11} iex&gt; Fraction.new(&quot;-5/9&quot;) |&gt; Fraction.decrement(:den) %Fraction{num: -5, den: 8} iex&gt; Fraction.new(&quot;-7/3&quot;) |&gt; Fraction.decrement(:numerator) %Fraction{num: -8, den: 3} iex&gt; Fraction.new(&quot;47/1&quot;) |&gt; Fraction.decrement(:denominator) {:error, :invalid_denominator} iex&gt; Fraction.new(&quot;-21/4&quot;) |&gt; Fraction.decrement(:both) %Fraction{num: -22, den: 3}"},{"ref":"Chunky.Fraction.html#divide/3","title":"Chunky.Fraction.divide/3","type":"function","doc":"Divide two fractions, or a fraction and a value and return the (optionally simplified) result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.divide(Fraction.new(3, 4), Fraction.new(-7, 2)) %Fraction{num: -6, den: 28} iex&gt; Fraction.divide(Fraction.new(28, 4), 4, simplify: true) %Fraction{num: 7, den: 4} iex&gt; Fraction.divide(60, Fraction.new(7, 12)) %Fraction{num: 720, den: 7} iex&gt; Fraction.divide(Fraction.new(11, 17), &quot;3&quot;) %Fraction{num: 11, den: 51}"},{"ref":"Chunky.Fraction.html#eq?/2","title":"Chunky.Fraction.eq?/2","type":"function","doc":"Compare a fraction with a value or fraction using equals comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.eq?(Fraction.new(7, 9), Fraction.new(3, 5)) false iex&gt; Fraction.eq?(3, Fraction.new(12, 4)) true iex&gt; Fraction.eq?(Fraction.new(-3, 12), -2) false"},{"ref":"Chunky.Fraction.html#floor/1","title":"Chunky.Fraction.floor/1","type":"function","doc":"Find the floor of a fractional value. The floor of n, or ⌊n⌋, rounds a fractional value down to the nearest whole value. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.new(&quot;17/8&quot;) |&gt; Fraction.floor() %Fraction{num: 16, den: 8} iex&gt; Fraction.new(&quot;3/5&quot;) |&gt; Fraction.floor() %Fraction{num: 0, den: 5} iex&gt; Fraction.new(&quot;-17/9&quot;) |&gt; Fraction.floor() %Fraction{num: -18, den: 9} iex&gt; Fraction.floor(&quot;31/8&quot;) %Fraction{num: 24, den: 8}"},{"ref":"Chunky.Fraction.html#fractionalize/1","title":"Chunky.Fraction.fractionalize/1","type":"function","doc":"Take a mixed list of fraction representations %Fraction{}, integer, float, string, etc), and convert all to fractions. This is not a normalization process - the resulting fractions are not guaranteed to share a denominator. Supports Type Coercion?: ✅ Example iex&gt; fractionalize([%Fraction{num: 3, den: 4}, 12, 0.25, &quot;22/7&quot;, &quot;4&quot;]) [%Fraction{num: 3, den: 4}, %Fraction{num: 12, den: 1}, %Fraction{num: 25, den: 100}, %Fraction{num: 22, den: 7}, %Fraction{num: 4, den: 1}]"},{"ref":"Chunky.Fraction.html#get_remainder/1","title":"Chunky.Fraction.get_remainder/1","type":"function","doc":"Get the fractional part left after removing any whole components from the fraction. Example iex&gt; Fraction.new(3, 45) |&gt; Fraction.get_remainder() %Fraction{num: 3, den: 45} iex&gt; Fraction.new(7, 3) |&gt; Fraction.get_remainder() %Fraction{num: 1, den: 3} iex&gt; Fraction.new(-10, 4) |&gt; Fraction.get_remainder() %Fraction{num: -2, den: 4}"},{"ref":"Chunky.Fraction.html#get_whole/1","title":"Chunky.Fraction.get_whole/1","type":"function","doc":"Get the whole component of a fraction. Examples iex&gt; Fraction.new(3, 7) |&gt; Fraction.get_whole() 0 iex&gt; Fraction.new(22, 7) |&gt; Fraction.get_whole() 3 iex&gt; Fraction.new(-10, 2) |&gt; Fraction.get_whole() -5"},{"ref":"Chunky.Fraction.html#gt?/2","title":"Chunky.Fraction.gt?/2","type":"function","doc":"Compare a fraction with a value or fraction using greater than comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.gt?(Fraction.new(7, 9), Fraction.new(3, 5)) true iex&gt; Fraction.gt?(3, Fraction.new(15, 4)) false iex&gt; Fraction.gt?(Fraction.new(-3, 12), -2) true"},{"ref":"Chunky.Fraction.html#gte?/2","title":"Chunky.Fraction.gte?/2","type":"function","doc":"Compare a fraction with a value or fraction using greater than or equal comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.gte?(Fraction.new(3, 9), Fraction.new(1, 3)) true iex&gt; Fraction.gte?(3, Fraction.new(15, 4)) false iex&gt; Fraction.gte?(Fraction.new(-3, 12), -2) true"},{"ref":"Chunky.Fraction.html#has_whole?/1","title":"Chunky.Fraction.has_whole?/1","type":"function","doc":"Determine if a fraction is greater than 1, and has a whole number component. Examples iex&gt; Fraction.new(3, 17) |&gt; Fraction.has_whole?() false iex&gt; Fraction.new(22, 7) |&gt; Fraction.has_whole?() true"},{"ref":"Chunky.Fraction.html#increment/2","title":"Chunky.Fraction.increment/2","type":"function","doc":"Increment the numerator or denominator by one. This is not necessarily an arithmatically valid operation, rather it directly increments the numerator or denominator. Valid mode values are: :both, :num, :numerator, :den, or :denominator. Note that when incrementing a negative value by the numerator, the value will move towards 0, not towards the negative. Examples iex&gt; Fraction.new(&quot;7/11&quot;) |&gt; Fraction.increment(:num) %Fraction{num: 8, den: 11} iex&gt; Fraction.new(&quot;-5/9&quot;) |&gt; Fraction.increment(:den) %Fraction{num: -5, den: 10} iex&gt; Fraction.new(&quot;-7/3&quot;) |&gt; Fraction.increment(:numerator) %Fraction{num: -6, den: 3} iex&gt; Fraction.new(&quot;21/6&quot;) |&gt; Fraction.increment(:both) %Fraction{num: 22, den: 7}"},{"ref":"Chunky.Fraction.html#is_coercible?/1","title":"Chunky.Fraction.is_coercible?/1","type":"macro","doc":""},{"ref":"Chunky.Fraction.html#is_negative?/1","title":"Chunky.Fraction.is_negative?/1","type":"function","doc":"Determine if a fraction is negative. Examples iex&gt; Fraction.new(-3, 4) |&gt; Fraction.is_negative?() true"},{"ref":"Chunky.Fraction.html#is_positive?/1","title":"Chunky.Fraction.is_positive?/1","type":"function","doc":"Determine if a fraction is positive. Examples iex&gt; Fraction.new(-3, 4) |&gt; Fraction.is_positive?() false"},{"ref":"Chunky.Fraction.html#is_simplified?/1","title":"Chunky.Fraction.is_simplified?/1","type":"function","doc":"Determine if a fraction is in simplified form. Examples iex&gt; Fraction.new(2, 4) |&gt; Fraction.is_simplified?() false iex&gt; Fraction.new(-10, 4) |&gt; Fraction.is_simplified?() false iex&gt; Fraction.new(0, 7) |&gt; Fraction.is_simplified?() false iex&gt; Fraction.new(22, 7) |&gt; Fraction.is_simplified?() true"},{"ref":"Chunky.Fraction.html#is_whole?/1","title":"Chunky.Fraction.is_whole?/1","type":"function","doc":"Determine if a fraction exactly represents a whole number, with no remainder. Examples iex&gt; Fraction.new(5, 3) |&gt; Fraction.is_whole?() false iex&gt; Fraction.new(-22, 11) |&gt; Fraction.is_whole?() true"},{"ref":"Chunky.Fraction.html#is_zero?/1","title":"Chunky.Fraction.is_zero?/1","type":"function","doc":"Does a fraction represent a zero value? Examples iex&gt; Fraction.new(3, 134) |&gt; Fraction.is_zero?() false iex&gt; Fraction.new(0, 34) |&gt; Fraction.is_zero?() true"},{"ref":"Chunky.Fraction.html#lt?/2","title":"Chunky.Fraction.lt?/2","type":"function","doc":"Compare a fraction with a value or fraction using less than comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.lt?(Fraction.new(7, 9), Fraction.new(3, 5)) false iex&gt; Fraction.lt?(3, Fraction.new(15, 4)) true iex&gt; Fraction.lt?(Fraction.new(-3, 12), -2) false"},{"ref":"Chunky.Fraction.html#lte?/2","title":"Chunky.Fraction.lte?/2","type":"function","doc":"Compare a fraction with a value or fraction using less than or equal comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.lte?(Fraction.new(7, 9), Fraction.new(3, 5)) false iex&gt; Fraction.lte?(3, Fraction.new(15, 4)) true iex&gt; Fraction.lte?(Fraction.new(-24, 12), -2) true"},{"ref":"Chunky.Fraction.html#max_of/1","title":"Chunky.Fraction.max_of/1","type":"function","doc":"Return the maximum value in a list of fractions or values. Relative comparisons are calculated based on float converion of fractions. Supports Type Coercion?: ✅ Example iex&gt; Fraction.max_of([ Fraction.new(3, 7), Fraction.new(5, 11), Fraction.new(11, 23)]) %Fraction{num: 11, den: 23}"},{"ref":"Chunky.Fraction.html#max_of/2","title":"Chunky.Fraction.max_of/2","type":"function","doc":"Return the larger of two fractions or values. Supports Type Coercion?: ✅ Example iex&gt; Fraction.max_of( Fraction.new(3, 7), Fraction.new(11, 28) ) %Fraction{num: 3, den: 7} iex&gt; Fraction.max_of(Fraction.new(4, 3), 8.3) %Fraction{num: 83, den: 10}"},{"ref":"Chunky.Fraction.html#min_max_of/1","title":"Chunky.Fraction.min_max_of/1","type":"function","doc":"Return a tuple with the smallest and largest fractions from a list. Supports Type Coercion?: ✅ Example iex&gt; Fraction.min_max_of([ Fraction.new(3, 7), Fraction.new(5, 11), Fraction.new(11, 23)]) { %Fraction{num: 3, den: 7}, %Fraction{num: 11, den: 23} }"},{"ref":"Chunky.Fraction.html#min_of/1","title":"Chunky.Fraction.min_of/1","type":"function","doc":"Find the minimum value in a list of fractions or vaules. Relative comparisons are calculated based on float conversion of fractions. Supports Type Coercion?: ✅ Example iex&gt; Fraction.min_of([ Fraction.new(3, 7), Fraction.new(5, 11), Fraction.new(11, 23)]) %Fraction{num: 3, den: 7}"},{"ref":"Chunky.Fraction.html#min_of/2","title":"Chunky.Fraction.min_of/2","type":"function","doc":"Return the smaller of two fractions, or a fraction and an alternate encoding (like float, string, or integer). Supports Type Coercion?: ✅ Example iex&gt; Fraction.min_of( Fraction.new(3, 7), Fraction.new(11, 28) ) %Fraction{num: 11, den: 28} iex&gt; Fraction.min_of( Fraction.new(22, 7), &quot;3/7&quot;) %Fraction{num: 3, den: 7} iex&gt; Fraction.min_of(0.5, Fraction.new(-3, 5)) %Fraction{num: -3, den: 5} iex&gt; Fraction.min_of(Fraction.new(3), &quot;22/7&quot;) %Fraction{num: 3, den: 1}"},{"ref":"Chunky.Fraction.html#multiply/3","title":"Chunky.Fraction.multiply/3","type":"function","doc":"Multiply two fractions, or a fraction and a value and return the (optionally simplified) result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.multiply(Fraction.new(3, 7), Fraction.new(22, 7)) %Fraction{num: 66, den: 49} iex&gt; Fraction.multiply(Fraction.new(2, 9), 33, simplify: true) %Fraction{num: 22, den: 3} iex&gt; Fraction.multiply(4, Fraction.new(12, 5)) %Fraction{num: 48, den: 5} iex&gt; Fraction.multiply(&quot;4&quot;, Fraction.new(22, 7)) %Fraction{num: 88, den: 7}"},{"ref":"Chunky.Fraction.html#near_equal?/3","title":"Chunky.Fraction.near_equal?/3","type":"function","doc":"Determine if two fractions close enough in value. This is similar to doing floating point comparison, where an epsilon value is used to determine if two values are within a given range of each other. In this case, we test if the difference between the first two fractions is less than or equal to the third fraction. So, if we wanted to determine if 3/2 and 5/3 were within 1/4 of each other, or had a difference less than or equal to 1/4: iex&gt; Fraction.near_equal?(&quot;3/2&quot;, &quot;5/3&quot;, &quot;1/4&quot;) true Examples iex&gt; Fraction.near_equal?(&quot;1/10&quot;, &quot;8/10&quot;, 0.05) false iex&gt; Fraction.near_equal?(&quot;-1/3&quot;, &quot;4/3&quot;, 2) true"},{"ref":"Chunky.Fraction.html#new/1","title":"Chunky.Fraction.new/1","type":"function","doc":"Convert a string encoding of an integer, float, or fraction into a fraction. Example iex&gt; Fraction.new(&quot;3&quot;) %Fraction{num: 3, den: 1} iex&gt; Fraction.new(&quot;12/7&quot;) %Fraction{num: 12, den: 7} iex&gt; Fraction.new(&quot;13 / 5&quot;) %Fraction{num: 13, den: 5} iex&gt; Fraction.new(&quot;foo/bar&quot;) {:error, :no_parsable_fraction} iex&gt; Fraction.new(&quot;3.14&quot;) %Fraction{num: 314, den: 100}"},{"ref":"Chunky.Fraction.html#new/2","title":"Chunky.Fraction.new/2","type":"function","doc":"Convert a floating point value to a fraction. There are two modes for converting values: Using precision approximation (via Float.ratio/1) Using natural conversion Natural conversion tries to find a fraction that represents the intended value of a float, while precision approximation tries to find a fractional representation of the encoded floating point value. Use the conversion flag to toggle between the two modes. Flags conversion - Atom. One of :natural or :precision Example iex&gt; Fraction.new(0.9, conversion: :natural) |&gt; to_string() &quot;9/10&quot; iex&gt; Fraction.new(0.9, conversion: :precision) |&gt; to_string() &quot;8106479329266893/9007199254740992&quot; iex&gt; Fraction.new(3.14, conversion: :natural) |&gt; to_string() &quot;314/100&quot; iex&gt; Fraction.new(3.14, conversion: :precision) |&gt; to_string() &quot;7070651414971679/2251799813685248&quot;"},{"ref":"Chunky.Fraction.html#normalize/2","title":"Chunky.Fraction.normalize/2","type":"function","doc":"Change a combination of fractions, or fractions and integers, into the same denominator. Example iex&gt; Fraction.normalize(Fraction.new(3, 4), Fraction.new(1, 7)) { %Fraction{num: 21, den: 28}, %Fraction{num: 4, den: 28} } iex&gt; Fraction.normalize(3, Fraction.new(2, 5)) { %Fraction{num: 15, den: 5}, %Fraction{num: 2, den: 5} } iex&gt; Fraction.normalize(Fraction.new(6, 4), 2) { %Fraction{num: 6, den: 4}, %Fraction{num: 8, den: 4} }"},{"ref":"Chunky.Fraction.html#normalize_all/1","title":"Chunky.Fraction.normalize_all/1","type":"function","doc":"Normalize (move to the same denominator) all of the fractions and integers in a list. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.normalize_all([Fraction.new(1, 2), Fraction.new(2, 3), Fraction.new(3, 4), 7]) [ %Fraction{den: 12, num: 6}, %Fraction{den: 12, num: 8}, %Fraction{den: 12, num: 9}, %Fraction{den: 12, num: 84} ] iex&gt; Fraction.normalize_all([&quot;3/4&quot;, {7, 8}, Fraction.new(8, 16)]) [ %Fraction{num: 12, den: 16}, %Fraction{num: 14, den: 16}, %Fraction{num: 8, den: 16} ]"},{"ref":"Chunky.Fraction.html#power/3","title":"Chunky.Fraction.power/3","type":"function","doc":"Use fractions in power/exponent calculations. The base or the power (or both) can be fractions. Fractions taken to an integer power will behave as expected: iex&gt; Fraction.power(Fraction.new(3, 4), 7) %Chunky.Fraction{den: 16384, num: 2187} Fractions or integers taken to a fractional power will not always return expected values, as most fractional powers do not have a result that can be represented as a fraction. By default the power functions will return an error value in these cases: iex&gt; Fraction.power(9, Fraction.new(7, 13)) {:error, :no_fractional_power} If you want the floating point fractional result, you can use the allow_irrational flag: iex&gt; Fraction.power(9, Fraction.new(7, 13), allow_irrational: true) 3.26454673038995 When calculating the fractional power of a value, an epsilon value is used as part of the n-th root finding and resulting analysis The epsilon determines how close to a whole number different components of the resulting fractions need to be, to be treated as whole numbers. Options simplify - Boolean. Default false. Optionally simplify the return fraction epsilon - Float. Small number used to compare how close two values are allow_irrational - Boolean. eDefault false. Allow a non-fractional (irrational) result to be returned Examples iex&gt; Fraction.power(Fraction.new(7, 32), Fraction.new(30, 5)) %Fraction{num: 117649, den: 1073741824} iex&gt; Fraction.power(Fraction.new(3, 5), 3) %Fraction{num: 27, den: 125} iex&gt; Fraction.power(4, Fraction.new(-4, 8)) %Fraction{num: 1, den: 2} iex&gt; Fraction.power(9, Fraction.new(7, 13), allow_irrational: true) 3.26454673038995 iex&gt; Fraction.power(&quot;3/8&quot;, 2.0) %Fraction{num: 9, den: 64}"},{"ref":"Chunky.Fraction.html#reciprocal/2","title":"Chunky.Fraction.reciprocal/2","type":"function","doc":"Create the reciprocal of a fraction, optionally simplifying the result. Negative fractions will switch the sign to carry on the new numerator. Trying to take the reciprocal of a zero fraction will result in an error. Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.new(3, 4) |&gt; Fraction.reciprocal() %Fraction{num: 4, den: 3} iex&gt; Fraction.new(-4, 40) |&gt; Fraction.reciprocal(simplify: true) %Fraction{num: -10, den: 1} iex&gt; Fraction.new(0, 3) |&gt; Fraction.reciprocal() {:error, :invalid_denominator}"},{"ref":"Chunky.Fraction.html#round/1","title":"Chunky.Fraction.round/1","type":"function","doc":"Round a fraction to the nearest whole value. This round function uses the &quot;round half away from zero&quot; strategy, which differs from standard IEEE-754 floating point rounding mode, as we don&#39;t lose precision as fractions grow. Using this round method avoids introducing even/odd bias over multiple calculations. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.round(&quot;22/7&quot;) %Fraction{num: 21, den: 7} iex&gt; Fraction.round(&quot;-13/8&quot;) %Fraction{num: -16, den: 8}"},{"ref":"Chunky.Fraction.html#simplify/1","title":"Chunky.Fraction.simplify/1","type":"function","doc":"Simplify a fraction. Examples iex&gt; Fraction.new(6, 8) |&gt; Fraction.simplify() %Fraction{num: 3, den: 4} iex&gt; Fraction.new(24, 8) |&gt; Fraction.simplify() %Fraction{num: 3, den: 1} iex&gt; Fraction.new(22, 7) |&gt; Fraction.simplify() %Fraction{num: 22, den: 7}"},{"ref":"Chunky.Fraction.html#sort/2","title":"Chunky.Fraction.sort/2","type":"function","doc":"Sort a list of values. Values that are not yet Fractions are coerced into fractional values before processing. Supports Type Coercion?: ✅ Sorting is done based on floating point values of fractions. Options sorter - Function arity 2. Default &amp;&lt;=/2. Comparison to use when sorting. Examples iex&gt; Fraction.sort([&quot;22/7&quot;, 3, &quot;2.9&quot;, Fraction.new(1, 3)]) [%Fraction{num: 1, den: 3}, %Fraction{num: 29, den: 10}, %Fraction{num: 3, den: 1}, %Fraction{num: 22, den: 7}] iex&gt; Fraction.sort([&quot;22/7&quot;, 3, &quot;2.9&quot;, Fraction.new(1, 3)], sorter: &amp;&gt;=/2) [%Fraction{num: 22, den: 7}, %Fraction{num: 3, den: 1}, %Fraction{num: 29, den: 10}, %Fraction{num: 1, den: 3}]"},{"ref":"Chunky.Fraction.html#split/1","title":"Chunky.Fraction.split/1","type":"function","doc":"Break a fraction into whole and fractional parts, returning both. Examples iex&gt; Fraction.new(6, 4) |&gt; Fraction.split() {1, %Fraction{num: 2, den: 4}} iex&gt; Fraction.new(-22, 7) |&gt; Fraction.split() {-3, %Fraction{num: -1, den: 7}} iex&gt; Fraction.new(0, 3) |&gt; Fraction.split() {0, %Fraction{num: 0, den: 3}}"},{"ref":"Chunky.Fraction.html#subtract/3","title":"Chunky.Fraction.subtract/3","type":"function","doc":"Subtract two fractions, or a fraction an a value, and return the (optionally) simplified result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.subtract(Fraction.new(3, 5), Fraction.new(1, 5)) %Fraction{num: 2, den: 5} iex&gt; Fraction.subtract(2, Fraction.new(-6, 9), simplify: true) %Fraction{num: 8, den: 3} iex&gt; Fraction.subtract(Fraction.new(-2, 4), -5, simplify: true) %Fraction{num: 9, den: 2} iex&gt; Fraction.subtract(Fraction.new(8, 10), 0.5) %Fraction{num: 3, den: 10}"},{"ref":"Chunky.Fraction.html#sum/2","title":"Chunky.Fraction.sum/2","type":"function","doc":"Add a series of fractions and integers. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Example iex&gt; Fraction.sum([Fraction.new(3, 4), Fraction.new(5, 7), Fraction.new(8, 11), 1, Fraction.new(249, 308)]) %Fraction{num: 1232, den: 308} iex&gt; Fraction.sum([Fraction.new(3, 4), Fraction.new(5, 7), Fraction.new(8, 11), 1, Fraction.new(249, 308)], simplify: true) %Fraction{num: 4, den: 1}"},{"ref":"Chunky.Fraction.html#to_float/2","title":"Chunky.Fraction.to_float/2","type":"function","doc":"Convert a fraction to a float, optionally rounding to a specific precision. Options precision - Integer. Default 15. Number of digits of precision in float. From 0 to 15. Examples iex&gt; Fraction.new(22, 7) |&gt; to_float() 3.142857142857143 iex&gt; Fraction.new(22, 7) |&gt; to_float(precision: 2) 3.14"},{"ref":"Chunky.Fraction.html#uniq/2","title":"Chunky.Fraction.uniq/2","type":"function","doc":"Return only the unique fractions from a list of values. Values that are not yet Fractions are coerced into fractional values before processing. Supports Type Coercion?: ✅ Determining what is unique from the list of values is controlled by the by option. By default, value comparison is used, so 1/2 and 2/4 would be equal, and only one returned. If components comparison is specified, the literal numerator and denominator must match, so non-simplified, but value equal fractions would be different from one another. Options by - Either :value or :components. Default :value. Examples iex&gt; Fraction.uniq([&quot;2/4&quot;, Fraction.new(4, 2), 2, 0.5]) [%Fraction{num: 2, den: 4}, %Fraction{num: 4, den: 2}] iex&gt; Fraction.uniq([&quot;2/4&quot;, Fraction.new(4, 2), 2, 0.5], by: :components) [%Fraction{num: 2, den: 4}, %Fraction{num: 4, den: 2}, %Fraction{num: 2, den: 1}, %Fraction{num: 5, den: 10}]"},{"ref":"Chunky.Fraction.html#within?/2","title":"Chunky.Fraction.within?/2","type":"function","doc":"Determine if a fraction falls within a specific range. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.new(&quot;22/7&quot;) |&gt; Fraction.within?(3..4) true iex&gt; Fraction.new(&quot;3/5&quot;) |&gt; Fraction.within?(-1..1) true iex&gt; Fraction.within?(3.1, 1..5) true"},{"ref":"Chunky.Fraction.html#within?/3","title":"Chunky.Fraction.within?/3","type":"function","doc":"Determine if a fraction falls within a specified lower and upper bound. This test is inclusive of the lower and upper bounds. The low and high value of the range to test can be specified as any coercible value. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.new(&quot;22/7&quot;) |&gt; Fraction.within?(3, 4.5) true iex&gt; Fraction.new(&quot;-4/3&quot;) |&gt; Fraction.within?(&quot;-10/3&quot;, &quot;-4/3&quot;) true iex&gt; Fraction.within?(&quot;22/7&quot;, -3, 4) true"},{"ref":"Chunky.Geometry.html","title":"Chunky.Geometry","type":"module","doc":"Functions for working with geometric shapes, patterns, and surfaces. This module contains high level operations and guards for working with geometry. See specific modules for more in depth functions: Chunky.Geometry.Triangle - Manipulate and measure triangles Chunky.Geometry.Triangle.Predicates - Assess properties of triangles Guards is_triangle?/1 - Is the given parameter a 3-tuple of positive integers greater than 0? Shape tests is_valid_triangle?/1 - Is the given triangle a valid shape?"},{"ref":"Chunky.Geometry.html#is_triangle?/1","title":"Chunky.Geometry.is_triangle?/1","type":"macro","doc":""},{"ref":"Chunky.Geometry.html#is_valid_triangle?/1","title":"Chunky.Geometry.is_valid_triangle?/1","type":"function","doc":"Is the shape of the given triangle valid? The is_triangle?/1 guard can only test for a limited set of properties. This function applies an additional set of constraints. Examples iex&gt; Geometry.is_valid_triangle?({3, 4, 5}) true iex&gt; Geometry.is_valid_triangle?({5, 5, 5}) true iex&gt; Geometry.is_valid_triangle?({3, 4, 7}) false iex&gt; Geometry.is_valid_triangle?({10, 20, 40}) false"},{"ref":"Chunky.Geometry.Triangle.html","title":"Chunky.Geometry.Triangle","type":"module","doc":"Functions for working with triangles. For predicate functions related to Triangles, see Chunky.Geometry.Triangle.Predicates. Triangles in Chunky are represented as a tuple of three positive integers, with each integer greater than or equal to 1. So {3, 4, 5} is a triangle, as is {145, 7, 139}. Not every 3-tuple of integers is a valid triangle - {3, 5, 10} doesn&#39;t describe a realizable triangle. You can test for a valid triangle with Chunky.Geometry.is_valid_triangle?/1. Some functions will raise argument errors for invalid triangles, while others will return an error tuple, where possible. Triangle Functions Measurements These functions provide measurements of triangles, their angles, or their shape. angles/1 - Find the interior angles of a triangle area/1 - Find the area of any triangle height/2 - Find the bisecting height of a triangle is_multiple_heronian_triangle?/2 - Is a triangle a heronian triange with an area that is a specific multiple of the perimeter? Construction and Deconstructing Triangles Create new triangles, break existing triangles into smaller triangles, or recombine smaller triangles: compose/2 - Create a new triangle from two compatible right triangles decompose/1 - Break a triangle into two smaller right triangles normalize/1 - Normalize the ordering of sides of a triangle triangles_from_hypotenuse/2 - Generate integer triangles given a hypotenuse and optional filter Meta-inspection of triangles Metadata about triangles: type/1 - Determine the basic type, or form, of a triangle Finding Triangles Finding specific shapes of triangles (like Heronian, m-heronian, scalenes, etc) can be useful. For instance, finding triangles that are decomposable or 19-heronian triangles. Constructing these by hand can be tedious - instead we can combine a series of functions from the Triangle and Predicates modules to help find what we&#39;re looking for. The heart of searching for triangles is the triangles_from_hypotenuse/2 function, which generates the set of all valid triangles for a given hypotenuse edge: iex&gt; Triangle.triangles_from_hypotenuse(3) [{1, 3, 3}, {2, 2, 3}, {2, 3, 3}, {3, 3, 3}] All of the valid triangles for the given hypotenuse are generated, without duplicates, edge order independent (so {3, 2, 3} and {2, 3, 3} would be the same, and only one included in the output). For a small hypotenuse this output by itself can be useful for visual inspection, but the number of valid triangles grows fairly quickly. For a hypotenuse of 15, there are 64 valid triangles. For a hypotenuse of 100, there are 2550 triangles. On to the next step: filter functions. The second parameter of triangles_from_hypotenuse/2 is a predicate function - any function that takes a triangle as it&#39;s only parameter, and returns a boolean. The output of triangles_from_hypotenuse/2 will be filtered to contain only those triangles that pass the filter. For instance, we can filter our list of triangles with a hypotenuse of 3 to only the equilateral triangles: iex&gt; Triangle.triangles_from_hypotenuse(3, filter: &amp;Triangle.Predicates.is_equilateral?/1) [{3, 3, 3}] Let&#39;s look at the first example we cited, finding decomposable triangles. Constructing these by hand can be tedious. But using the above technique, we can quickly find what we&#39;re looking for. How about triangles with a hypotenuse of 30 that are decomposable: iex&gt; Triangle.triangles_from_hypotenuse(30, filter: &amp;Triangle.Predicates.is_decomposable?/1) [{8, 26, 30}, {11, 25, 30}, {17, 17, 30}, {25, 25, 30}, {26, 28, 30}] If we want to tackle the second example we cited, finding 19-heronian triangles (these are triangles whose area is exactly 19 times their perimeter), we&#39;ll need to expand our search: we don&#39;t know exactly what the hypotenuse will be, so we check multiple: 150..250 |&gt; Enum.map( fn h -&gt; Triangle.triangles_from_hypotenuse( h, filter: fn t -&gt; Triangle.is_multiple_heronian_triangle?(t, 19) end) end ) |&gt; List.flatten() Here we&#39;ve take the range of 150 to 250, and used each of those in order as the hypotenuse of triangles_from_hypotenuse/2. The filter function is an anonymous function, where we use the is_multiple_heronian?/2 function to filter down to only those triangles that are an exact multiple of perimeter and area."},{"ref":"Chunky.Geometry.Triangle.html#angles/1","title":"Chunky.Geometry.Triangle.angles/1","type":"function","doc":"Find the angles of a triangle. The resulting 3-tuple will be floats, in order such that each angle is opposite it&#39;s edge. So for a triangle with sides {a, b, c}, the resulting angles {θa, θb, θc} are such that θa is opposite edge a, θb opposite edge b, and θc opposite edge c: Examples iex&gt; Triangle.angles({3, 4, 5}) {36.86989764584401, 53.13010235415599, 90.0} iex&gt; Triangle.angles({13, 13, 13}) {59.99999999999999, 59.99999999999999, 59.99999999999999} iex&gt; Triangle.angles({10, 5, 10}) {75.52248781407008, 28.95502437185985, 75.52248781407008} iex&gt; Triangle.angles({30, 16, 17}) {130.73591716163173, 23.83600707762401, 25.428075760744253}"},{"ref":"Chunky.Geometry.Triangle.html#area/1","title":"Chunky.Geometry.Triangle.area/1","type":"function","doc":"Find the area of a triangle, returning either an integer, float, or fraction value. This function uses the heronian formula for calculating the area of any triangle. Examples iex&gt; Triangle.area({3, 4, 5}) {:integer, 6} iex&gt; Triangle.area({5, 15, 15}) {:float, 36.9754986443726} iex&gt; Triangle.area({5, 5, 5}) {:float, 10.825317547305483} iex&gt; Triangle.area({7, 11, 13}) {:float, 38.499188303131795} iex&gt; Triangle.area({5, 12, 13}) {:integer, 30} iex&gt; Triangle.area({5, 10, 20}) ** (ArgumentError) Shape of the triangle is invalid"},{"ref":"Chunky.Geometry.Triangle.html#compose/2","title":"Chunky.Geometry.Triangle.compose/2","type":"function","doc":"Compose two pythagorean (right) triangles into a larger triangle, if possible. This is the inverse of decompose/1 - two compatible right triangles can be joined on an equal, non-hypotenuse edge to form a new triangle. The results of this function will either be a tuple of {:ok, _} with a one or two new triangles, or {:error, reason} for not being composable. Examples iex&gt; Triangle.compose({12, 5, 13}, {5, 13, 12}) {:ok, {10, 13, 13}, {13, 13, 24}} iex&gt; Triangle.compose({12, 5, 13}, {9, 15, 12}) {:ok, {13, 14, 15}} iex&gt; Triangle.compose({12, 5, 13}, {3, 4, 5}) {:error, :not_composable} iex&gt; Triangle.compose({12, 5, 13}, {5, 7, 24}) {:error, :not_pythagorean_triangles}"},{"ref":"Chunky.Geometry.Triangle.html#decompose/1","title":"Chunky.Geometry.Triangle.decompose/1","type":"function","doc":"Decompose an integer triangle into two smaller integer right triangles. Examples iex&gt; Triangle.decompose({3, 4, 5}) {:error, :indecomposable} iex&gt; Triangle.decompose({6, 6, 6}) {:error, :indecomposable} iex&gt; Triangle.decompose({10, 13, 13}) {:ok, {5, 12, 13}, {5, 12, 13}} iex&gt; Triangle.decompose({13, 14, 15}) {:ok, {5, 12, 13}, {9, 12, 15}} iex&gt; Triangle.decompose({13, 13, 24}) {:ok, {5, 12, 13}, {5, 12, 13}}"},{"ref":"Chunky.Geometry.Triangle.html#height/2","title":"Chunky.Geometry.Triangle.height/2","type":"function","doc":"Find the height of a triangle from the hypotenuse. This function will return an integer, fraction, or float. Options base - Atom. Default :large. One of :small, :medium, or :large. Side to use when calculating height for a scalene triangle Examples iex&gt; Triangle.height({5, 5, 5}) {:float, 4.330127018922193} iex&gt; Triangle.height({3, 4, 5}) {:fractional, %Fraction{num: 12, den: 5}} iex&gt; Triangle.height({5, 5, 8}) {:integer, 3} iex&gt; Triangle.height({10, 13, 13}) {:integer, 12} iex&gt; Triangle.height({13, 14, 15}) {:fractional, %Fraction{num: 56, den: 5}} iex&gt; Triangle.height({13, 14, 15}, base: :medium) {:integer, 12} iex&gt; Triangle.height({3, 4, 9}) ** (ArgumentError) Shape of the triangle is invalid"},{"ref":"Chunky.Geometry.Triangle.html#is_multiple_heronian_triangle?/2","title":"Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2","type":"function","doc":"Is a triangle a heronian triangle where the area is a specific multiple of the perimeter? A 2-heronian triangle would have an area that is 2*perimeter of the triangle, while a 3-heronian would have an area that is 3*perimeter. For each multiple size m, there are a finite number of multiple heronians triangles that are m-heronian. Examples iex&gt; Triangle.is_multiple_heronian_triangle?({13, 14, 15}, 2) true iex&gt; Triangle.is_multiple_heronian_triangle?({11, 25, 30}, 2) true iex&gt; Triangle.is_multiple_heronian_triangle?({25, 26, 17}, 3) true iex&gt; Triangle.is_multiple_heronian_triangle?({25, 28, 17}, 3) true iex&gt; Triangle.is_multiple_heronian_triangle?({25, 36, 29}, 4) true"},{"ref":"Chunky.Geometry.Triangle.html#normalize/1","title":"Chunky.Geometry.Triangle.normalize/1","type":"function","doc":"Normalize the order of edges of a triangle. Examples iex&gt; Triangle.normalize({5, 13, 7}) {5, 7, 13} iex&gt; Triangle.normalize({12, 8, 5}) {5, 8, 12} iex&gt; Triangle.normalize({55, 13, 47}) {13, 47, 55} iex&gt; Triangle.normalize({3, 4, 5}) {3, 4, 5}"},{"ref":"Chunky.Geometry.Triangle.html#triangles_from_hypotenuse/2","title":"Chunky.Geometry.Triangle.triangles_from_hypotenuse/2","type":"function","doc":"Generate all of the integer triangles from a given hypotenuse h. This will create a list of triangles with integer sides and hypotenuse h, with no duplicates, with order independent sides. So the triangle {3, 4, 5} and {4, 3, 5} would be considered the same, and only one of them would be included in the output. An optional filter function can be provided which will be used to pre filter the result list during computation, which can significantly reduce memory consumption. Options filter - Predicate function of arity 1, which returns a boolean Examples iex&gt; Triangle.triangles_from_hypotenuse(5) [{1, 5, 5}, {2, 4, 5}, {2, 5, 5}, {3, 3, 5}, {3, 4, 5}, {3, 5, 5}, {4, 4, 5}, {4, 5, 5}, {5, 5, 5}] iex&gt; Triangle.triangles_from_hypotenuse(5, filter: &amp;Triangle.Predicates.is_scalene?/1) [{2, 4, 5}, {3, 4, 5}] iex&gt; Triangle.triangles_from_hypotenuse(5, filter: &amp;Triangle.Predicates.is_pythagorean_triangle?/1) [{3, 4, 5}] iex&gt; Triangle.triangles_from_hypotenuse(125, filter: &amp;Triangle.Predicates.is_pythagorean_triangle?/1) [{35, 120, 125}, {44, 117, 125}, {75, 100, 125}]"},{"ref":"Chunky.Geometry.Triangle.html#type/1","title":"Chunky.Geometry.Triangle.type/1","type":"function","doc":"Determine the characteristic type of a triangle, like right, scalene, or isoceles. The possible types returned by this function are: :invalid :right :equilateral :isoceles :scalene Examples iex&gt; Triangle.type({3, 4, 5}) :right iex&gt; Triangle.type({3, 4, 9}) :invalid iex&gt; Triangle.type({3, 4, 4}) :isoceles iex&gt; Triangle.type({13, 13, 13}) :equilateral iex&gt; Triangle.type({7, 13, 19}) :scalene"},{"ref":"Chunky.Geometry.Triangle.Predicates.html","title":"Chunky.Geometry.Triangle.Predicates","type":"module","doc":"Predicate functions take a single triangle as an argument, and return a boolean, an assessment of some characteristic of the triangle. Predicate functions will, in almost every possible case, return a boolean, even in situations that would normally throw an error (like invalid triangles). Analyzing Triangles Most often using individual predicates is the right approach. Sometimes, though, it can be useful to inspect a wider set of properties about a triangle. The analyze/2 function applies all of the predicate functions for triangles against the provided triangle. analyze/2 - Assess properties of a triangle Shape Properties of the edges of a triangle: is_equilateral?/1 - Is a triangle an equilateral triangle? is_isoceles?/1 - Is a triangle an isoceles triangle? is_pythagorean_triangle?/1 - Is the given triangle a right triangle with integer sides? is_scalene?/1 - Is a triangle a scalene triangle? Properties of the angles of a triangle: is_acute?/1 - Are all of the interior angles equal or less than 90 degrees? is_obtuse?/1 - Are any of the interior angles greater than 90 degrees? Heronian Properties Basic heronian triangles: is_almost_equilateral_heronian_triangle?/1 - Heronian triangle with sides n - 1, n, n + 1 is_heronian_triangle?/1 - Is a triangle a heronian triangle, with integer sides and integer area? is_super_heronian_triangle?/1 - Does a triangle have integer sides, integer area, and a perimeter equal to area? An extension of super heronian triangles, heronian triangles with areas that are a specific multiple of the perimeter: is_2_heronian_triangle?/1 - Is a triangle heronian, with area 2 times perimeter? is_3_heronian_triangle?/1 - Is a triangle heronian, with area 3 times perimeter? is_4_heronian_triangle?/1 - Is a triangle heronian, with area 4 times perimeter? is_5_heronian_triangle?/1 - Is a triangle heronian, with area 5 times perimeter? is_6_heronian_triangle?/1 - Is a triangle heronian, with area 6 times perimeter? is_7_heronian_triangle?/1 - Is a triangle heronian, with area 7 times perimeter? is_8_heronian_triangle?/1 - Is a triangle heronian, with area 8 times perimeter? is_9_heronian_triangle?/1 - Is a triangle heronian, with area 9 times perimeter? is_10_heronian_triangle?/1 - Is a triangle heronian, with area 10 times perimeter? is_20_heronian_triangle?/1 - Is a triangle heronian, with area 20 times perimeter? is_30_heronian_triangle?/1 - Is a triangle heronian, with area 30 times perimeter? is_40_heronian_triangle?/1 - Is a triangle heronian, with area 40 times perimeter? is_50_heronian_triangle?/1 - Is a triangle heronian, with area 50 times perimeter? is_60_heronian_triangle?/1 - Is a triangle heronian, with area 60 times perimeter? is_70_heronian_triangle?/1 - Is a triangle heronian, with area 70 times perimeter? is_80_heronian_triangle?/1 - Is a triangle heronian, with area 80 times perimeter? is_90_heronian_triangle?/1 - Is a triangle heronian, with area 90 times perimeter? is_100_heronian_triangle?/1 - Is a triangle heronian, with area 100 times perimeter? Composability is_decomposable?/1 - Can a triangle be decomposed into two, smaller, right triangles? is_indecomposable?/1 - Can a triangle not be decomposed into two, smaller, right triangles?"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#analyze/2","title":"Chunky.Geometry.Triangle.Predicates.analyze/2","type":"function","doc":"Apply all of the Triangle predicte functions to the triangel t, and collect the passing, or true, predicates. This function uses the names of all of the predicate functions as sources for labels, and collects the resulting labels from a triangle being analyzed. Some predicate functions can take a long time to run depending on the shape or properties of the triangle t, so the analyze/2 function uses a timeout for each predicate. See the predicate_wait_time option for more details. Options predicate_wait_time - Integer, default 100. Maximum number of milliseconds to wait for an answer from each predicate function Examples iex&gt; Triangle.Predicates.analyze({3, 4, 5}) [:acute, :almost_equilateral_heronian_triangle, :heronian_triangle, :indecomposable, :pythagorean_triangle, :scalene] iex&gt; Triangle.Predicates.analyze({4, 5, 10}) [:invalid_triangle] iex&gt; Triangle.Predicates.analyze({5, 5, 5}) [:acute, :equilateral, :indecomposable] iex&gt; Triangle.Predicates.analyze({53, 54, 55}) [:acute, :indecomposable, :scalene] iex&gt; Triangle.Predicates.analyze({10, 13, 13}) [:acute, :decomposable, :heronian_triangle, :isoceles] iex&gt; Triangle.Predicates.analyze({477, 477, 504}) [:&quot;70_heronian_triangle&quot;, :acute, :decomposable, :heronian_triangle, :isoceles]"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_100_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_100_heronian_triangle?/1","type":"function","doc":"Is a triangle 100-heronian, a triangle with an area 100 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_100_heronian_triangle?({650, 700, 750}) true iex&gt; Triangle.Predicates.is_100_heronian_triangle?({663, 678, 765}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_10_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_10_heronian_triangle?/1","type":"function","doc":"Is a triangle 10-heronian, a triangle with an area 10 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_10_heronian_triangle?({65, 70, 75}) true iex&gt; Triangle.Predicates.is_10_heronian_triangle?({65, 72, 97}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_20_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_20_heronian_triangle?/1","type":"function","doc":"Is a triangle 20-heronian, a triangle with an area 20 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_20_heronian_triangle?({130, 140, 150}) true iex&gt; Triangle.Predicates.is_20_heronian_triangle?({125, 145, 180}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_2_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_2_heronian_triangle?/1","type":"function","doc":"Is a triangle 2-heronian, a triangle with an area 2 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_2_heronian_triangle?({13, 14, 15}) true iex&gt; Triangle.Predicates.is_2_heronian_triangle?({11, 25, 30}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_30_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_30_heronian_triangle?/1","type":"function","doc":"Is a triangle 30-heronian, a triangle with an area 30 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_30_heronian_triangle?({195, 210, 225}) true iex&gt; Triangle.Predicates.is_30_heronian_triangle?({200, 200, 240}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_3_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_3_heronian_triangle?/1","type":"function","doc":"Is a triangle 3-heronian, a triangle with an area 3 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_3_heronian_triangle?({25, 26, 17}) true iex&gt; Triangle.Predicates.is_3_heronian_triangle?({25, 28, 17}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_40_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_40_heronian_triangle?/1","type":"function","doc":"Is a triangle 40-heronian, a triangle with an area 40 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_40_heronian_triangle?({267, 278, 289}) true iex&gt; Triangle.Predicates.is_40_heronian_triangle?({260, 280, 300}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_4_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_4_heronian_triangle?/1","type":"function","doc":"Is a triangle 4-heronian, a triangle with an area 4 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_4_heronian_triangle?({30, 30, 48}) true iex&gt; Triangle.Predicates.is_4_heronian_triangle?({18, 80, 82}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_50_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_50_heronian_triangle?/1","type":"function","doc":"Is a triangle 50-heronian, a triangle with an area 50 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_50_heronian_triangle?({325, 350, 375}) true iex&gt; Triangle.Predicates.is_50_heronian_triangle?({300, 390, 390}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_5_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_5_heronian_triangle?/1","type":"function","doc":"Is a triangle 5-heronian, a triangle with an area 5 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_5_heronian_triangle?({30, 40, 50}) true iex&gt; Triangle.Predicates.is_5_heronian_triangle?({45, 50, 85}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_60_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_60_heronian_triangle?/1","type":"function","doc":"Is a triangle 60-heronian, a triangle with an area 60 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_60_heronian_triangle?({408, 416, 424}) true iex&gt; Triangle.Predicates.is_60_heronian_triangle?({389, 425, 444}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_6_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_6_heronian_triangle?/1","type":"function","doc":"Is a triangle 6-heronian, a triangle with an area 6 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_6_heronian_triangle?({33, 56, 65}) true iex&gt; Triangle.Predicates.is_6_heronian_triangle?({34, 61, 75}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_70_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_70_heronian_triangle?/1","type":"function","doc":"Is a triangle 70-heronian, a triangle with an area 70 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_70_heronian_triangle?({477, 477, 504}) true iex&gt; Triangle.Predicates.is_70_heronian_triangle?({456, 481, 545}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_7_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_7_heronian_triangle?/1","type":"function","doc":"Is a triangle 7-heronian, a triangle with an area 7 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_7_heronian_triangle?({42, 56, 70}) true iex&gt; Triangle.Predicates.is_7_heronian_triangle?({35, 84, 91}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_80_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_80_heronian_triangle?/1","type":"function","doc":"Is a triangle 80-heronian, a triangle with an area 80 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_80_heronian_triangle?({534, 556, 578}) true iex&gt; Triangle.Predicates.is_80_heronian_triangle?({520, 560, 600}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_8_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_8_heronian_triangle?/1","type":"function","doc":"Is a triangle 8-heronian, a triangle with an area 8 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_8_heronian_triangle?({52, 56, 60}) true iex&gt; Triangle.Predicates.is_8_heronian_triangle?({41, 84, 85}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_90_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_90_heronian_triangle?/1","type":"function","doc":"Is a triangle 90-heronian, a triangle with an area 90 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_90_heronian_triangle?({612, 624, 636}) true iex&gt; Triangle.Predicates.is_90_heronian_triangle?({546, 690, 696}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_9_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_9_heronian_triangle?/1","type":"function","doc":"Is a triangle 9-heronian, a triangle with an area 9 times it&#39;s perimeter? See also: Chunky.Geometry.Triangle.is_multiple_heronian_triangle?/2 Examples iex&gt; Triangle.Predicates.is_9_heronian_triangle?({52, 73, 75}) true iex&gt; Triangle.Predicates.is_9_heronian_triangle?({54, 72, 90}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_acute?/1","title":"Chunky.Geometry.Triangle.Predicates.is_acute?/1","type":"function","doc":"Are all of the interior angles of a triangle equal to or smaller than 90 degrees? Examples iex&gt; Triangle.Predicates.is_acute?({5, 5, 5}) true iex&gt; Triangle.Predicates.is_acute?({35, 5, 35}) true iex&gt; Triangle.Predicates.is_acute?({35, 19, 19}) false iex&gt; Triangle.Predicates.is_acute?({15, 16, 17}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_almost_equilateral_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_almost_equilateral_heronian_triangle?/1","type":"function","doc":"An almost equilateral heronian triangle has sequentially sized integer sides and an integer area. Sometimes called super heronian (which is a different contruction in this library), parker triangles, or almost equilaterals, these are integer triangles with sequential increasing sides, like {3, 4, 5}. Examples iex&gt; Triangle.Predicates.is_almost_equilateral_heronian_triangle?({3, 4, 5}) true iex&gt; Triangle.Predicates.is_almost_equilateral_heronian_triangle?({51, 52, 53}) true iex&gt; Triangle.Predicates.is_almost_equilateral_heronian_triangle?({53, 54, 55}) false iex&gt; Triangle.Predicates.is_almost_equilateral_heronian_triangle?({3, 7, 9}) false"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_decomposable?/1","title":"Chunky.Geometry.Triangle.Predicates.is_decomposable?/1","type":"function","doc":"Is a triangle decomposable into two smaller right triangles? See also: Chunky.Geometry.Triangle.decompose/1 is_indecomposable?/1 Examples iex&gt; Triangle.Predicates.is_decomposable?({6, 6, 6}) false iex&gt; Triangle.Predicates.is_decomposable?({10, 13, 13}) true iex&gt; Triangle.Predicates.is_decomposable?({13, 14, 15}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_equilateral?/1","title":"Chunky.Geometry.Triangle.Predicates.is_equilateral?/1","type":"function","doc":"Is the provided triangle an equilateral triangle? Examples iex&gt; Triangle.Predicates.is_equilateral?({5, 5, 5}) true iex&gt; Triangle.Predicates.is_equilateral?({3, 4, 5}) false iex&gt; Triangle.Predicates.is_equilateral?({15, 5, 15}) false iex&gt; Triangle.Predicates.is_equilateral?({0, 0, 0}) ** (FunctionClauseError) no function clause matching in Chunky.Geometry.Triangle.Predicates.is_equilateral?/1 iex&gt; Triangle.Predicates.is_equilateral?({-5, 5, 5}) ** (FunctionClauseError) no function clause matching in Chunky.Geometry.Triangle.Predicates.is_equilateral?/1"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_heronian_triangle?/1","type":"function","doc":"Is a triangle a heronian triangle, one with integer sides and integer area? Examples iex&gt; Triangle.Predicates.is_heronian_triangle?({3, 4, 5}) true iex&gt; Triangle.Predicates.is_heronian_triangle?({5, 6, 7}) false iex&gt; Triangle.Predicates.is_heronian_triangle?({17, 16, 17}) true iex&gt; Triangle.Predicates.is_heronian_triangle?({41, 41, 80}) true iex&gt; Triangle.Predicates.is_heronian_triangle?({30, 5, 29}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_indecomposable?/1","title":"Chunky.Geometry.Triangle.Predicates.is_indecomposable?/1","type":"function","doc":"Is a triangle decomposable into two smaller right triangles? See also: Chunky.Geometry.Triangle.decompose/1 is_decomposable?/1 Examples iex&gt; Triangle.Predicates.is_indecomposable?({6, 6, 6}) true iex&gt; Triangle.Predicates.is_indecomposable?({10, 13, 13}) false iex&gt; Triangle.Predicates.is_indecomposable?({13, 14, 15}) false"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_isoceles?/1","title":"Chunky.Geometry.Triangle.Predicates.is_isoceles?/1","type":"function","doc":"Is the triangle an isoceles triangle, a triangle with two equal sides? Examples iex&gt; Triangle.Predicates.is_isoceles?({5, 5, 5}) false iex&gt; Triangle.Predicates.is_isoceles?({15, 5, 15}) true iex&gt; Triangle.Predicates.is_isoceles?({5, 15, 25}) false iex&gt; Triangle.Predicates.is_isoceles?({5, 25, 25}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_obtuse?/1","title":"Chunky.Geometry.Triangle.Predicates.is_obtuse?/1","type":"function","doc":"Are any of the interior angles of a triangle greater than 90 degrees? Examples iex&gt; Triangle.Predicates.is_obtuse?({5, 5, 5}) false iex&gt; Triangle.Predicates.is_obtuse?({35, 5, 35}) false iex&gt; Triangle.Predicates.is_obtuse?({35, 19, 19}) true iex&gt; Triangle.Predicates.is_obtuse?({15, 16, 17}) false"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_pythagorean_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_pythagorean_triangle?/1","type":"function","doc":"Is the given triangle a right triangle with integer sides? Examples iex&gt; Triangle.Predicates.is_pythagorean_triangle?({5, 5, 5}) false iex&gt; Triangle.Predicates.is_pythagorean_triangle?({10, 24, 26}) true iex&gt; Triangle.Predicates.is_pythagorean_triangle?({24, 10, 26}) true iex&gt; Triangle.Predicates.is_pythagorean_triangle?({3, 4, 5}) true iex&gt; Triangle.Predicates.is_pythagorean_triangle?({4, 5, 3}) true iex&gt; Triangle.Predicates.is_pythagorean_triangle?({4, 5, 6}) false"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_scalene?/1","title":"Chunky.Geometry.Triangle.Predicates.is_scalene?/1","type":"function","doc":"Is the triangle a scalene triangle, a triangle with three different length sides? Examples iex&gt; Triangle.Predicates.is_scalene?({5, 5, 5}) false iex&gt; Triangle.Predicates.is_scalene?({15, 15, 5}) false iex&gt; Triangle.Predicates.is_scalene?({5, 15, 25}) true iex&gt; Triangle.Predicates.is_scalene?({15, 5, 35}) true"},{"ref":"Chunky.Geometry.Triangle.Predicates.html#is_super_heronian_triangle?/1","title":"Chunky.Geometry.Triangle.Predicates.is_super_heronian_triangle?/1","type":"function","doc":"Is a triangle super heronian, a triangle with integer area and perimeter that are equal? Not to be confused with almost equilateral heronians, which are also sometimes called super heronian triangles. In our definition, the super heronian triangles have an integer area and perimeter that are equal. This is a finite set: {5, 12, 13} {6, 8, 10} {6, 25, 29} {7, 15, 20} {9, 10, 17} Examples iex&gt; Triangle.Predicates.is_super_heronian_triangle?({5, 12, 13}) true iex&gt; Triangle.Predicates.is_super_heronian_triangle?({5, 12, 15}) false iex&gt; Triangle.Predicates.is_super_heronian_triangle?({3, 4, 5}) false iex&gt; Triangle.Predicates.is_super_heronian_triangle?({6, 29, 25}) true"},{"ref":"Chunky.Grid.html","title":"Chunky.Grid","type":"module","doc":"Functions for creating and manipulating a two dimenesional grid. Internally the grid is ordered as lists of lists, rather than a single list."},{"ref":"Chunky.Grid.html#find_index/2","title":"Chunky.Grid.find_index/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#get_at/2","title":"Chunky.Grid.get_at/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#get_at/3","title":"Chunky.Grid.get_at/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#new/3","title":"Chunky.Grid.new/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#put_all/2","title":"Chunky.Grid.put_all/2","type":"function","doc":"Add a list of point data to a grid. Points can be specified as {x, y, value} tuples or as maps of %{x: x, y: y, value: value}. Example #iex&gt; Grid.new(10, 10) |&gt; put_all([ {1, 1, &quot;#&quot;}, {3, 2, &quot;.&quot;}, ...])"},{"ref":"Chunky.Grid.html#put_at/3","title":"Chunky.Grid.put_at/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#put_at/4","title":"Chunky.Grid.put_at/4","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate/2","title":"Chunky.Grid.valid_coordinate/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate/3","title":"Chunky.Grid.valid_coordinate/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate?/2","title":"Chunky.Grid.valid_coordinate?/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate?/3","title":"Chunky.Grid.valid_coordinate?/3","type":"function","doc":""},{"ref":"Chunky.Math.html","title":"Chunky.Math","type":"module","doc":"Integer math, number theory, factorization, prime numbers, and numerical analysis. A seperate module of predicate functions (inspection and analysis of individual integers, like testing for primality) are available in Chunky.Math.Predicates. Modular Arithmetic Pure integer operations for Modular Arithmetic. pow/3 - Integer power in modular exponentiation Generating Constants digits_of_pi/1 - Generate n digits of pi, as a large integer next_digit_of_pi/0 and next_digit_of_pi/1 - A state carrying digit generator for Pi Integer Arithmetic Arithmetic functions for pure integer operations. double_factorial/1 - Double factorial (n!!) of n factorial/1 - Factorial (n!) of n falling_factorial/2 - Falling factorial of (n)m integer_nth_root?/3 - Determine if an integer has a specific n-th root integer_nth_root/3 - Find the n-th integer root, if it exists lcm/2 - Least common multiple of n and m lcm/1 - Least common multiple of a list of integers nth_integer_root/2 - Nearest m-th root of n such that root^m &lt;= n, returning a tuple nth_integer_root!/2 - Nearest m-th root of n such that root^m &lt;= n, returning an integer pow/2 - Integer exponentiation rising_factorial/2 - Rising factorial of n^(m) Float Arithmetic nth_root/3 - Floating point n-th root of an integer floats_equal?/3 - Determine if two floats are equal, within an error bound Sets and Lists has_subset_sum?/2 - Does any subset of integers in a list sum to n? Factorization and Divisors Work with divisors and prime factors. factorization_count/1 - Count the number of possible factorizations of n. factor_pairs/2 - Find pair wise factors of n. factors/1 - All divisors for an integer is_power_of?/2 - Is n a power of m? is_root_of?/2 - Check if m is a k-th root of n ordered_factorization_count/1 - Count the number of ordered factorizations of n partitions_into_two_squares/1 - Count the number of partitions of n into the sum of two squares prime_factors/1 - Factorize an integer into prime factors reduced_prime_factors/1 - Find the prime factors and their powers for n sigma/1 - Sigma-1 function (sum of divisors) tau/1 - Tau function, number of divisors of n Digit Checks and Manipulations contains_digit?/2 - Check if n contains the digit in its current base representation is_cyclops_number_in_base?/2 - Is n a cyclops number in base b? digit_count/3 - Count digits in n in any base representation digit_runs/2 - Break n apart into runs of similar digits digit_runs_count/2 - Count the number of digit runs in n digit_sum/1 - Calculate the sum of the digits of n is_in_base?/2 - Is the number or list of digits n a valid number in base b? is_pandigital_in_base?/2 - Is n a pandigital number in base b? is_plaindrome_in_base?/2 - Does n have never decreasing digits in base b? is_palindromic_in_base?/2 - Is n palindromic in base b? length_in_base/2 - How many digits long is n in base b? remove_digits!/3 - Remove one or more digits from n, returning a reconstituted number repunit/1 - Calculate the nth Repunit reverse_number/1 - Reverse the digits of n rotations/1 - Enumerate all circular rotations of n to_base/2 - Convert a decimal integer to any base, returning an integer or list depending on base Primes Analyze, test, and generate prime numbers. coprimes/1 - Find coprimes of n from 2 to n - 1 coprimes/2 - Find coprimes of n up to a greatest_prime_factor/1 - Find the largest prime factor of n is_coprime?/2 - Test if two integers are coprime or relatively prime is_euler_jacobi_pseudo_prime?/2 - Euler-Jacobi pseudo-primality of n in base b is_euler_pseudo_prime?/2 - Euler pseudo-primality of n in base b is_pseudo_prime?/2 - Fermat pseudo-primality of n in base b least_prime_factor/1 - Find the smallest prime factor of n prime_factor_exponents/1 - Find the exponents of all prime factors of n prime_pi/1 - Prime counting function, number of primes less than or equal n Number Theory Functions related to Number Theory operations over the integers. aliquot_sum/1 - Find the Aliquot Sum of n bernoulli_number/1 - Find the n-th Bernoulli number bigomega/1 - Big Omega function - count of distinct primes, with multiplicity chebyshev_triangle_coefficient/2 - Calculate coefficient of Chebyshev&#39;s polynomial of the second kind divisors_of_form_mx_plus_b/3 - Divisors of n that conform to values of mx + b get_rhonda_to/2 - Find the bases for which n is a Rhonda number hamming_weight/2 - Find the Hamming Weight, the count of digits not 0, in different base representations of n is_of_mx_plux_b/3 - Does n conform to values of mx + b is_narcissistic_in_base?/2 - Is the sum of the kth power of the digits of a k length number n equal to n in base b? is_rhonda_to_base?/2 - Is n a Rhonda number to base b? jacobi_symbol/2 - Calculate the Jacobi symbol for (a/n) jordan_totient/2 - Calculate the Jordan totient J-k(n) legendre_symbol/2 - Calculate the Legendre symbol for (a/p) lucas_number/1 - Find the n-th Lucas Number lucky_numbers/1 - Generate the first n Lucky Numbers mobius_function/1 - Classical Mobius Function omega/1 - Omega function - count of distinct primes partition_count/1 - Number of ways to partition n into sums p_adic_valuation/2 - The p-adic valuation function (for prime p and integer n) pell_number/1 - Find the n-th denominator in the infinite sequence of fractional approximations of sqrt(2) pentagonal_number/1 - Find the n-th pentagonal number perfect_partition_count/1 - Count of perfect partitions of n product_of_prime_factor_exponents/1 - Decompose n to prime factors of the form x^y, find product of all y radical/1 - Square-free kernel, or rad(n) - product of distict prime factors sigma/2 - Generalized Sigma function for integers square_pyramidal_number/1 - Number of elements in an n x n stacked square pyramid stern_diatomic_series/1 - Find the nth number in the diatomic series tetrahedral_number/1 - Find the n-th tetrahedral number totient/1 - Calculate Euler&#39;s totient for n triangle_number/1 - Number of elements in a triangle of n rows triangle_row_for_element/1 - Row in triangle for n-th element triangle_position_for_element/1 - Position in triangle for n-th element Polynomials binomial/2 - Compute the binomial coefficient over (n k) euler_polynomial/2 - Calculate the Euler polynomial E_m(x) j_invariant_q_coefficient/1 - Find the n-th coefficient of the q expansion of the modular J invariant function. ramanujan_tau/1 - Find Ramanujan&#39;s Tau of n Combinatorics Functions dealing with Combinatorics, permutation calculations, and related topics. bell_number/1 - Compute the number of partitions of a set of size n binary_partitions_count/1 - Find the number of ways to partition 2 * n into powers of 2 catalan_number/1 - Find the Catalan number for n, counts of highly recursive objects and sets derangement_count/1 - Number of derangements of set size n, or subfactorial n endomorphism_count/1 - Number of endomorphisms of a set of size n euler_number/1 - Find the n-th Euler number. Also written EulerE. eulerian_number/2 - A(n, m), the number of permutations of the numbers 1 to n in which exactly m elements are greater than the previous element euler_zig/1 - Find the n-th Euler zig number euler_zig_zag/1 - Calculate the size of certain set permutations fubini_number/1 - Find the n-th Fubini number, the number of ordered partitions of a set size n hipparchus_number/1 - Find the n-th Hipparchus/Schroeder/super-Catalan number involutions_count/1 - Number of self-inverse permutations of n elements jacobsthal_number/1 - Calculate the n-th Jacobsthal number motzkin_number/1 - The number of different ways of drawing non-intersecting chords between n points on a circle n_choose_k/2 - Calculate the number of k element sets that can be obtained from an n element set ordered_subsets_count/1 - Count the number of partitions of a set of size n into any number of ordered lists. pancake_cut_max/1 - Count the maximum number of pieces that can be made from n cuts of a disk. plane_partition_count/1 - Number of plane partitions with sum n schroder_number/1 - Find the nth Schröder number. stirling_partition_number/2 - Number of non-empty sets of size k that can be made from a set of size n total_partitions/1 - Count the number of total, or series reduced tree, partitions of n elements two_color_bracelet_with_period_count/2 - The number of bracelet permutations for n beads, with period n two_color_bracelet_count/2 - The number of bracelet permutations for n beads of two colors wedderburn_etherington_number/1 - Calculate the size of certain binary tree sets Graph Theory Analyze numbers related to graph theory and trees. cayley_number/1 - Number of trees for n labeled vertices labeled_rooted_forests_count/1 - Number of labeled, rooted forests with n nodes labeled_rooted_trees_count/1 - Number of labeled, rooted trees with n nodes planted_3_trees_count/1 - The number of planted 3 trees of height less than n rooted_tree_count/1 - The number of unlabeled, or planted, trees with n nodes Fractals Integer fractals, and related number sets. start_kolakoski_sequence/1 - Initialize the structure for a Kolakoski sequence extend_kolakoski_sequence/1 - Extend a Kolakoski sequence by one iteration extend_kolakoski_sequence_to_length/2 - Extend a Kolakoski sequence to be at least the given length Abstract Algebra Functions, numbers, and set counting related to Abstract Algebra. abelian_group_count/1 - Number of Abelian groups of order n Differential Topology Manifolds, differential geometry, and differential topology functions. hurwitz_radon_number/1 - Calculate the Hurwitz-Radon number for n Cryptography Functions related to cryptographc analysis, factorization in cryptography, and numeric constructions. is_b_smooth?/2 - Is n prime factor smooth up to b - all prime factors &lt;= b Number Generation Number sequence iteration functions used by the Chunky.Sequence library. next_number/2 - Use a number theory predicate to find the next integer in a sequence"},{"ref":"Chunky.Math.html#abelian_groups_count/1","title":"Chunky.Math.abelian_groups_count/1","type":"function","doc":"Count the number of Abelian groups of order n. An Abelian group is a commutative group of elements in Abstract Algebra; this function counts the number of Abelian groups of a certain size. This implementation of size counting for Abelian groups of order n is based on finding the number of partitions (see partition_count/1) of the exponents of the prime factors of n. For instance, when n is 144, the prime factorization is 2^4 * 3^2, with exponents 4 and 2. Finding the product of the partitions of the exponents via p(4) * p(2) yields 5 * 2, or 10. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000688/1 - Number of Abelian groups of order n Examples iex&gt; Math.abelian_groups_count(1) 1 iex&gt; Math.abelian_groups_count(9984) 22"},{"ref":"Chunky.Math.html#aliquot_sum/1","title":"Chunky.Math.aliquot_sum/1","type":"function","doc":"Find the Aliquot Sum of n. An Aliquot Sum of an integer n is the sum of the proper divisors (all divisors except n) of n. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001065/1 - Aliquot sum of n Examples iex&gt; Math.aliquot_sum(1) 0 iex&gt; Math.aliquot_sum(10) 8 iex&gt; Math.aliquot_sum(48) 76"},{"ref":"Chunky.Math.html#bell_number/1","title":"Chunky.Math.bell_number/1","type":"function","doc":"Calculate the Bell Number of n, or the number of possible partitions of a set of size n. This function implementation relies on caching for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000110/1 - Bell or exponential numbers Examples iex&gt; Math.bell_number(3) 5 iex&gt; Math.bell_number(10) 115975 iex&gt; Math.bell_number(15) 1382958545 iex&gt; Math.bell_number(35) 281600203019560266563340426570"},{"ref":"Chunky.Math.html#bernoulli_number/1","title":"Chunky.Math.bernoulli_number/1","type":"function","doc":"Calculate the n-th Bernoulli number, and return it as a Fraction. Bernoulli numbers are used throughout number theory for analysis, series construction, and topology. While the odd Bernoulli numbers greater than B_1 are technically 0, this function returns a zero value fraction (the reduced value 0/1). OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a027642/1 - Denominator of Bernoulli numbers Examples iex&gt; Math.bernoulli_number(1) %Fraction{num: 1, den: 2} iex&gt; Math.bernoulli_number(4) %Fraction{num: -1, den: 30} iex&gt; Math.bernoulli_number(7) %Fraction{num: 0, den: 1} iex&gt; Math.bernoulli_number(8) %Fraction{num: -1, den: 30} iex&gt; Math.bernoulli_number(20) %Fraction{num: -174611, den: 330}"},{"ref":"Chunky.Math.html#bigomega/1","title":"Chunky.Math.bigomega/1","type":"function","doc":"Calculate Ω(n) - number of distinct prime factors, with multiplicity. See also omega/1 - number of distinct prime factors. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001222/1 - Number of prime divisors of n counting multiplicity Examples iex&gt; Math.bigomega(3) 1 iex&gt; Math.bigomega(15) 2 iex&gt; Math.bigomega(25) 2 iex&gt; Math.bigomega(99960) 8"},{"ref":"Chunky.Math.html#binary_partitions_count/1","title":"Chunky.Math.binary_partitions_count/1","type":"function","doc":"Find the number of ways to partition 2 * n into powers of 2. As this function is highly recursive, and uses a recurrence relationship, it uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000123/1 - Number of binary partitions Examples iex&gt; Math.binary_partitions_count(1) 2 iex&gt; Math.binary_partitions_count(5) 14 iex&gt; Math.binary_partitions_count(12) 94 iex&gt; Math.binary_partitions_count(37) 3074"},{"ref":"Chunky.Math.html#binomial/2","title":"Chunky.Math.binomial/2","type":"function","doc":"Calculate the binomial coefficient (n k). The binomial coefficient function determines the coefficient on the x^k term in the polynomial expansion of (1 + x)^n. Rather than run a full expansion, this function relies on the simple formula: As the factorial/1 function in Chunky.Math uses a cached speed up strategy, the calculation of the binomial by this method is fairly efficient. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000984/1 - Central binomial coefficients Examples iex&gt; Math.binomial(7, 3) 35 iex&gt; Math.binomial(20, 3) 1140 iex&gt; Math.binomial(20, 10) 184756 iex&gt; Math.binomial(100, 50) 100891344545564193334812497256"},{"ref":"Chunky.Math.html#catalan_number/1","title":"Chunky.Math.catalan_number/1","type":"function","doc":"Find the Catalan number of n, C(n). In combinatorial math, the Catalan numbers occur in a wide range of counting problems. Rather than the factorial or binomial expansion, this implementation uses a product over fractional parts to avoid recursion and precision loss. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000108/1 - Catalan Numbers Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159981/1 - Catalan numbers read modulo 4 Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159984/1 - Catalan numbers read modulo 5 Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159986/1 - Catalan numbers read modulo 7 Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159987/1 - Catalan numbers read modulo 8 Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159988/1 - Catalan numbers read modulo 11 Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159989/1 - Catalan numbers read modulo 12 Chunky.Sequence.OEIS.Combinatorics.create_sequence_a289682/1 - Catalan numbers read modulo 16 Examples iex&gt; Math.catalan_number(2) 2 iex&gt; Math.catalan_number(20) 6564120420 iex&gt; Math.catalan_number(100) 896519947090131496687170070074100632420837521538745909320 iex&gt; Math.catalan_number(256) 1838728806050447178945542295919013188631170099776194095631629802153953581076132688111479765113051517392441367036708073775588228430597313880732554755142"},{"ref":"Chunky.Math.html#cayley_number/1","title":"Chunky.Math.cayley_number/1","type":"function","doc":"Calculate Cayley&#39;s formula for n - the number of trees on n labeled vertices. This formula also works for: number of spanning trees of a complete graph with labeled vertices number of transitive subtree acyclic digraphs on n-1 vertices counts parking functions the number of nilpotent partial bijections (of an n-element set) OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000272/1 - Number of trees on n labeled nodes Examples iex&gt; Math.cayley_number(1) 1 iex&gt; Math.cayley_number(5) 125 iex&gt; Math.cayley_number(18) 121439531096594251776 iex&gt; Math.cayley_number(37) 7710105884424969623139759010953858981831553019262380893"},{"ref":"Chunky.Math.html#chebyshev_triangle_coefficient/2","title":"Chunky.Math.chebyshev_triangle_coefficient/2","type":"function","doc":"Calculate Chebyshev&#39;s triangle of coefficients at S(n, k). The coefficient triangle is used for diophantine polynomial analysis, spherical harmonics, series analysis, and other number theoretic applications. While a recurrence relationship exists, this function uses a binomial expansion to find values. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a049310/1 - Triangle of coefficients of Chebyshev&#39;s polynomials Examples iex&gt; Math.chebyshev_triangle_coefficient(0, 0) 1 iex&gt; Math.chebyshev_triangle_coefficient(4, 2) -3 iex&gt; Math.chebyshev_triangle_coefficient(9, 4) 0 iex&gt; Math.chebyshev_triangle_coefficient(11, 7) 36"},{"ref":"Chunky.Math.html#contains_number?/2","title":"Chunky.Math.contains_number?/2","type":"function","doc":"Check if a number n contains the number m in it&#39;s decimal digit representation. Examples iex&gt; Math.contains_number?(34, 3) true iex&gt; Math.contains_number?(2048, 20) true iex&gt; Math.contains_number?(2048, 49) false"},{"ref":"Chunky.Math.html#coprimes/1","title":"Chunky.Math.coprimes/1","type":"function","doc":"Find all positive coprimes of n, from 2 up to n. Two numbers a and b are coprime if, and only if, the only positive integer factor that divides both of them is 1. If you need comprimes of n greater than n, see coprimes/2. If you only need the count of coprimes of n, see totient/1. Examples iex&gt; Math.coprimes(2) [1] iex&gt; Math.coprimes(3) [1, 2] iex&gt; Math.coprimes(10) [1, 3, 7, 9] iex&gt; Math.coprimes(36) [1, 5, 7, 11, 13, 17, 19, 23, 25, 29, 31, 35]"},{"ref":"Chunky.Math.html#coprimes/2","title":"Chunky.Math.coprimes/2","type":"function","doc":"Find all positive coprimes of n from 2 up to d. Two numbers a and b are coprime if, and only if, the only positive integer factor that divides both of them is 1. If you only need the coprimes of n less than or equal to n, see coprimes/1. Examples iex&gt; Math.coprimes(2, 10) [1, 3, 5, 7, 9] iex&gt; Math.coprimes(3, 20) [1, 2, 4, 5, 7, 8, 10, 11, 13, 14, 16, 17, 19, 20] iex&gt; Math.coprimes(10, 30) [1, 3, 7, 9, 11, 13, 17, 19, 21, 23, 27, 29] iex&gt; Math.coprimes(38, 50) [1, 3, 5, 7, 9, 11, 13, 15, 17, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49]"},{"ref":"Chunky.Math.html#derangement_count/1","title":"Chunky.Math.derangement_count/1","type":"function","doc":"Find the number of derangements of a set of size n. A derangement of a set is a permutation of the set, such that no element is in its original position. Also called the subfactorial of n, the recontres number, or de Montmor number. This implementation uses the Euler recurrence, a(n) = n * a(n - 1) + -1^n. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000166/1 - Derangement, or recontres number Examples iex&gt; Math.derangement_count(1) 0 iex&gt; Math.derangement_count(8) 14833 iex&gt; Math.derangement_count(17) 130850092279664 iex&gt; Math.derangement_count(134) 733162663744579191293964143415001307906325722892139819974619962654978249255036185299413091417144999745154783570225783145979302466795277487832988219926200862943908125847693470304687165754228414941338831577093697357593753008645129"},{"ref":"Chunky.Math.html#digit_count/3","title":"Chunky.Math.digit_count/3","type":"function","doc":"Count the number of specific digits in n. Using the base option, you can select which base the number is converted to before counting digits. The list of digits being counted can have one or more integers, allowing flexible counting of different combinations of digits (see examples). Options base - Integer. Default 10. Numeric base to convert n to before counting. Examples Count how many 2s are in a number: iex&gt; Math.digit_count(200454232, [2]) 3 Count the even digits in a number: iex&gt; Math.digit_count(123456789, [2, 4, 6, 8]) 4 Count the 1s and 2s in the ternary expansion (base 3) of a number: iex&gt; Math.digit_count(245_987_340, [1, 2], base: 3) 12 Count the number of 25s in the base 60 expansion of a number: iex&gt; Math.digit_count(1173840858356, [25], base: 60) 2"},{"ref":"Chunky.Math.html#digit_runs/2","title":"Chunky.Math.digit_runs/2","type":"function","doc":"Break apart n into runs of digits. Optionally specify the base (default 10) in which to expand the number n. A run of digits is any grouping of identical digits. The groups of digits are returned as lists, so the final result is a list of lists. Options base - Integer. Default 10. Examples iex&gt; Math.digit_runs(1233455) [[1], [2], [3, 3], [4], [5, 5]] iex&gt; Math.digit_runs(847, base: 2) [ [1, 1], [0], [1], [0, 0], [1, 1, 1, 1]] iex&gt; Math.digit_runs(1442792515, base: 16) [ [5, 5], [15, 15], [4, 4, 4], [3]] iex&gt; Math.digit_runs(614482, base: 30) [ [22, 22, 22, 22] ] iex&gt; Math.digit_runs(-100200) [ [1], [0, 0], [2], [0, 0]]"},{"ref":"Chunky.Math.html#digit_runs_count/2","title":"Chunky.Math.digit_runs_count/2","type":"function","doc":"Count the number of digit runs in n. Optionally specify the base (default 10) in which to expand n. See digit_runs/2 for more details on how digit runs are constructed. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a005811/1 - Number of runs in binary expansion of n Examples iex&gt; Math.digit_runs_count(1233455) 5 iex&gt; Math.digit_runs_count(54321, base: 2) 9 iex&gt; Math.digit_runs_count(1234567890987654321, base: 8) 18"},{"ref":"Chunky.Math.html#digit_sum/1","title":"Chunky.Math.digit_sum/1","type":"function","doc":"Calculate the sum of the digits of n. Examples iex&gt; Math.digit_sum(1234) 10 iex&gt; Math.digit_sum(2048) 14 iex&gt; Math.digit_sum(1234567890987654321) 90"},{"ref":"Chunky.Math.html#digits_of_pi/1","title":"Chunky.Math.digits_of_pi/1","type":"function","doc":"Generate n digits of pi, as a single large integer. This function uses a non-digit extraction version of Bailey-Borwein-Plouffe summation for generating accurate digits of Pi in base 10. This uses a summation over fractional values to maintain precision: Using this formula, it is possible to create many hundreds of digits of Pi in less than a second. Generating 5,000 digits takes roughly 30 seconds. Examples iex&gt; Math.digits_of_pi(3) 314 iex&gt; Math.digits_of_pi(31) 3141592653589793238462643383279 iex&gt; Math.digits_of_pi(45) 314159265358979323846264338327950288419716939"},{"ref":"Chunky.Math.html#divisors_of_form_mx_plus_b/3","title":"Chunky.Math.divisors_of_form_mx_plus_b/3","type":"function","doc":"Find all divisors of n of the form mx + b. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a002654/1 - Number of ways of writing n as a sum of at most two nonzero squares Examples iex&gt; Math.divisors_of_form_mx_plus_b(4, 1, 5) [1, 5] iex&gt; Math.divisors_of_form_mx_plus_b(4, 1, 45) [1, 5, 9, 45] iex&gt; Math.divisors_of_form_mx_plus_b(4, 3, 4) [] iex&gt; Math.divisors_of_form_mx_plus_b(4, 3, 9975) [3, 7, 15, 19, 35, 75, 95, 175, 399, 475, 1995, 9975]"},{"ref":"Chunky.Math.html#double_factorial/1","title":"Chunky.Math.double_factorial/1","type":"function","doc":"Calculate the double factorial of n, n!!. The double factorial steps down by 2 each iteration, with 0!! and 1!! both equal to 1. So the double factorial of 5 is 5!! == 5 * 3 * 1 == 15 This function uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001147/1 - Double factorial of odd numbers Chunky.Sequence.OEIS.Core.create_sequence_a006882/1 - Double factorials of n Examples iex&gt; Math.double_factorial(1) 1 iex&gt; Math.double_factorial(5) 15 iex&gt; Math.double_factorial(10) 3840 iex&gt; Math.double_factorial(18) 185794560 iex&gt; Math.double_factorial(29) 6190283353629375"},{"ref":"Chunky.Math.html#endomorphism_count/1","title":"Chunky.Math.endomorphism_count/1","type":"function","doc":"Count the number of endofunctions (as endomorphisms) for a set of size n. This counts endofunctions as an endomorphism over the set of size n, which is equivalent to n^n. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000312/1 - Number of endofunctions Examples iex&gt; Math.endomorphism_count(0) 1 iex&gt; Math.endomorphism_count(4) 256 iex&gt; Math.endomorphism_count(40) 12089258196146291747061760000000000000000000000000000000000000000 iex&gt; Math.endomorphism_count(123) 114374367934617190099880295228066276746218078451850229775887975052369504785666896446606568365201542169649974727730628842345343196581134895919942820874449837212099476648958359023796078549041949007807220625356526926729664064846685758382803707100766740220839267"},{"ref":"Chunky.Math.html#euler_number/1","title":"Chunky.Math.euler_number/1","type":"function","doc":"Find the n-th Euler number. Also written EulerE. This calculation of the n-th Euler number is based on the Euler Polynomial: E_n(1/2) * 2^n such that the 6th Euler Number would be: E_6(1/2) * 2^6 or -61 Examples iex&gt; Math.euler_number(0) 1 iex&gt; Math.euler_number(3) 0 iex&gt; Math.euler_number(6) -61 iex&gt; Math.euler_number(16) 19391512145 iex&gt; Math.euler_number(64) 45358103330017889174746887871567762366351861519470368881468843837919695760705"},{"ref":"Chunky.Math.html#euler_polynomial/2","title":"Chunky.Math.euler_polynomial/2","type":"function","doc":"Calculate the Euler polynomial E_m(x). This calculate is based on the explicit double summation: In this implementation the value of x is always converted to a fraction before calculations begin. Examples iex&gt; Math.euler_polynomial(6, Fraction.new(1, 2)) %Chunky.Fraction{den: 4096, num: -3904} iex&gt; Math.euler_polynomial(6, 4) |&gt; Fraction.get_whole() 1332 iex&gt; Math.euler_polynomial(2, 15) |&gt; Fraction.get_whole() 210 iex&gt; Math.euler_polynomial(8, Fraction.new(1, 3)) %Chunky.Fraction{den: 1679616, num: 7869952}"},{"ref":"Chunky.Math.html#euler_zig/1","title":"Chunky.Math.euler_zig/1","type":"function","doc":"Find the n-th Euler zig number. Values for this function are based on the relation of the zig numbers to Euler Numbers, of the form ezig(n) = abs(EulerE(2n)) OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000364/1 - Euler secant (or zig) numbers Examples iex&gt; Math.euler_zig(0) 1 iex&gt; Math.euler_zig(2) 5 iex&gt; Math.euler_zig(10) 370371188237525"},{"ref":"Chunky.Math.html#euler_zig_zag/1","title":"Chunky.Math.euler_zig_zag/1","type":"function","doc":"Calculate the Euler zig zag, or up/down, number for n. The zig zag set is used in combinatorics to count the size of alternating sets of permutations. Other noted uses of the zig zag numbers (via OEIS A000111): Number of linear extensions of the &quot;zig-zag&quot; poset. Number of increasing 0-1-2 trees on n vertices. ... the number of refinements of partitions. For n &gt;= 2, a(n-2) = number of permutations w of an ordered n-set The number of binary, rooted, unlabeled histories with n+1 leaves As the calculation of the Euler Zig Zag is multiply recursive, this implementation uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000111/1 - Euler or up/down numbers Examples iex&gt; Math.euler_zig_zag(1) 1 iex&gt; Math.euler_zig_zag(10) 50521 iex&gt; Math.euler_zig_zag(20) 370371188237525 iex&gt; Math.euler_zig_zag(99) 45608516616801111821043829531451697185581949239892414478770427720660171869441004793654782298700276817088804993740898668991870306963423232"},{"ref":"Chunky.Math.html#eulerian_number/2","title":"Chunky.Math.eulerian_number/2","type":"function","doc":"Calculate the Eulerian Number A(n, m), the number of permutations of the numbers 1 to n in which exactly m elements are greater than the previous element. The Eulerian numbers form the Euler triangle: 1 1 1 1 4 1 1 11 11 1 1 26 66 26 1 1 57 302 302 57 1 Where n is the row (starting at 1) and m is the offset in the row (starting at 0). So the value 66 is at row 5, offset 2: iex&gt; Math.eulerian_number(5, 2) 66 The sum of values at row n is n! This implementation of Eulerian Number calculation uses a recursive algorithm with caching for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a008292/1 - Triangle of Eulerian numbers Examples iex&gt; Math.eulerian_number(5, 4) 1 iex&gt; Math.eulerian_number(7, 4) 1191 iex&gt; Math.eulerian_number(9, 3) 88234 iex&gt; Math.eulerian_number(25, 13) 3334612565134607644610436"},{"ref":"Chunky.Math.html#extend_kolakoski_sequence/1","title":"Chunky.Math.extend_kolakoski_sequence/1","type":"function","doc":"Extend a Kolakoski sequence by one iteration. Each iteration of the sequence will add one, or more, elements to the sequence. See start_kolakoski_sequence/1 and extend_kolakoski_sequence_to_length/2. Examples iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence() {[1], 1, {1, 2}}"},{"ref":"Chunky.Math.html#extend_kolakoski_sequence_to_length/2","title":"Chunky.Math.extend_kolakoski_sequence_to_length/2","type":"function","doc":"Extend a Kolakoski sequence by successive iterations until the sequence is at least the given length. As each iteration of the sequence will add one or more elements to the sequence, the best guarantee that can be made is that the newly extended sequence will have at least a certain number of elements. Examples iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence_to_length(23) {[1, 2, 2, 1, 1, 2, 1, 2, 2, 1, 2, 2, 1, 1, 2, 1, 1, 2, 2, 1, 2, 1, 1], 15, {1, 2}} iex&gt; {seq, _, _} = Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence_to_length(26) iex&gt; length(seq) 27"},{"ref":"Chunky.Math.html#factor_pairs/2","title":"Chunky.Math.factor_pairs/2","type":"function","doc":"Find all pairs of factors of n, with or without duplicates. This is a variant of the factors/1 function, in that it builds the full pairs of factors of n in tuple form. Options duplicates - Boolean. Default false. If true, include the ordered duplicates of factors (see examples) Examples iex&gt; Math.factor_pairs(8) [{1, 8}, {2, 4}] iex&gt; Math.factor_pairs(8, duplicates: true) [{1, 8}, {2, 4}, {4, 2}, {8, 1}] iex&gt; Math.factor_pairs(84) [1, 2, 3, 4, 6, 7, 12, 14, 21, 28, 42, 84] [{1, 84}, {2, 42}, {3, 28}, {4, 21}, {6, 14}, {7, 12}]"},{"ref":"Chunky.Math.html#factorial/1","title":"Chunky.Math.factorial/1","type":"function","doc":"The factorial of n, or n!. A factorial of n is the product of n * (n - 1) * (n - 2) * ... 1. This implementation uses a cache to speed up efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000142/1 - Factorial of n Examples iex&gt; Math.factorial(4) 24 iex&gt; Math.factorial(1) 1 iex&gt; Math.factorial(10) 3628800 iex&gt; Math.factorial(20) 2432902008176640000 iex&gt; Math.factorial(100) 93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000"},{"ref":"Chunky.Math.html#factorization_count/1","title":"Chunky.Math.factorization_count/1","type":"function","doc":"Count the number of possible factorizations of n. This counts a number as a factor of itself, as well as multi-set factorizations. So 8 has 3 factorizations; 8, 2*4, and 2*2*2. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001055/1 - The multiplicative partition Examples iex&gt; Math.factorization_count(1) 1 iex&gt; Math.factorization_count(30) 5 iex&gt; Math.factorization_count(286) 5 iex&gt; Math.factorization_count(9984) 254"},{"ref":"Chunky.Math.html#factors/1","title":"Chunky.Math.factors/1","type":"function","doc":"Factorize an integer into all divisors. This will find all divisors, prime and composite, of an integer. The algorithm used for factorization is not optimal for very large numbers, as it uses a multiple pass calculation for co-factors and composite factors. Example iex&gt; Math.factors(2) [1, 2] iex&gt; Math.factors(84) [1, 2, 3, 4, 6, 7, 12, 14, 21, 28, 42, 84] iex&gt; Math.factors(123456) [1, 2, 3, 4, 6, 8, 12, 16, 24, 32, 48, 64, 96, 192, 643, 1286, 1929, 2572, 3858, 5144, 7716, 10288, 15432, 20576, 30864, 41152, 61728, 123456]"},{"ref":"Chunky.Math.html#falling_factorial/2","title":"Chunky.Math.falling_factorial/2","type":"function","doc":"Calculate the falling factorial (n)m. Also called the descending factorial, falling sequential product, or lower factorial, this is the polynomial expansion: Examples iex&gt; Math.falling_factorial(4, 0) 1 iex&gt; Math.falling_factorial(6, 3) 120 iex&gt; Math.falling_factorial(8, 10) 0 iex&gt; Math.falling_factorial(21, 7) 586051200"},{"ref":"Chunky.Math.html#floats_equal?/3","title":"Chunky.Math.floats_equal?/3","type":"function","doc":"Compare two floating points number using an epsilon error boundary. Example iex&gt; Math.floats_equal?(3.11, 3.1) false iex&gt; Math.floats_equal?(3.11, 3.1, 0.05) true iex&gt; Math.floats_equal?(104.9999999, 104.9999996) true"},{"ref":"Chunky.Math.html#fubini_number/1","title":"Chunky.Math.fubini_number/1","type":"function","doc":"Find the n-th Fubini number, the number of ordered partitions of a set size n. The Fubini numbers are also useful as (via OEIS A000670): the number of preferential arrangements of n labeled elements the number of weak orders on n labeled elements the number of ways n competitors can rank in a competition, allowing for the possibility of ties the number of chains of subsets starting with the empty set and ending with a set of n distinct objects the number of &#39;factor sequences&#39; of N for the case in which N is a product of n distinct primes This implementation is recursive and relies on binomial/2, so it uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000670/1 - Fubini numbers Examples iex&gt; Math.fubini_number(0) 1 iex&gt; Math.fubini_number(3) 13 iex&gt; Math.fubini_number(19) 92801587319328411133 iex&gt; Math.fubini_number(52) 11012069943086163504795579947992458193990796847590859607173763880168176185195"},{"ref":"Chunky.Math.html#get_rhonda_to/2","title":"Chunky.Math.get_rhonda_to/2","type":"function","doc":"Find the bases for which n is a Rhonda number. Via OEIS: An integer n is a Rhonda number to base b if the product of its digits in base b equals b*Sum of prime factors of n (including multiplicity). Numbers can be Rhonda to more than one base, see OEIS A100988. By default the get_rhonda_to/1 function evaluates all bases from 4 to 500. You can specify an alternate set of bases with the :bases option. Options :bases - List of Integer. Bases to evaluate. Examples iex&gt; Math.get_rhonda_to(1000) [16, 36] iex&gt; Math.get_rhonda_to(5670) [36, 106, 108, 196] iex&gt; Math.get_rhonda_to(5670, bases: 100..150 |&gt; Enum.to_list()) [106, 108]"},{"ref":"Chunky.Math.html#greatest_prime_factor/1","title":"Chunky.Math.greatest_prime_factor/1","type":"function","doc":"Find the gpf(n) or greatest prime factor. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a006530/1 - Greatest prime factor of n Examples iex&gt; Math.greatest_prime_factor(1) 1 iex&gt; Math.greatest_prime_factor(39) 13 iex&gt; Math.greatest_prime_factor(99973) 389"},{"ref":"Chunky.Math.html#hamming_weight/2","title":"Chunky.Math.hamming_weight/2","type":"function","doc":"Find the Hamming Weight of n in a specific numeric base. By default, the Hamming Weight is calculated in Base 2. Hamming weight, binary weight, population count, or (in binary) bit summation, is the number of symbols in a given base representation of an integer that are not 0. See Hamming Weight. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000120/1 - Number of 1&#39;s in binary expansion of n Examples iex&gt; Math.hamming_weight(29) 4 iex&gt; Math.hamming_weight(29, 10) 2 iex&gt; Math.hamming_weight(100) 3 iex&gt; Math.hamming_weight(100, 10) 1"},{"ref":"Chunky.Math.html#has_subset_sum?/2","title":"Chunky.Math.has_subset_sum?/2","type":"function","doc":"Does a list of numbers contain any subset that sums to n? The subset sum solution is an NP-Complete problem. For this implementation a series of heuristics is used to quickly eliminate edge cases, and then an exponential time exact combinatoric algorithm is used to search for solutions. This algoritm is a fast pass recursion - as soon as a valid solution is found, the algorithm terminates. The best case running time is O(1), while the worst case (a full search of all solutions, with no valid sum) is exponential to the size of the list of numbers, or approximates O(2^N*N). Examples iex&gt; Math.has_subset_sum?([1, 2, 3, 5, 11], 9) true iex&gt; Math.has_subset_sum?([1, 2, 3, 5, 11], 11) true iex&gt; Math.has_subset_sum?([1, 2, 3, 5, 11], 23) false iex&gt; Math.has_subset_sum?([-3, 2, 4, 11], -1) true iex&gt; Math.has_subset_sum?([-3, 2, 4, 11], 14) true iex&gt; Math.has_subset_sum?([-3, 2, 4, 11], 10) true"},{"ref":"Chunky.Math.html#hipparchus_number/1","title":"Chunky.Math.hipparchus_number/1","type":"function","doc":"Find the n-th Hipparchus number. Also known as Schröder–Hipparchus numbers, super-Catalan numbers, or the little Schröder numbers. In combinatorics, the Hipparchus numbers are useful for (via Schröder–Hipparchus number on Wikipedia): The nth number in the sequence counts the number of different ways of subdividing of a polygon with n + 1 sides into smaller polygons by adding diagonals of the original polygon. The nth number counts the number of different plane trees with n leaves and with all internal vertices having two or more children. The nth number counts the number of different ways of inserting parentheses into a sequence of n symbols, with each pair of parentheses surrounding two or more symbols or parenthesized groups, and without any parentheses surrounding the entire sequence. The nth number counts the number of faces of all dimensions of an associahedron Kn + 1 of dimension n − 1, including the associahedron itself as a face, but not including the empty set. For instance, the two-dimensional associahedron K4 is a pentagon; it has five vertices, five faces, and one whole associahedron, for a total of 11 faces. Sometimes denoted by S(n), this implementation is based on the recurrence relationship: (n+1) * S(n) = (6*n-3) * S(n-1) - (n-2) * S(n-2) Because of the double recurrence, this implementation uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001003/1 - Schroeder&#39;s second problem Examples iex&gt; Math.hipparchus_number(4) 45 iex&gt; Math.hipparchus_number(10) 518859 iex&gt; Math.hipparchus_number(36) 6593381114984955663097869 iex&gt; Math.hipparchus_number(180) 104947841676596807726623444466946904465025819465719020148363699314181613887673617931952223933467760579812079483371393916388262613163133"},{"ref":"Chunky.Math.html#hurwitz_radon_number/1","title":"Chunky.Math.hurwitz_radon_number/1","type":"function","doc":"Calculate the Hurwitz-Radon number for n, the number of independent vector fields on a sphere in n-dimensional euclidean space. See Vector fields on spheres for more information. This function uses a set of 2-adic calculations to compute n in a closed form. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a003484/1 - Radon function Examples iex&gt; Math.hurwitz_radon_number(9) 1 iex&gt; Math.hurwitz_radon_number(32) 10 iex&gt; Math.hurwitz_radon_number(288) 10 iex&gt; Math.hurwitz_radon_number(9600) 16"},{"ref":"Chunky.Math.html#integer_nth_root/3","title":"Chunky.Math.integer_nth_root/3","type":"function","doc":"Determine if the n-th root of a number is a whole integer, returning a boolean and the root value. If the result n-th root is within epsilon of a whole integer, we consider the result an integer n-th root. This calcualtion runs the fast converging n-th root at a higher epsilon than it&#39;s configured to use for comparison and testing of the result value. Options epsilon - Float. Default 1.0e-6. Error bounds for calculating float equality. Examples iex&gt; Math.integer_nth_root(27, 3) {true, 3} iex&gt; Math.integer_nth_root(1234, 6) {false, :no_integer_nth_root, 3.2750594908836885} iex&gt; Math.integer_nth_root(33_038_369_407, 5) {true, 127}"},{"ref":"Chunky.Math.html#integer_nth_root?/3","title":"Chunky.Math.integer_nth_root?/3","type":"function","doc":"Predicate version of integer_nth_root/3 - does x have an integer n-th root. Examples iex&gt; Math.integer_nth_root?(27, 3) true iex&gt; Math.integer_nth_root?(1234, 6) false iex&gt; Math.integer_nth_root?(33_038_369_407, 5) true"},{"ref":"Chunky.Math.html#involutions_count/1","title":"Chunky.Math.involutions_count/1","type":"function","doc":"Find the number of involutions, or self-inverse permutations, on n elements. Also known as Permutation Involution. This implementation is based on a recursive calculation, and so uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000085/1 - Number of self-inverse permutations on n letters Examples iex&gt; Math.involutions_count(1) 1 iex&gt; Math.involutions_count(10) 9496 iex&gt; Math.involutions_count(100) 24053347438333478953622433243028232812964119825419485684849162710512551427284402176 iex&gt; Math.involutions_count(234) 60000243887036070789348415368171135887062020098670503272477698436854394126572492217644586010812169497365274140196122299728842304082915845220986966530354668079910372211697866503760297656388279100434472952800147699927974040547172024320"},{"ref":"Chunky.Math.html#is_b_smooth?/2","title":"Chunky.Math.is_b_smooth?/2","type":"function","doc":"Determine if an integer n is b-smooth, a composite of prime factors less than or equal to b. Numbers can be b-smooth for any b that is prime. For instance, the number 8 is 3-smooth, as it&#39;s factors would be: 1^1 * 2^3 * 3^0, whereas 15 is not 3-smooth, as it&#39;s factors would be 1^1 * 2^0 * 3^1 * 5^1 - it has prime factors whose value is greater than 3. Shortcut Functions There are a collection of pre-defined predicate functions (see Chunky.Math.Predicates) for checking b-smooth for the primes 3 to 23: - `is_3_smooth?/1` - `is_5_smooth?/1` - `is_7_smooth?/1` - `is_11_smooth?/1` - `is_13_smooth?/1` - `is_17_smooth?/1` - `is_19_smooth?/1` - `is_23_smooth?/1` Examples iex&gt; Math.is_b_smooth?(1944, 3) true iex&gt; Math.is_b_smooth?(101, 5) false iex&gt; Math.is_b_smooth?(705, 47) true"},{"ref":"Chunky.Math.html#is_coprime?/2","title":"Chunky.Math.is_coprime?/2","type":"function","doc":"Determine if two numbers, a and b, are co-prime. From Wikipedia: In number theory, two integers a and b are said to be relatively prime, mutually prime,[1] or coprime (also written co-prime) if the only positive integer (factor) that divides both of them is 1 Examples iex&gt; Math.is_coprime?(14, 15) true iex&gt; Math.is_coprime?(14, 21) false iex&gt; Math.is_coprime?(17, 2048) true"},{"ref":"Chunky.Math.html#is_cyclops_number_in_base?/2","title":"Chunky.Math.is_cyclops_number_in_base?/2","type":"function","doc":"Is n a cyclops number in base b? A cyclops number in a given base has exactly one 0 in its representation, in the exact middle of the number, with an equal number of digits on each side. This implies that there must be an odd number of digits. The provided number n is converted from base 10 to base b before being evaluated. Examples iex&gt; Math.is_cyclops_number_in_base?(119, 2) true iex&gt; Math.is_cyclops_number_in_base?(2146, 5) true iex&gt; Math.is_cyclops_number_in_base?(451, 8) true iex&gt; Math.is_cyclops_number_in_base?(68413345263, 16) true iex&gt; Math.is_cyclops_number_in_base?(956966581810, 60) true"},{"ref":"Chunky.Math.html#is_euler_jacobi_pseudo_prime?/2","title":"Chunky.Math.is_euler_jacobi_pseudo_prime?/2","type":"function","doc":"Check if n is an Euler-Jacobi pseudo-prime to base a. These numbers are like Euler pseudo-primes, but with a stricter congruence: where is the Jacobi symbol (see jacobi_symbol/1). Examples iex&gt; Math.is_euler_jacobi_pseudo_prime?(91, 10) true iex&gt; Math.is_euler_jacobi_pseudo_prime?(52633, 12) true iex&gt; Math.is_euler_jacobi_pseudo_prime?(15, 16) true iex&gt; Math.is_euler_jacobi_pseudo_prime?(169, 22) true iex&gt; Math.is_euler_jacobi_pseudo_prime?(133, 102) true"},{"ref":"Chunky.Math.html#is_euler_pseudo_prime?/2","title":"Chunky.Math.is_euler_pseudo_prime?/2","type":"function","doc":"Check if n is an Euler pseudo-prime in base a. Euler pseudo-primes are similar to the more standard definition of Euler-Jacobi pseudo-primes, but only need to satisfy the more permissive assertion that if a and n are coprime: See also is_euler_pseudo_prime?/1 for implicit base 10 check, or is_euler_jacobi_pseudo_prime?/2 for the more commonly accepted pseudo-prime check. Examples iex&gt; Math.is_euler_pseudo_prime?(185, 5) false iex&gt; Math.is_euler_pseudo_prime?(185, 6) true iex&gt; Math.is_euler_pseudo_prime?(91, 9) true iex&gt; Math.is_euler_pseudo_prime?(1105, 16) true"},{"ref":"Chunky.Math.html#is_in_base?/2","title":"Chunky.Math.is_in_base?/2","type":"function","doc":"Check if n is a valid number in base b. A number n that contains only valid digits in base b will be considered to be a valid number in that base. This test assumes that the value being provided is already in base b. If the value being tested is a number, this will only check number up to base 10. To check bases above 10, provide a list of digits, like [10, 17, 1, 29] (285359 in base 30). Examples iex&gt; Math.is_in_base?(123456, 5) false iex&gt; Math.is_in_base?(101011101, 2) true iex&gt; Math.is_in_base?(2430432, 6) true iex&gt; Math.is_in_base?([1, 17, 4, 10], 17) false iex&gt; Math.is_in_base?([1, 17, 4, 10], 18) true"},{"ref":"Chunky.Math.html#is_narcissistic_in_base?/2","title":"Chunky.Math.is_narcissistic_in_base?/2","type":"function","doc":"A narcissistic number n of length k is equal to the sum of the digits of n to the k-th power. For instance in base 10, the number 153 is of length 3, and is a narcissistic number, because 1^3 + 5^3 + 3^3 = 153. In base 4, the number 28 is narcissistic, as the base 4 representation is 130, and 1^3 + 3^3 + 0^3 = 28. Narcissistic numbers are also called Armstrong numbers, or plus-perfect numbers. OEIS References: A161953 - Base-16 Armstrong A161952 - Base-15 Armstrong A161951 - Base-14 Armstrong A161950 - Base-13 Armstrong A161949 - Base-12 Armstrong A161948 - Base-11 Armstrong A005188 - Armstrong numbers A010353 - Base-9 Armstrong numbers A010354 - Base-8 Armstrong numbers A010350 - Base-7 Armstrong numbers A010348 - Base-6 Armstrong numbers A010346 - Base-5 Armstrong numbers A010344 - Base-4 Armstrong numbers A114904 - Sorted numbers of digits of any base-10 narcissistic number A014576 - Smallest n-digit narcissistic numbers See also: Chunky.Math.Predicates.is_narcissistic_number?/1 Examples iex&gt; Math.is_narcissistic_in_base?(370, 10) true iex&gt; Math.is_narcissistic_in_base?(1741725, 10) true iex&gt; Math.is_narcissistic_in_base?(243, 4) true iex&gt; Math.is_narcissistic_in_base?(2292, 6) true iex&gt; Math.is_narcissistic_in_base?(432, 8) true iex&gt; Math.is_narcissistic_in_base?(403584751, 9) true"},{"ref":"Chunky.Math.html#is_of_mx_plus_b?/4","title":"Chunky.Math.is_of_mx_plus_b?/4","type":"function","doc":"Determine if n is a value of the form mx + b or mk + b, for specific values of m and b. This function checks if an integer n is of a specific form, and is not an interpolation of the line formula. Examples Check if numbers are of the form 4k + 3: iex&gt; Math.is_of_mx_plus_b?(4, 3, 1) false iex&gt; Math.is_of_mx_plus_b?(4, 3, 27) true iex&gt; Math.is_of_mx_plus_b?(4, 3, 447) true"},{"ref":"Chunky.Math.html#is_palindromic_in_base?/2","title":"Chunky.Math.is_palindromic_in_base?/2","type":"function","doc":"Check if n is palindromic in base b. The number n is converted from base 10 to base b before being checked as a palindrome. Examples iex&gt; Math.is_palindromic_in_base?(27, 2) true iex&gt; Math.to_base(27, 2) 11011 iex&gt; Math.is_palindromic_in_base?(105, 20) true iex&gt; Math.to_base(105, 20) [5, 5] iex&gt; Math.is_palindromic_in_base?(222, 3) false iex&gt; Math.to_base(222, 3) 22020"},{"ref":"Chunky.Math.html#is_pandigital_in_base?/2","title":"Chunky.Math.is_pandigital_in_base?/2","type":"function","doc":"Determine if n is pandigital in base b. A number n is pandigital when it contains all of the digits used in its base at least once. So in base 10 1234567888890 is pandigital, but 123456789 is not. The number n is treated as base 10, and converted to the base b before being tested. Examples iex&gt; Math.is_pandigital_in_base?(75, 4) true iex&gt; Math.is_pandigital_in_base?(1182263086756, 5) true iex&gt; Math.is_pandigital_in_base?(2048, 10) false"},{"ref":"Chunky.Math.html#is_plaindrome_in_base?/2","title":"Chunky.Math.is_plaindrome_in_base?/2","type":"function","doc":"Check if a number n in numeric base b is a plaindrome. A plaindrome has digits that never decrease in value when read from left to right. Examples iex&gt; Math.is_plaindrome_in_base?(123456, 10) true iex&gt; Math.is_plaindrome_in_base?(11111, 10) true iex&gt; Math.is_plaindrome_in_base?(111232, 10) false iex&gt; Math.is_plaindrome_in_base?(9842, 3) true"},{"ref":"Chunky.Math.html#is_power_of?/2","title":"Chunky.Math.is_power_of?/2","type":"function","doc":"Check if n is a power of m. This is partially the inverse of is_root_of?/2. Examples iex&gt; Math.is_power_of?(8, 2) true iex&gt; Math.is_power_of?(243, 3) true iex&gt; Math.is_power_of?(9, 2) false iex&gt; Math.is_power_of?(2, 2) true iex&gt; Math.is_power_of?(1, 17) true"},{"ref":"Chunky.Math.html#is_pseudo_prime?/2","title":"Chunky.Math.is_pseudo_prime?/2","type":"function","doc":"Determine if n is a Fermat pseudo-prime to base a. The pseudo-primes, or Fermat pseudo-primes, define a relationship between coprimes n and a, where n is a composite number, and a^(n - 1) % n == 1. The pseudo-primes over base 2 are often called the Poulet numbers. If n is pseudo-prime to all bases a that are coprime to n, it is a Carmichael number. OEIS References: Chunky.Sequence.OEIS.Primes - Fermat pseudo primes to base 2 through 100 Examples iex&gt; Math.is_pseudo_prime?(33, 10) true iex&gt; Math.is_pseudo_prime?(17, 10) false iex&gt; Math.is_pseudo_prime?(65, 12) true iex&gt; Math.is_pseudo_prime?(27, 12) false iex&gt; Math.is_pseudo_prime?(341, 60) true iex&gt; Math.is_pseudo_prime?(291, 60) false"},{"ref":"Chunky.Math.html#is_rhonda_to_base?/2","title":"Chunky.Math.is_rhonda_to_base?/2","type":"function","doc":"Check if n is a Rhonda number to the base b. Via OEIS: An integer n is a Rhonda number to base b if the product of its digits in base b equals b*Sum of prime factors of n (including multiplicity). Examples iex&gt; Math.is_rhonda_to_base?(1568, 10) true iex&gt; Math.is_rhonda_to_base?(2048, 10) false iex&gt; Math.is_rhonda_to_base?(855, 6) true iex&gt; Math.is_rhonda_to_base?(47652, 9) true iex&gt; Math.is_rhonda_to_base?(91224, 60) true"},{"ref":"Chunky.Math.html#is_root_of?/2","title":"Chunky.Math.is_root_of?/2","type":"function","doc":"Check if n is any k-th root of m, where k &gt; 2. This function uses a repeated multiplication method to test if n has any power k such that n^k == m. Examples iex&gt; Math.is_root_of?(2, 8) true iex&gt; Math.is_root_of?(2, 2048) true iex&gt; Math.is_root_of?(7, 16807) true iex&gt; Math.is_root_of?(5, 16808) false"},{"ref":"Chunky.Math.html#j_invariant_q_coefficient/1","title":"Chunky.Math.j_invariant_q_coefficient/1","type":"function","doc":"Find the n-th coefficient of the q expansion of the modular J invariant function. The Laurent series of the q-expansion begins: This function finds the n-th q coefficient using a recursive relation to the sigma-5 and sigma-3 of components of the expansion. Because this implementation is recursive, it uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000521/1 - Coefficients of modular function j Examples iex&gt; Math.j_invariant_q_coefficient(-1) 1 iex&gt; Math.j_invariant_q_coefficient(10) 22567393309593600 iex&gt; Math.j_invariant_q_coefficient(20) 189449976248893390028800 iex&gt; Math.j_invariant_q_coefficient(121) 20834019715817024229638765444619811002731409879518705977860"},{"ref":"Chunky.Math.html#jacobi_symbol/2","title":"Chunky.Math.jacobi_symbol/2","type":"function","doc":"Calculate the Jacobi Symbol (n/k). Via Wikipedia Jacobi Symbol: The Jacobi symbol is a generalization of the Legendre symbol. Introduced by Jacobi in 1837,[1] it is of theoretical interest in modular arithmetic and other branches of number theory, but its main use is in computational number theory, especially primality testing and integer factorization... The value of n can be any integer, while k must be a positive and odd integer. Examples iex&gt; Math.jacobi_symbol(13, 13) 0 iex&gt; Math.jacobi_symbol(2, 7) 1 iex&gt; Math.jacobi_symbol(156, 3) 0 iex&gt; Math.jacobi_symbol(199, 213) 1"},{"ref":"Chunky.Math.html#jacobsthal_number/1","title":"Chunky.Math.jacobsthal_number/1","type":"function","doc":"Find the n-th Jacobsthal number. These numbers are sometimes used in combinatorics for counting tiling variations, as well as having applications in number theory. The Jacobsthal numbers are a recurrence relation similar to the Fibonacci numbers, following the pattern: For this implementation, a closed form is used instead of a recurrence. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001045/1 - Jacobsthal Numbers Examples iex&gt; Math.jacobsthal_number(0) 0 iex&gt; Math.jacobsthal_number(10) 341 iex&gt; Math.jacobsthal_number(100) 422550200076076467165567735125 iex&gt; Math.jacobsthal_number(250) 603083798111021851164432213586916186735781170133544604372174916707880883541"},{"ref":"Chunky.Math.html#jordan_totient/2","title":"Chunky.Math.jordan_totient/2","type":"function","doc":"Jordan totient function Jk(n). The Jordan totient is a generalized form of the Euler totient function, where J1(n) = Φ(n). The Jordan totient is a positive integer m of k-tuples that are co-prime to n. Calculating the totient is a semi-closed form of a Dirichlet series/Euler product, and is dependent on the size of n for factorization and k for exponentiation. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001615/1 - Dedekind psi function Examples Finding J2(3): iex&gt; Math.jordan_totient(3, 2) 8 Finding J9(7): iex&gt; Math.jordan_totient(7, 9) 40353606 Finding J10(9999): iex&gt; Math.jordan_totient(9999, 10) 9989835316811664782653775044519099200000"},{"ref":"Chunky.Math.html#labeled_rooted_forests_count/1","title":"Chunky.Math.labeled_rooted_forests_count/1","type":"function","doc":"Count the number of labeled, rooted forests with n nodes. A rooted forest will have at most one path between any two nodes, and the total number of such forets with n nodes is (n + 1)^(n - 1) (a generalization of the Cayley formula). Examples iex&gt; Math.labeled_rooted_forests_count(1) 1 iex&gt; Math.labeled_rooted_forests_count(3) 16 iex&gt; Math.labeled_rooted_forests_count(11) 61917364224 iex&gt; Math.labeled_rooted_forests_count(32) 118558347188026655500106547231096910504441858017"},{"ref":"Chunky.Math.html#labeled_rooted_trees_count/1","title":"Chunky.Math.labeled_rooted_trees_count/1","type":"function","doc":"Count the number of labeled, rooted trees with n nodes. A rooted tree will have exactly one path between any two nodes, and the total number of such trees with n nodes is n^(n - 1). OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000169/1 - Number of labeled rooted trees with n nodes Examples iex&gt; Math.labeled_rooted_trees_count(1) 1 iex&gt; Math.labeled_rooted_trees_count(5) 625 iex&gt; Math.labeled_rooted_trees_count(17) 48661191875666868481 iex&gt; Math.labeled_rooted_trees_count(29) 88540901833145211536614766025207452637361"},{"ref":"Chunky.Math.html#lcm/1","title":"Chunky.Math.lcm/1","type":"function","doc":"Find the least common multiple of a list of integers. By definition LCM is a composable function, such that finding the least common multiple of a list of integers [a, b, c, d] is lcm(a, lcm(b, lcm(c, d))). Example iex&gt; Math.lcm([3, 5, 7, 11, 13, 17]) 255255 iex&gt; Math.lcm([2, 4, 8]) 8 iex&gt; Math.lcm([1, 3, 27]) 27 iex&gt; Math.lcm([1, 3, 37, 0, 145]) 0"},{"ref":"Chunky.Math.html#lcm/2","title":"Chunky.Math.lcm/2","type":"function","doc":"Find the least commom multiple of two integers. The LCM of two integers n and m is the smallest number b that is divisible by both n and m with no remainder - or satisfies the relationship b/n = 0, b/m = 0. Examples iex&gt; Math.lcm(2, 3) 6 iex&gt; Math.lcm(10, 5) 10 iex&gt; Math.lcm(17, 29) 493 iex&gt; Math.lcm(14, 230) 1610 iex&gt; Math.lcm(257, 0) 0"},{"ref":"Chunky.Math.html#least_prime_factor/1","title":"Chunky.Math.least_prime_factor/1","type":"function","doc":"Find the lpf(n) or least prime factor. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a020639/1 - lpf(n) Examples iex&gt; Math.least_prime_factor(1) 1 iex&gt; Math.least_prime_factor(39) 3 iex&gt; Math.least_prime_factor(99973) 257"},{"ref":"Chunky.Math.html#legendre_symbol/2","title":"Chunky.Math.legendre_symbol/2","type":"function","doc":"Calculate the Legendre Symbol of (a/p), where p is prime. The Legendre symbol is used in number theory when working with prime numbers and quadratic constructions. It was originally defined via the formula: Examples iex&gt; Math.legendre_symbol(12, 3) 0 iex&gt; Math.legendre_symbol(14, 11) 1 iex&gt; Math.legendre_symbol(29, 31) -1 iex&gt; Math.legendre_symbol(14, 9) ** (ArgumentError) p must be prime"},{"ref":"Chunky.Math.html#length_in_base/2","title":"Chunky.Math.length_in_base/2","type":"function","doc":"Determine the number of digits, or length, of a number n in base b. Examples iex&gt; Math.length_in_base(12345, 10) 5 iex&gt; Math.length_in_base(2048, 2) 12 iex&gt; Math.length_in_base(123456789, 60) 5"},{"ref":"Chunky.Math.html#lucas_number/1","title":"Chunky.Math.lucas_number/1","type":"function","doc":"Find the n-th Lucas Number. The Lucas Number is a recursive sequence, similar to the Fibonacci sequence, with alternative starting values. The successive values in the Lucas sequence form a ratio that approaches the Golden Ratio. This implementation uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000032/1 - Lucas numbers beginning at 2 Chunky.Sequence.OEIS.Core.create_sequence_a000204/1 - Lucas numbers beginning at 1 Examples iex&gt; Math.lucas_number(4) 7 iex&gt; Math.lucas_number(203) 2657608295638762232902023676028758508503879"},{"ref":"Chunky.Math.html#lucky_numbers/1","title":"Chunky.Math.lucky_numbers/1","type":"function","doc":"Generate the first n Lucky Numbers. The Lucky Numbers are generated as a sequential sieve, like the prime Sieve of Eratosthenes. This makes generating the nth term as a digit extraction of negligble utility, as it would require generating the preceding terms as part of the sieve process. Instead, this function takes advantage of the fact that the ratio of numbers before and after sieving grows at approximately the natural log of the size of the starting list. I.e., if we want n lucky numbers, we need a starting list of approximately n * log(m) integers. We can solve for m via a fast gradient. This will generally result in calculating more digits than necessary, but only by a small margin - extra digits are truncated in the returned list. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000959/1 - Lucky numbers Examples iex&gt; Math.lucky_numbers(5) [1, 3, 7, 9, 13] iex&gt; Math.lucky_numbers(10) [1, 3, 7, 9, 13, 15, 21, 25, 31, 33] iex&gt; Math.lucky_numbers(20) [1, 3, 7, 9, 13, 15, 21, 25, 31, 33, 37, 43, 49, 51, 63, 67, 69, 73, 75, 79] iex&gt; Math.lucky_numbers(30) [1, 3, 7, 9, 13, 15, 21, 25, 31, 33, 37, 43, 49, 51, 63, 67, 69, 73, 75, 79, 87, 93, 99, 105, 111, 115, 127, 129, 133, 135]"},{"ref":"Chunky.Math.html#mobius_function/1","title":"Chunky.Math.mobius_function/1","type":"function","doc":"The classical Möbius function μ(n). From Möbius Function on Wikipedia: For any positive integer n, define μ(n) as the sum of the primitive nth roots of unity. It has values in {−1, 0, 1} depending on the factorization of n into prime factors: μ(n) = 1 if n is a square-free positive integer with an even number of prime factors. μ(n) = −1 if n is a square-free positive integer with an odd number of prime factors. μ(n) = 0 if n has a squared prime factor. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a008683/1 - Moebius function Examples iex&gt; Math.mobius_function(1) 1 iex&gt; Math.mobius_function(24) 0 iex&gt; Math.mobius_function(99999) 0"},{"ref":"Chunky.Math.html#motzkin_number/1","title":"Chunky.Math.motzkin_number/1","type":"function","doc":"Calculate the n-th Motzkin number. In combinatorics, number theory, and geometry, the Motzkin number is used to find (via Wikipedia and OEIS A001006): the number of different ways of drawing non-intersecting chords between n points on a circle the number of routes on the upper right quadrant of a grid from coordinate (0, 0) to coordinate (n, 0) in n steps if one is allowed to move only to the right (up, down or straight) the number of involutions of {1,2,...,n} having genus 0 a wide variety of limits in sequence combinatorics and sub-sequence generation Motzkin numbers, for this implementation, are found via binomials (see binomial/2) and Catalan numbers (see catalan_number/1): OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001006/1 - Motzkin numbers Examples iex&gt; Math.motzkin_number(1) 1 iex&gt; Math.motzkin_number(15) 310572 iex&gt; Math.motzkin_number(57) 5127391665653918424581931 iex&gt; Math.motzkin_number(132) 906269136562156220773088044844995547011445535121944413744427"},{"ref":"Chunky.Math.html#n_choose_k/2","title":"Chunky.Math.n_choose_k/2","type":"function","doc":"Determine the number of subsets of n of k elements. Also written nCr. Also describes Pascals triangle by (row, offset), as well as the binomial expansion (n/k). OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a007318/1 - Pascal&#39;s triangle Examples iex&gt; Math.n_choose_k(5, 3) 10 iex&gt; Math.n_choose_k(10, 4) 210 iex&gt; Math.n_choose_k(25, 2) 300 iex&gt; Math.n_choose_k(50, 14) 937845656300"},{"ref":"Chunky.Math.html#next_digit_of_pi/0","title":"Chunky.Math.next_digit_of_pi/0","type":"function","doc":"Carry forward calculation of the next digit of Pi. The next_digit_of_pi/0 and next_digit_of_pi/1 functions provide a digit-at-a-time iterative generation of digits of Pi, accurate to at least 3,000 digits. This is useful for on demand generation of digits, but it does require a carry forward state value. Use like: {digit_0, carry} = next_digit_of_pi() {digit_1, carry} = next_digit_of_pi(carry) {digit_2, carry} = next_digit_of_pi(carry) ... This version of the Pi digit generation function will likely be updated in a future release to use a base-16 algorithm that is accurate for a larger number of digits."},{"ref":"Chunky.Math.html#next_digit_of_pi/1","title":"Chunky.Math.next_digit_of_pi/1","type":"function","doc":"See next_digit_of_pi/0."},{"ref":"Chunky.Math.html#next_number/3","title":"Chunky.Math.next_number/3","type":"function","doc":"Apply a number theoretic property test to integers to find the next number in a sequence. Examples iex&gt; Math.next_number(&amp;Math.Predicates.is_powerful_number?/1, 49) 64 iex&gt; Math.next_number(&amp;Math.Predicates.is_abundant?/1, 60) 66"},{"ref":"Chunky.Math.html#nth_integer_root/2","title":"Chunky.Math.nth_integer_root/2","type":"function","doc":"Find the nearest integer nth root of x, such that root^n &lt;= x. This is an iterative root method that bypasses any floating point operations, so is suitable for finding large integer roots. For numbers less than 2^64-1 the nth_root method may be faster. The return value of nth_integer_root is a tuple of either {:exact, value} or {:nearest, value} depending on the root. To get an immediate value, see nth_integer_root!/2. Examples iex&gt; a = 1234567890987654321 iex&gt; Math.nth_integer_root(a * a * a * a * a, 5) {:exact, 1234567890987654321} iex&gt; Math.nth_integer_root(100_000, 4) {:nearest, 17} iex&gt; Math.nth_integer_root(8, 3) {:exact, 2}"},{"ref":"Chunky.Math.html#nth_integer_root!/2","title":"Chunky.Math.nth_integer_root!/2","type":"function","doc":"Find the nearest integer nth root of x, such that root^n &lt;= x. This is an iterative root method that bypasses any floating point operations, so is suitable for finding large integer roots. For numbers less than 2^64-1 the nth_root method may be faster. The return value of nth_integer_root is an integer that is the exact, or nearest, nth root of x. If you need to know if the root is exact or nearest, see nth_integer_root/2. Examples iex&gt; a = 1234567890987654321 iex&gt; Math.nth_integer_root!(a * a * a * a * a, 5) 1234567890987654321 iex&gt; Math.nth_integer_root!(100_000, 4) 17 iex&gt; Math.nth_integer_root!(8, 3) 2"},{"ref":"Chunky.Math.html#nth_root/3","title":"Chunky.Math.nth_root/3","type":"function","doc":"Generalized floating point nth root, from: https://github.com/acmeism/RosettaCodeData/blob/master/Task/Nth-root/Elixir/nth-root.elixir based on a fast converging Newton&#39;s Method process. Note: Because the nth_root function is based on floating point operations, it will lose precision and introduce error for integers larger than ~16 digits Options precision - Float. Default 1.0e-7. Precision to which root is calculated. Examples iex&gt; Math.nth_root(8, 3) 2.0 iex&gt; Math.nth_root(27, 3) 3.0 iex&gt; Math.nth_root(78125, 7) 5.0 iex&gt; Math.nth_root(104, 3) 4.702669375441515"},{"ref":"Chunky.Math.html#omega/1","title":"Chunky.Math.omega/1","type":"function","doc":"Calculate ω(n) - the number of distinct prime factors of n. See also bigomega/1 - number of total prime factors of n. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001221/1 - Number of distinct primes dividing n Examples iex&gt; Math.omega(3) 1 iex&gt; Math.omega(15) 2 iex&gt; Math.omega(25) 1 iex&gt; Math.omega(99960) 5"},{"ref":"Chunky.Math.html#ordered_factorization_count/1","title":"Chunky.Math.ordered_factorization_count/1","type":"function","doc":"Count the number of ordered factorizations of n. Also called the Hille function, or Kalmár&#39;s problem, this counts all possible factorizations (not all necessarily prime) of n, regardless of order. So 10 has 3 factorizations, 2x5, 5x2, and 10. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a074206/1 - Kalmar&#39;s problem: number of ordered factorizations of n Examples iex&gt; Math.ordered_factorization_count(1) 1 iex&gt; Math.ordered_factorization_count(8) 4 iex&gt; Math.ordered_factorization_count(25) 2 iex&gt; Math.ordered_factorization_count(104) 20 iex&gt; Math.ordered_factorization_count(3648) 2496"},{"ref":"Chunky.Math.html#ordered_subsets_count/1","title":"Chunky.Math.ordered_subsets_count/1","type":"function","doc":"Count the number of partitions of a set into any number of ordered lists. Also known as the sum of all sizes of k-subsets of original set of size n. This implementation is based on a recurrence relation: A(n) = (2 * n - 1) * A(n - 1) - (n - 1) * (n - 2) * A(n - 2) As this is a highly recursive relation, a cache is used for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000262/1 - Number of sets of lists Examples iex&gt; Math.ordered_subsets_count(1) 1 iex&gt; Math.ordered_subsets_count(3) 13 iex&gt; Math.ordered_subsets_count(11) 824073141 iex&gt; Math.ordered_subsets_count(30) 197987401295571718915006598239796851"},{"ref":"Chunky.Math.html#p_adic_valuation/2","title":"Chunky.Math.p_adic_valuation/2","type":"function","doc":"Find the p-adic valuation of n. From p-adic order on Wikipedia: In number theory, for a given prime number p, the p-adic order or p-adic valuation of a non-zero integer n is the highest exponent ν such that p^ν divides n. The p value for p_adic_valuation must be prime. By defintion the p-adic value of 0 is always infinity. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001511/1 - The ruler function Examples A handful of examples for 3-adic, 5-adic, and 7-adic valuation, though any prime number can be used as the p value: 2-adic valutions: iex&gt; Math.p_adic_valuation(2, 1) 0 iex&gt; Math.p_adic_valuation(2, 24) 3 iex&gt; Math.p_adic_valuation(2, 9728) 9 3-adic valutions: iex&gt; Math.p_adic_valuation(3, 137) 0 iex&gt; Math.p_adic_valuation(3, 999) 3 7-adic valutions iex&gt; Math.p_adic_valuation(7, 686) 3 iex&gt; Math.p_adic_valuation(7, 980) 2"},{"ref":"Chunky.Math.html#pancake_cut_max/1","title":"Chunky.Math.pancake_cut_max/1","type":"function","doc":"Count the maximum number of pieces that can be made from n cuts of a disk. Also called the Central Polygonal Numbers, Pizza Numbers, or the Lazy Caterer&#39;s Sequence. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000123/1 - Lazy caterer&#39;s sequence Examples iex&gt; Math.pancake_cut_max(1) 2 iex&gt; Math.pancake_cut_max(3) 7 iex&gt; Math.pancake_cut_max(7) 29 iex&gt; Math.pancake_cut_max(24) 301"},{"ref":"Chunky.Math.html#partition_count/1","title":"Chunky.Math.partition_count/1","type":"function","doc":"Count the number of partitions of n. A partition of n is the set of ways of creating a sum of n. For example, 4 has a partition count of 5, as it can be represented as the following sums: 4 3 + 1 2 + 2 2 + 1 + 1 1 + 1 + 1 + 1 This is a recursive form of the Partition Function, yielding an exact answer, but computationally intensive for larger numbers. Because this function is exponentially recursive, it uses a value cache that persists as a named Agent, which is used by any call to partition_count. On a reasonably fast computer this results in the following execution times for different values of n: nSeconds 100.021 1000.071 10007.301 250043.616 300061.921 5000185.277 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000041/1 - Partitions of integer n Examples iex&gt; Math.partition_count(1) 1 iex&gt; Math.partition_count(10) 42 iex&gt; Math.partition_count(100) 190569292 iex&gt; Math.partition_count(416) 17873792969689876004"},{"ref":"Chunky.Math.html#partitions_into_two_squares/1","title":"Chunky.Math.partitions_into_two_squares/1","type":"function","doc":"Count the number of ways n can be partitioned into the sum of two squares. For the purposes of this function, the partition count for 0 and 1 is 1. For all cases, 1 counts as a square number. As examples: 5 has one partition, 1^2 + 2^2 25 has two partitions, 3^2 + 4^2 and 0^2 + 5^2 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000161/1 - Number of partitions of n into 2 squares Chunky.Sequence.OEIS.Core.create_sequence_a001481/1 - Numbers that are the sum of two squares Examples iex&gt; Math.partitions_into_two_squares(20) 1 iex&gt; Math.partitions_into_two_squares(300) 0 iex&gt; Math.partitions_into_two_squares(986) 2 iex&gt; Math.partitions_into_two_squares(9945) 4"},{"ref":"Chunky.Math.html#pell_number/1","title":"Chunky.Math.pell_number/1","type":"function","doc":"Find the Pell Number for n. Pell numbers are an infinite sequence of integers that form the denominators of increasingly accurate fractional representations of sqrt(2). See Pell Number on Wikipedia or Pell Number on MathWorld. Calculating the Pell numbers takes a similar recursive form to calculating the Fibonacci sequence: Pell(n) = 2 * Pell(n - 1) + Pell(n - 2) This implementation uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000129/1 - Pell numbers Examples iex&gt; Math.pell_number(1) 1 iex&gt; Math.pell_number(10) 2378 iex&gt; Math.pell_number(67) 15646814150613670132332869 iex&gt; Math.pell_number(123) 42644625325266431622582204734101084193553730205"},{"ref":"Chunky.Math.html#pentagonal_number/1","title":"Chunky.Math.pentagonal_number/1","type":"function","doc":"Find the n-th pentagonal number. See Pentagonal number for a useful visualization of how pentagonal numbers grow. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000326/1 - Pentagonal numbers Examples iex&gt; Math.pentagonal_number(0) 0 iex&gt; Math.pentagonal_number(30) 1335 iex&gt; Math.pentagonal_number(300) 134850 iex&gt; Math.pentagonal_number(874) 1145377"},{"ref":"Chunky.Math.html#perfect_partition_count/1","title":"Chunky.Math.perfect_partition_count/1","type":"function","doc":"Count the number of perfect partitions of n. A perfect partition of n is a partition of n such that any number from 1 to n can be uniquely generated using the values of the partition. Take, for example, the perfect partition of 4; {1, 1, 1, 1}. In this case the base required value (n copies of 1) is the only perfect partition. The partition {2, 1, 1} isn&#39;t part of the perfect partition because the value 2 could be constructed in two different ways with those values ({2, _, _} and {_, 1, 1}). When assessing a perfect partition, an intermediate value that can be constructed with the same partition values multiple times is still a perfect partition. For instance, 5 has as one of its valid perfect partitions {2, 2, 1}. The value 3 can be constructed twice, as {2, _, 1} and {2, 1, _}, but as both constructions use identical values (2 + 1), this is still a perfect partition. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a002033/1 - Number of perfect partitions of n Examples iex&gt; Math.perfect_partition_count(3) 2 iex&gt; Math.perfect_partition_count(23) 20 iex&gt; Math.perfect_partition_count(351) 112 iex&gt; Math.perfect_partition_count(2345) 75"},{"ref":"Chunky.Math.html#plane_partition_count/1","title":"Chunky.Math.plane_partition_count/1","type":"function","doc":"Count the number of planar partitions with sum n. Via Plane partition: in combinatorics, a plane partition is a two-dimensional array of nonnegative integers π{i,j} (with positive integer indices i and j) that is nonincreasing in both indices. The generalized formula for counting the number of plane partitions is This implementation uses the recurrence relationship: PL(n) = sum{1..n:k} PL(n - k) * sigma-2(k) As this is a deeply recursive recurrence, this implementation uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000219/1 - Number of planar partitions of n Examples iex&gt; Math.plane_partition_count(1) 1 iex&gt; Math.plane_partition_count(7) 86 iex&gt; Math.plane_partition_count(13) 2485 iex&gt; Math.plane_partition_count(34) 28175955"},{"ref":"Chunky.Math.html#planted_3_trees_count/1","title":"Chunky.Math.planted_3_trees_count/1","type":"function","doc":"Count the number of planted 3-trees of height &lt; n. Used in combinatoric calculations of tree rootings admitting trees of certain heights. The number of planted 3 trees grows very quickly - planted_3_trees_count(20) is a 50,084 digit number. This function is recursive, and uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a006894/1 - Number of planted 3-trees of height &lt; n Examples iex&gt; Math.planted_3_trees_count(1) 1 iex&gt; Math.planted_3_trees_count(3) 4 iex&gt; Math.planted_3_trees_count(6) 2279 iex&gt; Math.planted_3_trees_count(9) 5695183504492614029263279"},{"ref":"Chunky.Math.html#pow/2","title":"Chunky.Math.pow/2","type":"function","doc":"Integer exponentiation, x^y. This function uses pure integer methods to bypass issues with floating point precision trucation in large values using the built-in :math exponentiation functions. For negative exponents a Fraction will be returned. For pure integer roots, see nth_root_int/2. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000079/1 - Powers of 2 Chunky.Sequence.OEIS.Core.create_sequence_a000225/1 - Mersenne numbers Chunky.Sequence.OEIS.Core.create_sequence_a000244/1 - Powers of 3 Chunky.Sequence.OEIS.Core.create_sequence_a000290/1 - The squares, n^2 Example iex&gt; Math.pow(2, 10) 1024 iex&gt; Math.pow(17, 14) 168377826559400929 iex&gt; Math.pow(4, -3) %Fraction{num: 1, den: 64}"},{"ref":"Chunky.Math.html#pow/3","title":"Chunky.Math.pow/3","type":"function","doc":"Integer power/exponentiation in Modular Arithmetic. Examples iex&gt; Math.pow(5, 3, 13) 8 iex&gt; Math.pow(67930, 32319, 103969) 6582"},{"ref":"Chunky.Math.html#prime_factor_exponents/1","title":"Chunky.Math.prime_factor_exponents/1","type":"function","doc":"Count the exponents of the prime factors of n. This function counts the exponents on the prime factors of n, for example the number 2,025,000 can be factored to: [2, 2, 2, 3, 3, 3, 3, 5, 5, 5, 5, 5] or 2^3 * 3^4 * 5^5, hence the exponent of 2 is 3, the exponent of 3 is 4, and the exponent of 5 is 5. As a simpler example, the prime factors of 49 are [7, 7], or 7^2, so the result of prime_factor_exponents(49) would be %{7 =&gt; 2} Examples iex&gt; Math.prime_factor_exponents(2) %{2 =&gt; 1} iex&gt; Math.prime_factor_exponents(8) %{2 =&gt; 3} iex&gt; Math.prime_factor_exponents(2025000) %{2 =&gt; 3, 3 =&gt; 4, 5 =&gt; 5} iex&gt; Math.prime_factor_exponents(49) %{7 =&gt; 2}"},{"ref":"Chunky.Math.html#prime_factors/1","title":"Chunky.Math.prime_factors/1","type":"function","doc":"Decompose an integer to prime factors. This is not an exhaustive factorization, but a reduction to all prime factors for an integer. Examples iex&gt; Math.prime_factors(12) [1, 2, 2, 3] iex&gt; Math.prime_factors(101) [1, 101] iex&gt; Math.prime_factors(79170) [1, 2, 3, 5, 7, 13, 29] iex&gt; Math.prime_factors(233*444*727*456) [1, 2, 2, 2, 2, 2, 3, 3, 19, 37, 233, 727]"},{"ref":"Chunky.Math.html#prime_pi/1","title":"Chunky.Math.prime_pi/1","type":"function","doc":"Count the number of primes less than or equal to n. Sometimes written pi(n) or π(n), this is the prime counting function. This impementation uses a summation over fractions of the sigma/1 function. If the counting function needs to be applied over a sequence of numbers, it is more efficient to use the OEIS A000720 sequence from Chunky.Sequences.OEIS.Core, as it unrolls the continued summation using historic values: counter = Sequence.create(Sequence.OEIS.Core, :a000720) Examples iex&gt; Math.prime_pi(1) 0 iex&gt; Math.prime_pi(38) 12 iex&gt; Math.prime_pi(945) 160 iex&gt; Math.prime_pi(100000) 9592"},{"ref":"Chunky.Math.html#product_of_prime_factor_exponents/1","title":"Chunky.Math.product_of_prime_factor_exponents/1","type":"function","doc":"Find the product of the exponents of the prime factors of n. This function takes the prime factors of n, such as the factors of 8 = {1, 2, 2, 2}, groups the factors and to find the exponents, such as 8 = 1^1 * 2^3, and then finds the product of the exponents, like 1 * 3. Here the product of prime factorization exponents for 8 is 3. The numbers generated by this function are related to the OEIS Sequence A005361, and the prodex function. Examples iex&gt; Math.product_of_prime_factor_exponents(8) 3 iex&gt; Math.product_of_prime_factor_exponents(100000) 25"},{"ref":"Chunky.Math.html#radical/1","title":"Chunky.Math.radical/1","type":"function","doc":"Find the radical of an integer n. Also called the square-free kernel, or written as rad(n), the radical of an integer is the product of the distinct primes of n. Examples iex&gt; Math.radical(1) 1 iex&gt; Math.radical(504) 42 iex&gt; Math.radical(99960) 3570"},{"ref":"Chunky.Math.html#ramanujan_tau/1","title":"Chunky.Math.ramanujan_tau/1","type":"function","doc":"Calculate the Ramanujan Tau function for n. The Ramanujan Tau function is defined as: It&#39;s use in mathematics is noted by Wikipedia as an &quot;error term&quot; involved in counting the number of ways of expressing an integer as a sum of 24 squares When calculating the Nth term of the Ramanujan Tau, this function uses a summation form (developed in GP/Pari by Joerg Arndt), that looks like: a(n) = n^4 * sigma(n) - 24 * sum( k = 1, n - 1, ( 35 * k^4 - 52 * k^3 * n + 18 * k^2 * n^2 ) * sigma(k) * sigma(n - k) ) Note that the summation in sum(k = 1, n - 1, ... is linear to the size of n. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000594/1 - Ramanujan&#39;s Tau function Examples iex&gt; Math.ramanujan_tau(1) 1 iex&gt; Math.ramanujan_tau(15) 1217160 iex&gt; Math.ramanujan_tau(460) -132549189534720"},{"ref":"Chunky.Math.html#reduced_prime_factors/1","title":"Chunky.Math.reduced_prime_factors/1","type":"function","doc":"Find the prime factors of n as the factors to a power. While the prime_factors/1 function will return the full prime factorization of n as a list of all factors (such as [1, 2, 2, 3] for factors of 12), this function returns a list of tuples, with each tuple containing the prime factor, and the power of the prime factor, such as [{1, 1}, {2, 2}, {3, 1}] for the prime factors of 12. Examples iex&gt; Math.reduced_prime_factors(1) [{1, 1}] iex&gt; Math.reduced_prime_factors(16) [{2, 4}] iex&gt; Math.reduced_prime_factors(34560) [{2, 8}, {3, 3}, {5, 1}] iex&gt; Math.reduced_prime_factors(30223017) [{3, 3}, {11, 3}, {29, 2}]"},{"ref":"Chunky.Math.html#remove_digits!/3","title":"Chunky.Math.remove_digits!/3","type":"function","doc":"Remove all occurances of one or more digits from n. Once removed, the the remaining digits of n are reconstituted into a number. If no digits are remaining then 0 (or a configurable value) is returned. Examples iex&gt; Math.remove_digits!(123, [4, 5]) 123 iex&gt; Math.remove_digits!(123, [2]) 13 iex&gt; Math.remove_digits!(123, [1, 2, 3]) 0 iex&gt; Math.remove_digits!(123, [1, 2, 3], empty: nil) nil"},{"ref":"Chunky.Math.html#repunit/1","title":"Chunky.Math.repunit/1","type":"function","doc":"Calculate the nth Repunit, or R_n. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a002275/1 - Repunits Examples iex&gt; Math.repunit(0) 0 iex&gt; Math.repunit(1) 1 iex&gt; Math.repunit(5) 11111 iex&gt; Math.repunit(10) 1111111111 iex&gt; Math.repunit(25) 1111111111111111111111111"},{"ref":"Chunky.Math.html#reverse_number/1","title":"Chunky.Math.reverse_number/1","type":"function","doc":"Reverse the digits of n. If the rotated digits of n would have leading zeros, they are truncated. Examples iex&gt; Math.reverse_number(12345) 54321 iex&gt; Math.reverse_number(12300) 321 iex&gt; Math.reverse_number(11) 11"},{"ref":"Chunky.Math.html#rising_factorial/2","title":"Chunky.Math.rising_factorial/2","type":"function","doc":"Caculate the rising factorial n^(m). Also called the Pochhammer function, Pochhammer polynomial, ascending factorial, or upper factorial, this is the polynomial expansion: Examples iex&gt; Math.rising_factorial(3, 0) 1 iex&gt; Math.rising_factorial(4, 3) 120 iex&gt; Math.rising_factorial(7, 5) 55440 iex&gt; Math.rising_factorial(11, 13) 7124122778572800"},{"ref":"Chunky.Math.html#rooted_tree_count/1","title":"Chunky.Math.rooted_tree_count/1","type":"function","doc":"The number of unlabeled, or planted, trees with n nodes. Alternative definitions: Sometimes called Polya Trees Number of ways of arranging n-1 nonoverlapping circles Number of connected multigraphs of order n without cycles except for one loop This function is highly recursive, and in this implementation uses a cache to increase efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000081/1 - Number of unlabeled rooted trees with n nodes Examples iex&gt; Math.rooted_tree_count(2) 1 iex&gt; Math.rooted_tree_count(21) 35221832 iex&gt; Math.rooted_tree_count(53) 10078062032127180323468 iex&gt; Math.rooted_tree_count(150) 9550651408538850116424040916940356193332141892140610711711231180087"},{"ref":"Chunky.Math.html#rotations/1","title":"Chunky.Math.rotations/1","type":"function","doc":"Enumerate all of the rotations of n. A rotate of n involves a circular rotation of digits - the first digit moved to the end of the number, repeated until all possible rotations are enumerated. Examples iex&gt; Math.rotations(1234) [1234, 2341, 3412, 4123] iex&gt; Math.rotations(232) [232, 322, 223] iex&gt; Math.rotations(7) [7] iex&gt; Math.rotations(123456) [123456, 234561, 345612, 456123, 561234, 612345] iex&gt; Math.rotations(123123) [123123, 231231, 312312] iex&gt; Math.rotations(1111) [1111]"},{"ref":"Chunky.Math.html#schroder_number/1","title":"Chunky.Math.schroder_number/1","type":"function","doc":"Find the nth Schröder number. The Schroder numbers describe the number of lattice paths across a grid from a south east corner to a north east corner, using only north, east, or north-east steps. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a006318/1 - Large Schroder numbers Examples iex&gt; Math.schroder_number(0) 1 iex&gt; Math.schroder_number(2) 6 iex&gt; Math.schroder_number(6) 1806 iex&gt; Math.schroder_number(10) 1037718 iex&gt; Math.schroder_number(18) 600318853926"},{"ref":"Chunky.Math.html#sigma/1","title":"Chunky.Math.sigma/1","type":"function","doc":"Calculate the sigma-1 (or σ1(n)), also known as sum-of-divisors of an integer. This is all of the divisors of n summed. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000203/1 - Sum of divisors of n Chunky.Sequence.OEIS.Sigma - Sigma sequences Example iex&gt; Math.sigma(70) 144 iex&gt; Math.sigma(408) 1080 iex&gt; Math.sigma(100000) 246078"},{"ref":"Chunky.Math.html#sigma/2","title":"Chunky.Math.sigma/2","type":"function","doc":"Calculate a sigma function of an integer, for any p-th powers. This is a generalized Sigma function of the form σp(n), so the Sigma-0 of a number σ0(n) would be sigma(n, 0), while the Sigma-4 (σ4(n)) would be sigma(n, 4). For a faster version of σ1(n) (or the sum-of-divisors) see sigma/1. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000005/1 - Number of divisors of n Chunky.Sequence.OEIS.Core.create_sequence_a001157/1 - Sum of squares of divisors of n Examples iex&gt; Math.sigma(12, 2) 210 iex&gt; Math.sigma(19, 4) 130322 iex&gt; Math.sigma(24, 0) 8"},{"ref":"Chunky.Math.html#square_pyramidal_number/1","title":"Chunky.Math.square_pyramidal_number/1","type":"function","doc":"Find the n-th square pyramidal number. The number of elements in a square stacked pyramid n levels tall, or n x n at the base. Via Pyramidal square number on Wikipedia: Square pyramidal numbers also solve the problem of counting the number of squares in an n × n grid OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000330/1 - Square pyramidal numbers Examples iex&gt; Math.square_pyramidal_number(0) 0 iex&gt; Math.square_pyramidal_number(20) 2870 iex&gt; Math.square_pyramidal_number(147) 1069670 iex&gt; Math.square_pyramidal_number(970) 304694945"},{"ref":"Chunky.Math.html#start_kolakoski_sequence/1","title":"Chunky.Math.start_kolakoski_sequence/1","type":"function","doc":"Create a Kolakoski Sequence over the default alphabet of [1, 2]. A Kolakoski Sequence is a self-describing, Run Length Encoding over a specific alphabet of integers. The first values of the sequence are: 1,2,2,1,1,2,1,2,2,1,2,... In the OEIS catalog, this is sequence A000002. This sequence, unlike most others, does not extend by a single value at a time, rather by a length related to the size of the alphabet. See also extend_kolakoski_sequence/1 and extend_kolakoski_sequence_to_size/2 for ways to work with the sequence. The data returned by this function, and the other Kolakoski functions, carries the calculated sequence, the iteration number, and the alphabet, all of which are required for generating new values for the sequence. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000002/1 - Kolakoski Sequence Examples iex&gt; Math.start_kolakoski_sequence() {[], 0, {1, 2}} iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence() {[1], 1, {1, 2}} iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence_to_length(20) {[1, 2, 2, 1, 1, 2, 1, 2, 2, 1, 2, 2, 1, 1, 2, 1, 1, 2, 2, 1], 13, {1, 2}}"},{"ref":"Chunky.Math.html#stern_diatomic_series/1","title":"Chunky.Math.stern_diatomic_series/1","type":"function","doc":"Find the nth term of Stern&#39;s diatomic series. This function calculates the diatomic series via a binomial summation. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a002487/1 - Stern diatomic series, or Stern-Brocot sequence Examples iex&gt; Math.stern_diatomic_series(0) 0 iex&gt; Math.stern_diatomic_series(25) 7 iex&gt; Math.stern_diatomic_series(30) 4 iex&gt; Math.stern_diatomic_series(90) 12 iex&gt; Math.stern_diatomic_series(127) 7"},{"ref":"Chunky.Math.html#stirling_partition_number/2","title":"Chunky.Math.stirling_partition_number/2","type":"function","doc":"Find the Stirling partition number (or Stirling number of the second kind) {n, k}. In combinatorics, the Stirling partition number describes the number of ways to partition a set of n elements into k non-empty subsets. The explicit formula for {n, k} is: OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a008277/1 - Triangle of Stirling numbers of the second kind Examples iex&gt; Math.stirling_partition_number(0, 0) 1 iex&gt; Math.stirling_partition_number(3, 0) 0 iex&gt; Math.stirling_partition_number(5, 2) 15 iex&gt; Math.stirling_partition_number(7, 4) 350 iex&gt; Math.stirling_partition_number(10, 6) 22827 iex&gt; Math.stirling_partition_number(10, 13) 0"},{"ref":"Chunky.Math.html#tau/1","title":"Chunky.Math.tau/1","type":"function","doc":"The tau (number of divisors) function. Also written as 𝜏(n) or sigma(n, 0), this is a shortcut to sigma/2. Examples iex&gt; Math.tau(9) 3 iex&gt; Math.tau(34) 4 iex&gt; Math.tau(50) 6 iex&gt; Math.tau(3402) 24"},{"ref":"Chunky.Math.html#tetrahedral_number/1","title":"Chunky.Math.tetrahedral_number/1","type":"function","doc":"Find the n-th tetrahedral number. Tetrahedral numbers can be represented as a sum of triangular numbers: or a binomial: or as a rising factorial: This implementation uses the rising factorial, which reduces to just addition and multiplication operations. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000292/1 - Tetrahedral numbers Examples iex&gt; Math.tetrahedral_number(0) 0 iex&gt; Math.tetrahedral_number(34) 7140 iex&gt; Math.tetrahedral_number(47) 18424 iex&gt; Math.tetrahedral_number(9876) 160591999876"},{"ref":"Chunky.Math.html#to_base/2","title":"Chunky.Math.to_base/2","type":"function","doc":"Convert a decimal integer into another base. If the new base can be represented with the decimal digits (i.e.; bases 2 through 10), the returned value will be an integer. If the base is greater than 10, the return value will be a list of digits that are in base b. Examples iex&gt; Math.to_base(123, 3) 11120 iex&gt; Math.to_base(123456789, 8) 726746425 iex&gt; Math.to_base(987654321, 2) 111010110111100110100010110001 iex&gt; Math.to_base(2048, 60) [34, 8]"},{"ref":"Chunky.Math.html#total_partitions/1","title":"Chunky.Math.total_partitions/1","type":"function","doc":"Count the number of total, or series reduced tree, partitions of n elements. Also known as Schröder&#39;s Fourth problem. In combinatorics, this is the number of singleton reduced trees with n labels, where the leaves are non-empty sets. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000311/1 - Series-reduced rooted trees with n labeled leaves Examples iex&gt; Math.total_partitions(0) 0 iex&gt; Math.total_partitions(3) 4 iex&gt; Math.total_partitions(8) 660032 iex&gt; Math.total_partitions(20) 887094711304119347388416"},{"ref":"Chunky.Math.html#totient/1","title":"Chunky.Math.totient/1","type":"function","doc":"Euler&#39;s totient function for n. Also called phi or written as Φ(n), the Eulerian totient function counts the positive integers up to n that are relatively prime or coprime to n. The method used for calculating this function relies on a partially closed form of Euler&#39;s product formula that grows relative to the number of prime factors of n. If you need the actual coprimes of n, and not just the count of coprimes, see coprimes/1 or coprimes/2. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000010/1 - Euler&#39;s totient function, phi(n) Examples iex&gt; Math.totient(36) 12 iex&gt; Math.totient(101) 100 iex&gt; Math.totient(99999) 64800"},{"ref":"Chunky.Math.html#triangle_number/1","title":"Chunky.Math.triangle_number/1","type":"function","doc":"Find the triangle or triangular number of n. The triangle number is the number of elements in the triangular arrangement of elements with n elements on a side. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000217/1 - Triangular numbers Examples iex&gt; Math.triangle_number(0) 0 iex&gt; Math.triangle_number(4) 10 iex&gt; Math.triangle_number(50) 1275 iex&gt; Math.triangle_number(475) 113050 iex&gt; Math.triangle_number(29999) 449985000"},{"ref":"Chunky.Math.html#triangle_position_for_element/1","title":"Chunky.Math.triangle_position_for_element/1","type":"function","doc":"Find the triangle row and offset for the nth item in a triangle. Given an element or number triangle with a single element at the root, counting rows from 1, and elements from 0, this function will determine at which row and offset the n-th element will occur. So, given the triangle: * * * * * * * + * * * * * * * * * * * * * The + is the 8th item (index 7) in the triangle, and is on row 4, offset 1 from the left iex&gt; Math.triangle_position_for_element(7) {4, 1} Examples iex&gt; Math.triangle_position_for_element(0) {1, 0} iex&gt; Math.triangle_position_for_element(11) {5, 1} iex&gt; Math.triangle_position_for_element(20) {6, 5} iex&gt; Math.triangle_position_for_element(32003) {253, 125}"},{"ref":"Chunky.Math.html#triangle_row_for_element/1","title":"Chunky.Math.triangle_row_for_element/1","type":"function","doc":"Calculate the row in which the n-th element would be in an element triangle. Given an element or number triangle with a single element at the root, counting rows from 1, and elements from 0, this function will determine at which row the n-th element will occur. So, given the triangle: * * * * * * * + * * * * * * * * * * * * * The + is the 8th item (index 7) in the triangle, and is on row 4: iex&gt; Math.triangle_row_for_element(7) 4 Examples iex&gt; Math.triangle_row_for_element(0) 1 iex&gt; Math.triangle_row_for_element(11) 5 iex&gt; Math.triangle_row_for_element(20) 6 iex&gt; Math.triangle_row_for_element(30130) 245"},{"ref":"Chunky.Math.html#two_color_bracelet_count/2","title":"Chunky.Math.two_color_bracelet_count/2","type":"function","doc":"Count the number of bracelet permutations for n beads of two colors. By default the &quot;turning over&quot; of beads is allowed. See options below for configuraitons. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000029/1 - Bracelets with n beads of two colors with turning over Chunky.Sequence.OEIS.Core.create_sequence_a000031/1 - Bracelets with n beads of two colors without turning over Options allow_turning_over - Boolean. Default true. Allow or disallow &quot;turning over&quot; of beads on bracelet Examples iex&gt; Math.two_color_bracelet_count(5) 8 iex&gt; Math.two_color_bracelet_count(12) 224 iex&gt; Math.two_color_bracelet_count(37) 1857545300 iex&gt; Math.two_color_bracelet_count(5, allow_turning_over: false) 8 iex&gt; Math.two_color_bracelet_count(12, allow_turning_over: false) 352 iex&gt; Math.two_color_bracelet_count(37, allow_turning_over: false) 3714566312"},{"ref":"Chunky.Math.html#two_color_bracelet_with_period_count/2","title":"Chunky.Math.two_color_bracelet_with_period_count/2","type":"function","doc":"Count the number of bracelet permutations for n beads, with primitive period of n, with two colors. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000048/1 - Number of n-bead necklaces with beads of 2 colors and period n Options allow_turning_over - Boolean. Default false. Currently only supports false. Examples iex&gt; Math.two_color_bracelet_with_period_count(1) 1 iex&gt; Math.two_color_bracelet_with_period_count(5) 3 iex&gt; Math.two_color_bracelet_with_period_count(12) 170 iex&gt; Math.two_color_bracelet_with_period_count(38) 3616814565"},{"ref":"Chunky.Math.html#wedderburn_etherington_number/1","title":"Chunky.Math.wedderburn_etherington_number/1","type":"function","doc":"Calculate the Wedderburn-Etherington number for n. In combinatorics, the Wedderburn-Etherington number is used to determine the size of certain sets of Binary Trees. Other uses include (via Wikipedia and OEIS A001190): Otter Trees - the number of unordered rooted trees with n leaves in which all nodes including the root have either zero or exactly two children. Planted Trees - the number of unordered rooted trees with n nodes in which the root has degree zero or one and all other nodes have at most two children. The number of different ways of organizing a single-elimination tournament for n players Number of colorations of Kn (complete graph of order n) with n-1 colors such that no triangle is three-colored Calculation of the Wedderburn-Etherington number is done via a recurrence relationship for odd n: and even n: Because these relations are highly recursive, this implementation uses a cache for efficiency. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a001190/1 - Wedderburn-Etherington numbers Examples iex&gt; Math.wedderburn_etherington_number(3) 1 iex&gt; Math.wedderburn_etherington_number(5) 3 iex&gt; Math.wedderburn_etherington_number(9) 46 iex&gt; Math.wedderburn_etherington_number(45) 639754054803187 iex&gt; Math.wedderburn_etherington_number(300) 1972666500548256069567265504055115733765719122240464770401890754621349706143463425967160618093669965967626678829167"},{"ref":"Chunky.Math.Operations.html","title":"Chunky.Math.Operations","type":"module","doc":"The Operations module provides functions and macros for making particular repeated operations and series easier to work with. Most of these are just simplifications around enumerations over values, with support for either Integer or Fraction values. To use the macro operations, you need to require Chunky.Math.Operations first, and then you can import specific operations, like import Chunky.Math.Operations, only: [summation: 3]."},{"ref":"Chunky.Math.Operations.html#product/3","title":"Chunky.Math.Operations.product/3","type":"macro","doc":"Run a product across an expression. Any key or variable name can be used, along with a range and an expression: # 1 * 2 * 3 * 4 * ... * 100 product k, 1..100 do k end Products can be nested: # Step product of `j^3 + k^2 + 3` product k, 2..6 do product j, k..10 do j * j * j + k * k + 3 end end Fractions are also supported: # fractional series of 1/2 * 2/3 * ... 100/101 product k, 1..100 do Fraction.new(k, k + 1) end Any enumerable can be passed to product: # multiply the divisors of 100 product k, Math.factors(100) do k end"},{"ref":"Chunky.Math.Operations.html#summation/3","title":"Chunky.Math.Operations.summation/3","type":"macro","doc":"Run a summation across an expression. Any key or variable name can be used, along with a range and an expression: # simple summations of `2k + 1` over the range of 1 to 10 summation k, 1..10 do k * 2 + 1 end Summations can also be nested: # find y^2 + x + 1 over a 2 dimensional range summation x, 5..50 do summation y, 3..30 do y * y + x + 1 end end If Fraction values are detected, they will be automatically handled as well: # Sum the fraction series 1/n for 1/1 to 1/100 summation den, 1..100 do Fraction.new(1, den) end Any enumerable can be passed to summation: # sum the divisors of 100 summation k, Math.factors(100) do k end"},{"ref":"Chunky.Math.Predicates.html","title":"Chunky.Math.Predicates","type":"module","doc":"Predicate functions are functions of the form is_*?/1. Predicates take any integer, and return a boolean. Using these functions you can test numbers for specific qualities. Some of the numeric qualities are useful across a wide set of domains, like is_prime?/1, some are specific to number theory, like is_pseudo_prime?/1 or is_carmichael_number?/1. Others look at the representation of numbers as patterns of digits, like is_palindromic?/1 and is_cyclops_number?/1. The predicates are used throughout the Chunky math libraries and sequence generation libraries. They can be used directly in any boolean context, or via special functions like Chunky.Math.next_number/3 and analyze_number/2. Some of the predicate functions assume that the number being evaluated is in Base 10 - these function will often have counterparts in Chunky.Math that work on numbers in any base. All of the predicates can be used to analyze an integer with: analyze_number/2 - Apply all of the predicates to an integer, and collect resulting labels Factors and Divisors These predicates deal with the factorization, or properties of factors, of a number. Abundant, perfect, and deficient numbers take the sum of all proper divisors of a number n, and compare that sum to the number itself, or all numbers less than n. is_abundant?/1 - Is the sum of divisors of n great than to 2 * n? is_arithmetic_number?/1 - Is the average of the sum of divisors of n a whole number? is_deficient?/1 - Is the sum of divisors of n less than 2 * n? is_highly_abundant?/1 - Is the sum of divisors of n greater than the sum of divisors of any number less than n? is_perfect?/1 - Is the sum of divisors of n equal to n? Variations on perfect numbers take different approaches to summing the divisors of n. is_erdos_nicolas_number?/1 - An abundant number n where the first k factors sum to n. is_primary_pseudoperfect_number?/1 - A number is primary pseudoperfect if the sum of 1 over n and 1 over the prime factors of n equals 1. is_pseudoperfect_number?/1 - Does any subset of the factors of n sum to n? is_weird_number?/1 - Is n abundant but not pseudoperfect? is_primitive_pseudoperfect_number?/1 - Is n pseudoperfect, but all the proper divisors of n not pseudoperfect? is_primitive_weird_number?/1 - Is n a weird number, but all the proper divisors of n are not weird? Powerful numbers look at the exponents of prime factors of a number n. For instance, 8 has the prime factorization 2 * 2 * 2, or 2^3. The number 72 has the prime factorization 2^3 * 3^2. is_achilles_number?/1 - Is the number n powerful but not a perfect power? is_highly_powerful_number?/1 - Is the product of the exponents of the prime factorization of n greater than the same property for any number less than n? is_powerful_number?/1 - Do the squares of all prime factors of n also evenly divide n? Economical, equidigital, and wasteful numbers all look at how the prime factorization of a number can be written, and how many digits that requires relative to the number of digits in the original number. The prime factorization of 16, for example, can be written with just 2 and 4, while the prime factors of 24 (2^3 * 3^1) requires only the digits 233. is_economical_number?/1 - Does writing the prime factors of n take fewer digits than writing n? is_equidigital_number?/1 - Does writing the prime factors of n take exactly as many digits as writing n? is_wasteful_number?/1 - Does writing the prime factors of n take more digits that writing n? Sums and Sequences Some number properties are based on summations or sequences of numbers. The polite and impolite numbers are based on writing a number n as the sum of two or more consecutive positive integers. The number 5 is a polite number, as it can be written as 2+3. The number 8 is impolite, there are no consecutive positive integers that add up to 8. is_impolite_number?/1 - The number n cannot be written as the sum of two or more consecutive positive integers is_polite_number?/1 - The number n can be written as the sum of two or more consecutive positive integers The practical numbers extend the idea of polite numbers, such that a polite number is a positive integer n where all positive integers less than n can be written as sums of the distinct divisors of n. is_practical_number?/1 - All m less than n can be written as sums of distinct divisors of n. The Smith and Hoax numbers involve the digit sum of a number compared to the digit sum of the prime factors of the number. is_hoax_number?/1 - Hoax numbers have equal digits sums in n and the summed unique prime factors of n. is_smith_number?/1 - Smith numbers have equal digit sums in n and the summed prime factors of n. The hypotenuse and nonhypotenuse numbers determine which numbers can be the hypotenuse of integer right triangles. is_nonhypotenuse_number?/1 - Can the square of n not be written as the sum of two other squares? is_hypotenuse_number?/1 - Can the square of n be written as the sum of two other squares? Number Theory The general mathematical properties of numbers fall into the Number Theory cateogry. is_even?/1 - Is an integer even? is_negative?/1 - Is an integer a negative number? is_odd?/1 - Is an integer odd? is_positive?/1 - Is an integer a positive number? is_zero?/1 - Is an integer 0? The single and doubly even numbers put further constraints on the even numbers. is_doubly_even_number?/1 - Is n divisible by 4? is_singly_even_number?/1 - Is n divisible by 2, but not by 4? Convergences Some numeric analysis is based on the eventual convergence of a function or iteration. By repeatedly taking the digits of a number, squaring them, and summing the result, all numbers will eventually converge to one of the numbers 0, 1, 4, 16, 20, 37, 42, 58, 89, or 145. is_happy_number?/1 - Happy numbers coverge to 1 is_unhappy_number?/1 - Unhappy numbers converge to a value other than 1 Patterns Patterns of digits in numbers are a common topic in recreational math. These predicates deal with the sequencing, arrangement, or visual pattern of digits in numbers. Palindromic numbers are like palindromic words, the same forwards and backwards. The number 12344321 is a palindromic number, while 123432 is not. is_palindromic?/1 - Is n palindromic, the same number forward and backward, in base 10? is_palindromic_prime?/1 - Is n a palindromic prime number? is_strictly_non_palindromic?/1 - Is n non-palindromic in all bases 2 through n - 2? Rep-digits, or repunits in base 2, are number made up of a single, repeating, digit. The number 222222 is a repdigit. The number 11111110 is not a repdigit number. is_repdigit?/1 - Is n a repdigit number? is_repunit?/1 - Is n a Repunit - a sequence of only 1s? Patterns specific to base-2: is_evil_number?/1 - Does the binary expansion of n have an even number of 1s? is_odious_number?/1 - Does the binary expansion of n have odd number of 1s? Powers of digits and digit sets: is_kaprekar_number?/1 - When squared, does any set of leading digits of n^2 plus the remaining dgits equal n? is_kaprekar_strict_number?/1 - When squared, do the fist half of the digits of n^2 plus the second half, equal n? is_munchhausen_number?/1 - Do the digits of n, taken to their own power, sum to n? is_narcissistic_number?/1 - Do the digits of length k number n, individually taken to the kth power and summed, equal n? Miscellaneous patterns: is_cyclops_number?/1 - Does n have an odd number of digits and a single 0 in the center most digit? is_pandigital?/1 - Does n contain all of the decimal digits at least once? is_plaindrome?/1 - Do the digits of n always stay the same or increase when read left to right? Divisibility patterns: is_harshad_number?/1 - Is n divisible by the sum of the digits of n? is_moran_number?/1 - Is n divided by the sum of the digits of n a prime number? is_zuckerman_number?/1 - Is n divisible by the product of the digits of n? The patterns of some numbers are related to numerology, the occult, or religion. is_apocalypse_number?/1 - Is n a 666 digit number? is_apocalypse_prime?/1 - Is n a 666 digit prime number? is_beast_number?/1 - Does n contain the substring of digits 666? Powers Some predicate functions examine numbers as powers of other numbers. The cubed numbers, of the form n^3. is_cubefree?/1 - Is n a number that cannot be written as the cube of another number? is_perfect_cube?/1 - Is n a perfect cube? The square numbers, of the form n^2. is_perfect_square?/1 - Is n a perfect square? is_squarefree?/1 - Is n a number that cannot be written as the square of another number? Other powers, of the form n^m. is_perfect_power?/1 - Can n be written as another number m to a power? is_prime_power?/1 - Is n a power greater than 1 of a prime number? Primes Prime numbers and rearrangements and patterns in prime numbers, are the focus of these predicates. Basic primality tests, based on the Rabin-Miller probabalistic primality test. is_prime?/1 - Is n a prime number? is_prime_fast?/1 - Is n a prime number? An alternative to is_prime?/1, that can be faster for values of n &lt; 2^16. Reading primes forwards and backwards: is_palindromic_prime?/1 - Is n a prime number, and a palindromic number? is_emirp_prime?/1 - Is n a prime number, that is a different prime when reversed? Re-arrangements or edited digits of prime numbers: is_circular_prime?/1 - Is n a prime number that remains prime through all possible circular rotations of digits? is_weakly_prime?/1 - Is n a prime number that is never prime when any one digit is changed to any other value? Truncation involves removing a digit of a number from the left, right, or both sides at once to create a new number. Truncatable primes are prime numbers that are still prime throughout the truncation down to a single or double digit number. is_left_truncatable_prime?/1 - Is n a prime number that remains prime through all left-truncations down to a single digit? is_left_right_truncatable_prime?/1 - Is n a prime number that remains prime through all simultaneous truncation of left and right digits down to a double or single digit number? is_right_truncatable_prime?/1 - Is n a prime number that remains prime through all right-trucations down to a single digit? is_two_sided_prime?/1 - Is n a prime that is both a left and a right truncatable prime? Some prime predicate functions check composite and prime numbers for prime factors: is_prime_power?/1 - Is n a power m of a prime p, where m &gt;= 1, such that n = p^m. is_prime_vampire_number?/1 - Is n a vampire number with prime fangs? See Vampire Numbers below. is_sphenic_number?/1 - Is n a composite numer that is the product of three distinct primes? Pseudo-primes The pseudo-prime numbers are composite numbers (by definition not prime) that fulfill certain constraints, and are useful in various number theory and algebraic contexts. The Euler and Euler-Jacobi pseudo primes are numbers n that when used as powers for a base a are congruent to a specific value. Euler pseudo primes are more permissive in their congruence than Euler-Jacobi pseudo-primes. In both of these cases, base 10 is used, hence any values that are found to be pseudo-prime by these functions are pseudo-prime to base 10. is_euler_jacobi_pseudo_prime?/1 - Is n an Euler-jacobi pseudo prime to base 10? is_euler_pseudo_prime?/1 - Is n an Euler pseudo-prime to base 10? When no other label is given, pseudo-primes are generally understood to imply Fermat pseudo-primes. Like Euler and Euler-Jacobi psedu-primes, numbers that are Fermat pseudo-prime are calculated accoring to a congruence to a specific base; for these predicates that is base 10. is_carmichael_number?/1 - Is n a Carmichael number, a number pseudo-prime to all bases a when a is coprime to n? is_poulet_number?/1 - Is n a Poulet number, a Fermat pseudo-prime in base 2? is_pseudo_prime?/1 - Is n a Fermat pseudo prime in base 10? Generalizations of the Euler, Euler-Jacobi, and Fermat pseudo-prime functions across any base (not just base 10) are available in Chunky.Math. Semiprime numbers are composite numbers that, similar to the pseudoprimes, fullfil certain criteria. is_semiprime_number?/1 - Is n a composite with exactly two prime factors? is_squarefree_semiprime?/1 - Is n a composite with exactly two distinct prime factors? Rhonda Numbers A number n is a Rhonda Number in base b if the product of the digits of n in base b is equal to b multiplied by the sum of the prime factors of n. Rhonda numbers seem to be primarily of interest as recreational terms - numbers that display an interesting property, but have little or no use otherwise. The Chunky.Math function Chunky.Math.is_rhonda_to_base?/2 is a generalization of checking Rhonda numbers to any base. is_multiple_rhonda?/1 - Test if n is a Rhonda number in multiple bases (checks bases 4 to 1000) is_rhonda_to_base_4?/1 - Determine if n is a Rhonda number to base 4 is_rhonda_to_base_6?/1 - Determine if n is a Rhonda number to base 6 is_rhonda_to_base_8?/1 - Determine if n is a Rhonda number to base 8 is_rhonda_to_base_9?/1 - Determine if n is a Rhonda number to base 9 is_rhonda_to_base_10?/1 - Determine if n is a Rhonda number to base 10 is_rhonda_to_base_12?/1 - Determine if n is a Rhonda number to base 12 is_rhonda_to_base_14?/1 - Determine if n is a Rhonda number to base 14 is_rhonda_to_base_15?/1 - Determine if n is a Rhonda number to base 15 is_rhonda_to_base_16?/1 - Determine if n is a Rhonda number to base 16 is_rhonda_to_base_20?/1 - Determine if n is a Rhonda number to base 20 is_rhonda_to_base_30?/1 - Determine if n is a Rhonda number to base 30 is_rhonda_to_base_60?/1 - Determine if n is a Rhonda number to base 60 Vampire Numbers A number n is a vampire numbers if it can be factored into two divisors (called fangs) a and b, and meet the criteria that: n has an even number of digits Both a and b half exactly half as many digits as n One or the other of a or b can have trailing zeros, but not both a and b contain all of the original digits of n, in any order, including duplicated digits in n The canonical example of a true vampire number is 1260, which has among its divisor pairs 21 x 60. So 21 and 60 are the fangs of the vampire number 1260. Each of the vampire number predicates is based off of interpretations or modifications of these rules. is_double_vampire_number?/1 - Is n a vampire number whose fangs are also vampire numbers? is_prime_vampire_number?/1 - Is n a vampire number with fangs that are prime numbers? is_pseudo_vampire_number?/1 - Is n a vampire number with relaxed constraints, like fangs with unequal numbers of digits? is_vampire_number?/1 - Is n a vampire number? Cryptography Smooth numbers, or b-smooth numbers, are composite integers whose prime factors are all less than or equal to a specific value. Numbers that are 3-smooth, for instance, are composites that only have 2 and 3 as prime factors. The number 8 is 3-smooth (factors 2 * 2 * 2), as is 648 (factors 2^3 * 3^4), while 15 is not 3-smooth (factors 3 * 5). The generalized function for testing b-smooth is Chunky.Math.is_b_smooth?/2. is_3_smooth?/1 - Is n a composite with prime factors all less than or equal to 3? is_5_smooth?/1 - Is n a composite with prime factors all less than or equal to 5? is_7_smooth?/1 - Is n a composite with prime factors all less than or equal to 7? is_11_smooth?/1 - Is n a composite with prime factors all less than or equal to 11? is_13_smooth?/1 - Is n a composite with prime factors all less than or equal to 13? is_17_smooth?/1 - Is n a composite with prime factors all less than or equal to 17? is_19_smooth?/1 - Is n a composite with prime factors all less than or equal to 19? is_23_smooth?/1 - Is n a composite with prime factors all less than or equal to 23?"},{"ref":"Chunky.Math.Predicates.html#analyze_number/2","title":"Chunky.Math.Predicates.analyze_number/2","type":"function","doc":"Apply all predicates to n, and collect the resulting labels. This function uses the names of all of the predicate functions as sources for labels, and collects the resulting labels from a number being analyzed. This will work with all integers in the range (-∞..0..+∞). Some predicate functions can take a long time to run depending on the size of n, so the analyze_number/2 function uses a timeout for each predicate. See the predicate_wait_time option for more details. Options skip_smooth - Boolean, default false. If true, skip all smooth number predicates of form is_#_smooth?/1 predicate_wait_time - Integer, default 100. Maximum number of milliseconds to wait for an answer from each predicate function Examples iex&gt; Predicates.analyze_number(2048) [:&quot;11_smooth&quot;, :&quot;13_smooth&quot;, :&quot;17_smooth&quot;, :&quot;19_smooth&quot;, :&quot;23_smooth&quot;,:&quot;3_smooth&quot;, :&quot;5_smooth&quot;, :&quot;7_smooth&quot;, :deficient, :doubly_even_number, :economical_number, :even, :impolite_number, :nonhypotenuse_number, :odious_number, :perfect_power, :positive, :powerful_number, :practical_number, :prime_power, :unhappy_number] iex&gt; Predicates.analyze_number(2048, skip_smooth: true) [:deficient, :doubly_even_number, :economical_number, :even, :impolite_number, :nonhypotenuse_number, :odious_number, :perfect_power, :positive, :powerful_number, :practical_number, :prime_power, :unhappy_number] iex&gt; Predicates.analyze_number(-37) [:negative, :odd, :odious_number] iex&gt; Predicates.analyze_number(0) [:cyclops_number, :doubly_even_number, :even, :evil_number, :munchhausen_number, :palindromic, :perfect_square, :plaindrome, :repdigit, :zero] iex&gt; Predicates.analyze_number(105840, skip_smooth: true) [:abundant, :arithmetic_number, :doubly_even_number, :even, :harshad_number, :hypotenuse_number, :odious_number, :polite_number, :positive, :practical_number, :unhappy_number, :wasteful_number] iex&gt; Predicates.analyze_number(105840, skip_smooth: true, predicate_wait_time: 20_000) [:abundant, :arithmetic_number, :doubly_even_number, :even, :harshad_number, :highly_abundant, :hypotenuse_number, :odious_number, :polite_number, :positive, :practical_number, :pseudoperfect_number, :unhappy_number, :wasteful_number] iex&gt; Predicates.analyze_number(1000, skip_smooth: true) [:abundant, :doubly_even_number, :equidigital_number, :even, :evil_number, :happy_number, :harshad_number, :hypotenuse_number, :multiple_rhonda, :perfect_cube, :perfect_power, :polite_number, :positive, :powerful_number, :practical_number, :pseudoperfect_number, :rhonda_to_base_16] iex&gt; Predicates.analyze_number(1435) [:arithmetic_number, :cubefree, :deficient, :equidigital_number, :hypotenuse_number, :odd, :odious_number, :polite_number, :positive, :pseudo_vampire_number, :sphenic_number, :squarefree, :unhappy_number, :vampire_number]"},{"ref":"Chunky.Math.Predicates.html#is_11_smooth?/1","title":"Chunky.Math.Predicates.is_11_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 11? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_11_smooth?(3) true iex&gt; Predicates.is_11_smooth?(40) true iex&gt; Predicates.is_11_smooth?(107) false iex&gt; Predicates.is_11_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_13_smooth?/1","title":"Chunky.Math.Predicates.is_13_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 13? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_13_smooth?(3) true iex&gt; Predicates.is_13_smooth?(40) true iex&gt; Predicates.is_13_smooth?(107) false iex&gt; Predicates.is_13_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_17_smooth?/1","title":"Chunky.Math.Predicates.is_17_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 17? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_17_smooth?(3) true iex&gt; Predicates.is_17_smooth?(40) true iex&gt; Predicates.is_17_smooth?(107) false iex&gt; Predicates.is_17_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_19_smooth?/1","title":"Chunky.Math.Predicates.is_19_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 19? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_19_smooth?(3) true iex&gt; Predicates.is_19_smooth?(40) true iex&gt; Predicates.is_19_smooth?(107) false iex&gt; Predicates.is_19_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_23_smooth?/1","title":"Chunky.Math.Predicates.is_23_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 23? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_23_smooth?(3) true iex&gt; Predicates.is_23_smooth?(40) true iex&gt; Predicates.is_23_smooth?(107) false iex&gt; Predicates.is_23_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_3_smooth?/1","title":"Chunky.Math.Predicates.is_3_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 3? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_3_smooth?(3) true iex&gt; Predicates.is_3_smooth?(40) false iex&gt; Predicates.is_3_smooth?(107) false iex&gt; Predicates.is_3_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_5_smooth?/1","title":"Chunky.Math.Predicates.is_5_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 5? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_5_smooth?(3) true iex&gt; Predicates.is_5_smooth?(40) true iex&gt; Predicates.is_5_smooth?(107) false iex&gt; Predicates.is_5_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_7_smooth?/1","title":"Chunky.Math.Predicates.is_7_smooth?/1","type":"function","doc":"Is n a composite with prime factors all less than or equal to 7? Generalized function: Chunky.Math.is_b_smooth?/2 Examples iex&gt; Predicates.is_7_smooth?(3) true iex&gt; Predicates.is_7_smooth?(40) true iex&gt; Predicates.is_7_smooth?(107) false iex&gt; Predicates.is_7_smooth?(2020) false"},{"ref":"Chunky.Math.Predicates.html#is_abundant?/1","title":"Chunky.Math.Predicates.is_abundant?/1","type":"function","doc":"Determine if an integer is abundant. An abundant number is an integer n, such that the sum of all proper divisors of n (including itself) is greater than 2 * n. Alternatively, an abundant number is a number that satisfies: 𝜎(n) &gt; 2n See also: is_arithmetic_number?/1 is_deficient?/1 is_highly_abundant?/1 is_perfect?/1 Chunky.Math.sigma/1 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a005101/1 - Abundant numbers Examples iex&gt; Predicates.is_abundant?(3) false iex&gt; Predicates.is_abundant?(12) true iex&gt; Predicates.is_abundant?(945) true"},{"ref":"Chunky.Math.Predicates.html#is_achilles_number?/1","title":"Chunky.Math.Predicates.is_achilles_number?/1","type":"function","doc":"Check if a number is an Achilles Number. Achilles numbers are n that are powerful (see is_powerful_number?/1) but not perfect powers (see is_perfect_power?/1). OEIS References: A052486 - Achilles numbers See also: is_powerful_number?/1 is_highly_powerful_number?/1 is_perfect?/1 Examples iex&gt; Predicates.is_achilles_number?(70) false iex&gt; Predicates.is_achilles_number?(72) true iex&gt; Predicates.is_achilles_number?(2700) true iex&gt; Predicates.is_achilles_number?(784) false"},{"ref":"Chunky.Math.Predicates.html#is_apocalypse_number?/1","title":"Chunky.Math.Predicates.is_apocalypse_number?/1","type":"function","doc":"Is n an integer with 666 digits? See also: is_apocalypse_prime?/1 is_beast_number?/1 Examples iex&gt; Math.pow(10, 665) + 37 |&gt; Predicates.is_apocalypse_number?() true iex&gt; Math.pow(10, 555) + 37 |&gt; Predicates.is_apocalypse_number?() false iex&gt; Math.pow(10, 665) + 300_337 |&gt; Predicates.is_apocalypse_number?() true iex&gt; Math.pow(10, 665) + Math.pow(10, 37) |&gt; Predicates.is_apocalypse_number?() true"},{"ref":"Chunky.Math.Predicates.html#is_apocalypse_prime?/1","title":"Chunky.Math.Predicates.is_apocalypse_prime?/1","type":"function","doc":"Is n a 666 digit prime number? According to the OEIS, there are approximately 10^662 apocalypse primes, the last of which is 10^666-1157. OEIS References A115983 - Apocalypse primes See also: is_apocalypse_number?/1 is_beast_number?/1 Examples iex&gt; Math.pow(10, 665) + 123 |&gt; Predicates.is_apocalypse_prime?() true iex&gt; Math.pow(10, 665) + 7123 |&gt; Predicates.is_apocalypse_prime?() false iex&gt; Math.pow(10, 665) + 8569 |&gt; Predicates.is_apocalypse_prime?() true iex&gt; Math.pow(10, 665) + 53683 |&gt; Predicates.is_apocalypse_prime?() true"},{"ref":"Chunky.Math.Predicates.html#is_arithmetic_number?/1","title":"Chunky.Math.Predicates.is_arithmetic_number?/1","type":"function","doc":"Determine if an integer is an arithmetic number. An arithmetic number is an integer n such that the average of the sum of the proper divisors of n is a whole integer. Alternatively, n that satisfy 𝜎(n) / 𝜏(n) == 0. See also: Chunky.Math.factors/1 is_abundant?/1 is_deficient?/1 is_perfect?/1 is_highly_abundant?/1 OEIS References: Chunky.Sequence.OEIS.Sigma.create_sequence_a003601/1 - Arithmetic numbers Examples iex&gt; Predicates.is_arithmetic_number?(11) true iex&gt; Predicates.is_arithmetic_number?(32) false iex&gt; Predicates.is_arithmetic_number?(12953) true"},{"ref":"Chunky.Math.Predicates.html#is_beast_number?/1","title":"Chunky.Math.Predicates.is_beast_number?/1","type":"function","doc":"Does the number n contain the number sequence 666 somewhere in it&#39;s digits? OEIS References: A051003 - Beastly, or hateful, numbers See also: is_apocalypse_number?/1 is_apocalypse_prime?/1 Examples iex&gt; Predicates.is_beast_number?(6) false iex&gt; Predicates.is_beast_number?(666) true iex&gt; Predicates.is_beast_number?(64666) true iex&gt; Predicates.is_beast_number?(116661) true iex&gt; Predicates.is_beast_number?(306666) true"},{"ref":"Chunky.Math.Predicates.html#is_carmichael_number?/1","title":"Chunky.Math.Predicates.is_carmichael_number?/1","type":"function","doc":"Check if n is a Carmichael number. A Carmichael number n is a composite number that satisfies the congruence: for all b that are coprime to n. See also: Chunky.Math.coprimes/1 is_pseudo_prime?/1 is_poulet_number?/1 Examples iex&gt; Predicates.is_carmichael_number?(517) false iex&gt; Predicates.is_carmichael_number?(561) true iex&gt; Predicates.is_carmichael_number?(1105) true iex&gt; Predicates.is_carmichael_number?(1107) false iex&gt; Predicates.is_carmichael_number?(41041) true"},{"ref":"Chunky.Math.Predicates.html#is_circular_prime?/1","title":"Chunky.Math.Predicates.is_circular_prime?/1","type":"function","doc":"Is n a circular prime? A circular prime is a number n that remains a prime number through all possible rotations of the digits of n. For instance, 1193 is a circular prime because 1193, 1931, 9311, and 3119 are all prime. See also: is_prime?/1 Chunky.Math.rotations/1 Examples iex&gt; Predicates.is_circular_prime?(1193) true iex&gt; Predicates.is_circular_prime?(3) true iex&gt; Predicates.is_circular_prime?(193939) true iex&gt; Predicates.is_circular_prime?(135) false"},{"ref":"Chunky.Math.Predicates.html#is_cubefree?/1","title":"Chunky.Math.Predicates.is_cubefree?/1","type":"function","doc":"Check if an integer n has no factors greater than 1 that are perfect cubes. See also: Chunky.Math.factors/1 Chunky.Math.prime_factors/1 is_perfect_cube?/1 is_perfect_square?/1 is_squarefree?/1 Examples iex&gt; Predicates.is_cubefree?(3) true iex&gt; Predicates.is_cubefree?(64) false iex&gt; Predicates.is_cubefree?(2744) false"},{"ref":"Chunky.Math.Predicates.html#is_cyclops_number?/1","title":"Chunky.Math.Predicates.is_cyclops_number?/1","type":"function","doc":"Check if n is a Cyclops number in base 10. Cyclops numbers in base 10 are numbers with: an odd number of digits exactly one 0 a 0 in the center-most digit of n So the numbers 101, 904, and 12034 are cyclops numbers, but 1023 and 10001 are not. Generalized function: Chunky.Math.is_cyclops_number_in_base?/2 Examples iex&gt; Predicates.is_cyclops_number?(0) true iex&gt; Predicates.is_cyclops_number?(50) false iex&gt; Predicates.is_cyclops_number?(104) true iex&gt; Predicates.is_cyclops_number?(1005) false iex&gt; Predicates.is_cyclops_number?(19010) false iex&gt; Predicates.is_cyclops_number?(1230456) true"},{"ref":"Chunky.Math.Predicates.html#is_deficient?/1","title":"Chunky.Math.Predicates.is_deficient?/1","type":"function","doc":"Determine if an integer is deficient. A deficient number is an integer n, such that the sum of all proper divisors of n (including itself) is less than 2 * n. Alternatively, a deficient number is a number that satisfies: 𝜎(n) &lt; 2n See also: Chunky.Math.sigma/1 is_abundant?/1 is_arithmetic_number?/1 is_highly_abundant?/1 is_perfect?/1 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a005100/1 - Deficient numbers Examples iex&gt; Predicates.is_deficient?(1) true iex&gt; Predicates.is_deficient?(71) true iex&gt; Predicates.is_deficient?(33550336) false iex&gt; Predicates.is_deficient?(60) false"},{"ref":"Chunky.Math.Predicates.html#is_double_vampire_number?/1","title":"Chunky.Math.Predicates.is_double_vampire_number?/1","type":"function","doc":"Check of n is a double vampire number. Double vampire numbers meet all the criteria of a regular vampire number (see is_vampire_number?/1) with the additional constraint: The two factors of n, a and b, must also be vampire numbers See also: is_prime_vampire_number?/1 is_pseudo_vampire_number?/1 is_vampire_number?/1 Examples iex&gt; Predicates.is_double_vampire_number?(6880) false iex&gt; Predicates.is_double_vampire_number?(1047527295416280) true"},{"ref":"Chunky.Math.Predicates.html#is_doubly_even_number?/1","title":"Chunky.Math.Predicates.is_doubly_even_number?/1","type":"function","doc":"Is n divisible by 4? Doubly even numbers are an extension of the even numbers. OEIS References: A008586 - Multiples of 4 See also: is_even?/1 is_singly_even_number?/1 Examples iex&gt; Predicates.is_doubly_even_number?(4) true iex&gt; Predicates.is_doubly_even_number?(14) false iex&gt; Predicates.is_doubly_even_number?(892) true iex&gt; Predicates.is_doubly_even_number?(3956) true"},{"ref":"Chunky.Math.Predicates.html#is_economical_number?/1","title":"Chunky.Math.Predicates.is_economical_number?/1","type":"function","doc":"Does the prime factorization of n have fewer digits (counting primes and powers) than n? The economical numbers are sometimes called the frugal numbers. When counting digits of the prime factorization the prime and it&#39;s exponent are combined together, so 125 is a frugal number, because its prime factorization is 5^3 or 53 written out. OEIS References: A046759 - The economical numbers See also: is_wasteful_number?/1 is_equidigital_number?/1 Examples iex&gt; Predicates.is_economical_number?(125) true iex&gt; Predicates.is_economical_number?(1875) true iex&gt; Predicates.is_economical_number?(1880) false iex&gt; Predicates.is_economical_number?(1946430) true"},{"ref":"Chunky.Math.Predicates.html#is_emirp_prime?/1","title":"Chunky.Math.Predicates.is_emirp_prime?/1","type":"function","doc":"Is n an emirp - a prime number that is a different prime number when reversed? Emirp primes are related to palindromic primes, except that the reverse of n must be a different prime number. See also: is_prime?/1 is_palindromic?/1 Chunky.Math.reverse_number/1 Examples iex&gt; Predicates.is_emirp_prime?(373) false iex&gt; Predicates.is_emirp_prime?(13) true iex&gt; Predicates.is_emirp_prime?(983) true iex&gt; Predicates.is_emirp_prime?(947351) true"},{"ref":"Chunky.Math.Predicates.html#is_equidigital_number?/1","title":"Chunky.Math.Predicates.is_equidigital_number?/1","type":"function","doc":"Does the prime factorization of n use exactly as many digits (counting primes and powers) as n? When counting digits of the prime factorization the prime and it&#39;s exponent are combined together, so 16 is an equidigital number, because its prime factorization is 2^4 or 24 written out. OEIS References: A046758 - Equidigital numbers See also: is_economical_number?/1 is_wasteful_number?/1 Examples iex&gt; Predicates.is_equidigital_number?(2) true iex&gt; Predicates.is_equidigital_number?(49) true iex&gt; Predicates.is_equidigital_number?(433) true iex&gt; Predicates.is_equidigital_number?(33701) true"},{"ref":"Chunky.Math.Predicates.html#is_erdos_nicolas_number?/1","title":"Chunky.Math.Predicates.is_erdos_nicolas_number?/1","type":"function","doc":"Is n an abundant number whose first k factors sum to n? The Erdős-Nicolas numbers are a variation on abundant and perfect numbers. The first k factors of n must sum to n; for instance 2016 is an Erdős-Nicolas number, as the first 31 factors (of 35 factors) sums to 2016. OEIS References A194472 - Erdős-Nicolas numbers See also: is_primary_pseudoperfect_number?/1 is_primitive_pseudoperfect_number?/1 is_primitive_weird_number?/1 is_pseudoperfect_number?/1 is_weird_number?/1 Examples iex&gt; Predicates.is_erdos_nicolas_number?(6) false iex&gt; Predicates.is_erdos_nicolas_number?(24) true iex&gt; Predicates.is_erdos_nicolas_number?(2016) true iex&gt; Predicates.is_erdos_nicolas_number?(4096) false iex&gt; Predicates.is_erdos_nicolas_number?(8190) true"},{"ref":"Chunky.Math.Predicates.html#is_euler_jacobi_pseudo_prime?/1","title":"Chunky.Math.Predicates.is_euler_jacobi_pseudo_prime?/1","type":"function","doc":"Check if n is an Euler-Jacobi pseudo-prime to base 10. Generalized function: Chunky.Math.is_euler_jacobi_pseudo_prime?/2 See also: is_euler_pseudo_prime?/1 is_pseudo_prime?/1 Examples iex&gt; Predicates.is_euler_jacobi_pseudo_prime?(17) false iex&gt; Predicates.is_euler_jacobi_pseudo_prime?(481) true iex&gt; Predicates.is_euler_jacobi_pseudo_prime?(487) false iex&gt; Predicates.is_euler_jacobi_pseudo_prime?(6601) true"},{"ref":"Chunky.Math.Predicates.html#is_euler_pseudo_prime?/1","title":"Chunky.Math.Predicates.is_euler_pseudo_prime?/1","type":"function","doc":"Check if n is an Euler pseudo-prime in base 10. Generalized function: Chunky.Math.is_euler_pseudo_prime?/2 See also: is_euler_jacobi_pseudo_prime?/1 is_pseudo_prime?/1 Examples iex&gt; Predicates.is_euler_pseudo_prime?(9) true iex&gt; Predicates.is_euler_pseudo_prime?(14) false iex&gt; Predicates.is_euler_pseudo_prime?(33) true iex&gt; Predicates.is_euler_pseudo_prime?(91) true"},{"ref":"Chunky.Math.Predicates.html#is_even?/1","title":"Chunky.Math.Predicates.is_even?/1","type":"function","doc":"Predicate version of is_even/1 Integer guard. Examples iex&gt; Predicates.is_even?(34) true iex&gt; Predicates.is_even?(0) true iex&gt; Predicates.is_even?(3) false"},{"ref":"Chunky.Math.Predicates.html#is_evil_number?/1","title":"Chunky.Math.Predicates.is_evil_number?/1","type":"function","doc":"Does n have an even number of 1s in base 2? Evil numbers, and their counterpart the odious numbers, count the quantity of set bits (1s) in the base 2 expansion of a number. OEIS References: A001969 - Evil Numbers See also: is_odious_number?/1 Examples iex&gt; Predicates.is_evil_number?(3) true iex&gt; Predicates.is_evil_number?(23) true iex&gt; Predicates.is_evil_number?(25) false iex&gt; Predicates.is_evil_number?(19940) true"},{"ref":"Chunky.Math.Predicates.html#is_happy_number?/1","title":"Chunky.Math.Predicates.is_happy_number?/1","type":"function","doc":"Does the repeated sum of squares of the digits of n converge to 1? By repeatedly taking the digits of a number, squaring them, and summing the result, all numbers will eventually converge to one of the numbers 0, 1, 4, 16, 20, 37, 42, 58, 89, or 145. Happy numbers coverge to 1. OEIS References: A007770 - Happy numbers See also: is_unhappy_number?/1 Examples iex&gt; Predicates.is_happy_number?(0) false iex&gt; Predicates.is_happy_number?(1) true iex&gt; Predicates.is_happy_number?(193) true iex&gt; Predicates.is_happy_number?(3323) true iex&gt; Predicates.is_happy_number?(999989) true"},{"ref":"Chunky.Math.Predicates.html#is_harshad_number?/1","title":"Chunky.Math.Predicates.is_harshad_number?/1","type":"function","doc":"Is the integer n cleanly divisible by the sum of the digits of n? Also called Niven numbers. For example the number 27 is a Harshad number, as 2 + 7 = 9 and 27 % 9 = 0. OEIS References: A005349 - Niven or Harshad numbers Examples iex&gt; Predicates.is_harshad_number?(6) true iex&gt; Predicates.is_harshad_number?(11) false iex&gt; Predicates.is_harshad_number?(42) true iex&gt; Predicates.is_harshad_number?(126) true iex&gt; Predicates.is_harshad_number?(1180) true iex&gt; Predicates.is_harshad_number?(99890) true"},{"ref":"Chunky.Math.Predicates.html#is_highly_abundant?/1","title":"Chunky.Math.Predicates.is_highly_abundant?/1","type":"function","doc":"Check if a number n is highly abundant. A number n is highly abundant when the sum of the proper factors of n is greater than the sum of the proper factors of any number m that is in 0 &lt; m &lt; n. Alternatively, for all natural numbers, m &lt; n ; 𝜎(m) &lt; 𝜎(n). See also: Chunky.Math.sigma/1 is_abundant?/1 is_arithmetic_number?/1 is_deficient?/1 is_perfect?/1 OEIS References: Chunky.Sequence.OEIS.Sigma.create_sequence_a002093/1 - Highly abundant numbers Examples iex&gt; Predicates.is_highly_abundant?(1) true iex&gt; Predicates.is_highly_abundant?(5) false iex&gt; Predicates.is_highly_abundant?(30) true iex&gt; Predicates.is_highly_abundant?(2099) false iex&gt; Predicates.is_highly_abundant?(2100) true"},{"ref":"Chunky.Math.Predicates.html#is_highly_powerful_number?/1","title":"Chunky.Math.Predicates.is_highly_powerful_number?/1","type":"function","doc":"Check if a number n is a highly powerful number. Highly powerful numbers are similar in concept to highly abundant numbers. For highly powerful numbers, the product of the exponents of prime factors of the number n need to be greater than the same property for any number m, such that 0 &lt; m &lt; n. If you need a sequence of highly powerful numbers, use the A005934 sequence in Chunky.Sequence.OEIS.Factors, which uses an max/compare method for building the sequence, which is vastly more efficient than repeated calls to is_highly_powerful_number?/1. OEIS References: A005934 - Highly powerful numbers See also: is_powerful_number?/1 Chunky.Math.product_of_prime_factor_exponents/1 Examples iex&gt; Predicates.is_highly_powerful_number?(4) true iex&gt; Predicates.is_highly_powerful_number?(256) false iex&gt; Predicates.is_highly_powerful_number?(62208) true"},{"ref":"Chunky.Math.Predicates.html#is_hoax_number?/1","title":"Chunky.Math.Predicates.is_hoax_number?/1","type":"function","doc":"Is n a hoax number? Hoax numbers have a digit sum of n equal to the digit sum of the unique prime factors of n. For instance 22 has a digit sum of 4, and the unique prime factors 2^1 * 11^1, with digit sum of 2 + 1 + 1 or 4. OEIS References: A019506 - Hoax Numbers See also: is_smith_number?/1 Examples iex&gt; Predicates.is_hoax_number?(20) false iex&gt; Predicates.is_hoax_number?(22) true iex&gt; Predicates.is_hoax_number?(160) true iex&gt; Predicates.is_hoax_number?(170) false iex&gt; Predicates.is_hoax_number?(11209) true iex&gt; Predicates.is_hoax_number?(11220) false"},{"ref":"Chunky.Math.Predicates.html#is_hypotenuse_number?/1","title":"Chunky.Math.Predicates.is_hypotenuse_number?/1","type":"function","doc":"Is n a hypotenuse number? A hypotenuse number is a numer whose square can be written as the sum of two other squares. A hypotenuse number is fairly literal - it can be the hypotenuse of an integer right triangle, i.e. it fullfils c in the equation a^2 + b^c = c^2. OEIS References: A009003 - Nonhypotenuse numbers See also: is_nonhypotenuse_number?/1 Examples iex&gt; Predicates.is_hypotenuse_number?(5) true iex&gt; Predicates.is_hypotenuse_number?(8) false iex&gt; Predicates.is_hypotenuse_number?(25) true iex&gt; Predicates.is_hypotenuse_number?(121) false iex&gt; Predicates.is_hypotenuse_number?(592) true"},{"ref":"Chunky.Math.Predicates.html#is_impolite_number?/1","title":"Chunky.Math.Predicates.is_impolite_number?/1","type":"function","doc":"Is n an impolite number? Impolite numbers cannot be written as the sum of two consecutive integers. OEIS References: A000079 - Powers of 2 See also: is_polite_number?/1 Examples iex&gt; Predicates.is_impolite_number?(2) true iex&gt; Predicates.is_impolite_number?(5) false iex&gt; Predicates.is_impolite_number?(8) true iex&gt; Predicates.is_impolite_number?(32) true iex&gt; Predicates.is_impolite_number?(512) true"},{"ref":"Chunky.Math.Predicates.html#is_kaprekar_number?/1","title":"Chunky.Math.Predicates.is_kaprekar_number?/1","type":"function","doc":"When n is squared, does any set of the left digits of n^2, added to the right set, equal n? For example, 297 squared is 88209, if we split digits so half (round up) are on the right, we get the numbers 88 and 209, and 88+209 = 297. The number 4879 squared is 23804641 and 238 + 04641 == 4879. Note the difference between is_kaprekar_number?/1 and is_kaprekar_strict_number?/1; the prior can have any split of digits, so long as the first and second set of digits has at least one digit, while the later splits the digits of n^2 into two equal (or near equal) numbers of digits. OEIS References: A006886 - Kaprekar Numbers See also: is_kaprekar_strict_number?/1 Examples iex&gt; Predicates.is_kaprekar_number?(9) true iex&gt; Predicates.is_kaprekar_number?(40) false iex&gt; Predicates.is_kaprekar_number?(45) true iex&gt; Predicates.is_kaprekar_number?(4879) true iex&gt; Predicates.is_kaprekar_number?(5292) true"},{"ref":"Chunky.Math.Predicates.html#is_kaprekar_strict_number?/1","title":"Chunky.Math.Predicates.is_kaprekar_strict_number?/1","type":"function","doc":"When n is squared, do the left half of the digits of n^2, added to the right half, equal n? For example, 297 squared is 88209, if we split digits so half (round up) are on the right, we get the numbers 88 and 209, and 88+209 = 297. Note the difference between is_kaprekar_number?/1 and is_kaprekar_strict_number?/1; the prior can have any split of digits, so long as the first and second set of digits has at least one digit, while the later splits the digits of n^2 into two equal (or near equal) numbers of digits. OEIS References: A053816 - Alternate version of Kaprekar Numbers See also: is_kaprekar_number?/1 Examples iex&gt; Predicates.is_kaprekar_strict_number?(99) true iex&gt; Predicates.is_kaprekar_strict_number?(703) true iex&gt; Predicates.is_kaprekar_strict_number?(4950) true iex&gt; Predicates.is_kaprekar_strict_number?(99999) true iex&gt; Predicates.is_kaprekar_strict_number?(461539) true"},{"ref":"Chunky.Math.Predicates.html#is_left_right_truncatable_prime?/1","title":"Chunky.Math.Predicates.is_left_right_truncatable_prime?/1","type":"function","doc":"Is n a left/right truncatable prime? Truncatable primes are prime number that remain prime when successive digits are removed. For a left/right truncatable prime, the number will start, and remain, prime as the left and right digits of the number are recursively dropped at the same time, until the number is a single or double digit prime. For instance, 99729779 is a left/right-truncatable prime, because 99729779, 972977, 7297, and 29 are all prime. For left/right truncation the final number can be a one or two digit prime, depending on if the original number nad an odd or even number of digits. See also: is_left_truncatable_prime?/1 is_right_truncatable_prime?/1 is_two_sided_prime?/1 Examples iex&gt; Predicates.is_left_right_truncatable_prime?(433) true iex&gt; Predicates.is_left_right_truncatable_prime?(1193) true iex&gt; Predicates.is_left_right_truncatable_prime?(89) true iex&gt; Predicates.is_left_right_truncatable_prime?(7) true iex&gt; Predicates.is_left_right_truncatable_prime?(99729779) true"},{"ref":"Chunky.Math.Predicates.html#is_left_truncatable_prime?/1","title":"Chunky.Math.Predicates.is_left_truncatable_prime?/1","type":"function","doc":"Is n a left truncatable prime? Truncatable primes are prime number that remain prime when successive digits are removed. For a left truncatable prime, the number will start, and remain, prime as the left digit of the number is recursively dropped, until the number is a single digit prime. For instance, 967 is a left-truncatable prime, because 967, 67, and 7 are all prime. See also: is_left_right_truncatable_prime?/1 is_right_truncatable_prime?/1 is_two_sided_prime?/1 Examples iex&gt; Predicates.is_left_truncatable_prime?(967) true iex&gt; Predicates.is_left_truncatable_prime?(9137) true iex&gt; Predicates.is_left_truncatable_prime?(9656934675) false iex&gt; Predicates.is_left_truncatable_prime?(396334245663786197) true"},{"ref":"Chunky.Math.Predicates.html#is_moran_number?/1","title":"Chunky.Math.Predicates.is_moran_number?/1","type":"function","doc":"Is n divided by the sum of the digits of n a prime number? The Moran numbers are n such that the sum of digits divides evenly into n, with the resulting value p being a prime number. For instance, 399 is a Moran number, as 399 / (3 + 9 + 9) = 19. OEIS Referenes: A001101 Moran numbers Examples iex&gt; Predicates.is_moran_number?(18) true iex&gt; Predicates.is_moran_number?(36) false iex&gt; Predicates.is_moran_number?(153) true iex&gt; Predicates.is_moran_number?(1185) true iex&gt; Predicates.is_moran_number?(26519) true iex&gt; Predicates.is_moran_number?(194751) true"},{"ref":"Chunky.Math.Predicates.html#is_multiple_rhonda?/1","title":"Chunky.Math.Predicates.is_multiple_rhonda?/1","type":"function","doc":"Check if the integer n is a Rhonda number to more than one base. Generalized function: Chunky.Math.get_rhonda_to/2 See also: Chunky.Math.is_rhonda_to_base?/2 Examples iex&gt; Predicates.is_multiple_rhonda?(1000) true iex&gt; Predicates.is_multiple_rhonda?(1230) false"},{"ref":"Chunky.Math.Predicates.html#is_munchhausen_number?/1","title":"Chunky.Math.Predicates.is_munchhausen_number?/1","type":"function","doc":"Do the digits of n to their own power sum to n? Münchhausen numbers are a small, finite set of numbers where each digit of n taken to it&#39;s own power, and then summed, equals n. The four known numbers are 0, 1, 3435, 438579088. OEIS Reference: A046253 - Münchhausen numbers See also: is_narcissistic_number?/1 Examples iex&gt; Predicates.is_munchhausen_number?(0) true iex&gt; Predicates.is_munchhausen_number?(3) false iex&gt; Predicates.is_munchhausen_number?(3435) true iex&gt; Predicates.is_munchhausen_number?(9000) false iex&gt; Predicates.is_munchhausen_number?(438579088) true"},{"ref":"Chunky.Math.Predicates.html#is_narcissistic_number?/1","title":"Chunky.Math.Predicates.is_narcissistic_number?/1","type":"function","doc":"Do the digits of length k number n, when individually taken to the kth power and summed, equal n? For instance, the number 153 is narcissistic, because 1^3 + 5^3 + 3^3 = 153. OEIS References: A005188 - Armstrong, or narcissistic, number See also: Chunky.Math.is_narcissistic_in_base?/2 Examples iex&gt; Predicates.is_narcissistic_number?(9) true iex&gt; Predicates.is_narcissistic_number?(20) false iex&gt; Predicates.is_narcissistic_number?(370) true iex&gt; Predicates.is_narcissistic_number?(8208) true iex&gt; Predicates.is_narcissistic_number?(9800817) true"},{"ref":"Chunky.Math.Predicates.html#is_negative?/1","title":"Chunky.Math.Predicates.is_negative?/1","type":"function","doc":"Determine if a number is a negative integer. Examples iex&gt; Predicates.is_negative?(-34) true iex&gt; Predicates.is_negative?(0) false iex&gt; Predicates.is_negative?(34) false"},{"ref":"Chunky.Math.Predicates.html#is_nonhypotenuse_number?/1","title":"Chunky.Math.Predicates.is_nonhypotenuse_number?/1","type":"function","doc":"Is n a non-hypotenuse number? A non hypotenuse number is a numer whose square cannot be written as the sum of two other squares. A non-hypotenuse number is fairly literal - it cannot be the hypotenuse of an integer right triangle, i.e. it cannot fullfil c in the equation a^2 + b^c = c^2. OEIS References: A004144 - Nonhypotenuse numbers See also: is_hypotenuse_number?/1 Examples iex&gt; Predicates.is_nonhypotenuse_number?(1) true iex&gt; Predicates.is_nonhypotenuse_number?(5) false iex&gt; Predicates.is_nonhypotenuse_number?(22) true iex&gt; Predicates.is_nonhypotenuse_number?(25) false iex&gt; Predicates.is_nonhypotenuse_number?(332) true"},{"ref":"Chunky.Math.Predicates.html#is_odd?/1","title":"Chunky.Math.Predicates.is_odd?/1","type":"function","doc":"Predicate version of is_odd?/1 Integer guard. Examples iex&gt; Predicates.is_odd?(33) true iex&gt; Predicates.is_odd?(0) false iex&gt; Predicates.is_odd?(34) false"},{"ref":"Chunky.Math.Predicates.html#is_odious_number?/1","title":"Chunky.Math.Predicates.is_odious_number?/1","type":"function","doc":"Odious numbers have an odd number of 1s in their binary expansion. See definition on MathWorld or Wikipedia. OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000069/1 - Odious Numbers See also: is_evil_number?/1 Examples iex&gt; Predicates.is_odious_number?(2) true iex&gt; Predicates.is_odious_number?(37) true iex&gt; Predicates.is_odious_number?(144) false iex&gt; Predicates.is_odious_number?(280) true iex&gt; Predicates.is_odious_number?(19897) true"},{"ref":"Chunky.Math.Predicates.html#is_palindromic?/1","title":"Chunky.Math.Predicates.is_palindromic?/1","type":"function","doc":"Check if n is a palindromic number in base 10. Palindromic numbers, like palindromic words, are the same value when read forward and reversed. See also: Chunky.Math.reverse_number/1 is_palindromic_prime?/1 is_strictly_non_palindromic?/1 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a002113/1 - Palindromes in base 10 Examples iex&gt; Predicates.is_palindromic?(1234) false iex&gt; Predicates.is_palindromic?(123454321) true iex&gt; Predicates.is_palindromic?(1004006004001) true"},{"ref":"Chunky.Math.Predicates.html#is_palindromic_prime?/1","title":"Chunky.Math.Predicates.is_palindromic_prime?/1","type":"function","doc":"Is n a palindromic prime number? Palindromic prime numbers are both palindromes (the same digits/number when the digits are reversed) and prime numbers. By definition palindromic primes are prime when their digits are reversed. See also: is_prime?/1 is_palindromic?/1 Examples iex&gt; Predicates.is_palindromic_prime?(373) true iex&gt; Predicates.is_palindromic_prime?(78247074287) true iex&gt; Predicates.is_palindromic_prime?(55) false"},{"ref":"Chunky.Math.Predicates.html#is_pandigital?/1","title":"Chunky.Math.Predicates.is_pandigital?/1","type":"function","doc":"Check if n is pandigital in base 10. Generalized function: Chunky.Math.is_pandigital_in_base?/2 Examples iex&gt; Predicates.is_pandigital?(123456789) false iex&gt; Predicates.is_pandigital?(1023456789) true"},{"ref":"Chunky.Math.Predicates.html#is_perfect?/1","title":"Chunky.Math.Predicates.is_perfect?/1","type":"function","doc":"Determine if an integer is a perfect number. A perfect integer is an n where the sum of the proper divisors of n is equal to n. Alternatively, an n that satisfies 𝜎(n) == 2n. See also: Chunky.Math.sigma/1 is_abundant?/1 is_arithmetic_number?/1 is_highly_abundant?/1 is_deficient?/1 Examples iex&gt; Predicates.is_perfect?(5) false iex&gt; Predicates.is_perfect?(6) true iex&gt; Predicates.is_perfect?(20) false iex&gt; Predicates.is_perfect?(33550336) true"},{"ref":"Chunky.Math.Predicates.html#is_perfect_cube?/1","title":"Chunky.Math.Predicates.is_perfect_cube?/1","type":"function","doc":"Check if n is a perfect cube. Perfect cubes are n such that there exists an m where m * m * m == n or m^3 == n. See also: Chunky.Math.factors/1 Chunky.Math.prime_factors/1 is_cubefree?/1 is_perfect_square?/1 is_squarefree?/1 Examples iex&gt; Predicates.is_perfect_cube?(6) false iex&gt; Predicates.is_perfect_cube?(8000) true iex&gt; Predicates.is_perfect_cube?(1879080904) true"},{"ref":"Chunky.Math.Predicates.html#is_perfect_power?/1","title":"Chunky.Math.Predicates.is_perfect_power?/1","type":"function","doc":"Check if n is a perfect power. Perfect powers are n where positive integers m and k exist, such that m^k == n. See also: Chunky.Math.factors/1 Chunky.Math.is_root_of?/2 is_prime_power?/1 Examples iex&gt; Predicates.is_perfect_power?(4) true iex&gt; Predicates.is_perfect_power?(100) true iex&gt; Predicates.is_perfect_power?(226) false"},{"ref":"Chunky.Math.Predicates.html#is_perfect_square?/1","title":"Chunky.Math.Predicates.is_perfect_square?/1","type":"function","doc":"Check if n is a perfect square. Perfect squares are n such that there exists an m where m * m == n. See also: Chunky.Math.factors/1 Chunky.Math.prime_factors/1 is_cubefree?/1 is_perfect_cube?/1 is_squarefree?/1 Examples iex&gt; Predicates.is_perfect_square?(0) true iex&gt; Predicates.is_perfect_square?(1) true iex&gt; Predicates.is_perfect_square?(3) false iex&gt; Predicates.is_perfect_square?(25) true iex&gt; Predicates.is_perfect_square?(123456) false"},{"ref":"Chunky.Math.Predicates.html#is_plaindrome?/1","title":"Chunky.Math.Predicates.is_plaindrome?/1","type":"function","doc":"Check if n is a plaindrome in base 10. The digits of n always stay the same or increase when read left to right. Generalized function: Chunky.Math.is_plaindrome_in_base?/2 Examples iex&gt; Predicates.is_plaindrome?(22367) true iex&gt; Predicates.is_plaindrome?(2048) false"},{"ref":"Chunky.Math.Predicates.html#is_polite_number?/1","title":"Chunky.Math.Predicates.is_polite_number?/1","type":"function","doc":"Is n a polite number? Polite numbers can be expressed as the sum of two consecutive digits. OEIS References: Chunky.Sequence.OEIS.Powers.create_sequence_a057716/1 - The non-powers of 2 Chunky.Sequence.OEIS.Multiples.create_sequence_a138591/1 - Sums of two or more consecutive nonnegative integers See also: is_impolite_number?/1 Examples iex&gt; Predicates.is_polite_number?(0) false iex&gt; Predicates.is_polite_number?(3) true iex&gt; Predicates.is_polite_number?(4) false iex&gt; Predicates.is_polite_number?(17) true iex&gt; Predicates.is_polite_number?(333) true iex&gt; Predicates.is_polite_number?(4098) true"},{"ref":"Chunky.Math.Predicates.html#is_positive?/1","title":"Chunky.Math.Predicates.is_positive?/1","type":"function","doc":"Determine if a number is a positive integer. Examples iex&gt; Predicates.is_positive?(4) true iex&gt; Predicates.is_positive?(-3) false iex&gt; Predicates.is_positive?(0) false"},{"ref":"Chunky.Math.Predicates.html#is_poulet_number?/1","title":"Chunky.Math.Predicates.is_poulet_number?/1","type":"function","doc":"Is n a Poulet number? Poulet numbers are Fermat pseudo-primes to base 2. See also: Chunky.Math.is_pseudo_prime?/2 is_pseudo_prime?/1 Examples iex&gt; Predicates.is_poulet_number?(107) false iex&gt; Predicates.is_poulet_number?(271) false iex&gt; Predicates.is_poulet_number?(341) true iex&gt; Predicates.is_poulet_number?(1387) true iex&gt; Predicates.is_poulet_number?(10261) true"},{"ref":"Chunky.Math.Predicates.html#is_powerful_number?/1","title":"Chunky.Math.Predicates.is_powerful_number?/1","type":"function","doc":"Determine if an integer n is a powerful number. A powerful number is an integer n such that for all prime factors m of n, m^2 also evenly divides n. Alternatively, a powerful number n can be written as n = a^2 * b^3 for positive integers a and b; n is the product of a square and a cube. See also: Chunky.Math.prime_factors/1 is_achilles_number?/1 is_highly_powerful_number?/1 Examples iex&gt; Predicates.is_powerful_number?(8) true iex&gt; Predicates.is_powerful_number?(10) false iex&gt; Predicates.is_powerful_number?(800) true iex&gt; Predicates.is_powerful_number?(970) false"},{"ref":"Chunky.Math.Predicates.html#is_practical_number?/1","title":"Chunky.Math.Predicates.is_practical_number?/1","type":"function","doc":"Is n a practical number? A practical number is a positive integer n where all positive integers less than n can be written as a sum of the distinct divisors of n. For instance, 8 is a practical number. Given the divisors 1, 2, 4, the non-divisors smaller than 8 can be writen as 3 = 1 + 2, 5 = 2 + 3, 6 = 3 + 2 + 1, 7 = 4 + 2 + 1. Also called the panarithmic numbers. OEIS References: A005153 - Practical numbers Examples iex&gt; Predicates.is_practical_number?(1) true iex&gt; Predicates.is_practical_number?(11) false iex&gt; Predicates.is_practical_number?(120) true iex&gt; Predicates.is_practical_number?(124) false iex&gt; Predicates.is_practical_number?(5152) true"},{"ref":"Chunky.Math.Predicates.html#is_primary_pseudoperfect_number?/1","title":"Chunky.Math.Predicates.is_primary_pseudoperfect_number?/1","type":"function","doc":"Is n a primary pseudoperfect number? A number is primary pseudoperfect if the sum of 1 over n and 1 over the prime factors of n equals 1. This summation over reciprocals of prime factors is also called the Egyptian fraction: This function uses the alternate fractional summation of: OEIS References: A054377 - Primary pseudoperfect numbers See also: is_erdos_nicolas_number?/1 is_primitive_pseudoperfect_number?/1 is_primitive_weird_number?/1 is_pseudoperfect_number?/1 is_weird_number?/1 Examples iex&gt; Predicates.is_primary_pseudoperfect_number?(2) true iex&gt; Predicates.is_primary_pseudoperfect_number?(4) false iex&gt; Predicates.is_primary_pseudoperfect_number?(6) true iex&gt; Predicates.is_primary_pseudoperfect_number?(210) false iex&gt; Predicates.is_primary_pseudoperfect_number?(1806) true"},{"ref":"Chunky.Math.Predicates.html#is_prime?/1","title":"Chunky.Math.Predicates.is_prime?/1","type":"function","doc":"Determine if a positive integer is prime. This function uses a Miller-Rabin primality test, with 40 iterations. See also: is_prime_fast?/1 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000040/1 - The prime numbers Examples iex&gt; Predicates.is_prime?(13) true iex&gt; Predicates.is_prime?(233*444*727*456) false iex&gt; Predicates.is_prime?(30762542250301270692051460539586166927291732754961) true"},{"ref":"Chunky.Math.Predicates.html#is_prime_fast?/1","title":"Chunky.Math.Predicates.is_prime_fast?/1","type":"function","doc":"Determine if a positive integer is prime. This function uses a cache of the first 100 primes as a first stage sieve and comparison set. In some cases using this method will result in a speed up over using is_prime?/1: For numbers &lt; 542, is_prime_fast?/1 is a MapSet membership check When iterating integers for prime candidates, is_prime_fast?/1 can show an ~9% speed up over is_prime?/1 In all cases, is_prime_fast?/1 falls back to calling is_prime? and the Miller-Rabin primality test code in cases where the prime cache cannot conclusively prove or disprove primality. See also: is_prime?/1 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000040/1 - The prime numbers Examples iex&gt; 1299601 |&gt; Predicates.is_prime_fast?() true iex&gt; 1237940039285380274899124225 |&gt; Predicates.is_prime_fast?() false"},{"ref":"Chunky.Math.Predicates.html#is_prime_power?/1","title":"Chunky.Math.Predicates.is_prime_power?/1","type":"function","doc":"Check if n is a power m of a prime, where m &gt;= 1. This is functionally a combination of is_perfect_power?/1 and is_prime?/1, but interleaves the factorization, leading to a speed up over using the two functions independently. See also: Chunky.Math.prime_factors/1 Chunky.Math.is_root_of?/2 is_perfect_power?/1 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a000961/1 - Powers of Primes Examples iex&gt; Predicates.is_prime_power?(2) true iex&gt; Predicates.is_prime_power?(9) true iex&gt; Predicates.is_prime_power?(10) false iex&gt; Predicates.is_prime_power?(144) false"},{"ref":"Chunky.Math.Predicates.html#is_prime_vampire_number?/1","title":"Chunky.Math.Predicates.is_prime_vampire_number?/1","type":"function","doc":"Check if n is a prime vampire number. A prime vampire number needs to mee the same criteria as a standard vampire number (see is_vampire_number?/1), with the additional criteria of: Both of the factors of n, a and b, must be prime See also: is_double_vampire_number?/1 is_pseudo_vampire_number?/1 is_vampire_number?/1 Examples iex&gt; Predicates.is_prime_vampire_number?(6881) false iex&gt; Predicates.is_prime_vampire_number?(117067) true"},{"ref":"Chunky.Math.Predicates.html#is_primitive_pseudoperfect_number?/1","title":"Chunky.Math.Predicates.is_primitive_pseudoperfect_number?/1","type":"function","doc":"Is n pseudoperfect, but all the proper divisors of n not pseudoperfect? OEIS References: A006036 - Primitive pseudoperfect numbers See also: is_erdos_nicolas_number?/1 is_primary_pseudoperfect_number?/1 is_primitive_weird_number?/1 is_pseudoperfect_number?/1 is_weird_number?/1 Examples iex&gt; Predicates.is_primitive_pseudoperfect_number?(6) true iex&gt; Predicates.is_primitive_pseudoperfect_number?(8) false iex&gt; Predicates.is_primitive_pseudoperfect_number?(28) true iex&gt; Predicates.is_primitive_pseudoperfect_number?(270) false iex&gt; Predicates.is_primitive_pseudoperfect_number?(272) true"},{"ref":"Chunky.Math.Predicates.html#is_primitive_weird_number?/1","title":"Chunky.Math.Predicates.is_primitive_weird_number?/1","type":"function","doc":"Is n a weird number, but all proper divisors of n are not weird numbers? OEIS References: A002975 - Primitive weird numbers See also: is_erdos_nicolas_number?/1 is_primary_pseudoperfect_number?/1 is_primitive_pseudoperfect_number?/1 is_pseudoperfect_number?/1 is_weird_number?/1 Examples iex&gt; Predicates.is_primitive_weird_number?(70) true iex&gt; Predicates.is_primitive_weird_number?(800) false iex&gt; Predicates.is_primitive_weird_number?(836) true iex&gt; Predicates.is_primitive_weird_number?(4030) true"},{"ref":"Chunky.Math.Predicates.html#is_pseudo_prime?/1","title":"Chunky.Math.Predicates.is_pseudo_prime?/1","type":"function","doc":"Determine if n is pseudo-prime to base 10. Generalized function: Chunky.Math.is_pseudo_prime?/2 See also: is_poulet_number?/1 is_carmichael_number?/1 Examples iex&gt; Predicates.is_pseudo_prime?(9) true iex&gt; Predicates.is_pseudo_prime?(33) true iex&gt; Predicates.is_pseudo_prime?(47) false iex&gt; Predicates.is_pseudo_prime?(481) true iex&gt; Predicates.is_pseudo_prime?(559) false iex&gt; Predicates.is_pseudo_prime?(8401) true"},{"ref":"Chunky.Math.Predicates.html#is_pseudo_vampire_number?/1","title":"Chunky.Math.Predicates.is_pseudo_vampire_number?/1","type":"function","doc":"Check if n is a pseudo vampire number. The pseudo-vampire numbers have more relaxed criteria than the standard vampire numbers (see is_vampire_number?/1). Pseudo-vampires change the restrictions on the number of digits in n and the factors a and b, such that: n can have an even or odd number of digits The factors a and b can be of any length, not strictly of half the length of n See also: is_double_vampire_number?/1 is_prime_vampire_number?/1 is_vampire_number?/1 Examples iex&gt; Predicates.is_pseudo_vampire_number?(126) true iex&gt; Predicates.is_pseudo_vampire_number?(128) false iex&gt; Predicates.is_pseudo_vampire_number?(19026) true iex&gt; Predicates.is_pseudo_vampire_number?(1025779) true"},{"ref":"Chunky.Math.Predicates.html#is_pseudoperfect_number?/1","title":"Chunky.Math.Predicates.is_pseudoperfect_number?/1","type":"function","doc":"Can n be written as a sum of some or all of its divisors? The pseudoperfect numbers are a super-set of the perfect numbers (where the sum of factors is equal to n), such that the sum of any combination of the factors of n equal n. Finding pseudoperfect numbers is equivalent to solving the Subset Sum, an NP-Complete problem. For numbers with a lot of factors, this algorithm will run in the worst case of exponential time. OEIS References: A005835 - Pseudoperfect See also: is_erdos_nicolas_number?/1 is_primary_pseudoperfect_number?/1 is_primitive_pseudoperfect_number?/1 is_primitive_weird_number?/1 is_weird_number?/1 Examples iex&gt; Predicates.is_pseudoperfect_number?(4) false iex&gt; Predicates.is_pseudoperfect_number?(6) true iex&gt; Predicates.is_pseudoperfect_number?(12) true iex&gt; Predicates.is_pseudoperfect_number?(150) true iex&gt; Predicates.is_pseudoperfect_number?(1944) true"},{"ref":"Chunky.Math.Predicates.html#is_repdigit?/1","title":"Chunky.Math.Predicates.is_repdigit?/1","type":"function","doc":"Check if n is a Repdigit number. Repdigits numbers are a generalization of a Repunit - a number consisting of a single repeating digit. Repdigit numbers can occur in any numeric base &gt; 1. When evaluating numbers in bases greater than base 10, lists of digits should be used (see to_base/2). Examples iex&gt; Predicates.is_repdigit?(123) false iex&gt; Predicates.is_repdigit?(22222) true iex&gt; Predicates.is_repdigit?(88888888888) true iex&gt; Math.to_base(9884745, 60) |&gt; Predicates.is_repdigit?() true iex&gt; Math.to_base(9884745, 60) [45, 45, 45, 45]"},{"ref":"Chunky.Math.Predicates.html#is_repunit?/1","title":"Chunky.Math.Predicates.is_repunit?/1","type":"function","doc":"Check if n is a Repunit. Repunits are numbers consisting of all 1s in base 10. Hence, R1 == 1, R2 == 11, etc. Examples iex&gt; Predicates.is_repunit?(0) false iex&gt; Predicates.is_repunit?(11) true iex&gt; Predicates.is_repunit?(11011) false iex&gt; Predicates.is_repunit?(1111111) true iex&gt; Predicates.is_repunit?(2071723 * 5363222357) true"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_10?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_10?/1","type":"function","doc":"Determine if n is a Rhonda number to base 10. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_10?(35581) true iex&gt; Predicates.is_rhonda_to_base_10?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_12?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_12?/1","type":"function","doc":"Determine if n is a Rhonda number to base 12. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_12?(32742) true iex&gt; Predicates.is_rhonda_to_base_12?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_14?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_14?/1","type":"function","doc":"Determine if n is a Rhonda number to base 14. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_14?(135196) true iex&gt; Predicates.is_rhonda_to_base_14?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_15?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_15?/1","type":"function","doc":"Determine if n is a Rhonda number to base 15. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_15?(15873) true iex&gt; Predicates.is_rhonda_to_base_15?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_16?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_16?/1","type":"function","doc":"Determine if n is a Rhonda number to base 16. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_16?(50055) true iex&gt; Predicates.is_rhonda_to_base_16?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_20?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_20?/1","type":"function","doc":"Determine if n is a Rhonda number to base 20. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_20?(86591) true iex&gt; Predicates.is_rhonda_to_base_20?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_30?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_30?/1","type":"function","doc":"Determine if n is a Rhonda number to base 30. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_30?(22784) true iex&gt; Predicates.is_rhonda_to_base_30?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_4?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_4?/1","type":"function","doc":"Determine if n is a Rhonda number to base 4. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_4?(94185) true iex&gt; Predicates.is_rhonda_to_base_4?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_60?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_60?/1","type":"function","doc":"Determine if n is a Rhonda number to base 60. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_60?(91224) true iex&gt; Predicates.is_rhonda_to_base_60?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_6?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_6?/1","type":"function","doc":"Determine if n is a Rhonda number to base 6. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_6?(15104) true iex&gt; Predicates.is_rhonda_to_base_4?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_8?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_8?/1","type":"function","doc":"Determine if n is a Rhonda number to base 8. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_8?(56420) true iex&gt; Predicates.is_rhonda_to_base_8?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_rhonda_to_base_9?/1","title":"Chunky.Math.Predicates.is_rhonda_to_base_9?/1","type":"function","doc":"Determine if n is a Rhonda number to base 9. Generalized function: Chunky.Math.is_rhonda_to_base?/2 See also: is_multiple_rhonda?/1 Examples iex&gt; Predicates.is_rhonda_to_base_9?(47652) true iex&gt; Predicates.is_rhonda_to_base_9?(327) false"},{"ref":"Chunky.Math.Predicates.html#is_right_truncatable_prime?/1","title":"Chunky.Math.Predicates.is_right_truncatable_prime?/1","type":"function","doc":"Is n a right truncatable prime? Truncatable primes are prime number that remain prime when successive digits are removed. For a right truncatable prime, the number will start, and remain, prime as the right digit of the number is recursively dropped, until the number is a single digit prime. For instance, 23399 is a right-truncatable prime, because 23399, 2339, 233, 23, and 2 are all prime. See also: is_left_truncatable_prime?/1 is_left_right_truncatable_prime?/1 is_two_sided_prime?/1 Examples iex&gt; Predicates.is_right_truncatable_prime?(23399) true iex&gt; Predicates.is_right_truncatable_prime?(37) true iex&gt; Predicates.is_right_truncatable_prime?(59393) true iex&gt; Predicates.is_right_truncatable_prime?(59397) false"},{"ref":"Chunky.Math.Predicates.html#is_semiprime_number?/1","title":"Chunky.Math.Predicates.is_semiprime_number?/1","type":"function","doc":"Is n a composite number with exactly two prime factors? OEIS References: A001358 - Semiprimes See also: is_squarefree_semiprime?/1 Examples iex&gt; Predicates.is_semiprime_number?(4) true iex&gt; Predicates.is_semiprime_number?(11) false iex&gt; Predicates.is_semiprime_number?(21) true iex&gt; Predicates.is_semiprime_number?(128) false iex&gt; Predicates.is_semiprime_number?(40773) true"},{"ref":"Chunky.Math.Predicates.html#is_singly_even_number?/1","title":"Chunky.Math.Predicates.is_singly_even_number?/1","type":"function","doc":"Is n a divisible by 2, but not by 4? Singly divisible numbers are of the form 4*n + 2. OEIS References: A016825 - Positive integers congruent to 2 mod 4 See also: is_even?/1 Examples iex&gt; Predicates.is_singly_even_number?(2) true iex&gt; Predicates.is_singly_even_number?(8) false iex&gt; Predicates.is_singly_even_number?(1930) true iex&gt; Predicates.is_singly_even_number?(79874) true"},{"ref":"Chunky.Math.Predicates.html#is_smith_number?/1","title":"Chunky.Math.Predicates.is_smith_number?/1","type":"function","doc":"Is n a Smith Number? Smith numbers have equal digit sums in n and the summed factors of n. The canonical example of a Smith number is 4937775. The digits sum is 42 (4 + 9 + 3 + 7 + 7 + 7 + 5), as is the sum of the prime factorization 3^1 + 5^2 + 65837^1 (3 + (5 * 2) + (6 + 5 + 8 + 3 + 7)). OEIS References: A006753 - Smith (or joke) numbers See also: is_hoax_number?/1 Examples iex&gt; Predicates.is_smith_number?(4) true iex&gt; Predicates.is_smith_number?(5) false iex&gt; Predicates.is_smith_number?(8) false iex&gt; Predicates.is_smith_number?(382) true iex&gt; Predicates.is_smith_number?(436) false iex&gt; Predicates.is_smith_number?(8545) true iex&gt; Predicates.is_smith_number?(13444) false iex&gt; Predicates.is_smith_number?(4937775) true"},{"ref":"Chunky.Math.Predicates.html#is_sphenic_number?/1","title":"Chunky.Math.Predicates.is_sphenic_number?/1","type":"function","doc":"Check if n is a sphenic number, the product of three distinct primes. See also: Chunky.Math.prime_factors/1 is_prime_power?/1 is_prime_vampire_number?/1 Example iex&gt; Predicates.is_sphenic_number?(4) false iex&gt; Predicates.is_sphenic_number?(66) true iex&gt; Predicates.is_sphenic_number?(51339) true"},{"ref":"Chunky.Math.Predicates.html#is_squarefree?/1","title":"Chunky.Math.Predicates.is_squarefree?/1","type":"function","doc":"Check if an integer n has no factors greater than 1 that are perfect squares. See also: Chunky.Math.factors/1 Chunky.Math.prime_factors/1 is_cubefree?/1 is_perfect_cube?/1 is_perfect_square?/1 OEIS References: Chunky.Sequence.OEIS.Core.create_sequence_a005117/1 - Squarefree numbers Examples iex&gt; Predicates.is_squarefree?(3) true iex&gt; Predicates.is_squarefree?(8) false iex&gt; Predicates.is_squarefree?(99935) true"},{"ref":"Chunky.Math.Predicates.html#is_squarefree_semiprime?/1","title":"Chunky.Math.Predicates.is_squarefree_semiprime?/1","type":"function","doc":"Is n a semiprime and also square free - a composite of two distinct primes? This function is an optimization of combining is_semiprime_number?/1 and is_squarefree?/1. OEIS References: A006881 - Squarefree semiprimes See also: is_semiprime_number?/1 is_squarefree?/1 Examples iex&gt; Predicates.is_squarefree_semiprime?(4) false iex&gt; Predicates.is_squarefree_semiprime?(21) true iex&gt; Predicates.is_squarefree_semiprime?(58) true iex&gt; Predicates.is_squarefree_semiprime?(187) true iex&gt; Predicates.is_squarefree_semiprime?(4414) true"},{"ref":"Chunky.Math.Predicates.html#is_strictly_non_palindromic?/1","title":"Chunky.Math.Predicates.is_strictly_non_palindromic?/1","type":"function","doc":"Check if n is strictly non-palindromic. These numbers are non-palindromic in any numeric base from 2 to n - 2. For larger numbers this can be a very expensive check. See also: Chunky.Math.is_palindromic_in_base?/2 is_palindromic?/1 Examples iex&gt; Predicates.is_strictly_non_palindromic?(6) true iex&gt; Predicates.is_strictly_non_palindromic?(19) true iex&gt; Predicates.is_strictly_non_palindromic?(80) false iex&gt; Predicates.is_strictly_non_palindromic?(317) true"},{"ref":"Chunky.Math.Predicates.html#is_two_sided_prime?/1","title":"Chunky.Math.Predicates.is_two_sided_prime?/1","type":"function","doc":"Is n a two sided prime, a number that is both a left and right trucatable prime. Truncatable primes are prime number that remain prime when successive digits are removed. For a two sided prime, the number will start, and remain, prime under both left and right truncation. For instance, 3137 is a two-sided prime, because: 3137 is prime 313, 31, and 3 are prime (right truncation) 137, 37, and 7 are prime (left truncation) See also: is_left_truncatable_prime?/1 is_left_right_truncatable_prime?/1 is_right_truncatable_prime?/1 Examples iex&gt; Predicates.is_two_sided_prime?(7) true iex&gt; Predicates.is_two_sided_prime?(313) true iex&gt; Predicates.is_two_sided_prime?(3137) true iex&gt; Predicates.is_two_sided_prime?(739397) true"},{"ref":"Chunky.Math.Predicates.html#is_unhappy_number?/1","title":"Chunky.Math.Predicates.is_unhappy_number?/1","type":"function","doc":"Does the repeated sum of squares of the digits of n converge to a value other than 1? By repeatedly taking the digits of a number, squaring them, and summing the result, all numbers will eventually converge to one of the numbers 0, 1, 4, 16, 20, 37, 42, 58, 89, or 145. Unhappy numbers coverge to a value other than 1. OEIS References: A031177 - Unappy numbers See also: is_happy_number?/1 Examples iex&gt; Predicates.is_unhappy_number?(2) true iex&gt; Predicates.is_unhappy_number?(25) true iex&gt; Predicates.is_unhappy_number?(475) true iex&gt; Predicates.is_unhappy_number?(953) true iex&gt; Predicates.is_unhappy_number?(11728) true"},{"ref":"Chunky.Math.Predicates.html#is_vampire_number?/1","title":"Chunky.Math.Predicates.is_vampire_number?/1","type":"function","doc":"Check if n is a true vampire number. A vampire number is a number n that fullfils the following criteria: n has an even number of digits n can be factored into two digits a and b Both a and b half exactly half as many digits as n One or the other of a or b can have trailing zeros, but not both a and b contain all of the original digits of n, in any order, including duplicated digits in n See also: is_double_vampire_number?/1 is_prime_vampire_number?/1 is_pseudo_vampire_number?/1 Examples iex&gt; Predicates.is_vampire_number?(1260) true iex&gt; Predicates.is_vampire_number?(6000) false iex&gt; Predicates.is_vampire_number?(6880) true iex&gt; Predicates.is_vampire_number?(125500) true"},{"ref":"Chunky.Math.Predicates.html#is_wasteful_number?/1","title":"Chunky.Math.Predicates.is_wasteful_number?/1","type":"function","doc":"Does the prime factorization of n have mored digits (counting primes and powers) than n? The wasteful numbers are sometimes called the extravagant numbers. When counting digits of the prime factorization the prime and it&#39;s exponent are combined together, so 4 is an extravagant number, because its prime factorization is 2^2 or 22 written out. OEIS References: A046760 - Wasteful numbers See also: is_economical_number?/1 is_equidigital_number?/1 Examples iex&gt; Predicates.is_wasteful_number?(4) true iex&gt; Predicates.is_wasteful_number?(24) true iex&gt; Predicates.is_wasteful_number?(110) true iex&gt; Predicates.is_wasteful_number?(14330) true"},{"ref":"Chunky.Math.Predicates.html#is_weakly_prime?/1","title":"Chunky.Math.Predicates.is_weakly_prime?/1","type":"function","doc":"Is n a weakly prime number? A prime number n is called weakly prime if it becomes not prime when any one of its digits is changed to every single other digit. Testing the number 347 would involve testing all of the numbers 147, 247, 447, 547, ..., 348, and 349 to see if they were prime. The number 347 is not weakly prime because 947 is prime. See also: is_prime?/1 Examples iex&gt; Predicates.is_weakly_prime?(294001) true iex&gt; Predicates.is_weakly_prime?(294007) false iex&gt; Predicates.is_weakly_prime?(3085553) true"},{"ref":"Chunky.Math.Predicates.html#is_weird_number?/1","title":"Chunky.Math.Predicates.is_weird_number?/1","type":"function","doc":"Weird numbers are abundant but not pseudoperfect numbers. A weird number n has a sum of factors that is greater than n (see is_abundant?/1), but no subset of factors that sum to exactly n (see is_pseudoperfect_number?/1). OEIS References: A006037 - Weird Numbers See also: is_erdos_nicolas_number?/1 is_primary_pseudoperfect_number?/1 is_primitive_pseudoperfect_number?/1 is_primitive_weird_number?/1 is_pseudoperfect_number?/1 Examples iex&gt; Predicates.is_weird_number?(24) false iex&gt; Predicates.is_weird_number?(70) true iex&gt; Predicates.is_weird_number?(820) false iex&gt; Predicates.is_weird_number?(836) true iex&gt; Predicates.is_weird_number?(10792) true"},{"ref":"Chunky.Math.Predicates.html#is_zero?/1","title":"Chunky.Math.Predicates.is_zero?/1","type":"function","doc":"Predicate for testing for 0 Examples iex&gt; Predicates.is_zero?(0) true iex&gt; Predicates.is_zero?(34) false iex&gt; Predicates.is_zero?(-34) false"},{"ref":"Chunky.Math.Predicates.html#is_zuckerman_number?/1","title":"Chunky.Math.Predicates.is_zuckerman_number?/1","type":"function","doc":"Is n divisible by the product of the digits of n? The Zuckerman numbers in base 10 - numbers n such that the product of the digits of n cleanly divides n. For example, 624 is a Zuckerman number, as 624 / (6 * 2 * 4) = 13. OEIS References: A007602 - Numbers divisible by the product of their digits Examples iex&gt; Predicates.is_zuckerman_number?(9) true iex&gt; Predicates.is_zuckerman_number?(13) false iex&gt; Predicates.is_zuckerman_number?(36) true iex&gt; Predicates.is_zuckerman_number?(612) true iex&gt; Predicates.is_zuckerman_number?(1344) true iex&gt; Predicates.is_zuckerman_number?(1148424192) true"},{"ref":"Chunky.Sequence.html","title":"Chunky.Sequence","type":"module","doc":"Create and manipulate mathematical sequences. New values in the sequences are created only when requested, allowing iteration of finite and infinite data in a lazy fashion: iex&gt; data = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.take(6) iex&gt; data |&gt; Tuple.to_list() |&gt; List.first() [1, 2, 3, 4, 5, 6] Available Sequences The Chunky.Sequence modules have sequences available in: Chunky.Sequence.Basic - Simple integer sequences, and defined sequence progressions Chunky.Sequence.OEIS - Integer Sequences from the Online Encyclopedia of Integer Sequences Chunky.Sequence.Test - Sequences for test purposes About Sequences Sequences are stateful - sequence manipulations will always return a %Sequence{} object along with any other requested data. Repeated calls to the same instance of a Sequence struct will always yield the same result: iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers, [start: 100]) iex&gt; (seq |&gt; Sequence.next!()).value 100 iex&gt; (seq |&gt; Sequence.next!()).value 100 The updated Sequence struct needs to be maintained, and passed along to other functions, to create new sequence values: iex&gt; seq_a = Sequence.create(Sequence.Basic, :whole_numbers, [start: 100]) iex&gt; seq_b = seq_a |&gt; Sequence.next!() iex&gt; seq_b.value 100 iex&gt; seq_c = seq_b |&gt; Sequence.next!() iex&gt; seq_c.value 101 or iex&gt; seq_a = Sequence.create(Sequence.Basic, :whole_numbers, [start: 100]) iex&gt; seq_n = seq_a |&gt; Sequence.next!() |&gt; Sequence.next!() |&gt; Sequence.next!() iex&gt; seq_n.value 102 Sequences count indices as they go - the first value will usually be at index 0: iex&gt; {_v, seq} = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.next() iex&gt; seq.value 1 iex&gt; seq.index 0 Some sequences start at an index other than 0, like the Sum of Odd Divisors (A000593): iex&gt; seq = Sequence.create(Sequence.OEIS.Core, :a000593) |&gt; Sequence.next!() iex&gt; seq.index 1 Working with Sequences Creating Sequences create/3 - Create a new sequence instance Finding and Inspecting Sequences available/0 - List all loaded sequences from all loaded applications and modules available/1 - List available sequences from a specific module has_next?/1 - Check that a sequence has at least one more available value is_available?/2 - Check if a specific sequence is available is_finite?/1 - Check of a sequence is finite or infinite in the Sequence library implementation is_instance?/2 - Check if a sequence is an instance of a specific sequence identifier is_instance?/3 - Check if a sequence is an instance of a specific sequence identifier get_references/1 - Retrieve reference sources and links for a sequence has_reference?/2 - Check if a sequence has a specific reference source readable_name/1 - Find the human readable name of a sequence Enumerating / Manipulating Sequences at/2 - Access the n-th value of a sequence from the current location drop/2 - Drop N values from the front of the sequence map/2 - Apply a function to values in a sequence, and collect the result next/1 - Retrieve the next sequence value and updated sequence struct as a tuple next!/1 - Retrieve the next sequence as just an updated sequence struct restart!/1 - Restart a sequence at it&#39;s initial value/index start/1 - Start iteration of a sequence take/2 - Like Enum.take/2 - retrieve a list of values from a sequence take!/2 - Like take/2, but only return the updated sequence struct Developing Sequences sequence_for_function/1 - Wrap a function as a sequence - see Developing New Sequences sequence_for_list/1 - Wrap a list as a sequence - see Developing New Sequences Developing New Sequences Sequences can be built in three different ways: Verbose Iterators (See Sequence.Basic.create_sequence_whole_numbers/1) Simple Functions (See sequence_for_function/1 and Sequence.OEIS.Core.create_sequence_a000045/1) Static Lists (See sequence_for_list/1 and Sequence.Basic.create_sequence_empty/1) All three ways of developing sequences have things in common: All will have a create_sequence_*/1 function - this is how the Sequence package finds and instantiates sequences All will have common function attributes (via data @doc attributes) for the create_sequence_*/1 function Sequence Attributes Top level create_sequence_* functions should have the following attributes: sequence - Readable name of the sequence references - List of tuples of the form {:source, :short_name, &quot;URI&quot;} along with the required attributes, the following optional attributes can be used: offset - Integer. Default 0. Start a sequence at an index other than 0. Verbose Iterators The most expressive way to write sequences is using the Verbose Iterators technique. In this style, the create_sequence_*/1 function returns a map that is used to build out the %Sequence{} struct. Let&#39;s take apart the :whole_numbers sequence in the Sequence.Basic module. The create function looks like: @doc sequence: &quot;Whole numbers: [1, 2, 3, 4, 5, ...]&quot;, references: [{:wolfram, :positive_integer, &quot;http://mathworld.wolfram.com/PositiveInteger.html&quot;}, {:wikipedia, :natural_number, &quot;https://en.wikipedia.org/wiki/Natural_number&quot;}] def create_sequence_whole_numbers(opts \\ []) do start = opts |&gt; Keyword.get(:start, 1) %{ next_fn: &amp;seq_whole_number_next/3, data: %{ start: start } } end Starting with the @doc attributes, and working through the whole function: The @doc attribute defines the sequence readable name with the sequence: attribute The @doc attribute defines references for the sequence with the references: attribute (See get_references/1) The function signature create_sequence_whole_numbers/1 defines the sequence identifier whole_numbers - this is automatically translated by the Sequence module functions For this sequence, we check for a start option - what value our sequence should start at We return a Map with two keys, the next_fn which is a function with arity 3, and a data attribute, which we can use to store any data we like Every next_fn (or iterator function) for a sequence can be called in two ways; :init mode and :next mode. The :init mode is used to prime the value and our state, the data attribute we set in our create function. In :next mode we generate the next value in our sequence. Both modes can update the data state map, which is maintained by the sequence functions. This allows more complex information needed to generate values to be stored. Let&#39;s take a look at how the seq_whole_number_next/3 function we referenced handles the two modes for the :whole_numbers sequence: defp seq_whole_number_next(:init, data, _value) do %{ data: data, value: data.start - 1 } end defp seq_whole_number_next(:next, data, value) do { :continue, %{data: data, value: value + 1} } end In this case we use two different functions to handle the :init and :next states. In the :init we update our value, and return our state (the data attribute) as is. When generating the next iteration value in :next mode, we refernce the value parameter, which was the last calculated value for the sequence. In this case we return a slightly different structure: we explicitly let the iterator know that our sequence can continue further - we have more values. The return value of the next_fn iterator can be of three forms. Map form: %{data: %{}, value: _} Continue tuple form: { :continue, %{data: %{}, value: _} } or Last tuple form: { :last, %{data: %{}, value: _} } If the :last tuple form is returned, the sequence is marked as finished, and no further values will be generated. Simple Functions Some sequences can be generated from a single function, like many mathematical progressions. The Verbose Iterator way of writing a sequence would be overkill - we can use the sequence_for_function/1 utility for wrapping a single function in a sequence. See sequence_for_function/1 for more details. As a simple example we can look at how the OEIS Fibonacci sequence is implemented: @doc sequence: &quot;OEIS A000045 - Fibonacci Numbers [0, 1, 1, 2, 3, 5, ...]&quot;, references: [{:oeis, :a000045, &quot;https://oeis.org/A000045&quot;}] def create_sequence_fibonacci(_opts) do sequence_for_function(&amp;seq_a000045/3) end def seq_a000045(idx, a, b) do case idx do 0 -&gt; 0 1 -&gt; 1 _ -&gt; a + b end end Like when writing a sequence as a Verbose Iterator, we have a create_sequence_*/1 function with @doc attributes that define the sequence name and references. Then we provide the sequence_for_function/1 function with a reference to the function that generates values - in this case a fibonacci function that uses the index and last two calculated values to determine the next value in the sequence. Static Lists For sufficiently small finite lists, we can use the sequence_for_list/1 utility function to wrap a list of static values as a sequence. See sequence_for_list/1 for more details. We can take apart the :decimal_digits sequence: @doc sequence: &quot;Decimal digits: [0, 1, 2, 3, 4, ...]&quot;, references: [{:wikipedia, :decimal_digit, &quot;https://en.wikipedia.org/wiki/Numerical_digit&quot;}] def create_sequence_decimal_digits(_opts) do sequence_for_list([0, 1, 2, 3, 4, 5, 6, 7, 8, 9]) end This sequence has the expected sequence: and references: doc attributes, and then a call to the sequence_for_list/1 function with a list of data."},{"ref":"Chunky.Sequence.html#at/3","title":"Chunky.Sequence.at/3","type":"function","doc":"Find a value in the sequence offset from the current location. Like Enum.at, this function retrieves the value at the given index, offset from the current location in the sequence. This does not advance the sequence iterator, and so provides different functionality than simply calling drop(n) |&gt; take(1). If a sequence is finite. and the index provided is beyond the end of the sequence, a nil value is returned. This function uses a timeout during processing - if iterating to and retrieving the target value takes longer than the timeout, the return value from the function will be :timeout. The default timeout is 1,000 milliseconds. Options timeout. Integer. Default 1_000. Number of milliseconds to iterate for a value before stopping Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.start() iex&gt; seq |&gt; Sequence.at(10) 11 iex&gt; seq.index 0 iex&gt; seq.value 1 iex&gt; seq = Sequence.create(Sequence.Basic, :decimal_digits) |&gt; Sequence.start() iex&gt; seq |&gt; Sequence.at(20) nil iex&gt; seq.index 0 iex&gt; seq.value 0 iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.start() iex&gt; seq |&gt; Sequence.at(1_000_000, timeout: 5) :timeout"},{"ref":"Chunky.Sequence.html#available/0","title":"Chunky.Sequence.available/0","type":"function","doc":"Scan all loaded applications and modules for sequences. This is almost identical to the available/1 function, but it scans a selection of loaded applications and modules, excluding the core libraries, for sequences. The return values are the same as for available/1."},{"ref":"Chunky.Sequence.html#available/1","title":"Chunky.Sequence.available/1","type":"function","doc":"List available sequence in a specific module. Sequences are organized into modules, with sequences of different sources or shapes in different modules. Sequences built or included via alternate packages can also be queried this way. Example iex&gt; Sequence.available(Sequence.Basic) |&gt; length() 3 iex&gt; Sequence.available(Sequence.Basic) |&gt; List.last() %{description: &quot;Whole numbers: [1, 2, 3, 4, 5, ...]&quot;, name: &quot;Whole Numbers&quot;, sequence: :whole_numbers, module: Sequence.Basic}"},{"ref":"Chunky.Sequence.html#create/1","title":"Chunky.Sequence.create/1","type":"function","doc":"Instantiate an instance of a sequence from a sequence bundle map. The sequence bundle map is the set of data returned for each sequence by functions like Sequence.available/0 or Sequence.OEIS.find_sequence!/1. Actual instance initialization and creation is handed off to Sequence.create/3. Examples iex&gt; seq = Sequence.OEIS.find_sequence!(:a000012) |&gt; Sequence.create() iex&gt; seq |&gt; Sequence.readable_name() &quot;The simplest sequence of positive numbers: the all 1&#39;s sequence.&quot;"},{"ref":"Chunky.Sequence.html#create/3","title":"Chunky.Sequence.create/3","type":"function","doc":"Instantiate an instance of a sequence. iex&gt; seq = Sequence.create(Sequence.Basic, :empty) iex&gt; seq |&gt; Sequence.readable_name() &quot;Empty sequence: []&quot; iex&gt; seq = Sequence.create(Sequence.OEIS.Core, :fibonacci) iex&gt; seq |&gt; Sequence.take!(10) [0, 1, 1, 2, 3, 5, 8, 13, 21, 34] Some sequences accept options, which change the progression or shape of the generated sequence data: iex&gt; Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.take!(5) [1, 2, 3, 4, 5] iex&gt; Sequence.create(Sequence.Basic, :whole_numbers, [start: 13]) |&gt; Sequence.take!(5) [13, 14, 15, 16, 17] Finding Available Sequences Sequences are referenced by Module name and a sequence identifier. The documentation for the Sequence sub-modules contains reference data for all available sequences. See: Chunky.Sequence.Basic Chunky.Sequence.OEIS Available sequences can be found with available/1: iex&gt; Sequence.available(Sequence.Basic) |&gt; List.first() %{description: &quot;Decimal digits: [0, 1, 2, 3, 4, ...]&quot;, name: &quot;Decimal Digits&quot;, sequence: :decimal_digits, module: Sequence.Basic} The function name within a module can also be used to identify a sequence, as all sequence generation functions follow the format create_sequence_*. The OEIS fibonacci sequence is indirectly created via the function Chunky.Sequence.OEIS.Core.create_sequence_fibonacci/1."},{"ref":"Chunky.Sequence.html#drop/2","title":"Chunky.Sequence.drop/2","type":"function","doc":"Drop values from the front of the sequence, returning the updated sequence struct. Like Enum.drop/2. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; seq |&gt; Sequence.drop(10) |&gt; Sequence.take!(10) [11, 12, 13, 14, 15, 16, 17, 18, 19, 20]"},{"ref":"Chunky.Sequence.html#get_references/1","title":"Chunky.Sequence.get_references/1","type":"function","doc":"Retrieve sequence reference data from a sequence description dictionary, like those returned by available/1 and available/0. Examples iex&gt; %{module: Chunky.Sequence.OEIS.Factors, sequence: :a052486} |&gt; Sequence.get_references() [{:oeis, :a052486, &quot;https://oeis.org/A052486&quot;}, {:wikipedia, :achilles_number, &quot;https://en.wikipedia.org/wiki/Achilles_number&quot;}]"},{"ref":"Chunky.Sequence.html#has_next?/1","title":"Chunky.Sequence.has_next?/1","type":"function","doc":"Check that a sequence has more values. Some sequences are finite, and have distinct end points. For finite sequences it can make sense to check for additional values before trying to access more data: iex&gt; seq = Sequence.create(Sequence.Basic, :empty) |&gt; Sequence.next!() iex&gt; seq |&gt; Sequence.has_next?() false iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.next!() iex&gt; seq |&gt; Sequence.has_next?() true"},{"ref":"Chunky.Sequence.html#has_reference?/2","title":"Chunky.Sequence.has_reference?/2","type":"function","doc":"Check if a sequence instance has a reference to a specific source. See also get_references/1. Examples iex&gt; Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.has_reference?(:wolfram) true iex&gt; Sequence.create(Sequence.OEIS.Core, :a000045) |&gt; Sequence.has_reference?(:oeis) true iex&gt; Sequence.create(Sequence.OEIS.Core, :a000045) |&gt; Sequence.has_reference?(:wolfram) false"},{"ref":"Chunky.Sequence.html#is_available?/2","title":"Chunky.Sequence.is_available?/2","type":"function","doc":"Determine if a specific sequence is available. Example iex&gt; Sequence.is_available?(Sequence.OEIS.Core, :fibonacci) true iex&gt; Sequence.is_available?(Sequence.OEIS.Core, :quadronacci) false"},{"ref":"Chunky.Sequence.html#is_finite?/1","title":"Chunky.Sequence.is_finite?/1","type":"function","doc":"Determine if a sequence is finite or infinite. A sequence being finite or infinite is not a reflection of the absolute computability or theoretical limits of a sequence, but is determined by the quantity of values available in the Sequence library implementation. Examples iex&gt; Sequence.create(Sequence.OEIS.Core, :fibonacci) |&gt; Sequence.is_finite?() false iex&gt; Sequence.create(Sequence.OEIS.Core, :a000001) |&gt; Sequence.is_finite?() true"},{"ref":"Chunky.Sequence.html#is_instance?/2","title":"Chunky.Sequence.is_instance?/2","type":"function","doc":"Check if a sequence struct is an instance of a specific sequence. See also is_instance?/3. Example iex&gt; seq = Sequence.create(Sequence.OEIS.Core, :a000045) iex&gt; seq |&gt; Sequence.is_instance?({Sequence.OEIS, :a000066}) false iex&gt; seq |&gt; Sequence.is_instance?({Sequence.OEIS.Core, :a000045}) true"},{"ref":"Chunky.Sequence.html#is_instance?/3","title":"Chunky.Sequence.is_instance?/3","type":"function","doc":"Check if a sequence struct is an instance of a specific sequence. See also is_instance?/2. Example iex&gt; seq = Sequence.create(Sequence.OEIS.Core, :a000045) iex&gt; seq |&gt; Sequence.is_instance?(Sequence.OEIS, :a000066) false iex&gt; seq |&gt; Sequence.is_instance?(Sequence.OEIS.Core, :a000045) true"},{"ref":"Chunky.Sequence.html#map/2","title":"Chunky.Sequence.map/2","type":"function","doc":"Apply a function to every value in a Sequence. Like Enum.map/2. For infinite sequences, this will never complete. Use Sequence.take/2 and apply a normal map. Examples iex&gt; Sequence.create(Sequence.Test, :list_medium) |&gt; Sequence.map(fn v -&gt; v * 3 end) [3, 6, 9, 12, 15, 18, 21, 24, 27, 30]"},{"ref":"Chunky.Sequence.html#next/1","title":"Chunky.Sequence.next/1","type":"function","doc":"Iterate a sequence, returning the sequence value and updated sequence struct. The sequence struct needs to be maintained in order to iterate a sequence; with the next/1 function, you can access the iterated value and the updated struct with the same call. Example iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; {val, _updated_seq} = seq |&gt; Sequence.next() iex&gt; val 1"},{"ref":"Chunky.Sequence.html#next!/1","title":"Chunky.Sequence.next!/1","type":"function","doc":"Iterate a sequence, returning only the updated Sequence structure. The Sequence structure maintains the last index and value seen in a sequence, so is a useful shorthand when explictly returning the sequence value isn&#39;t necessary. This also makes it possible to chain together calls to next!/1 and other sequence methods. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; updated_seq = seq |&gt; Sequence.next!() iex&gt; updated_seq.value 1"},{"ref":"Chunky.Sequence.html#readable_name/1","title":"Chunky.Sequence.readable_name/1","type":"function","doc":"Get a human readable name for a sequence. Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000045) |&gt; Sequence.readable_name() &quot;OEIS A000045 - Fibonacci Numbers [0, 1, 1, 2, 3, 5, ...]&quot;"},{"ref":"Chunky.Sequence.html#restart!/1","title":"Chunky.Sequence.restart!/1","type":"function","doc":"Restart a sequence that has already been iterated. This returns a new instance of the sequence, as it would be initialized from create/3. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.start() |&gt; Sequence.drop(30) iex&gt; seq.value 31 iex&gt; seq = seq |&gt; Sequence.restart!() iex&gt; seq.value 1"},{"ref":"Chunky.Sequence.html#sequence_for_function/1","title":"Chunky.Sequence.sequence_for_function/1","type":"function","doc":"Create a new sequence from a simple function and an information function. The simple sequence function should take one or more parameters, corresponding to the last N values of the sequence. Configuration Configuration values for the sequence function can be provided as @doc string attributes on the function. Supported attributes are: fill_value - Integer. Optional. Default 0. Filler value used as parameters to sequence function when existing values haven&#39;t yet been calculated sequence - String. Required. Short sequence summary. data - Map. Optional. Static information to add to sequence data attribute Sequence Function The sequence function will be called with the index of the current value to calculate, and the last N values of the function, where N is the function arity minus one. For example, to setup a function that adds the last three values in the sequence, with the first three values being 1, 1, 1, we could write the function: def add_last_three(_idx, a, b, c) do case {a, b, c} do {0, 0, 0} -&gt; 1 {0, 0, _} -&gt; 2 {0, _, _} -&gt; 3 {va, vb, vc} -&gt; va+vb+vc end end In this case we don&#39;t use the index of the function at all. Using the sequence_for_function/1 call we could register this sequence inside a create function (so that it can be properly instantiated): def create_sequence_add_last_three(_opts) do sequence_for_function(&amp;add_last_three/4) end Note that the create_sequence_add_last_three/1 function should have proper sequence and references attributes. See the Developing Sequences section for more details. Attributes For the @doc attributes of the sequence function to readable, the function reference passed to the sequence_for_function/1 function must be scoped to a module or module alias, not a bare referene. This means that this will work: sequence_for_function(&amp;Sequence.Test.seq_last_three/4) but the following will not: sequence_for_function(&amp;seq_last_three/4) Offset Attribute Some sequences don&#39;t start counting at index 0. When a different offset is required than the default 0, the offset attribute can be used. This attribute needs to be set on the create_sequence_* function as well as the simple sequence function: @doc offset: 2 def create_sequence_count_from_two(_opts) do end @doc offset: 2 def seq_count_from_two(idx) do # first _idx_ received will be 2 end Data attribute If the sequence function uses a data attribute, the call signature of the sequence function changes. For example, a simple function using the last two values, with no data attribute, will have a function signature like: def seq_no_data_last_two(idx, a, b) do ... end While a sequence function that has a data attribute will look like: @doc data: %{start_values: [1, 2, 3]} def seq_with_data_last_two(data, idx, a, b) do ... end Fill Value attribute Sequence functions that reference past values are normally called with 0 if some of the past values haven&#39;t yet been created. The fill_value doc attribute can be used to change the default value. For instance, on the first call to iterate the sequence: def seq_defaults_last_two(idx, a, b) do # a == 0 # b == 0 end but when we change the fill_value: @doc fill_value: 17 def seq_fill_last_two(idx, a, b) do # a == 17 # b == 17 end"},{"ref":"Chunky.Sequence.html#sequence_for_list/1","title":"Chunky.Sequence.sequence_for_list/1","type":"function","doc":"Create a sequence that references a static list of data. In the case of suitable small finite sequences, it is significantly easier to use a static list of data as a sequence. The sequence_for_list/1 function provides a simple way to do this. For example, to create a sequence for a short list of 5 numbers: def create_sequence_my_short_list(_opts) do sequence_for_list([3, 7, 11, 27, 47]) end Like with the sequence_for_function/1 example, the above example create_sequence_* function should include full sequence and references doc attributes. See the Developing Sequences section for more details. Sequences generated from a list behave just like any other sequence. Attributes of List Sequences Finite Sequence A sequence created from a list is automatically marked as finite. See is_finite?/1. Offset Attribute Some sequences don&#39;t start counting at index 0. When a different offset is required than the default 0, the offset attribute can be used. This attribute needs to be set on the create_sequence_* function. @doc offset: 2 def create_sequence_count_from_two(_opts) do sequence_from_list([0, 0, 200, 201, 203, 204]) end"},{"ref":"Chunky.Sequence.html#start/1","title":"Chunky.Sequence.start/1","type":"function","doc":"Start iteration of a created sequence. This is an alias of next!/1. For readability it can be useful to have a separate start function to call on a newly generated sequence. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.start() iex&gt; seq.value 1 iex&gt; seq.index 0"},{"ref":"Chunky.Sequence.html#take/2","title":"Chunky.Sequence.take/2","type":"function","doc":"Retrieve the first N values from a sequence, like Enum.take/2. This version of the take function returns a separate list of values and the sequence state. See also Sequence.take!/2. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; {values, _n_seq} = seq |&gt; Sequence.take(10) iex&gt; values [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] iex&gt; seq = Sequence.create(Sequence.OEIS.Core, :fibonacci) iex&gt; {values, _n_seq} = seq |&gt; Sequence.take(10) iex&gt; values [0, 1, 1, 2, 3, 5, 8, 13, 21, 34]"},{"ref":"Chunky.Sequence.html#take!/2","title":"Chunky.Sequence.take!/2","type":"function","doc":"Retrieve the next count values from a sequence, without retaining sequence state. This function behaves similarly to the take/2 function, but the state of the sequence isn&#39;t maintained, so any subsequent calls to the same sequence will still contain the values retrieved with take!. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; seq |&gt; Sequence.take!(5) [1, 2, 3, 4, 5] iex&gt; seq |&gt; Sequence.take!(10) [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]"},{"ref":"Chunky.Sequence.Basic.html","title":"Chunky.Sequence.Basic","type":"module","doc":"Working with basic sequences."},{"ref":"Chunky.Sequence.Basic.html#create_sequence_decimal_digits/1","title":"Chunky.Sequence.Basic.create_sequence_decimal_digits/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Basic.html#create_sequence_empty/1","title":"Chunky.Sequence.Basic.create_sequence_empty/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Basic.html#create_sequence_whole_numbers/1","title":"Chunky.Sequence.Basic.create_sequence_whole_numbers/1","type":"function","doc":"Generate the sequence of whole numbers, [1, 2, 3, 4, ...]"},{"ref":"Chunky.Sequence.OEIS.html","title":"Chunky.Sequence.OEIS","type":"module","doc":"Online Encyclopedia of Integer Sequences (OEIS) sequence iterators. Supported sequences are broken down into modules based on OEIS Keyword, subject matter, or related methods. Available Modules Chunky.Sequence.OEIS.Combinatorics - Permutations, Combinations, and general Combinatorics sequences Chunky.Sequence.OEIS.Constants - Constant values, digit expansions, and constant cycles Chunky.Sequence.OEIS.Core - OEIS core Keyword sequences Chunky.Sequence.OEIS.Factors - Factorizations and divisors Chunky.Sequence.OEIS.Multiples - Multiples and addition sequences Chunky.Sequence.OEIS.Powers - Powers and simple polynomials Chunky.Sequence.OEIS.Primes - Primes and related sequences Chunky.Sequence.OEIS.Repr - Number representations, digit contents, and digit patterns Chunky.Sequence.OEIS.Sigma - Sequenecs related to the Sigma (𝝈) function Utility Functions coverage/0 - Show report of OEIS coverage of select sequence groups, and overall tallying of supported sequences coverage/1 - Calculate coverage of sequences from a Sequence of OEIS identifiers find_sequence/1 - Find an OEIS sequence by identifier find_sequence!/1 - Find an OEIS sequence by identifier, or raise an error has_sequence?/1 - Check if an OEIS sequence is supported, by atom or string Coverage The Chunky sequence library will never have 100% coverage of OEIS sequences; there are just too many already listed, and too many added every year. The goal of the sequence library is to cover the OEIS Core set, as well as selected subsets of other keywords or topics. Current coverage stats: OEIS Coverage 745 total sequences By Module Elixir.Chunky.Sequence.OEIS - 1 sequences Elixir.Chunky.Sequence.OEIS.Combinatorics - 7 sequences Elixir.Chunky.Sequence.OEIS.Constants - 31 sequences Elixir.Chunky.Sequence.OEIS.Core - 136 sequences Elixir.Chunky.Sequence.OEIS.Factors - 122 sequences Elixir.Chunky.Sequence.OEIS.Multiples - 75 sequences Elixir.Chunky.Sequence.OEIS.Powers - 48 sequences Elixir.Chunky.Sequence.OEIS.Primes - 100 sequences Elixir.Chunky.Sequence.OEIS.Repr - 205 sequences Elixir.Chunky.Sequence.OEIS.Sigma - 20 sequences Sequence Groups OEIS Core Sequences - 135 / 177 (76.27%) OEIS Core::Easy Sequences - 121 / 146 (82.88%) OEIS Core::Hard Sequences - 12 / 12 (100.0%) OEIS Core::Multiplicative Sequences - 22 / 22 (100.0%) OEIS Core::Eigen Sequences - 5 / 5 (100.0%) Available/covered sequences, by OEIS ID: A000001 A000002 A000004 A000005 A000007 A000009 A000010 A000012 A000027 A000029 A000031 A000032 A000035 A000037 A000040 A000041 A000043 A000045 A000048 A000051 A000069 A000079 A000081 A000085 A000105 A000108 A000109 A000110 A000111 A000112 A000120 A000123 A000124 A000129 A000142 A000161 A000166 A000169 A000203 A000204 A000217 A000219 A000225 A000244 A000262 A000272 A000290 A000292 A000302 A000311 A000312 A000326 A000330 A000351 A000364 A000396 A000400 A000420 A000521 A000578 A000583 A000593 A000594 A000609 A000670 A000688 A000720 A000788 A000796 A000798 A000959 A000961 A000977 A000984 A001003 A001006 A001018 A001019 A001020 A001021 A001022 A001023 A001024 A001025 A001026 A001027 A001029 A001045 A001055 A001057 A001065 A001101 A001147 A001157 A001158 A001159 A001160 A001190 A001221 A001222 A001227 A001333 A001358 A001405 A001414 A001477 A001478 A001481 A001489 A001511 A001519 A001567 A001597 A001615 A001694 A001699 A001700 A001764 A001826 A001842 A001906 A001969 A002033 A002093 A002106 A002110 A002113 A002182 A002275 A002378 A002473 A002487 A002530 A002531 A002620 A002654 A002808 A002975 A003094 A003418 A003484 A003586 A003601 A004144 A004176 A004177 A004178 A004179 A004180 A004181 A004182 A004183 A004184 A004526 A004709 A004719 A004720 A004721 A004722 A004723 A004724 A004725 A004726 A004727 A004728 A005100 A005101 A005117 A005153 A005188 A005349 A005361 A005408 A005470 A005588 A005811 A005823 A005835 A005836 A005843 A005934 A005935 A005936 A005937 A005938 A005939 A006036 A006037 A006318 A006530 A006753 A006881 A006882 A006886 A006894 A006966 A007018 A007088 A007089 A007090 A007091 A007092 A007093 A007094 A007095 A007304 A007318 A007395 A007412 A007434 A007602 A007770 A007774 A007947 A007953 A007954 A008277 A008279 A008292 A008585 A008586 A008587 A008588 A008589 A008590 A008591 A008592 A008593 A008594 A008595 A008596 A008597 A008598 A008599 A008600 A008601 A008602 A008603 A008604 A008605 A008606 A008607 A008683 A008966 A009003 A009964 A009965 A009966 A009967 A009968 A009969 A009970 A009971 A009972 A009973 A009974 A009975 A009976 A009977 A009978 A009979 A009980 A009981 A009982 A009983 A009984 A009985 A009986 A009987 A009988 A009989 A009990 A009991 A009992 A010344 A010346 A010348 A010350 A010353 A010354 A010692 A010701 A010709 A010716 A010722 A010727 A010731 A010734 A010850 A010851 A010852 A010853 A010854 A010855 A010856 A010857 A010858 A010859 A010860 A010861 A010862 A010863 A010864 A010865 A010866 A010867 A010868 A010869 A010870 A010871 A010872 A011531 A011532 A011533 A011534 A011535 A011536 A011537 A011538 A011539 A011540 A011557 A013929 A013954 A013955 A013956 A013957 A013958 A013959 A013960 A013961 A013962 A013963 A013964 A013965 A013966 A013967 A013968 A014263 A014576 A014612 A014613 A014614 A016825 A018252 A018253 A018256 A018261 A018266 A018293 A018321 A018350 A018412 A018609 A018676 A019506 A020136 A020137 A020138 A020139 A020140 A020141 A020142 A020143 A020144 A020145 A020146 A020147 A020148 A020149 A020150 A020151 A020152 A020153 A020154 A020155 A020156 A020157 A020158 A020159 A020160 A020161 A020162 A020163 A020164 A020165 A020166 A020167 A020168 A020169 A020170 A020171 A020172 A020173 A020174 A020175 A020176 A020177 A020178 A020179 A020180 A020181 A020182 A020183 A020184 A020185 A020186 A020187 A020188 A020189 A020190 A020191 A020192 A020193 A020194 A020195 A020196 A020197 A020198 A020199 A020200 A020201 A020202 A020203 A020204 A020205 A020206 A020207 A020208 A020209 A020210 A020211 A020212 A020213 A020214 A020215 A020216 A020217 A020218 A020219 A020220 A020221 A020222 A020223 A020224 A020225 A020226 A020227 A020228 A020639 A023416 A023692 A023693 A023694 A023695 A023696 A023697 A023698 A023699 A023700 A023701 A023702 A023703 A023704 A023705 A023706 A023707 A023708 A023709 A023710 A023711 A023712 A023713 A023714 A023715 A023716 A023717 A023718 A023719 A023720 A023721 A023722 A023723 A023724 A023725 A023726 A023727 A023728 A023729 A023730 A023731 A023732 A023733 A023734 A023735 A023736 A023738 A023739 A023740 A023745 A023746 A023747 A023748 A023749 A023750 A023751 A023752 A023753 A023754 A023755 A023756 A023757 A027642 A030513 A030515 A031177 A032924 A033273 A033942 A033987 A033992 A033993 A036537 A037143 A038109 A039956 A043321 A044102 A046099 A046253 A046306 A046308 A046310 A046312 A046314 A046321 A046386 A046387 A046660 A046758 A046759 A046760 A048272 A049310 A051003 A051037 A051038 A051270 A052040 A052382 A052383 A052404 A052405 A052406 A052413 A052414 A052419 A052421 A052486 A053816 A054377 A055512 A055640 A055641 A055642 A056911 A057716 A059015 A059269 A059376 A059377 A059378 A062756 A062768 A063416 A063997 A065958 A065959 A065960 A067251 A067259 A067885 A069091 A069092 A069093 A069094 A069095 A069272 A069273 A069274 A069275 A069276 A069277 A069278 A069279 A069280 A069281 A069537 A069540 A069543 A070939 A071858 A074206 A074940 A074969 A076479 A077267 A080197 A080681 A080682 A080683 A081603 A081605 A081606 A085959 A087752 A097251 A097252 A097253 A097254 A097255 A097256 A097257 A097258 A097259 A097260 A097261 A097262 A099542 A100968 A100969 A100970 A100971 A100972 A100973 A100974 A100975 A100987 A100988 A102669 A102670 A102671 A102672 A102673 A102674 A102675 A102676 A102677 A102678 A102679 A102680 A102681 A102682 A102683 A102684 A114904 A115983 A117805 A121022 A121023 A121024 A121025 A121026 A121027 A121028 A121029 A121030 A121031 A121032 A121033 A121034 A121035 A121036 A121037 A121038 A121039 A121040 A122840 A123321 A123322 A130897 A135628 A135631 A138591 A152691 A159981 A159984 A159986 A159987 A159988 A159989 A159991 A160093 A160889 A160891 A160893 A160895 A160897 A160908 A160953 A160957 A160960 A161948 A161949 A161950 A161951 A161952 A161953 A162511 A162643 A165412 A169823 A169825 A169827 A174312 A178858 A178859 A178860 A178861 A178862 A178863 A178864 A178877 A178878 A179868 A193238 A194472 A195819 A196563 A209061 A211337 A211338 A248910 A249674 A252994 A255731 A255732 A255735 A255736 A255805 A255808 A289682 A305548"},{"ref":"Chunky.Sequence.OEIS.html#coverage/0","title":"Chunky.Sequence.OEIS.coverage/0","type":"function","doc":"Print out a coverage report for named sequence groups (like CORE) in the OEIS sequence support modules."},{"ref":"Chunky.Sequence.OEIS.html#coverage/1","title":"Chunky.Sequence.OEIS.coverage/1","type":"function","doc":"Calculate the OEIS Sequence coverage for a particular sequence group. This is primarily for reference and testing, and is used to determine the completeness of sequence coverage in the Chunky.Sequence.OEIS modules. Example iex&gt; (Sequence.create(Sequence.OEIS, :keyword_core) |&gt; Sequence.OEIS.coverage()).percent &lt; 1.0 true iex&gt; (Sequence.create(Sequence.OEIS, :keyword_core) |&gt; Sequence.OEIS.coverage()).percent &gt; 0.0 true"},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core/1","type":"function","doc":"The Online Encyclopedia of Integer Sequences list of Core Sequences. This list is primarily for reference lookup and Sequence introspection, in particular calculating the coverage of Core sequences in Chunky.Sequences."},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_easy/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_easy/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_eigen/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_eigen/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_hard/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_hard/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_mult/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_mult/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#find_sequence/1","title":"Chunky.Sequence.OEIS.find_sequence/1","type":"function","doc":"Find a sequence definition by sequence identifier. Example iex&gt; Sequence.OEIS.find_sequence(&quot;A159986&quot;) {:ok, %{description: &quot;Catalan numbers read modulo 7 .&quot;, module: Chunky.Sequence.OEIS.Combinatorics, name: &quot;A159986&quot;, sequence: :a159986}} iex&gt; Sequence.OEIS.find_sequence(&quot;A999999999&quot;) {:error, :not_found} iex&gt; Sequence.OEIS.find_sequence(:a010853) {:ok, %{description: &quot;Constant sequence: a(n) = 14.&quot;, module: Chunky.Sequence.OEIS.Constants, name: &quot;A010853&quot;, sequence: :a010853}}"},{"ref":"Chunky.Sequence.OEIS.html#find_sequence!/1","title":"Chunky.Sequence.OEIS.find_sequence!/1","type":"function","doc":"Like find_sequence/1, but directly return the sequence bundle, or raise an error. The sequece bundle can be handed directly to Chunky.Sequence.create/1. Example iex&gt; seq = Sequence.OEIS.find_sequence!(:a159986) |&gt; Sequence.create() |&gt; Sequence.start() iex&gt; seq.value 1"},{"ref":"Chunky.Sequence.OEIS.html#has_sequence?/1","title":"Chunky.Sequence.OEIS.has_sequence?/1","type":"function","doc":"Determine if a specific OEIS sequence is available. Examples iex&gt; Sequence.OEIS.has_sequence?(:a159986) true iex&gt; Sequence.OEIS.has_sequence?(&quot;A008598&quot;) true iex&gt; Sequence.OEIS.has_sequence?(&quot;A99999999&quot;) false"},{"ref":"Chunky.Sequence.OEIS.html#missing_sequences/1","title":"Chunky.Sequence.OEIS.missing_sequences/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#missing_sequences/2","title":"Chunky.Sequence.OEIS.missing_sequences/2","type":"function","doc":"Find the next 100 missing sequences from a coverage set"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html","title":"Chunky.Sequence.OEIS.Combinatorics","type":"module","doc":"Sequences from the Online Encyclopedia of Integer Sequences dealing with combinatorics, set manipulations, and permutations. Available Sequences Catalan Numbers Via Catalan Number - Wikipedia: In combinatorial mathematics, the Catalan numbers form a sequence of natural numbers that occur in various counting problems, often involving recursively-defined objects. They are named after the Belgian mathematician Eugène Charles Catalan create_sequence_a159981/1 - A159981 - Catalan numbers read modulo 4 create_sequence_a159984/1 - A159984 - Catalan numbers read modulo 5 create_sequence_a159986/1 - A159986 - Catalan numbers read modulo 7 create_sequence_a159987/1 - A159987 - Catalan numbers read modulo 8 create_sequence_a159988/1 - A159988 - Catalan numbers read modulo 11 create_sequence_a159989/1 - A159989 - Catalan numbers read modulo 12 create_sequence_a289682/1 - A289682 - Catalan numbers read modulo 16"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html#create_sequence_a159981/1","title":"Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159981/1","type":"function","doc":"OEIS Sequence A159981 - Catalan numbers read modulo 4 . From OEIS A159981: Catalan numbers read modulo 4 . Sequence IDs: :a159981 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Combinatorics, :a159981) |&gt; Sequence.take!(105) [1,1,2,1,2,2,0,1,2,2,0,2,0,0,0,1,2,2,0,2,0,0,0,2,0,0,0,0,0,0,0,1,2,2,0,2,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,2,0,2,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html#create_sequence_a159984/1","title":"Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159984/1","type":"function","doc":"OEIS Sequence A159984 - Catalan numbers read modulo 5 . From OEIS A159984: Catalan numbers read modulo 5 . Sequence IDs: :a159984 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Combinatorics, :a159984) |&gt; Sequence.take!(105) [1,1,2,0,4,2,2,4,0,2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,4,2,2,4,0,3,4,4,3,0,4,2,2,4,0,0,0,0,0,0,0,0,0,0,0,2,1,1,2,0,4,2,2,4,0,2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html#create_sequence_a159986/1","title":"Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159986/1","type":"function","doc":"OEIS Sequence A159986 - Catalan numbers read modulo 7 . From OEIS A159986: Catalan numbers read modulo 7 . Sequence IDs: :a159986 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Combinatorics, :a159986) |&gt; Sequence.take!(106) [1,1,2,5,0,0,6,2,2,4,3,0,0,4,6,6,5,2,0,0,4,6,6,5,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,2,2,4,3,0,0,5,4,4,1,6,0,0,1,5,5,3,4,0,0,1,5,5,3,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,6,6,5,2,0,0,1,5]"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html#create_sequence_a159987/1","title":"Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159987/1","type":"function","doc":"OEIS Sequence A159987 - Catalan numbers read modulo 8. From OEIS A159987: Catalan numbers read modulo 8. Sequence IDs: :a159987 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Combinatorics, :a159987) |&gt; Sequence.take!(105) [1,1,2,5,6,2,4,5,6,6,4,2,4,4,0,5,6,6,4,6,4,4,0,2,4,4,0,4,0,0,0,5,6,6,4,6,4,4,0,6,4,4,0,4,0,0,0,2,4,4,0,4,0,0,0,4,0,0,0,0,0,0,0,5,6,6,4,6,4,4,0,6,4,4,0,4,0,0,0,6,4,4,0,4,0,0,0,4,0,0,0,0,0,0,0,2,4,4,0,4,0,0,0,4,0]"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html#create_sequence_a159988/1","title":"Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159988/1","type":"function","doc":"OEIS Sequence A159988 - Catalan numbers read modulo 11 . From OEIS A159988: Catalan numbers read modulo 11 . Sequence IDs: :a159988 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Combinatorics, :a159988) |&gt; Sequence.take!(85) [1,1,2,5,3,9,0,0,0,0,10,2,2,4,10,6,7,0,0,0,0,8,6,6,1,8,7,10,0,0,0,0,1,9,9,7,1,5,4,0,0,0,0,9,4,4,8,9,1,3,0,0,0,0,6,10,10,9,6,8,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html#create_sequence_a159989/1","title":"Chunky.Sequence.OEIS.Combinatorics.create_sequence_a159989/1","type":"function","doc":"OEIS Sequence A159989 - Catalan numbers read modulo 12. From OEIS A159989: Catalan numbers read modulo 12. Sequence IDs: :a159989 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Combinatorics, :a159989) |&gt; Sequence.take!(119) [1,1,2,5,2,6,0,9,2,2,8,10,4,4,0,9,6,6,0,6,0,0,0,6,0,0,8,8,8,4,4,1,6,6,0,10,4,4,8,2,8,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,6,6,0,6,0,0,0,6,0,0,0,0,0,0,0,6,8,8,8,4,4,4,0,0,0,4,4,4,8,8,8,6,0,0,0,0,0,0,0,0,0,0,0,4,4,4,8,8,8,0,0,0,8,8,8]"},{"ref":"Chunky.Sequence.OEIS.Combinatorics.html#create_sequence_a289682/1","title":"Chunky.Sequence.OEIS.Combinatorics.create_sequence_a289682/1","type":"function","doc":"OEIS Sequence A289682 - Catalan numbers read modulo 16. From OEIS A289682: Catalan numbers read modulo 16. Sequence IDs: :a289682 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Combinatorics, :a289682) |&gt; Sequence.take!(88) [1,1,2,5,14,10,4,13,6,14,12,2,12,4,8,13,6,6,12,6,4,12,8,2,12,12,8,4,8,8,0,13,6,6,12,14,4,12,8,6,4,4,8,12,8,8,0,2,12,12,8,12,8,8,0,4,8,8,0,8,0,0,0,13,6,6,12,14,4,12,8,14,4,4,8,12,8,8,0,6,4,4,8,4,8,8,0,12]"},{"ref":"Chunky.Sequence.OEIS.Constants.html","title":"Chunky.Sequence.OEIS.Constants","type":"module","doc":"Sequences from the Online Encyclopedia of Integer Sequences dealing with numeric constants, digit expansions of constants, constant value sequences, or constant cycle sequences. Available Sequences Constant Value Sequences The OEIS contains a large number of sequences that repeat the same number, the constant sequences. create_sequence_a007395/1 - A007395 - Constant sequence: the all 2&#39;s sequence create_sequence_a010701/1 - A010701 - Constant sequence: the all 3&#39;s sequence create_sequence_a010709/1 - A010709 - Constant sequence: the all 4&#39;s sequence create_sequence_a010716/1 - A010716 - Constant sequence: the all 5&#39;s sequence create_sequence_a010722/1 - A010722 - Constant sequence: the all 6&#39;s sequence create_sequence_a010727/1 - A010727 - Constant sequence: the all 7&#39;s sequence create_sequence_a010731/1 - A010731 - Constant sequence: the all 8&#39;s sequence create_sequence_a010734/1 - A010734 - Constant sequence: the all 9&#39;s sequence create_sequence_a010692/1 - A010692 - Constant sequence: a(n) = 10 create_sequence_a010850/1 - A010850 - Constant sequence: a(n) = 11 create_sequence_a010851/1 - A010851 - Constant sequence: a(n) = 12 create_sequence_a010852/1 - A010852 - Constant sequence: a(n) = 13 create_sequence_a010853/1 - A010853 - Constant sequence: a(n) = 14 create_sequence_a010854/1 - A010854 - Constant sequence: a(n) = 15 create_sequence_a010855/1 - A010855 - Constant sequence: a(n) = 16 create_sequence_a010856/1 - A010856 - Constant sequence: a(n) = 17 create_sequence_a010857/1 - A010857 - Constant sequence: a(n) = 18 create_sequence_a010858/1 - A010858 - Constant sequence: a(n) = 19 create_sequence_a010859/1 - A010859 - Constant sequence: a(n) = 20 create_sequence_a010860/1 - A010860 - Constant sequence: a(n) = 21 create_sequence_a010861/1 - A010861 - Constant sequence: a(n) = 22 create_sequence_a010862/1 - A010862 - Constant sequence: a(n) = 23 create_sequence_a010863/1 - A010863 - Constant sequence: a(n) = 24 create_sequence_a010864/1 - A010864 - Constant sequence: a(n) = 25 create_sequence_a010865/1 - A010865 - Constant sequence: a(n) = 26 create_sequence_a010866/1 - A010866 - Constant sequence: a(n) = 27 create_sequence_a010867/1 - A010867 - Constant sequence: a(n) = 28 create_sequence_a010868/1 - A010868 - Constant sequence: a(n) = 29 create_sequence_a010869/1 - A010869 - Constant sequence: a(n) = 30 create_sequence_a010870/1 - A010870 - Constant sequence: a(n) = 31 create_sequence_a010871/1 - A010871 - Constant sequence: a(n) = 32"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a007395/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a007395/1","type":"function","doc":"OEIS Sequence A007395 - Constant sequence: the all 2&#39;s sequence. From OEIS A007395: Constant sequence: the all 2&#39;s sequence. (Formerly M0208) Sequence IDs: :a007395 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a007395) |&gt; Sequence.take!(102) [2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010692/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010692/1","type":"function","doc":"OEIS Sequence A010692 - Constant sequence: a(n) = 10. From OEIS A010692: Constant sequence: a(n) = 10. (Formerly ) Sequence IDs: :a010692 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010692) |&gt; Sequence.take!(66) [10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010701/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010701/1","type":"function","doc":"OEIS Sequence A010701 - Constant sequence: the all 3&#39;s sequence. From OEIS A010701: Constant sequence: the all 3&#39;s sequence. (Formerly ) Sequence IDs: :a010701 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010701) |&gt; Sequence.take!(81) [3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010709/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010709/1","type":"function","doc":"OEIS Sequence A010709 - Constant sequence: the all 4&#39;s sequence. From OEIS A010709: Constant sequence: the all 4&#39;s sequence. (Formerly ) Sequence IDs: :a010709 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010709) |&gt; Sequence.take!(105) [4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010716/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010716/1","type":"function","doc":"OEIS Sequence A010716 - Constant sequence: the all 5&#39;s sequence. From OEIS A010716: Constant sequence: the all 5&#39;s sequence. (Formerly ) Sequence IDs: :a010716 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010716) |&gt; Sequence.take!(81) [5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010722/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010722/1","type":"function","doc":"OEIS Sequence A010722 - Constant sequence: the all 6&#39;s sequence. From OEIS A010722: Constant sequence: the all 6&#39;s sequence. (Formerly ) Sequence IDs: :a010722 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010722) |&gt; Sequence.take!(81) [6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010727/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010727/1","type":"function","doc":"OEIS Sequence A010727 - Constant sequence: the all 7&#39;s sequence. From OEIS A010727: Constant sequence: the all 7&#39;s sequence. (Formerly ) Sequence IDs: :a010727 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010727) |&gt; Sequence.take!(81) [7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010731/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010731/1","type":"function","doc":"OEIS Sequence A010731 - Constant sequence: the all 8&#39;s sequence. From OEIS A010731: Constant sequence: the all 8&#39;s sequence. (Formerly ) Sequence IDs: :a010731 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010731) |&gt; Sequence.take!(81) [8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010734/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010734/1","type":"function","doc":"OEIS Sequence A010734 - Constant sequence: the all 9&#39;s sequence. From OEIS A010734: Constant sequence: the all 9&#39;s sequence. (Formerly ) Sequence IDs: :a010734 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010734) |&gt; Sequence.take!(81) [9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010850/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010850/1","type":"function","doc":"OEIS Sequence A010850 - Constant sequence: a(n) = 11. From OEIS A010850: Constant sequence: a(n) = 11. (Formerly ) Sequence IDs: :a010850 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010850) |&gt; Sequence.take!(65) [11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010851/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010851/1","type":"function","doc":"OEIS Sequence A010851 - Constant sequence: a(n) = 12. From OEIS A010851: Constant sequence: a(n) = 12. (Formerly ) Sequence IDs: :a010851 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010851) |&gt; Sequence.take!(65) [12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010852/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010852/1","type":"function","doc":"OEIS Sequence A010852 - Constant sequence: a(n) = 13. From OEIS A010852: Constant sequence: a(n) = 13. (Formerly ) Sequence IDs: :a010852 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010852) |&gt; Sequence.take!(54) [13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010853/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010853/1","type":"function","doc":"OEIS Sequence A010853 - Constant sequence: a(n) = 14. From OEIS A010853: Constant sequence: a(n) = 14. (Formerly ) Sequence IDs: :a010853 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010853) |&gt; Sequence.take!(54) [14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010854/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010854/1","type":"function","doc":"OEIS Sequence A010854 - Constant sequence: a(n) = 15. From OEIS A010854: Constant sequence: a(n) = 15. (Formerly ) Sequence IDs: :a010854 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010854) |&gt; Sequence.take!(54) [15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010855/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010855/1","type":"function","doc":"OEIS Sequence A010855 - Constant sequence: a(n) = 16. From OEIS A010855: Constant sequence: a(n) = 16. (Formerly ) Sequence IDs: :a010855 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010855) |&gt; Sequence.take!(54) [16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010856/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010856/1","type":"function","doc":"OEIS Sequence A010856 - Constant sequence: a(n) = 17. From OEIS A010856: Constant sequence: a(n) = 17. (Formerly ) Sequence IDs: :a010856 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010856) |&gt; Sequence.take!(54) [17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010857/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010857/1","type":"function","doc":"OEIS Sequence A010857 - Constant sequence: a(n) = 18. From OEIS A010857: Constant sequence: a(n) = 18. (Formerly ) Sequence IDs: :a010857 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010857) |&gt; Sequence.take!(54) [18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010858/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010858/1","type":"function","doc":"OEIS Sequence A010858 - Constant sequence: a(n) = 19. From OEIS A010858: Constant sequence: a(n) = 19. (Formerly ) Sequence IDs: :a010858 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010858) |&gt; Sequence.take!(54) [19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010859/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010859/1","type":"function","doc":"OEIS Sequence A010859 - Constant sequence: a(n) = 20. From OEIS A010859: Constant sequence: a(n) = 20. (Formerly ) Sequence IDs: :a010859 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010859) |&gt; Sequence.take!(54) [20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010860/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010860/1","type":"function","doc":"OEIS Sequence A010860 - Constant sequence: a(n) = 21. From OEIS A010860: Constant sequence: a(n) = 21. (Formerly ) Sequence IDs: :a010860 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010860) |&gt; Sequence.take!(54) [21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010861/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010861/1","type":"function","doc":"OEIS Sequence A010861 - Constant sequence: a(n) = 22. From OEIS A010861: Constant sequence: a(n) = 22. (Formerly ) Sequence IDs: :a010861 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010861) |&gt; Sequence.take!(54) [22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010862/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010862/1","type":"function","doc":"OEIS Sequence A010862 - Constant sequence: a(n) = 23. From OEIS A010862: Constant sequence: a(n) = 23. (Formerly ) Sequence IDs: :a010862 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010862) |&gt; Sequence.take!(54) [23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010863/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010863/1","type":"function","doc":"OEIS Sequence A010863 - Constant sequence: a(n) = 24. From OEIS A010863: Constant sequence: a(n) = 24. (Formerly ) Sequence IDs: :a010863 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010863) |&gt; Sequence.take!(54) [24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010864/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010864/1","type":"function","doc":"OEIS Sequence A010864 - Constant sequence: a(n) = 25. From OEIS A010864: Constant sequence: a(n) = 25. (Formerly ) Sequence IDs: :a010864 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010864) |&gt; Sequence.take!(54) [25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010865/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010865/1","type":"function","doc":"OEIS Sequence A010865 - Constant sequence: a(n) = 26. From OEIS A010865: Constant sequence: a(n) = 26. (Formerly ) Sequence IDs: :a010865 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010865) |&gt; Sequence.take!(54) [26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010866/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010866/1","type":"function","doc":"OEIS Sequence A010866 - Constant sequence: a(n) = 27. From OEIS A010866: Constant sequence: a(n) = 27. (Formerly ) Sequence IDs: :a010866 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010866) |&gt; Sequence.take!(54) [27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010867/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010867/1","type":"function","doc":"OEIS Sequence A010867 - Constant sequence: a(n) = 28. From OEIS A010867: Constant sequence: a(n) = 28. (Formerly ) Sequence IDs: :a010867 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010867) |&gt; Sequence.take!(54) [28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010868/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010868/1","type":"function","doc":"OEIS Sequence A010868 - Constant sequence: a(n) = 29. From OEIS A010868: Constant sequence: a(n) = 29. (Formerly ) Sequence IDs: :a010868 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010868) |&gt; Sequence.take!(54) [29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010869/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010869/1","type":"function","doc":"OEIS Sequence A010869 - Constant sequence: a(n) = 30. From OEIS A010869: Constant sequence: a(n) = 30. (Formerly ) Sequence IDs: :a010869 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010869) |&gt; Sequence.take!(54) [30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010870/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010870/1","type":"function","doc":"OEIS Sequence A010870 - Constant sequence: a(n) = 31. From OEIS A010870: Constant sequence: a(n) = 31. (Formerly ) Sequence IDs: :a010870 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010870) |&gt; Sequence.take!(54) [31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31]"},{"ref":"Chunky.Sequence.OEIS.Constants.html#create_sequence_a010871/1","title":"Chunky.Sequence.OEIS.Constants.create_sequence_a010871/1","type":"function","doc":"OEIS Sequence A010871 - Constant sequence: a(n) = 32. From OEIS A010871: Constant sequence: a(n) = 32. (Formerly ) Sequence IDs: :a010871 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Constants, :a010871) |&gt; Sequence.take!(54) [32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32]"},{"ref":"Chunky.Sequence.OEIS.Core.html","title":"Chunky.Sequence.OEIS.Core","type":"module","doc":"OEIS Core Sequences. Available Sequences Divisors and Factors Core sequences dealing with divisors and factors of numbers, or the counting of divisors and factors. See Chunky.Sequence.OEIS.Factors for non-core sequences of divisors and factors. create_sequence_a000005/1 - A000005 - Divisors of N create_sequence_a000203/1 - A000203 - Sum of Divisors create_sequence_a000396/1 - A000396 - Perfect Numbers create_sequence_a000593/1 - A000593 - Sum of Odd Divisors of N create_sequence_a001065/1 - A001065 - Sum of proper divisors (Aliquot parts) of N. create_sequence_a001157/1 - A001157 - Sum of squares of divisors of N create_sequence_a001221/1 - A001221 - Number of distinct primes dividing n (also called omega(n)). create_sequence_a001222/1 - A001222 - Number of prime divisors of n counted with multiplicity (also called bigomega(n) or Omega(n)). create_sequence_a001227/1 - A001227 - Number of odd divisors of n. create_sequence_a006530/1 - A006530 - Gpf(n): greatest prime dividing n create_sequence_a020639/1 - A020639 - Lpf(n): least prime dividing n create_sequence_a074206/1 - A074206 - Kalmár&#39;s [Kalmar&#39;s] problem: number of ordered factorizations of n. create_sequence_a001511/1 - A001511 - The ruler function: 2^a(n) divides 2n create_sequence_a008683/1 - A008683 - Möbius (or Moebius) function mu(n) create_sequence_a005100/1 - A005100 - Deficient Numbers create_sequence_a005101/1 - A005101 - Abundant Numbers Powers and Multiples Core sequences for the powers and multiples of numbers. See Chunky.Sequence.OEIS.Multiples and Chunky.Sequence.OEIS.Powers for non-core sequences of integer powers and multiples. create_sequence_a000007/1 - A000007 - The characteristic function of {0}: a(n) = 0^n create_sequence_a000079/1 - A000079 - Powers of 2 create_sequence_a000225/1 - A000225 - a(n) = 2^n - 1 create_sequence_a000244/1 - A000244 - Powers of 3 create_sequence_a000290/1 - A000290 - The squares: a(n) = n^2 create_sequence_a000302/1 - A000302 - Powers of 4: a(n) = 4^n create_sequence_a000578/1 - A000578 - The cubes: a(n) = n^3. create_sequence_a000583/1 - A000583 - Fourth powers: a(n) = n^4. create_sequence_a000961/1 - A000961 - Powers of primes. Alternatively, 1 and the prime powers (p^k, p prime, k &gt;= 1) create_sequence_a001481/1 - A001481 - Numbers that are the sum of 2 squares. create_sequence_a002620/1 - A002620 - Quarter-squares: floor(n/2)*ceiling(n/2). Equivalently, floor(n^2/4). create_sequence_a003418/1 - A003418 - Least common multiple (or LCM) of {1, 2, ..., n} for n &gt;= 1, a(0) = 1. create_sequence_a005117/1 - A005117 - Squarefree numbers: numbers that are not divisible by a square greater than 1 Representations and Patterns Core sequences that depend on digit patterns or representations, particularly in specific bases. See Chunky.Sequence.OEIS.Repr for non-core sequences of digit patterns and base dependent representations. create_sequence_a000035/1 - A000035 - Period 2: repeat [0, 1]; a(n) = n mod 2 create_sequence_a000069/1 - A000069 - Odious numbers: numbers with an odd number of 1&#39;s in their binary expansion create_sequence_a000120/1 - A000120 - 1&#39;s-counting sequence: number of 1&#39;s in binary expansion of n (or the binary weight of n) create_sequence_a002113/1 - A002113 - Palindromes in base 10. create_sequence_a002275/1 - A002275 - Repunits: (10^n - 1)/9. Often denoted by R_n. create_sequence_a001969/1 - A001969 - Evil numbers: numbers with an even number of 1&#39;s in their binary expansion. create_sequence_a070939/1 - A070939 - Length of binary representation of n. create_sequence_a005811/1 - A005811 - Number of runs in binary expansion of n (n&gt;0); number of 1&#39;s in Gray code for n. Combinatorics Core sequences for combinatorics and counting functions. See Chunky.Sequence.OEIS.Combinatorics for non-core sequences dealing with combinatorics and counting functions. create_sequence_a000001/1 - A000001 - Number of groups of order n create_sequence_a000009/1 - A000009 - Number of partitions of n into distinct parts create_sequence_a000029/1 - A000029 - Number of necklaces with n beads of 2 colors, allowing turning over (these are also called bracelets). create_sequence_a000031/1 - A000031 - Number of n-bead necklaces with 2 colors when turning over is not allowed; also number of output sequences from a simple n-stage cycling shift register; also number of binary irreducible polynomials whose degree divides n. create_sequence_a000041/1 - A000041 - Partition Numbers create_sequence_a000048/1 - A000048 - Number of n-bead necklaces with beads of 2 colors and primitive period n, when turning over is not allowed but the two colors can be interchanged. create_sequence_a000081/1 - A000081 - Number of unlabeled rooted trees with n nodes create_sequence_a000085/1 - A000085 - Number of self-inverse permutations on n letters, also known as involutions create_sequence_a000105/1 - A000105 - Number of free polyominoes (or square animals) with n cells create_sequence_a000108/1 - A000108 - Catalan numbers: C(n), Also called Segner numbers. create_sequence_a000110/1 - A000110 - Bell or exponential numbers: number of ways to partition a set of n labeled elements create_sequence_a000112/1 - A000112 - Number of partially ordered sets (&quot;posets&quot;) with n unlabeled elements create_sequence_a000123/1 - A000123 - Number of binary partitions: number of partitions of 2n into powers of 2. create_sequence_a000161/1 - A000161 - Number of partitions of n into 2 squares. create_sequence_a000166/1 - A000166 - Subfactorial or rencontres numbers, or derangements of n create_sequence_a000169/1 - A000169 - Number of labeled rooted trees with n nodes: n^(n-1) create_sequence_a000219/1 - A000219 - Number of planar partitions (or plane partitions) of n create_sequence_a000262/1 - A000262 - Number of &quot;sets of lists&quot; create_sequence_a000272/1 - A000272 - Number of trees on n labeled nodes create_sequence_a000312/1 - A000312 - a(n) = n^n; number of labeled mappings from n points to themselves create_sequence_a000798/1 - A000798 - Number of different quasi-orders (or topologies, or transitive digraphs) with n labeled elements create_sequence_a002033/1 - A002033 - Number of perfect partitions of n. create_sequence_a002106/1 - A002106 - Number of transitive permutation groups of degree n create_sequence_a002654/1 - A002654 - Number of ways of writing n as a sum of at most two nonzero squares, where order matters create_sequence_a005470/1 - A005470 - Number of unlabeled planar simple graphs with n nodes create_sequence_a005588/1 - A005588 - Number of free binary trees admitting height n. create_sequence_a006894/1 - A006894 - Number of planted 3-trees of height &lt; n. create_sequence_a006966/1 - A006966 - Number of lattices on n unlabeled nodes create_sequence_a055512/1 - A055512 - Lattices with n labeled elements create_sequence_a001699/1 - A001699 - Number of binary trees of height n; or products (ways to insert parentheses) of height n when multiplication is non-commutative and non-associative. create_sequence_a000311/1 - A000311 - Schroeder&#39;s fourth problem; also series-reduced rooted trees with n labeled leaves; also number of total partitions of n. create_sequence_a001055/1 - A001055 - The multiplicative partition function: number of ways of factoring n with all factors greater than 1 create_sequence_a001190/1 - A001190 - Wedderburn-Etherington numbers: unlabeled binary rooted trees create_sequence_a003094/1 - A003094 - Number of unlabeled connected planar simple graphs with n nodes create_sequence_a000111/1 - A000111 - Euler or up/down numbers create_sequence_a000124/1 - A000124 - Central polygonal numbers (the Lazy Caterer&#39;s sequence) create_sequence_a001045/1 - A001045 - Jacobsthal sequence (or Jacobsthal numbers) create_sequence_a000670/1 - A000670 - Fubini numbers Constants Core sequences of contant values or digits from expansions of non-integer constant values. See Chunky.Sequence.OEIS.Constants for non-core sequences of constants. create_sequence_a000004/1 - A000004 - The zero sequence create_sequence_a000012/1 - A000012 - The simplest sequence of positive numbers: the all 1&#39;s sequence create_sequence_a000796/1 - A000796 - Decimal expansion of Pi create_sequence_a001333/1 - A001333 - Numerators of continued fraction convergents to sqrt(2). Primes Core sequences about the primes, prime counting, or properties of primes. See Chunky.Sequence.OEIS.Primes for non-core sequences dealing with prime numbers. create_sequence_a000040/1 - A000040 - The prime numbers. create_sequence_a000043/1 - A000043 - Mersenne exponents: primes p such that 2^p - 1 is prime. create_sequence_a000720/1 - A000720 - pi(n), the number of primes &lt;= n. create_sequence_a001358/1 - A001358 - Semiprimes (or biprimes): products of two primes create_sequence_a002110/1 - A002110 - Primorial numbers (first definition): product of first n primes. Sometimes written prime(n)#. Coefficients Core sequences for coefficient calculations, like binomials. create_sequence_a000521/1 - A000521 - Coefficients of modular function j as power series in q = e^(2 Pi i t) create_sequence_a000984/1 - A000984 - Central binomial coefficients: binomial(2*n,n) create_sequence_a001700/1 - A001700 - a(n) = binomial(2n+1, n+1): number of ways to put n+1 indistinguishable balls into n+1 distinguishable boxes = number of (n+1)-st degree monomials in n+1 variables = number of monotone maps from 1..n+1 to 1..n+1. create_sequence_a001764/1 - A001764 - a(n) = binomial(3n,n)/(2n+1) (enumerates ternary trees and also noncrossing trees). create_sequence_a001405/1 - A001405 - a(n) = binomial(n, floor(n/2)). Triangles Core sequences enumerating values in triangular numeric constructions, like Pascal&#39;s triangle. create_sequence_a000217/1 - A000217 - Triangular numbers: a(n) = binomial(n+1,2) create_sequence_a007318/1 - A007318 - Pascal&#39;s triangle read by rows: C(n,k) = binomial(n,k) = n!/(k!*(n-k)!), 0 &lt;= k &lt;= n. create_sequence_a008277/1 - A008277 - Triangle of Stirling numbers of the second kind, S2(n,k), n &gt;= 1, 1 &lt;= k &lt;= n. create_sequence_a008279/1 - A008279 - Triangle T(n,k) = n!/(n-k)! (0 &lt;= k &lt;= n) read by rows, giving number of permutations of n things k at a time. create_sequence_a008292/1 - A008292 - Triangle of Eulerian numbers T(n,k) create_sequence_a049310/1 - A049310 - Triangle of coefficients of Chebyshev&#39;s S(n,x) := U(n,x/2) polynomials (exponents in increasing order). Number Theory Core sequences concerning general number theory, number sets, or ordered sets of values. create_sequence_a000027/1 - A000027 - The positive integers create_sequence_a000045/1 - A000045 - Fibonacci Numbers create_sequence_a000142/1 - A000142 - Factorial numbers: n! = 1234...*n create_sequence_a001057/1 - A001057 - Canonical enumeration of integers: interleaved positive and negative integers with zero prepended. create_sequence_a001147/1 - A001147 - Double factorial of odd numbers: a(n) = (2n-1)!! = 135...(2n-1). create_sequence_a001477/1 - A001477 - The nonnegative integers. create_sequence_a001478/1 - A001478 - The negative integers. create_sequence_a001489/1 - A001489 - a(n) = -n. create_sequence_a002808/1 - A002808 - The composite numbers: numbers n of the form x*y for x &gt; 1 and y &gt; 1. create_sequence_a004526/1 - A004526 - Nonnegative integers repeated, floor(n/2). create_sequence_a005843/1 - A005843 - The nonnegative even numbers: a(n) = 2n. create_sequence_a005408/1 - A005408 - The odd numbers: a(n) = 2*n + 1. create_sequence_a006882/1 - A006882 - Double factorials n!!: a(n) = n*a(n-2) for n &gt; 1, a(0) = a(1) = 1. create_sequence_a018252/1 - A018252 - The nonprime numbers: 1 together with the composite numbers, A002808. create_sequence_a000002/1 - A000002 - Kolakoski sequence create_sequence_a000010/1 - A000010 - Euler&#39;s totient function create_sequence_a000032/1 - A000032 - Lucas numbers beginning at 2 create_sequence_a000109/1 - A000109 - Number of simplicial polyhedra with n nodes create_sequence_a000129/1 - A000129 - Pell numbers: a(n) = 2*a(n-1) + a(n-2) create_sequence_a000204/1 - A000204 - Lucas numbers (beginning with 1) create_sequence_a000292/1 - A000292 - Tetrahedral (or triangular pyramidal) numbers create_sequence_a000326/1 - A000326 - Pentagonal numbers: a(n) = n(3n-1)/2. create_sequence_a000330/1 - A000330 - Square pyramidal numbers create_sequence_a000364/1 - A000364 - Euler (or secant or &quot;Zig&quot;) numbers create_sequence_a000594/1 - A000594 - Ramanujan&#39;s tau function create_sequence_a000609/1 - A000609 - Number of threshold functions of n or fewer variables create_sequence_a000688/1 - A000688 - Number of Abelian groups of order n create_sequence_a000959/1 - A000959 - Lucky numbers create_sequence_a001003/1 - A001003 - Schroeder&#39;s second problem; also called super-Catalan numbers or little Schroeder numbers create_sequence_a001006/1 - A001006 - Motzkin numbers: number of ways of drawing any number of nonintersecting chords joining n points on a circle create_sequence_a001519/1 - A001519 - a(n) = 3*a(n-1) - a(n-2), with a(0) = a(1) = 1. create_sequence_a001615/1 - A001615 - Dedekind psi function create_sequence_a001906/1 - A001906 - F(2n) = bisection of Fibonacci sequence: a(n) = 3*a(n-1) - a(n-2). create_sequence_a002378/1 - A002378 - Oblong (or promic, pronic, or heteromecic) numbers: a(n) = n*(n+1). create_sequence_a002487/1 - A002487 - Stern&#39;s diatomic series (or Stern-Brocot sequence): a(0) = 0, a(1) = 1; for n &gt; 0: a(2n) = a(n), a(2n+1) = a(n) + a(n+1). create_sequence_a002530/1 - A002530 - a(n) = 4*a(n-2) - a(n-4) for n &gt; 1, a(n) = n for n = 0, 1. create_sequence_a002531/1 - A002531 - a(2n) = a(2n-1) + a(2n-2), a(2n+1) = 2a(2n) + a(2*n-1); a(0) = a(1) = 1. create_sequence_a003484/1 - A003484 - Radon function, also called Hurwitz-Radon numbers create_sequence_a006318/1 - A006318 - Large Schröder numbers (or large Schroeder numbers, or big Schroeder numbers). create_sequence_a027642/1 - A027642 - Denominator of Bernoulli number B_n."},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000001/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000001/1","type":"function","doc":"OEIS Sequence A000001 - Number of groups of order n. From OEIS A000001: Number of groups of order n. (Formerly M0098 N0035) Sequence IDs: :a000001 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000001) |&gt; Sequence.take!(94) [0,1,1,1,2,1,2,1,5,2,2,1,5,1,2,1,14,1,5,1,5,2,2,1,15,2,2,5,4,1,4,1,51,1,2,1,14,1,2,2,14,1,6,1,4,2,2,1,52,2,5,1,5,1,15,2,13,2,2,1,13,1,2,4,267,1,4,1,5,1,4,1,50,1,2,3,4,1,6,1,52,15,2,1,15,1,2,1,12,1,10,1,4,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000002/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000002/1","type":"function","doc":"OEIS Sequence A000002 - Kolakoski sequence From OEIS A000002: Kolakoski sequence: a(n) is length of n-th run; a(1) = 1; sequence consists just of 1&#39;s and 2&#39;s. (Formerly M0190 N0070) Sequence IDs: :a000002 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000002) |&gt; Sequence.take!(108) [1,2,2,1,1,2,1,2,2,1,2,2,1,1,2,1,1,2,2,1,2,1,1,2,1,2,2,1,1,2,1,1,2,1,2,2,1,2,2,1,1,2,1,2,2,1,2,1,1,2,1,1,2,2,1,2,2,1,1,2,1,2,2,1,2,2,1,1,2,1,1,2,1,2,2,1,2,1,1,2,2,1,2,2,1,1,2,1,2,2,1,2,2,1,1,2,1,1,2,2,1,2,1,1,2,1,2,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000004/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000004/1","type":"function","doc":"OEIS Sequence A000004 - The zero sequence. From OEIS A000004: The zero sequence. (Formerly M0000) Sequence IDs: :a000004 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000004) |&gt; Sequence.take!(102) [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000005/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000005/1","type":"function","doc":"OEIS Sequence A000005 - Number of divisors of N, simga-0(n), 𝝈0(n). From OEIS A000005: d(n) (also called tau(n) or sigma_0(n)), the number of divisors of n. (Formerly M0246 N0086) Sequence IDs: :a000005 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000005) |&gt; Sequence.take!(10) [1, 2, 2, 3, 2, 4, 2, 4, 3, 4]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000007/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000007/1","type":"function","doc":"OEIS Sequence A000007 - The characteristic function of {0}: a(n) = 0^n. From OEIS A000007: The characteristic function of {0}: a(n) = 0^n. (Formerly M0002) Sequence IDs: :a000007 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000007) |&gt; Sequence.take!(105) [1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000009/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000009/1","type":"function","doc":"OEIS Sequence A000009 - Number of partitions of n into distinct parts From OEIS A000009: Expansion of Product_{m &gt;= 1} (1 + x^m); number of partitions of n into distinct parts; number of partitions of n into odd parts (if n &gt; 0). (Formerly M0281 N0100) Divergence Calculation of this sequence is based on translation of a Maxima program by Vladimir Kruchinin, and diverges from canonical results for n &gt; 10. Sequence IDs: :a000009 Finite: False Offset: 0 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000009) |&gt; Sequence.take!(10) [1, 1, 1, 2, 2, 3, 4, 5, 6, 8]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000010/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000010/1","type":"function","doc":"OEIS Sequence A000010 - Euler&#39;s totient function phi(n) From OEIS A000010: Euler totient function phi(n): count numbers &lt;= n and prime to n. (Formerly M0299 N0111) Sequence IDs: :a000010 Finite: false Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000010) |&gt; Sequence.take!(20) [1, 1, 2, 2, 4, 2, 6, 4, 6, 4, 10, 4, 12, 6, 8, 8, 16, 6, 18, 8]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000012/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000012/1","type":"function","doc":"OEIS Sequence A000012 - The simplest sequence of positive numbers: the all 1&#39;s sequence. From OEIS A000012: The simplest sequence of positive numbers: the all 1&#39;s sequence. (Formerly M0003) Sequence IDs: :a000012 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000012) |&gt; Sequence.take!(90) [1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000027/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000027/1","type":"function","doc":"OEIS Sequence A000027 - The positive integers From OEIS A000027: The positive integers. Also called the natural numbers, the whole numbers or the counting numbers, but these terms are ambiguous. (Formerly M0472 N0173) Sequence IDs: :a000027 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000027) |&gt; Sequence.take!(77) [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000029/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000029/1","type":"function","doc":"OEIS Sequence A000029 - Number of necklaces with n beads of 2 colors, allowing turning over (these are also called bracelets). From OEIS A000029: Number of necklaces with n beads of 2 colors, allowing turning over (these are also called bracelets). (Formerly M0563 N0202) Sequence IDs: :a000029 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000029) |&gt; Sequence.take!(36) [1,2,3,4,6,8,13,18,30,46,78,126,224,380,687,1224,2250,4112,7685,14310,27012,50964,96909,184410,352698,675188,1296858,2493726,4806078,9272780,17920860,34669602,67159050,130216124,252745368,490984488]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000031/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000031/1","type":"function","doc":"OEIS Sequence A000031 - Number of n-bead necklaces with 2 colors when turning over is not allowed; also number of output sequences from a simple n-stage cycling shift register; also number of binary irreducible polynomials whose degree divides n. From OEIS A000031: Number of n-bead necklaces with 2 colors when turning over is not allowed; also number of output sequences from a simple n-stage cycling shift register; also number of binary irreducible polynomials whose degree divides n. (Formerly M0564 N0203) Sequence IDs: :a000031 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000031) |&gt; Sequence.take!(36) [1,2,3,4,6,8,14,20,36,60,108,188,352,632,1182,2192,4116,7712,14602,27596,52488,99880,190746,364724,699252,1342184,2581428,4971068,9587580,18512792,35792568,69273668,134219796,260301176,505294128,981706832]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000032/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000032/1","type":"function","doc":"OEIS Sequence A000032 - Lucas numbers beginning at 2: L(n) = L(n-1) + L(n-2), L(0) = 2, L(1) = 1. From OEIS A000032: Lucas numbers beginning at 2: L(n) = L(n-1) + L(n-2), L(0) = 2, L(1) = 1. (Formerly M0155) Sequence IDs: :a000032 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000032) |&gt; Sequence.take!(39) [2,1,3,4,7,11,18,29,47,76,123,199,322,521,843,1364,2207,3571,5778,9349,15127,24476,39603,64079,103682,167761,271443,439204,710647,1149851,1860498,3010349,4870847,7881196,12752043,20633239,33385282,54018521,87403803]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000035/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000035/1","type":"function","doc":"OEIS Sequence A000035 - Period 2: repeat [0, 1] From OEIS A000035: Period 2: repeat [0, 1]; a(n) = n mod 2; parity of n. (Formerly M0001) Sequence IDs: :a000035 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000035) |&gt; Sequence.take!(105) [0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000040/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000040/1","type":"function","doc":"OEIS Sequence A000040 - The prime numbers. From OEIS A000040: The prime numbers. (Formerly M0652 N0241) Sequence IDs: :a000040 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000040) |&gt; Sequence.take!(58) [2,3,5,7,11,13,17,19,23,29,31,37,41,43,47,53,59,61,67,71,73,79,83,89,97,101,103,107,109,113,127,131,137,139,149,151,157,163,167,173,179,181,191,193,197,199,211,223,227,229,233,239,241,251,257,263,269,271]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000041/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000041/1","type":"function","doc":"OEIS Sequence A000041 - Partitions of integer N This sequence contains the partitions of the integers from 0 to 250. From Wikipedia: In number theory, the partition function p(n) represents the number of possible partitions of a non-negative integer n. For instance, p(4) = 5 because the integer 4 has the five partitions: 1 + 1 + 1 + 1, 1 + 1 + 2, 1 + 3, 2 + 2, and 4. From OEIS A000041: a(n) is the number of partitions of n (the partition numbers). (Formerly M0663 N0244) Sequence IDs: :a000041 Finite: true Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000041) |&gt; Sequence.take!(10) [1, 1, 2, 3, 5, 7, 11, 15, 22, 30]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000043/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000043/1","type":"function","doc":"OEIS Sequence A000043 - Mersenne exponents: primes p such that 2^p - 1 is prime From OEIS A000043: Mersenne exponents: primes p such that 2^p - 1 is prime. Then 2^p - 1 is called a Mersenne prime. (Formerly M0672 N0248) Sequence IDs: :a000043 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000043) |&gt; Sequence.take!(47) [2,3,5,7,13,17,19,31,61,89,107,127,521,607,1279,2203,2281,3217,4253,4423,9689,9941,11213,19937,21701,23209,44497,86243,110503,132049,216091,756839,859433,1257787,1398269,2976221,3021377,6972593,13466917,20996011,24036583,25964951,30402457,32582657,37156667,42643801,43112609]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000045/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000045/1","type":"function","doc":"OEIS Sequence A000045 - Fibonacci numbers From OEIS A000045 Fibonacci numbers: F(n) = F(n-1) + F(n-2) with F(0) = 0 and F(1) = 1. (Formerly M0692 N0256) Sequence IDs: :a000045, :fibonacci Finite: false Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000045) |&gt; Sequence.take!(10) [0, 1, 1, 2, 3, 5, 8, 13, 21, 34]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000048/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000048/1","type":"function","doc":"OEIS Sequence A000048 - Number of n-bead necklaces with beads of 2 colors and primitive period n, when turning over is not allowed but the two colors can be interchanged. From OEIS A000048: Number of n-bead necklaces with beads of 2 colors and primitive period n, when turning over is not allowed but the two colors can be interchanged. (Formerly M0711 N0262) Sequence IDs: :a000048 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000048) |&gt; Sequence.take!(38) [1,1,1,1,2,3,5,9,16,28,51,93,170,315,585,1091,2048,3855,7280,13797,26214,49929,95325,182361,349520,671088,1290555,2485504,4793490,9256395,17895679,34636833,67108864,130150493,252645135,490853403,954437120,1857283155]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000069/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000069/1","type":"function","doc":"OEIS Sequence A000069 - Odious numbers: numbers with an odd number of 1&#39;s in their binary expansion. From OEIS A000069: Odious numbers: numbers with an odd number of 1&#39;s in their binary expansion. (Formerly M1031 N0388) Sequence IDs: :a000069 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000069) |&gt; Sequence.take!(65) [1,2,4,7,8,11,13,14,16,19,21,22,25,26,28,31,32,35,37,38,41,42,44,47,49,50,52,55,56,59,61,62,64,67,69,70,73,74,76,79,81,82,84,87,88,91,93,94,97,98,100,103,104,107,109,110,112,115,117,118,121,122,124,127,128]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000079/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000079/1","type":"function","doc":"OEIS Sequence A000079 - Powers of 2 a(n) = 2^n From OEIS A000009: Powers of 2: a(n) = 2^n. (Formerly M1129 N0432) Sequence IDs: :a000079 Finite: False Offset: 0 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000079) |&gt; Sequence.take!(20) [1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000081/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000081/1","type":"function","doc":"OEIS Sequence A000081 - Number of unlabeled rooted trees with n nodes From OEIS A000081: Number of unlabeled rooted trees with n nodes (or connected functions with a fixed point). (Formerly M1180 N0454) Sequence IDs: :a000081 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000081) |&gt; Sequence.take!(31) [0,1,1,2,4,9,20,48,115,286,719,1842,4766,12486,32973,87811,235381,634847,1721159,4688676,12826228,35221832,97055181,268282855,743724984,2067174645,5759636510,16083734329,45007066269,126186554308,354426847597]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000085/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000085/1","type":"function","doc":"OEIS Sequence A000085 - Number of self-inverse permutations on n letters, also known as involutions; number of standard Young tableaux with n cells. From OEIS A000085: Number of self-inverse permutations on n letters, also known as involutions; number of standard Young tableaux with n cells. (Formerly M1221 N0469) Sequence IDs: :a000085 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000085) |&gt; Sequence.take!(28) [1,1,2,4,10,26,76,232,764,2620,9496,35696,140152,568504,2390480,10349536,46206736,211799312,997313824,4809701440,23758664096,119952692896,618884638912,3257843882624,17492190577600,95680443760576,532985208200576,3020676745975552]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000105/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000105/1","type":"function","doc":"OEIS Sequence A000105 - Number of free polyominoes (or square animals) with n cells. From OEIS A000105: Number of free polyominoes (or square animals) with n cells. (Formerly M1425 N0561) Sequence IDs: :a000105 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000105) |&gt; Sequence.take!(29) [1,1,1,2,5,12,35,108,369,1285,4655,17073,63600,238591,901971,3426576,13079255,50107909,192622052,742624232,2870671950,11123060678,43191857688,168047007728,654999700403,2557227044764,9999088822075,39153010938487,153511100594603]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000108/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000108/1","type":"function","doc":"OEIS Sequence A000108 - Catalan numbers: C(n) = binomial(2n,n)/(n+1) = (2n)!/(n!(n+1)!). Also called Segner numbers. From OEIS A000108: Catalan numbers: C(n) = binomial(2n,n)/(n+1) = (2n)!/(n!(n+1)!). Also called Segner numbers. (Formerly M1459 N0577) Sequence IDs: :a000108 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000108) |&gt; Sequence.take!(31) [1,1,2,5,14,42,132,429,1430,4862,16796,58786,208012,742900,2674440,9694845,35357670,129644790,477638700,1767263190,6564120420,24466267020,91482563640,343059613650,1289904147324,4861946401452,18367353072152,69533550916004,263747951750360,1002242216651368,3814986502092304]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000109/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000109/1","type":"function","doc":"OEIS Sequence A000109 - Number of simplicial polyhedra with n nodes From OEIS A000109: Number of simplicial polyhedra with n nodes; simple planar graphs with 3n-6 edges; maximal simple planar graphs; 3-connected planar triangulations; 3-connected triangulations of the sphere; 3-connected cubic planar graphs. (Formerly M1469 N0580) Sequence IDs: :a000109 Finite: False Offset: 3 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000109) |&gt; Sequence.take!(21) [1,1,1,2,5,14,50,233,1249,7595,49566,339722,2406841,17490241,129664753,977526957,7475907149,57896349553,453382272049,3585853662949,28615703421545]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000110/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000110/1","type":"function","doc":"OEIS Sequence A000110 - Bell or exponential numbers: number of ways to partition a set of n labeled elements. From OEIS A000110: Bell or exponential numbers: number of ways to partition a set of n labeled elements. (Formerly M1484 N0585) Sequence IDs: :a000110 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000110) |&gt; Sequence.take!(27) [1,1,2,5,15,52,203,877,4140,21147,115975,678570,4213597,27644437,190899322,1382958545,10480142147,82864869804,682076806159,5832742205057,51724158235372,474869816156751,4506715738447323,44152005855084346,445958869294805289,4638590332229999353,49631246523618756274]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000111/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000111/1","type":"function","doc":"OEIS Sequence A000111 - Euler or up/down numbers: e.g.f. sec(x) + tan(x). Also for n &gt;= 2, half the number of alternating permutations on n letters (A001250). From OEIS A000111: Euler or up/down numbers: e.g.f. sec(x) + tan(x). Also for n &gt;= 2, half the number of alternating permutations on n letters (A001250). (Formerly M1492 N0587) Sequence IDs: :a000111 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000111) |&gt; Sequence.take!(27) [1,1,1,2,5,16,61,272,1385,7936,50521,353792,2702765,22368256,199360981,1903757312,19391512145,209865342976,2404879675441,29088885112832,370371188237525,4951498053124096,69348874393137901,1015423886506852352,15514534163557086905,246921480190207983616,4087072509293123892361]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000112/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000112/1","type":"function","doc":"OEIS Sequence A000112 - Number of partially ordered sets (&quot;posets&quot;) with n unlabeled elements. From OEIS A000112: Number of partially ordered sets (&quot;posets&quot;) with n unlabeled elements. (Formerly M1495 N0588) Sequence IDs: :a000112 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000112) |&gt; Sequence.take!(17) [1,1,2,5,16,63,318,2045,16999,183231,2567284,46749427,1104891746,33823827452,1338193159771,68275077901156,4483130665195087]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000120/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000120/1","type":"function","doc":"OEIS Sequence A000120 - 1&#39;s-counting sequence: number of 1&#39;s in binary expansion of n (or the binary weight of n). From OEIS A000120: 1&#39;s-counting sequence: number of 1&#39;s in binary expansion of n (or the binary weight of n). (Formerly M0105 N0041) Sequence IDs: :a000120 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000120) |&gt; Sequence.take!(105) [0,1,1,2,1,2,2,3,1,2,2,3,2,3,3,4,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,2,3,3,4,3,4,4,5,3]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000123/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000123/1","type":"function","doc":"OEIS Sequence A000123 - Number of binary partitions: number of partitions of 2n into powers of 2. From OEIS A000123: Number of binary partitions: number of partitions of 2n into powers of 2. (Formerly M1011 N0378) Sequence IDs: :a000123 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000123) |&gt; Sequence.take!(51) [1,2,4,6,10,14,20,26,36,46,60,74,94,114,140,166,202,238,284,330,390,450,524,598,692,786,900,1014,1154,1294,1460,1626,1828,2030,2268,2506,2790,3074,3404,3734,4124,4514,4964,5414,5938,6462,7060,7658,8350,9042,9828]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000124/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000124/1","type":"function","doc":"OEIS Sequence A000124 - Central polygonal numbers (the Lazy Caterer&#39;s sequence): n(n+1)/2 + 1; or, maximal number of pieces formed when slicing a pancake with n cuts. From OEIS A000124: Central polygonal numbers (the Lazy Caterer&#39;s sequence): n(n+1)/2 + 1; or, maximal number of pieces formed when slicing a pancake with n cuts. (Formerly M1041 N0391) Sequence IDs: :a000124 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000124) |&gt; Sequence.take!(53) [1,2,4,7,11,16,22,29,37,46,56,67,79,92,106,121,137,154,172,191,211,232,254,277,301,326,352,379,407,436,466,497,529,562,596,631,667,704,742,781,821,862,904,947,991,1036,1082,1129,1177,1226,1276,1327,1379]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000129/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000129/1","type":"function","doc":"OEIS Sequence A000129 - Pell numbers: a(0) = 0, a(1) = 1; for n &gt; 1, a(n) = 2*a(n-1) + a(n-2). From OEIS A000129: Pell numbers: a(0) = 0, a(1) = 1; for n &gt; 1, a(n) = 2*a(n-1) + a(n-2). (Formerly M1413 N0552) Sequence IDs: :a000129 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000129) |&gt; Sequence.take!(32) [0,1,2,5,12,29,70,169,408,985,2378,5741,13860,33461,80782,195025,470832,1136689,2744210,6625109,15994428,38613965,93222358,225058681,543339720,1311738121,3166815962,7645370045,18457556052,44560482149,107578520350,259717522849]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000142/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000142/1","type":"function","doc":"OEIS Sequence A000142 - Factorial numbers: n! = 1234...*n From OEIS A000142: Factorial numbers: n! = 1234...*n (order of symmetric group S_n, number of permutations of n letters). (Formerly M1675 N0659) Sequence IDs: :a000142 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000142) |&gt; Sequence.take!(23) [1,1,2,6,24,120,720,5040,40320,362880,3628800,39916800,479001600,6227020800,87178291200,1307674368000,20922789888000,355687428096000,6402373705728000,121645100408832000,2432902008176640000,51090942171709440000,1124000727777607680000]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000161/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000161/1","type":"function","doc":"OEIS Sequence A000161 - Number of partitions of n into 2 squares. From OEIS A000161: Number of partitions of n into 2 squares. Sequence IDs: :a000161 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000161) |&gt; Sequence.take!(108) [1,1,1,0,1,1,0,0,1,1,1,0,0,1,0,0,1,1,1,0,1,0,0,0,0,2,1,0,0,1,0,0,1,0,1,0,1,1,0,0,1,1,0,0,0,1,0,0,0,1,2,0,1,1,0,0,0,0,1,0,0,1,0,0,1,2,0,0,1,0,0,0,1,1,1,0,0,0,0,0,1,1,1,0,0,2,0,0,0,1,1,0,0,0,0,0,0,1,1,0,2,1,0,0,1,0,1,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000166/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000166/1","type":"function","doc":"OEIS Sequence A000166 - Subfactorial or rencontres numbers, or derangements: number of permutations of n elements with no fixed points. From OEIS A000166: Subfactorial or rencontres numbers, or derangements: number of permutations of n elements with no fixed points. (Formerly M1937 N0766) Sequence IDs: :a000166 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000166) |&gt; Sequence.take!(24) [1,0,1,2,9,44,265,1854,14833,133496,1334961,14684570,176214841,2290792932,32071101049,481066515734,7697064251745,130850092279664,2355301661033953,44750731559645106,895014631192902121,18795307255050944540,413496759611120779881,9510425471055777937262]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000169/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000169/1","type":"function","doc":"OEIS Sequence A000169 - Number of labeled rooted trees with n nodes: n^(n-1). From OEIS A000169: Number of labeled rooted trees with n nodes: n^(n-1). (Formerly M1946 N0771) Sequence IDs: :a000169 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000169) |&gt; Sequence.take!(20) [1,2,9,64,625,7776,117649,2097152,43046721,1000000000,25937424601,743008370688,23298085122481,793714773254144,29192926025390625,1152921504606846976,48661191875666868481,2185911559738696531968,104127350297911241532841,5242880000000000000000000]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000203/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000203/1","type":"function","doc":"OEIS Sequence A000203 - Sum of Divisors σ1(n) From OEIS A000203: (n) = sigma(n), the sum of the divisors of n. Also called sigma_1(n). (Formerly M2329 N0921) Sequence IDs: :a000203 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000203) |&gt; Sequence.take!(20) [1, 3, 4, 7, 6, 12, 8, 15, 13, 18, 12, 28, 14, 24, 24, 31, 18, 39, 20, 42]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000204/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000204/1","type":"function","doc":"OEIS Sequence A000204 - Lucas numbers (beginning with 1) From OEIS A000204: Lucas numbers (beginning with 1): L(n) = L(n-1) + L(n-2) with L(1) = 1, L(2) = 3. (Formerly M2341 N0924) Sequence IDs: :a000204 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000204) |&gt; Sequence.take!(39) [1,3,4,7,11,18,29,47,76,123,199,322,521,843,1364,2207,3571,5778,9349,15127,24476,39603,64079,103682,167761,271443,439204,710647,1149851,1860498,3010349,4870847,7881196,12752043,20633239,33385282,54018521,87403803,141422324]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000217/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000217/1","type":"function","doc":"OEIS Sequence A000217 - Triangular numbers: a(n) = binomial(n+1,2) From OEIS A000217: Triangular numbers: a(n) = binomial(n+1,2) = n(n+1)/2 = 0 + 1 + 2 + ... + n. (Formerly M2535 N1002) Sequence IDs: :a000217 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000217) |&gt; Sequence.take!(54) [0,1,3,6,10,15,21,28,36,45,55,66,78,91,105,120,136,153,171,190,210,231,253,276,300,325,351,378,406,435,465,496,528,561,595,630,666,703,741,780,820,861,903,946,990,1035,1081,1128,1176,1225,1275,1326,1378,1431]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000219/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000219/1","type":"function","doc":"OEIS Sequence A000219 - Number of planar partitions (or plane partitions) of n. From OEIS A000219: Number of planar partitions (or plane partitions) of n. (Formerly M2566 N1016) Sequence IDs: :a000219 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000219) |&gt; Sequence.take!(41) [1,1,3,6,13,24,48,86,160,282,500,859,1479,2485,4167,6879,11297,18334,29601,47330,75278,118794,186475,290783,451194,696033,1068745,1632658,2483234,3759612,5668963,8512309,12733429,18974973,28175955,41691046,61484961,90379784,132441995,193487501,281846923]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000225/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000225/1","type":"function","doc":"OEIS Sequence A000225 - a(n) = 2^n - 1. (Sometimes called Mersenne numbers, although that name is usually reserved for A001348.) From OEIS A000225: a(n) = 2^n - 1. (Sometimes called Mersenne numbers, although that name is usually reserved for A001348.) (Formerly M2655 N1059) Sequence IDs: :a000225 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000225) |&gt; Sequence.take!(33) [0,1,3,7,15,31,63,127,255,511,1023,2047,4095,8191,16383,32767,65535,131071,262143,524287,1048575,2097151,4194303,8388607,16777215,33554431,67108863,134217727,268435455,536870911,1073741823,2147483647,4294967295]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000244/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000244/1","type":"function","doc":"OEIS Sequence A000244 - Powers of 3. From OEIS A000244: Powers of 3. (Formerly M2807 N1129) Sequence IDs: :a000244 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000244) |&gt; Sequence.take!(28) [1,3,9,27,81,243,729,2187,6561,19683,59049,177147,531441,1594323,4782969,14348907,43046721,129140163,387420489,1162261467,3486784401,10460353203,31381059609,94143178827,282429536481,847288609443,2541865828329,7625597484987]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000262/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000262/1","type":"function","doc":"OEIS Sequence A000262 - Number of &quot;sets of lists&quot; From OEIS A000262: Number of &quot;sets of lists&quot;: number of partitions of {1,...,n} into any number of lists, where a list means an ordered subset. (Formerly M2950 N1190) Sequence IDs: :a000262 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000262) |&gt; Sequence.take!(22) [1,1,3,13,73,501,4051,37633,394353,4596553,58941091,824073141,12470162233,202976401213,3535017524403,65573803186921,1290434218669921,26846616451246353,588633468315403843,13564373693588558173,327697927886085654441,8281153039765859726341]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000272/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000272/1","type":"function","doc":"OEIS Sequence A000272 - Number of trees on n labeled nodes: n^(n-2) with a(0)=1. From OEIS A000272: Number of trees on n labeled nodes: n^(n-2) with a(0)=1. (Formerly M3027 N1227) Sequence IDs: :a000272 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000272) |&gt; Sequence.take!(20) [1,1,1,3,16,125,1296,16807,262144,4782969,100000000,2357947691,61917364224,1792160394037,56693912375296,1946195068359375,72057594037927936,2862423051509815793,121439531096594251776,5480386857784802185939]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000290/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000290/1","type":"function","doc":"OEIS Sequence A000290 - The squares: a(n) = n^2. From OEIS A000290: The squares: a(n) = n^2. (Formerly M3356 N1350) Sequence IDs: :a000290 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000290) |&gt; Sequence.take!(51) [0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400,441,484,529,576,625,676,729,784,841,900,961,1024,1089,1156,1225,1296,1369,1444,1521,1600,1681,1764,1849,1936,2025,2116,2209,2304,2401,2500]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000292/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000292/1","type":"function","doc":"OEIS Sequence A000292 - Tetrahedral (or triangular pyramidal) numbers: a(n) = C(n+2,3) = n(n+1)(n+2)/6. From OEIS A000292: Tetrahedral (or triangular pyramidal) numbers: a(n) = C(n+2,3) = n(n+1)(n+2)/6. (Formerly M3382 N1363) Sequence IDs: :a000292 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000292) |&gt; Sequence.take!(45) [0,1,4,10,20,35,56,84,120,165,220,286,364,455,560,680,816,969,1140,1330,1540,1771,2024,2300,2600,2925,3276,3654,4060,4495,4960,5456,5984,6545,7140,7770,8436,9139,9880,10660,11480,12341,13244,14190,15180]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000302/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000302/1","type":"function","doc":"OEIS Sequence A000302 - Powers of 4: a(n) = 4^n. From OEIS A000302: Powers of 4: a(n) = 4^n. (Formerly M3518 N1428) Sequence IDs: :a000302 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000302) |&gt; Sequence.take!(25) [1,4,16,64,256,1024,4096,16384,65536,262144,1048576,4194304,16777216,67108864,268435456,1073741824,4294967296,17179869184,68719476736,274877906944,1099511627776,4398046511104,17592186044416,70368744177664,281474976710656]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000311/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000311/1","type":"function","doc":"OEIS Sequence A000311 - Schroeder&#39;s fourth problem; also series-reduced rooted trees with n labeled leaves; also number of total partitions of n. From OEIS A000311: Schroeder&#39;s fourth problem; also series-reduced rooted trees with n labeled leaves; also number of total partitions of n. (Formerly M3613 N1465) Sequence IDs: :a000311 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000311) |&gt; Sequence.take!(20) [0,1,1,4,26,236,2752,39208,660032,12818912,282137824,6939897856,188666182784,5617349020544,181790703209728,6353726042486272,238513970965257728,9571020586419012608,408837905660444010496,18522305410364986906624]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000312/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000312/1","type":"function","doc":"OEIS Sequence A000312 - a(n) = n^n; number of labeled mappings from n points to themselves (endofunctions). From OEIS A000312: a(n) = n^n; number of labeled mappings from n points to themselves (endofunctions). (Formerly M3619 N1469) Sequence IDs: :a000312 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000312) |&gt; Sequence.take!(18) [1,1,4,27,256,3125,46656,823543,16777216,387420489,10000000000,285311670611,8916100448256,302875106592253,11112006825558016,437893890380859375,18446744073709551616,827240261886336764177]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000326/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000326/1","type":"function","doc":"OEIS Sequence A000326 - Pentagonal numbers: a(n) = n(3n-1)/2. From OEIS A000326: Pentagonal numbers: a(n) = n(3n-1)/2. (Formerly M3818 N1562) Sequence IDs: :a000326 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000326) |&gt; Sequence.take!(47) [0,1,5,12,22,35,51,70,92,117,145,176,210,247,287,330,376,425,477,532,590,651,715,782,852,925,1001,1080,1162,1247,1335,1426,1520,1617,1717,1820,1926,2035,2147,2262,2380,2501,2625,2752,2882,3015,3151]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000330/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000330/1","type":"function","doc":"OEIS Sequence A000330 - Square pyramidal numbers: a(n) = 0^2 + 1^2 + 2^2 + ... + n^2 = n(n+1)(2*n+1)/6. From OEIS A000330: Square pyramidal numbers: a(n) = 0^2 + 1^2 + 2^2 + ... + n^2 = n(n+1)(2*n+1)/6. (Formerly M3844 N1574) Sequence IDs: :a000330 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000330) |&gt; Sequence.take!(45) [0,1,5,14,30,55,91,140,204,285,385,506,650,819,1015,1240,1496,1785,2109,2470,2870,3311,3795,4324,4900,5525,6201,6930,7714,8555,9455,10416,11440,12529,13685,14910,16206,17575,19019,20540,22140,23821,25585,27434,29370]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000364/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000364/1","type":"function","doc":"OEIS Sequence A000364 - Euler (or secant or &quot;Zig&quot;) numbers: e.g.f. (even powers only) sec(x) = 1/cos(x). From OEIS A000364: Euler (or secant or &quot;Zig&quot;) numbers: e.g.f. (even powers only) sec(x) = 1/cos(x). (Formerly M4019 N1667) Sequence IDs: :a000364 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000364) |&gt; Sequence.take!(17) [1,1,5,61,1385,50521,2702765,199360981,19391512145,2404879675441,370371188237525,69348874393137901,15514534163557086905,4087072509293123892361,1252259641403629865468285,441543893249023104553682821,177519391579539289436664789665]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000396/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000396/1","type":"function","doc":"OEIS Sequence A000396 - Perfect Numbers From OEIS A000396: Perfect numbers n: n is equal to the sum of the proper divisors of n. (Formerly M4186 N1744) Sequence IDs: :a000396 Finite: True Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000396) |&gt; Sequence.take!(5) [6, 28, 496, 8128, 33550336]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000521/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000521/1","type":"function","doc":"OEIS Sequence A000521 - Coefficients of modular function j as power series in q = e^(2 Pi i t) From OEIS A000521: Coefficients of modular function j as power series in q = e^(2 Pi i t). Another name is the elliptic modular invariant J(tau). (Formerly M5477 N2372) Sequence IDs: :a000521 Finite: False Offset: -1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000521) |&gt; Sequence.take!(17) [1,744,196884,21493760,864299970,20245856256,333202640600,4252023300096,44656994071935,401490886656000,3176440229784420,22567393309593600,146211911499519294,874313719685775360,4872010111798142520,25497827389410525184,126142916465781843075]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000578/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000578/1","type":"function","doc":"OEIS Sequence A000578 - The cubes: a(n) = n^3. From OEIS A000578: The cubes: a(n) = n^3. (Formerly M4499 N1905) Sequence IDs: :a000578 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000578) |&gt; Sequence.take!(41) [0,1,8,27,64,125,216,343,512,729,1000,1331,1728,2197,2744,3375,4096,4913,5832,6859,8000,9261,10648,12167,13824,15625,17576,19683,21952,24389,27000,29791,32768,35937,39304,42875,46656,50653,54872,59319,64000]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000583/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000583/1","type":"function","doc":"OEIS Sequence A000583 - Fourth powers: a(n) = n^4 From OEIS A000583: Fourth powers: a(n) = n^4. (Formerly M5004 N2154) Sequence IDs: :a000583 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000583) |&gt; Sequence.take!(34) [0,1,16,81,256,625,1296,2401,4096,6561,10000,14641,20736,28561,38416,50625,65536,83521,104976,130321,160000,194481,234256,279841,331776,390625,456976,531441,614656,707281,810000,923521,1048576,1185921]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000593/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000593/1","type":"function","doc":"OEIS Sequence A000593 - Sum of Odd Divisors of N From OEIS A000593: Sum of odd divisors of n. (Formerly M3197 N1292) Sequence IDs: :a000593 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000593) |&gt; Sequence.take!(10) [1, 1, 4, 1, 6, 4, 8, 1, 13, 6]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000594/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000594/1","type":"function","doc":"OEIS Sequence A000594 - Ramanujan&#39;s tau function From OEIS A000594: Ramanujan&#39;s tau function (or Ramanujan numbers, or tau numbers). (Formerly M5153 N2237) Sequence IDs: :a000594 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000594) |&gt; Sequence.take!(28) [1,-24,252,-1472,4830,-6048,-16744,84480,-113643,-115920,534612,-370944,-577738,401856,1217160,987136,-6905934,2727432,10661420,-7109760,-4219488,-12830688,18643272,21288960,-25499225,13865712,-73279080,24647168]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000609/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000609/1","type":"function","doc":"OEIS Sequence A000609 - Number of threshold functions of n or fewer variables. From OEIS A000609: Number of threshold functions of n or fewer variables. (Formerly M1285 N0492) Sequence IDs: :a000609 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000609) |&gt; Sequence.take!(10) [2,4,14,104,1882,94572,15028134,8378070864,17561539552946,144130531453121108]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000670/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000670/1","type":"function","doc":"OEIS Sequence A000670 - Fubini numbers: number of preferential arrangements of n labeled elements; or number of weak orders on n labeled elements; or number of ordered partitions of [n]. From OEIS A000670: Fubini numbers: number of preferential arrangements of n labeled elements; or number of weak orders on n labeled elements; or number of ordered partitions of [n]. (Formerly M2952 N1191) Sequence IDs: :a000670 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000670) |&gt; Sequence.take!(21) [1,1,3,13,75,541,4683,47293,545835,7087261,102247563,1622632573,28091567595,526858348381,10641342970443,230283190977853,5315654681981355,130370767029135901,3385534663256845323,92801587319328411133,2677687796244384203115]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000688/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000688/1","type":"function","doc":"OEIS Sequence A000688 - Number of Abelian groups of order n From OEIS A000688: Number of Abelian groups of order n; number of factorizations of n into prime powers. (Formerly M0064 N0020) Sequence IDs: :a000688 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000688) |&gt; Sequence.take!(107) [1,1,1,2,1,1,1,3,2,1,1,2,1,1,1,5,1,2,1,2,1,1,1,3,2,1,3,2,1,1,1,7,1,1,1,4,1,1,1,3,1,1,1,2,2,1,1,5,2,2,1,2,1,3,1,3,1,1,1,2,1,1,2,11,1,1,1,2,1,1,1,6,1,1,2,2,1,1,1,5,5,1,1,2,1,1,1,3,1,2,1,2,1,1,1,7,1,2,2,4,1,1,1,3,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000720/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000720/1","type":"function","doc":"OEIS Sequence A000720 - pi(n), the number of primes &lt;= n From OEIS A000720: pi(n), the number of primes &lt;= n. Sometimes called PrimePi(n) to distinguish it from the number 3.14159... (Formerly M0256 N0090) Sequence IDs: :a000720 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000720) |&gt; Sequence.take!(78) [0,1,2,2,3,3,4,4,4,4,5,5,6,6,6,6,7,7,8,8,8,8,9,9,9,9,9,9,10,10,11,11,11,11,11,11,12,12,12,12,13,13,14,14,14,14,15,15,15,15,15,15,16,16,16,16,16,16,17,17,18,18,18,18,18,18,19,19,19,19,20,20,21,21,21,21,21,21]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000796/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000796/1","type":"function","doc":"OEIS Sequence A000796 - Decimal expansion of Pi (or digits of Pi). From OEIS A000796: Decimal expansion of Pi (or digits of Pi). (Formerly M2218 N0880) Sequence IDs: :a000796 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000796) |&gt; Sequence.take!(105) [3,1,4,1,5,9,2,6,5,3,5,8,9,7,9,3,2,3,8,4,6,2,6,4,3,3,8,3,2,7,9,5,0,2,8,8,4,1,9,7,1,6,9,3,9,9,3,7,5,1,0,5,8,2,0,9,7,4,9,4,4,5,9,2,3,0,7,8,1,6,4,0,6,2,8,6,2,0,8,9,9,8,6,2,8,0,3,4,8,2,5,3,4,2,1,1,7,0,6,7,9,8,2,1,4]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000798/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000798/1","type":"function","doc":"OEIS Sequence A000798 - Number of different quasi-orders (or topologies, or transitive digraphs) with n labeled elements. From OEIS A000798: Number of different quasi-orders (or topologies, or transitive digraphs) with n labeled elements. (Formerly M3631 N1476) Sequence IDs: :a000798 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000798) |&gt; Sequence.take!(19) [1,1,4,29,355,6942,209527,9535241,642779354,63260289423,8977053873043,1816846038736192,519355571065774021,207881393656668953041,115617051977054267807460,88736269118586244492485121,93411113411710039565210494095,134137950093337880672321868725846,261492535743634374805066126901117203]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000959/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000959/1","type":"function","doc":"OEIS Sequence A000959 - Lucky numbers. From OEIS A000959: Lucky numbers. (Formerly M2616 N1035) Sequence IDs: :a000959 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000959) |&gt; Sequence.take!(57) [1,3,7,9,13,15,21,25,31,33,37,43,49,51,63,67,69,73,75,79,87,93,99,105,111,115,127,129,133,135,141,151,159,163,169,171,189,193,195,201,205,211,219,223,231,235,237,241,259,261,267,273,283,285,289,297,303]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000961/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000961/1","type":"function","doc":"OEIS Sequence A000961 - Powers of primes. Alternatively, 1 and the prime powers (p^k, p prime, k &gt;= 1). From OEIS A000961: Powers of primes. Alternatively, 1 and the prime powers (p^k, p prime, k &gt;= 1). (Formerly M0517 N0185) Sequence IDs: :a000961 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000961) |&gt; Sequence.take!(64) [1,2,3,4,5,7,8,9,11,13,16,17,19,23,25,27,29,31,32,37,41,43,47,49,53,59,61,64,67,71,73,79,81,83,89,97,101,103,107,109,113,121,125,127,128,131,137,139,149,151,157,163,167,169,173,179,181,191,193,197,199,211,223,227]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000984/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000984/1","type":"function","doc":"OEIS Sequence A000984 - Central binomial coefficients: binomial(2n,n) = (2n)!/(n!)^2. From OEIS A000984: Central binomial coefficients: binomial(2n,n) = (2n)!/(n!)^2. (Formerly M1645 N0643) Sequence IDs: :a000984 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000984) |&gt; Sequence.take!(28) [1,2,6,20,70,252,924,3432,12870,48620,184756,705432,2704156,10400600,40116600,155117520,601080390,2333606220,9075135300,35345263800,137846528820,538257874440,2104098963720,8233430727600,32247603683100,126410606437752,495918532948104,1946939425648112]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001003/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001003/1","type":"function","doc":"OEIS Sequence A001003 - Schroeder&#39;s second problem (generalized parentheses); also called super-Catalan numbers or little Schroeder numbers. From OEIS A001003: Schroeder&#39;s second problem (generalized parentheses); also called super-Catalan numbers or little Schroeder numbers. (Formerly M2898 N1163) Sequence IDs: :a001003 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001003) |&gt; Sequence.take!(24) [1,1,3,11,45,197,903,4279,20793,103049,518859,2646723,13648869,71039373,372693519,1968801519,10463578353,55909013009,300159426963,1618362158587,8759309660445,47574827600981,259215937709463,1416461675464871]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001006/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001006/1","type":"function","doc":"OEIS Sequence A001006 - Motzkin numbers From OEIS A001006: Motzkin numbers: number of ways of drawing any number of nonintersecting chords joining n (labeled) points on a circle. (Formerly M1184 N0456) Sequence IDs: :a001006 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001006) |&gt; Sequence.take!(30) [1,1,2,4,9,21,51,127,323,835,2188,5798,15511,41835,113634,310572,853467,2356779,6536382,18199284,50852019,142547559,400763223,1129760415,3192727797,9043402501,25669818476,73007772802,208023278209,593742784829]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001045/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001045/1","type":"function","doc":"OEIS Sequence A001045 - Jacobsthal sequence (or Jacobsthal numbers) From OEIS A001045: Jacobsthal sequence (or Jacobsthal numbers): a(n) = a(n-1) + 2*a(n-2), with a(0) = 0, a(1) = 1. (Formerly M2482 N0983) Sequence IDs: :a001045 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001045) |&gt; Sequence.take!(35) [0,1,1,3,5,11,21,43,85,171,341,683,1365,2731,5461,10923,21845,43691,87381,174763,349525,699051,1398101,2796203,5592405,11184811,22369621,44739243,89478485,178956971,357913941,715827883,1431655765,2863311531,5726623061]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001055/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001055/1","type":"function","doc":"OEIS Sequence A001055 - The multiplicative partition function: number of ways of factoring n with all factors greater than 1 (a(1) = 1 by convention). From OEIS A001055: The multiplicative partition function: number of ways of factoring n with all factors greater than 1 (a(1) = 1 by convention). (Formerly M0095 N0032) Sequence IDs: :a001055 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001055) |&gt; Sequence.take!(103) [1,1,1,2,1,2,1,3,2,2,1,4,1,2,2,5,1,4,1,4,2,2,1,7,2,2,3,4,1,5,1,7,2,2,2,9,1,2,2,7,1,5,1,4,4,2,1,12,2,4,2,4,1,7,2,7,2,2,1,11,1,2,4,11,2,5,1,4,2,5,1,16,1,2,4,4,2,5,1,12,5,2,1,11,2,2,2,7,1,11,2,4,2,2,2,19,1,4,4,9,1,5,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001057/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001057/1","type":"function","doc":"OEIS Sequence A001057 - Canonical enumeration of integers: interleaved positive and negative integers with zero prepended. From OEIS A001057: Canonical enumeration of integers: interleaved positive and negative integers with zero prepended. Sequence IDs: :a001057 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001057) |&gt; Sequence.take!(63) [0,1,-1,2,-2,3,-3,4,-4,5,-5,6,-6,7,-7,8,-8,9,-9,10,-10,11,-11,12,-12,13,-13,14,-14,15,-15,16,-16,17,-17,18,-18,19,-19,20,-20,21,-21,22,-22,23,-23,24,-24,25,-25,26,-26,27,-27,28,-28,29,-29,30,-30,31,-31]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001065/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001065/1","type":"function","doc":"OEIS Sequence A001065 - Sum of proper divisors (Aliquot parts) of N. From OEIS A001065: Sum of proper divisors (or aliquot parts) of n: sum of divisors of n that are less than n. (Formerly M2226 N0884) Sequence IDs: :a001065 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a001065) |&gt; Sequence.take!(20) [0, 1, 1, 3, 1, 6, 1, 7, 4, 8, 1, 16, 1, 10, 9, 15, 1, 21, 1, 22]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001147/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001147/1","type":"function","doc":"OEIS Sequence A001147 - Double factorial of odd numbers: a(n) = (2n-1)!! = 135...(2n-1). From OEIS A001147: Double factorial of odd numbers: a(n) = (2n-1)!! = 135...(2n-1). (Formerly M3002 N1217) Sequence IDs: :a001147 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001147) |&gt; Sequence.take!(20) [1,1,3,15,105,945,10395,135135,2027025,34459425,654729075,13749310575,316234143225,7905853580625,213458046676875,6190283353629375,191898783962510625,6332659870762850625,221643095476699771875,8200794532637891559375]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001157/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001157/1","type":"function","doc":"OEIS Sequence A001157 - Sum of squares of divisors of N, simga-2(n), 𝝈2(n). From OEIS A001157: sigma_2(n): sum of squares of divisors of n. (Formerly M3799 N1551) Sequence IDs: :a001157 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a001157) |&gt; Sequence.take!(10) [1, 5, 10, 21, 26, 50, 50, 85, 91, 130]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001190/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001190/1","type":"function","doc":"OEIS Sequence A001190 - Wedderburn-Etherington numbers: unlabeled binary rooted trees (every node has out-degree 0 or 2) with n endpoints (and 2n-1 nodes in all). From OEIS A001190: Wedderburn-Etherington numbers: unlabeled binary rooted trees (every node has out-degree 0 or 2) with n endpoints (and 2n-1 nodes in all). (Formerly M0790 N0298) Sequence IDs: :a001190 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001190) |&gt; Sequence.take!(35) [0,1,1,1,2,3,6,11,23,46,98,207,451,983,2179,4850,10905,24631,56011,127912,293547,676157,1563372,3626149,8436379,19680277,46026618,107890609,253450711,596572387,1406818759,3323236238,7862958391,18632325319,44214569100]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001221/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001221/1","type":"function","doc":"OEIS Sequence A001221 - Number of distinct primes dividing n (also called omega(n)). From OEIS A001221: Number of distinct primes dividing n (also called omega(n)). (Formerly M0056 N0019) Sequence IDs: :a001221 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001221) |&gt; Sequence.take!(111) [0,1,1,1,1,2,1,1,1,2,1,2,1,2,2,1,1,2,1,2,2,2,1,2,1,2,1,2,1,3,1,1,2,2,2,2,1,2,2,2,1,3,1,2,2,2,1,2,1,2,2,2,1,2,2,2,2,2,1,3,1,2,2,1,2,3,1,2,2,3,1,2,1,2,2,2,2,3,1,2,1,2,1,3,2,2,2,2,1,3,2,2,2,2,2,2,1,2,2,2,1,3,1,2,3,2,1,2,1,3,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001222/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001222/1","type":"function","doc":"OEIS Sequence A001222 - Number of prime divisors of n counted with multiplicity (also called bigomega(n) or Omega(n)). From OEIS A001222: Number of prime divisors of n counted with multiplicity (also called bigomega(n) or Omega(n)). (Formerly M0094 N0031) Sequence IDs: :a001222 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001222) |&gt; Sequence.take!(111) [0,1,1,2,1,2,1,3,2,2,1,3,1,2,2,4,1,3,1,3,2,2,1,4,2,2,3,3,1,3,1,5,2,2,2,4,1,2,2,4,1,3,1,3,3,2,1,5,2,3,2,3,1,4,2,4,2,2,1,4,1,2,3,6,2,3,1,3,2,3,1,5,1,2,3,3,2,3,1,5,4,2,1,4,2,2,2,4,1,4,2,3,2,2,2,6,1,3,3,4,1,3,1,4,3,2,1,5,1,3,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001227/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001227/1","type":"function","doc":"OEIS Sequence A001227 - Number of odd divisors of n. From OEIS A001227: Number of odd divisors of n. Sequence IDs: :a001227 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001227) |&gt; Sequence.take!(105) [1,1,2,1,2,2,2,1,3,2,2,2,2,2,4,1,2,3,2,2,4,2,2,2,3,2,4,2,2,4,2,1,4,2,4,3,2,2,4,2,2,4,2,2,6,2,2,2,3,3,4,2,2,4,4,2,4,2,2,4,2,2,6,1,4,4,2,2,4,4,2,3,2,2,6,2,4,4,2,2,5,2,2,4,4,2,4,2,2,6,4,2,4,2,4,2,2,3,6,3,2,4,2,2,8]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001333/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001333/1","type":"function","doc":"OEIS Sequence A001333 - Numerators of continued fraction convergents to sqrt(2). From OEIS A001333: Numerators of continued fraction convergents to sqrt(2). (Formerly M2665 N1064) Sequence IDs: :a001333 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001333) |&gt; Sequence.take!(32) [1,1,3,7,17,41,99,239,577,1393,3363,8119,19601,47321,114243,275807,665857,1607521,3880899,9369319,22619537,54608393,131836323,318281039,768398401,1855077841,4478554083,10812186007,26102926097,63018038201,152139002499,367296043199]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001358/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001358/1","type":"function","doc":"OEIS Sequence A001358 - Semiprimes (or biprimes): products of two primes. From OEIS A001358: Semiprimes (or biprimes): products of two primes. (Formerly M3274 N1323) Sequence IDs: :a001358 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001358) |&gt; Sequence.take!(61) [4,6,9,10,14,15,21,22,25,26,33,34,35,38,39,46,49,51,55,57,58,62,65,69,74,77,82,85,86,87,91,93,94,95,106,111,115,118,119,121,122,123,129,133,134,141,142,143,145,146,155,158,159,161,166,169,177,178,183,185,187]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001405/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001405/1","type":"function","doc":"OEIS Sequence A001405 - a(n) = binomial(n, floor(n/2)). From OEIS A001405: a(n) = binomial(n, floor(n/2)). (Formerly M0769 N0294) Sequence IDs: :a001405 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001405) |&gt; Sequence.take!(34) [1,1,2,3,6,10,20,35,70,126,252,462,924,1716,3432,6435,12870,24310,48620,92378,184756,352716,705432,1352078,2704156,5200300,10400600,20058300,40116600,77558760,155117520,300540195,601080390,1166803110]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001477/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001477/1","type":"function","doc":"OEIS Sequence A001477 - The nonnegative integers. From OEIS A001477: The nonnegative integers. Sequence IDs: :a001477 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001477) |&gt; Sequence.take!(78) [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001478/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001478/1","type":"function","doc":"OEIS Sequence A001478 - The negative integers. From OEIS A001478: The negative integers. Sequence IDs: :a001478 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001478) |&gt; Sequence.take!(65) [-1,-2,-3,-4,-5,-6,-7,-8,-9,-10,-11,-12,-13,-14,-15,-16,-17,-18,-19,-20,-21,-22,-23,-24,-25,-26,-27,-28,-29,-30,-31,-32,-33,-34,-35,-36,-37,-38,-39,-40,-41,-42,-43,-44,-45,-46,-47,-48,-49,-50,-51,-52,-53,-54,-55,-56,-57,-58,-59,-60,-61,-62,-63,-64,-65]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001481/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001481/1","type":"function","doc":"OEIS Sequence A001481 - Numbers that are the sum of 2 squares. From OEIS A001481: Numbers that are the sum of 2 squares. (Formerly M0968 N0361) Sequence IDs: :a001481 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001481) |&gt; Sequence.take!(66) [0,1,2,4,5,8,9,10,13,16,17,18,20,25,26,29,32,34,36,37,40,41,45,49,50,52,53,58,61,64,65,68,72,73,74,80,81,82,85,89,90,97,98,100,101,104,106,109,113,116,117,121,122,125,128,130,136,137,144,145,146,148,149,153,157,160]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001489/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001489/1","type":"function","doc":"OEIS Sequence A001489 - a(n) = -n. From OEIS A001489: a(n) = -n. Sequence IDs: :a001489 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001489) |&gt; Sequence.take!(66) [0,-1,-2,-3,-4,-5,-6,-7,-8,-9,-10,-11,-12,-13,-14,-15,-16,-17,-18,-19,-20,-21,-22,-23,-24,-25,-26,-27,-28,-29,-30,-31,-32,-33,-34,-35,-36,-37,-38,-39,-40,-41,-42,-43,-44,-45,-46,-47,-48,-49,-50,-51,-52,-53,-54,-55,-56,-57,-58,-59,-60,-61,-62,-63,-64,-65]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001511/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001511/1","type":"function","doc":"OEIS Sequence A001511 - The ruler function: 2^a(n) divides 2n From OEIS A001511: The ruler function: 2^a(n) divides 2n. Or, a(n) = 2-adic valuation of 2n. (Formerly M0127 N0051) Sequence IDs: :a001511 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001511) |&gt; Sequence.take!(105) [1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,5,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,6,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,5,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,7,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,5,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,6,1,2,1,3,1,2,1,4,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001519/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001519/1","type":"function","doc":"OEIS Sequence A001519 - a(n) = 3*a(n-1) - a(n-2), with a(0) = a(1) = 1. From OEIS A001519: a(n) = 3*a(n-1) - a(n-2), with a(0) = a(1) = 1. (Formerly M1439 N0569) Sequence IDs: :a001519 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001519) |&gt; Sequence.take!(31) [1,1,2,5,13,34,89,233,610,1597,4181,10946,28657,75025,196418,514229,1346269,3524578,9227465,24157817,63245986,165580141,433494437,1134903170,2971215073,7778742049,20365011074,53316291173,139583862445,365435296162,956722026041]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001615/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001615/1","type":"function","doc":"OEIS Sequence A001615 - Dedekind psi function: n * Product_{p|n, p prime} (1 + 1/p). From OEIS A001615: Dedekind psi function: n * Product_{p|n, p prime} (1 + 1/p). (Formerly M2315 N0915) Sequence IDs: :a001615 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a001615) |&gt; Sequence.take!(69) [1,3,4,6,6,12,8,12,12,18,12,24,14,24,24,24,18,36,20,36,32,36,24,48,30,42,36,48,30,72,32,48,48,54,48,72,38,60,56,72,42,96,44,72,72,72,48,96,56,90,72,84,54,108,72,96,80,90,60,144,62,96,96,96,84,144,68,108,96]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001699/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001699/1","type":"function","doc":"OEIS Sequence A001699 - Number of binary trees of height n; or products (ways to insert parentheses) of height n when multiplication is non-commutative and non-associative. From OEIS A001699: Number of binary trees of height n; or products (ways to insert parentheses) of height n when multiplication is non-commutative and non-associative. (Formerly M3087 N1251) Sequence IDs: :a001699 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001699) |&gt; Sequence.take!(10) [1,1,3,21,651,457653,210065930571,44127887745696109598901,1947270476915296449559659317606103024276803403,3791862310265926082868235028027893277370233150300118107846437701158064808916492244872560821]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001700/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001700/1","type":"function","doc":"OEIS Sequence A001700 - a(n) = binomial(2n+1, n+1): number of ways to put n+1 indistinguishable balls into n+1 distinguishable boxes = number of (n+1)-st degree monomials in n+1 variables = number of monotone maps from 1..n+1 to 1..n+1. From OEIS A001700: a(n) = binomial(2n+1, n+1): number of ways to put n+1 indistinguishable balls into n+1 distinguishable boxes = number of (n+1)-st degree monomials in n+1 variables = number of monotone maps from 1..n+1 to 1..n+1. (Formerly M2848 N1144) Sequence IDs: :a001700 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001700) |&gt; Sequence.take!(26) [1,3,10,35,126,462,1716,6435,24310,92378,352716,1352078,5200300,20058300,77558760,300540195,1166803110,4537567650,17672631900,68923264410,269128937220,1052049481860,4116715363800,16123801841550,63205303218876,247959266474052]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001764/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001764/1","type":"function","doc":"OEIS Sequence A001764 - a(n) = binomial(3n,n)/(2n+1) (enumerates ternary trees and also noncrossing trees). From OEIS A001764: a(n) = binomial(3n,n)/(2n+1) (enumerates ternary trees and also noncrossing trees). (Formerly M2926 N1174) Sequence IDs: :a001764 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001764) |&gt; Sequence.take!(25) [1,1,3,12,55,273,1428,7752,43263,246675,1430715,8414640,50067108,300830572,1822766520,11124755664,68328754959,422030545335,2619631042665,16332922290300,102240109897695,642312451217745,4048514844039120,25594403741131680,162250238001816900]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001906/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001906/1","type":"function","doc":"OEIS Sequence A001906 - F(2n) = bisection of Fibonacci sequence: a(n) = 3*a(n-1) - a(n-2). From OEIS A001906: F(2n) = bisection of Fibonacci sequence: a(n) = 3*a(n-1) - a(n-2). (Formerly M2741 N1101) Sequence IDs: :a001906 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001906) |&gt; Sequence.take!(31) [0,1,3,8,21,55,144,377,987,2584,6765,17711,46368,121393,317811,832040,2178309,5702887,14930352,39088169,102334155,267914296,701408733,1836311903,4807526976,12586269025,32951280099,86267571272,225851433717,591286729879,1548008755920]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001969/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001969/1","type":"function","doc":"OEIS Sequence A001969 - Evil numbers: numbers with an even number of 1&#39;s in their binary expansion. From OEIS A001969: Evil numbers: numbers with an even number of 1&#39;s in their binary expansion. (Formerly M2395 N0952) Sequence IDs: :a001969 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001969) |&gt; Sequence.take!(65) [0,3,5,6,9,10,12,15,17,18,20,23,24,27,29,30,33,34,36,39,40,43,45,46,48,51,53,54,57,58,60,63,65,66,68,71,72,75,77,78,80,83,85,86,89,90,92,95,96,99,101,102,105,106,108,111,113,114,116,119,120,123,125,126,129]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002033/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002033/1","type":"function","doc":"OEIS Sequence A002033 - Number of perfect partitions of n. From OEIS A002033: Number of perfect partitions of n. (Formerly M0131 N0053) Sequence IDs: :a002033 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002033) |&gt; Sequence.take!(96) [1,1,1,2,1,3,1,4,2,3,1,8,1,3,3,8,1,8,1,8,3,3,1,20,2,3,4,8,1,13,1,16,3,3,3,26,1,3,3,20,1,13,1,8,8,3,1,48,2,8,3,8,1,20,3,20,3,3,1,44,1,3,8,32,3,13,1,8,3,13,1,76,1,3,8,8,3,13,1,48,8,3,1,44,3,3,3,20,1,44,3,8,3,3,3,112]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002106/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002106/1","type":"function","doc":"OEIS Sequence A002106 - Number of transitive permutation groups of degree n. From OEIS A002106: Number of transitive permutation groups of degree n. (Formerly M1316 N0504) Sequence IDs: :a002106 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002106) |&gt; Sequence.take!(47) [1,1,2,5,5,16,7,50,34,45,8,301,9,63,104,1954,10,983,8,1117,164,59,7,25000,211,96,2392,1854,8,5712,12,2801324,162,115,407,121279,11,76,306,315842,10,9491,10,2113,10923,56,6]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002110/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002110/1","type":"function","doc":"OEIS Sequence A002110 - Primorial numbers (first definition): product of first n primes. Sometimes written prime(n)#. From OEIS A002110: Primorial numbers (first definition): product of first n primes. Sometimes written prime(n)#. (Formerly M1691 N0668) Sequence IDs: :a002110 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002110) |&gt; Sequence.take!(20) [1,2,6,30,210,2310,30030,510510,9699690,223092870,6469693230,200560490130,7420738134810,304250263527210,13082761331670030,614889782588491410,32589158477190044730,1922760350154212639070,117288381359406970983270,7858321551080267055879090]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002113/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002113/1","type":"function","doc":"OEIS Sequence A002113 - Palindromes in base 10. From OEIS A002113: Palindromes in base 10. (Formerly M0484 N0178) Sequence IDs: :a002113 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002113) |&gt; Sequence.take!(61) [0,1,2,3,4,5,6,7,8,9,11,22,33,44,55,66,77,88,99,101,111,121,131,141,151,161,171,181,191,202,212,222,232,242,252,262,272,282,292,303,313,323,333,343,353,363,373,383,393,404,414,424,434,444,454,464,474,484,494,505,515]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002275/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002275/1","type":"function","doc":"OEIS Sequence A002275 - Repunits: (10^n - 1)/9. Often denoted by R_n. From OEIS A002275: Repunits: (10^n - 1)/9. Often denoted by R_n. Sequence IDs: :a002275 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002275) |&gt; Sequence.take!(21) [0,1,11,111,1111,11111,111111,1111111,11111111,111111111,1111111111,11111111111,111111111111,1111111111111,11111111111111,111111111111111,1111111111111111,11111111111111111,111111111111111111,1111111111111111111,11111111111111111111]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002378/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002378/1","type":"function","doc":"OEIS Sequence A002378 - Oblong (or promic, pronic, or heteromecic) numbers: a(n) = n*(n+1). From OEIS A002378: Oblong (or promic, pronic, or heteromecic) numbers: a(n) = n*(n+1). (Formerly M1581 N0616) Sequence IDs: :a002378 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002378) |&gt; Sequence.take!(51) [0,2,6,12,20,30,42,56,72,90,110,132,156,182,210,240,272,306,342,380,420,462,506,552,600,650,702,756,812,870,930,992,1056,1122,1190,1260,1332,1406,1482,1560,1640,1722,1806,1892,1980,2070,2162,2256,2352,2450,2550]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002487/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002487/1","type":"function","doc":"OEIS Sequence A002487 - Stern&#39;s diatomic series (or Stern-Brocot sequence): a(0) = 0, a(1) = 1; for n &gt; 0: a(2n) = a(n), a(2n+1) = a(n) + a(n+1). From OEIS A002487: Stern&#39;s diatomic series (or Stern-Brocot sequence): a(0) = 0, a(1) = 1; for n &gt; 0: a(2n) = a(n), a(2n+1) = a(n) + a(n+1). (Formerly M0141 N0056) Sequence IDs: :a002487 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002487) |&gt; Sequence.take!(92) [0,1,1,2,1,3,2,3,1,4,3,5,2,5,3,4,1,5,4,7,3,8,5,7,2,7,5,8,3,7,4,5,1,6,5,9,4,11,7,10,3,11,8,13,5,12,7,9,2,9,7,12,5,13,8,11,3,10,7,11,4,9,5,6,1,7,6,11,5,14,9,13,4,15,11,18,7,17,10,13,3,14,11,19,8,21,13,18,5,17,12,19]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002530/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002530/1","type":"function","doc":"OEIS Sequence A002530 - a(n) = 4*a(n-2) - a(n-4) for n &gt; 1, a(n) = n for n = 0, 1. From OEIS A002530: a(n) = 4*a(n-2) - a(n-4) for n &gt; 1, a(n) = n for n = 0, 1. (Formerly M2363 N0934) Sequence IDs: :a002530 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002530) |&gt; Sequence.take!(36) [0,1,1,3,4,11,15,41,56,153,209,571,780,2131,2911,7953,10864,29681,40545,110771,151316,413403,564719,1542841,2107560,5757961,7865521,21489003,29354524,80198051,109552575,299303201,408855776,1117014753,1525870529,4168755811]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002531/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002531/1","type":"function","doc":"OEIS Sequence A002531 - a(2n) = a(2n-1) + a(2n-2), a(2n+1) = 2a(2n) + a(2*n-1); a(0) = a(1) = 1. From OEIS A002531: a(2n) = a(2n-1) + a(2n-2), a(2n+1) = 2a(2n) + a(2*n-1); a(0) = a(1) = 1. (Formerly M1340 N0513) Sequence IDs: :a002531 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002531) |&gt; Sequence.take!(34) [1,1,2,5,7,19,26,71,97,265,362,989,1351,3691,5042,13775,18817,51409,70226,191861,262087,716035,978122,2672279,3650401,9973081,13623482,37220045,50843527,138907099,189750626,518408351,708158977,1934726305]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002620/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002620/1","type":"function","doc":"OEIS Sequence A002620 - Quarter-squares: floor(n/2)*ceiling(n/2). Equivalently, floor(n^2/4). From OEIS A002620: Quarter-squares: floor(n/2)*ceiling(n/2). Equivalently, floor(n^2/4). (Formerly M0998 N0374) Sequence IDs: :a002620 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002620) |&gt; Sequence.take!(58) [0,0,1,2,4,6,9,12,16,20,25,30,36,42,49,56,64,72,81,90,100,110,121,132,144,156,169,182,196,210,225,240,256,272,289,306,324,342,361,380,400,420,441,462,484,506,529,552,576,600,625,650,676,702,729,756,784,812]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002654/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002654/1","type":"function","doc":"OEIS Sequence A002654 - Number of ways of writing n as a sum of at most two nonzero squares, where order matters From OEIS A002654: Number of ways of writing n as a sum of at most two nonzero squares, where order matters; also (number of divisors of n of form 4m+1) - (number of divisors of form 4m+3). (Formerly M0012 N0001) Sequence IDs: :a002654 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002654) |&gt; Sequence.take!(105) [1,1,0,1,2,0,0,1,1,2,0,0,2,0,0,1,2,1,0,2,0,0,0,0,3,2,0,0,2,0,0,1,0,2,0,1,2,0,0,2,2,0,0,0,2,0,0,0,1,3,0,2,2,0,0,0,0,2,0,0,2,0,0,1,4,0,0,2,0,0,0,1,2,2,0,0,0,0,0,2,1,2,0,0,4,0,0,0,2,2,0,0,0,0,0,0,2,1,0,3,2,0,0,2,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002808/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002808/1","type":"function","doc":"OEIS Sequence A002808 - The composite numbers: numbers n of the form x*y for x &gt; 1 and y &gt; 1. From OEIS A002808: The composite numbers: numbers n of the form x*y for x &gt; 1 and y &gt; 1. (Formerly M3272 N1322) Sequence IDs: :a002808 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002808) |&gt; Sequence.take!(64) [4,6,8,9,10,12,14,15,16,18,20,21,22,24,25,26,27,28,30,32,33,34,35,36,38,39,40,42,44,45,46,48,49,50,51,52,54,55,56,57,58,60,62,63,64,65,66,68,69,70,72,74,75,76,77,78,80,81,82,84,85,86,87,88]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a003094/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a003094/1","type":"function","doc":"OEIS Sequence A003094 - Number of unlabeled connected planar simple graphs with n nodes. From OEIS A003094: Number of unlabeled connected planar simple graphs with n nodes. (Formerly M1652) Sequence IDs: :a003094 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a003094) |&gt; Sequence.take!(13) [1,1,1,2,6,20,99,646,5974,71885,1052805,17449299,313372298]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a003418/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a003418/1","type":"function","doc":"OEIS Sequence A003418 - Least common multiple (or LCM) of {1, 2, ..., n} for n &gt;= 1, a(0) = 1. From OEIS A003418: Least common multiple (or LCM) of {1, 2, ..., n} for n &gt;= 1, a(0) = 1. (Formerly M1590) Sequence IDs: :a003418 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a003418) |&gt; Sequence.take!(29) [1,1,2,6,12,60,60,420,840,2520,2520,27720,27720,360360,360360,360360,720720,12252240,12252240,232792560,232792560,232792560,232792560,5354228880,5354228880,26771144400,26771144400,80313433200,80313433200]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a003484/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a003484/1","type":"function","doc":"OEIS Sequence A003484 - Radon function, also called Hurwitz-Radon numbers. From OEIS A003484: Radon function, also called Hurwitz-Radon numbers. (Formerly M0161) Sequence IDs: :a003484 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a003484) |&gt; Sequence.take!(102) [1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,9,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,10,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,9,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,12,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,9,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,10,1,2,1,4,1,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a004526/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a004526/1","type":"function","doc":"OEIS Sequence A004526 - Nonnegative integers repeated, floor(n/2). From OEIS A004526: Nonnegative integers repeated, floor(n/2). Sequence IDs: :a004526 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a004526) |&gt; Sequence.take!(74) [0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,15,16,16,17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,29,30,30,31,31,32,32,33,33,34,34,35,35,36,36]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005100/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005100/1","type":"function","doc":"OEIS Sequence A005100 - Deficient Numbers From OEIS A005100: Deficient numbers: numbers n such that sigma(n) &lt; 2n. (Formerly M0514) Sequence IDs: :a005100 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a005100) |&gt; Sequence.take!(25) [1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 21, 22, 23, 25, 26, 27, 29, 31, 32]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005101/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005101/1","type":"function","doc":"OEIS Sequence A005101 - Abundant Numbers From OEIS A005101: Abundant numbers (sum of divisors of n exceeds 2n). (Formerly M4825) Sequence IDs: :a005101 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a005101) |&gt; Sequence.take!(10) [12, 18, 20, 24, 30, 36, 40, 42, 48, 54]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005117/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005117/1","type":"function","doc":"OEIS Sequence A005117 - Squarefree numbers: numbers that are not divisible by a square greater than 1. From OEIS A005117: Squarefree numbers: numbers that are not divisible by a square greater than 1. (Formerly M0617) Sequence IDs: :a005117 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005117) |&gt; Sequence.take!(71) [1,2,3,5,6,7,10,11,13,14,15,17,19,21,22,23,26,29,30,31,33,34,35,37,38,39,41,42,43,46,47,51,53,55,57,58,59,61,62,65,66,67,69,70,71,73,74,77,78,79,82,83,85,86,87,89,91,93,94,95,97,101,102,103,105,106,107,109,110,111,113]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005408/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005408/1","type":"function","doc":"OEIS Sequence A005408 - The odd numbers: a(n) = 2*n + 1. From OEIS A005408: The odd numbers: a(n) = 2*n + 1. (Formerly M2400) Sequence IDs: :a005408 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005408) |&gt; Sequence.take!(66) [1,3,5,7,9,11,13,15,17,19,21,23,25,27,29,31,33,35,37,39,41,43,45,47,49,51,53,55,57,59,61,63,65,67,69,71,73,75,77,79,81,83,85,87,89,91,93,95,97,99,101,103,105,107,109,111,113,115,117,119,121,123,125,127,129,131]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005470/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005470/1","type":"function","doc":"OEIS Sequence A005470 - Number of unlabeled planar simple graphs with n nodes. From OEIS A005470: Number of unlabeled planar simple graphs with n nodes. (Formerly M1252) Sequence IDs: :a005470 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005470) |&gt; Sequence.take!(13) [1,1,2,4,11,33,142,822,6966,79853,1140916,18681008,333312451]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005588/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005588/1","type":"function","doc":"OEIS Sequence A005588 - Number of free binary trees admitting height n. From OEIS A005588: Number of free binary trees admitting height n. (Formerly M1813) See also Counting Free Binary Trees Admitting a Given Height by Harary, et al Sequence IDs: :a005588 Finite: True Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005588) |&gt; Sequence.take!(9) [2,7,52,2133,2590407,3374951541062,5695183504479116640376509,16217557574922386301420514191523784895639577710480,131504586847961235687181874578063117114329409897550318273792033024340388219235081096658023517076950]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005811/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005811/1","type":"function","doc":"OEIS Sequence A005811 - Number of runs in binary expansion of n (n&gt;0); number of 1&#39;s in Gray code for n. From OEIS A005811: Number of runs in binary expansion of n (n&gt;0); number of 1&#39;s in Gray code for n. (Formerly M0110) Sequence IDs: :a005811 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005811) |&gt; Sequence.take!(94) [0,1,2,1,2,3,2,1,2,3,4,3,2,3,2,1,2,3,4,3,4,5,4,3,2,3,4,3,2,3,2,1,2,3,4,3,4,5,4,3,4,5,6,5,4,5,4,3,2,3,4,3,4,5,4,3,2,3,4,3,2,3,2,1,2,3,4,3,4,5,4,3,4,5,6,5,4,5,4,3,4,5,6,5,6,7,6,5,4,5,6,5,4,5]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005843/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005843/1","type":"function","doc":"OEIS Sequence A005843 - The nonnegative even numbers: a(n) = 2n. From OEIS A005843: The nonnegative even numbers: a(n) = 2n. (Formerly M0985) Sequence IDs: :a005843 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005843) |&gt; Sequence.take!(61) [0,2,4,6,8,10,12,14,16,18,20,22,24,26,28,30,32,34,36,38,40,42,44,46,48,50,52,54,56,58,60,62,64,66,68,70,72,74,76,78,80,82,84,86,88,90,92,94,96,98,100,102,104,106,108,110,112,114,116,118,120]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a006318/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a006318/1","type":"function","doc":"OEIS Sequence A006318 - Large Schröder numbers (or large Schroeder numbers, or big Schroeder numbers). From OEIS A006318: Large Schröder numbers (or large Schroeder numbers, or big Schroeder numbers). (Formerly M1659) Sequence IDs: :a006318 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a006318) |&gt; Sequence.take!(25) [1,2,6,22,90,394,1806,8558,41586,206098,1037718,5293446,27297738,142078746,745387038,3937603038,20927156706,111818026018,600318853926,3236724317174,17518619320890,95149655201962,518431875418926,2832923350929742,15521467648875090]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a006530/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a006530/1","type":"function","doc":"OEIS Sequence A006530 - Gpf(n): greatest prime dividing n From OEIS A006530: Gpf(n): greatest prime dividing n, for n &gt;= 2; a(1)=1. (Formerly M0428) Sequence IDs: :a006530 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a006530) |&gt; Sequence.take!(86) [1,2,3,2,5,3,7,2,3,5,11,3,13,7,5,2,17,3,19,5,7,11,23,3,5,13,3,7,29,5,31,2,11,17,7,3,37,19,13,5,41,7,43,11,5,23,47,3,7,5,17,13,53,3,11,7,19,29,59,5,61,31,7,2,13,11,67,17,23,7,71,3,73,37,5,19,11,13,79,5,3,41,83,7,17,43]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a006882/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a006882/1","type":"function","doc":"OEIS Sequence A006882 - Double factorials n!!: a(n) = n*a(n-2) for n &gt; 1, a(0) = a(1) = 1. From OEIS A006882: Double factorials n!!: a(n) = n*a(n-2) for n &gt; 1, a(0) = a(1) = 1. (Formerly M0876) Sequence IDs: :a006882 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a006882) |&gt; Sequence.take!(27) [1,1,2,3,8,15,48,105,384,945,3840,10395,46080,135135,645120,2027025,10321920,34459425,185794560,654729075,3715891200,13749310575,81749606400,316234143225,1961990553600,7905853580625,51011754393600]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a006894/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a006894/1","type":"function","doc":"OEIS Sequence A006894 - Number of planted 3-trees of height &lt; n. From OEIS A006894: Number of planted 3-trees of height &lt; n. (Formerly M1254) Sequence IDs: :a006894 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a006894) |&gt; Sequence.take!(11) [1,2,4,11,67,2279,2598061,3374961778892,5695183504492614029263279,16217557574922386301420536972254869595782763547561,131504586847961235687181874578063117114329409897615188504091716162522225834932122128288032336298142]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a006966/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a006966/1","type":"function","doc":"OEIS Sequence A006966 - Number of lattices on n unlabeled nodes. From OEIS A006966: Number of lattices on n unlabeled nodes. (Formerly M1486) Sequence IDs: :a006966 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a006966) |&gt; Sequence.take!(21) [1,1,1,1,2,5,15,53,222,1078,5994,37622,262776,2018305,16873364,152233518,1471613387,15150569446,165269824761,1901910625578,23003059864006]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a007318/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a007318/1","type":"function","doc":"OEIS Sequence A007318 - Pascal&#39;s triangle read by rows: C(n,k) = binomial(n,k) = n!/(k!*(n-k)!), 0 &lt;= k &lt;= n. From OEIS A007318: Pascal&#39;s triangle read by rows: C(n,k) = binomial(n,k) = n!/(k!*(n-k)!), 0 &lt;= k &lt;= n. (Formerly M0082) Sequence IDs: :a007318 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a007318) |&gt; Sequence.take!(78) [1,1,1,1,2,1,1,3,3,1,1,4,6,4,1,1,5,10,10,5,1,1,6,15,20,15,6,1,1,7,21,35,35,21,7,1,1,8,28,56,70,56,28,8,1,1,9,36,84,126,126,84,36,9,1,1,10,45,120,210,252,210,120,45,10,1,1,11,55,165,330,462,462,330,165,55,11,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a008277/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a008277/1","type":"function","doc":"OEIS Sequence A008277 - Triangle of Stirling numbers of the second kind, S2(n,k), n &gt;= 1, 1 &lt;= k &lt;= n. From OEIS A008277: Triangle of Stirling numbers of the second kind, S2(n,k), n &gt;= 1, 1 &lt;= k &lt;= n. Sequence IDs: :a008277 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a008277) |&gt; Sequence.take!(66) [1,1,1,1,3,1,1,7,6,1,1,15,25,10,1,1,31,90,65,15,1,1,63,301,350,140,21,1,1,127,966,1701,1050,266,28,1,1,255,3025,7770,6951,2646,462,36,1,1,511,9330,34105,42525,22827,5880,750,45,1,1,1023,28501,145750,246730,179487,63987,11880,1155,55,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a008279/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a008279/1","type":"function","doc":"OEIS Sequence A008279 - Triangle T(n,k) = n!/(n-k)! (0 &lt;= k &lt;= n) read by rows, giving number of permutations of n things k at a time. From OEIS A008279: Triangle T(n,k) = n!/(n-k)! (0 &lt;= k &lt;= n) read by rows, giving number of permutations of n things k at a time. Sequence IDs: :a008279 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a008279) |&gt; Sequence.take!(55) [1,1,1,1,2,2,1,3,6,6,1,4,12,24,24,1,5,20,60,120,120,1,6,30,120,360,720,720,1,7,42,210,840,2520,5040,5040,1,8,56,336,1680,6720,20160,40320,40320,1,9,72,504,3024,15120,60480,181440,362880,362880]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a008292/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a008292/1","type":"function","doc":"OEIS Sequence A008292 - Triangle of Eulerian numbers T(n,k) (n &gt;= 1, 1 &lt;= k &lt;= n) read by rows. From OEIS A008292: Triangle of Eulerian numbers T(n,k) (n &gt;= 1, 1 &lt;= k &lt;= n) read by rows. Sequence IDs: :a008292 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a008292) |&gt; Sequence.take!(55) [1,1,1,1,4,1,1,11,11,1,1,26,66,26,1,1,57,302,302,57,1,1,120,1191,2416,1191,120,1,1,247,4293,15619,15619,4293,247,1,1,502,14608,88234,156190,88234,14608,502,1,1,1013,47840,455192,1310354,1310354,455192,47840,1013,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a008683/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a008683/1","type":"function","doc":"OEIS Sequence A008683 - Möbius (or Moebius) function mu(n) From OEIS A008683: Möbius (or Moebius) function mu(n). mu(1) = 1; mu(n) = (-1)^k if n is the product of k different primes; otherwise mu(n) = 0. Sequence IDs: :a008683 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a008683) |&gt; Sequence.take!(78) [1,-1,-1,0,-1,1,-1,0,0,1,-1,0,-1,1,1,0,-1,0,-1,0,1,1,-1,0,0,1,0,0,-1,-1,-1,0,1,1,1,0,-1,1,1,0,-1,-1,-1,0,0,1,-1,0,0,0,1,0,-1,0,1,0,1,1,-1,0,-1,1,0,0,1,-1,-1,0,1,-1,-1,0,-1,1,0,0,1,-1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a018252/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a018252/1","type":"function","doc":"OEIS Sequence A018252 - The nonprime numbers: 1 together with the composite numbers, A002808. From OEIS A018252: The nonprime numbers: 1 together with the composite numbers, A002808. Sequence IDs: :a018252 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a018252) |&gt; Sequence.take!(65) [1,4,6,8,9,10,12,14,15,16,18,20,21,22,24,25,26,27,28,30,32,33,34,35,36,38,39,40,42,44,45,46,48,49,50,51,52,54,55,56,57,58,60,62,63,64,65,66,68,69,70,72,74,75,76,77,78,80,81,82,84,85,86,87,88]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a020639/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a020639/1","type":"function","doc":"OEIS Sequence A020639 - Lpf(n): least prime dividing From OEIS A020639: Lpf(n): least prime dividing n (when n &gt; 1); a(1) = 1. Sequence IDs: :a020639 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a020639) |&gt; Sequence.take!(97) [1,2,3,2,5,2,7,2,3,2,11,2,13,2,3,2,17,2,19,2,3,2,23,2,5,2,3,2,29,2,31,2,3,2,5,2,37,2,3,2,41,2,43,2,3,2,47,2,7,2,3,2,53,2,5,2,3,2,59,2,61,2,3,2,5,2,67,2,3,2,71,2,73,2,3,2,7,2,79,2,3,2,83,2,5,2,3,2,89,2,7,2,3,2,5,2,97]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a027642/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a027642/1","type":"function","doc":"OEIS Sequence A027642 - Denominator of Bernoulli number B_n. From OEIS A027642: Denominator of Bernoulli number B_n. Sequence IDs: :a027642 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a027642) |&gt; Sequence.take!(62) [1,2,6,1,30,1,42,1,30,1,66,1,2730,1,6,1,510,1,798,1,330,1,138,1,2730,1,6,1,870,1,14322,1,510,1,6,1,1919190,1,6,1,13530,1,1806,1,690,1,282,1,46410,1,66,1,1590,1,798,1,870,1,354,1,56786730,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a049310/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a049310/1","type":"function","doc":"OEIS Sequence A049310 - Triangle of coefficients of Chebyshev&#39;s S(n,x) := U(n,x/2) polynomials (exponents in increasing order). From OEIS A049310: Triangle of coefficients of Chebyshev&#39;s S(n,x) := U(n,x/2) polynomials (exponents in increasing order). Sequence IDs: :a049310 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a049310) |&gt; Sequence.take!(86) [1,0,1,-1,0,1,0,-2,0,1,1,0,-3,0,1,0,3,0,-4,0,1,-1,0,6,0,-5,0,1,0,-4,0,10,0,-6,0,1,1,0,-10,0,15,0,-7,0,1,0,5,0,-20,0,21,0,-8,0,1,-1,0,15,0,-35,0,28,0,-9,0,1,0,-6,0,35,0,-56,0,36,0,-10,0,1,1,0,-21,0,70,0,-84,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a055512/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a055512/1","type":"function","doc":"OEIS Sequence A055512 - Lattices with n labeled elements. From OEIS A055512: Lattices with n labeled elements. Sequence IDs: :a055512 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a055512) |&gt; Sequence.take!(19) [1,1,2,6,36,380,6390,157962,5396888,243179064,13938711210,987858368750,84613071940452,8597251494954564,1020353444641839854,139627532137612581090,21788453795572514675760,3840596246648027262079472,758435490711709577216754642]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a070939/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a070939/1","type":"function","doc":"OEIS Sequence A070939 - Length of binary representation of n. From OEIS A070939: Length of binary representation of n. Sequence IDs: :a070939 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a070939) |&gt; Sequence.take!(105) [1,1,2,2,3,3,3,3,4,4,4,4,4,4,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a074206/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a074206/1","type":"function","doc":"OEIS Sequence A074206 - Kalmár&#39;s [Kalmar&#39;s] problem: number of ordered factorizations of n. From OEIS A074206: Kalmár&#39;s [Kalmar&#39;s] problem: number of ordered factorizations of n. Sequence IDs: :a074206 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a074206) |&gt; Sequence.take!(97) [0,1,1,1,2,1,3,1,4,2,3,1,8,1,3,3,8,1,8,1,8,3,3,1,20,2,3,4,8,1,13,1,16,3,3,3,26,1,3,3,20,1,13,1,8,8,3,1,48,2,8,3,8,1,20,3,20,3,3,1,44,1,3,8,32,3,13,1,8,3,13,1,76,1,3,8,8,3,13,1,48,8,3,1,44,3,3,3,20,1,44,3,8,3,3,3,112]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_fibonacci/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_fibonacci/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html","title":"Chunky.Sequence.OEIS.Factors","type":"module","doc":"OEIS Sequences dealing with Factors, Factorization, and properties of integer factors. Available Sequences Semiprimes and Prime factors These sequences are related to the semi-primes, prime factorization, and characteristics of prime factors. Prime factors with multiplicity: create_sequence_a037143/1 - A037143 - Numbers with at most 2 prime factors (counted with multiplicity). create_sequence_a033942/1 - A033942 - At least 3 prime factors (counted with multiplicity). Divisibility by a given number of primes: create_sequence_a000977/1 - A000977 - Numbers that are divisible by at least three different primes create_sequence_a033987/1 - A033987 - Numbers that are divisible by at least 4 primes (counted with multiplicity) create_sequence_a007774/1 - A007774 - Numbers that are divisible by exactly 2 different primes create_sequence_a033992/1 - A033992 - Numbers that are divisible by exactly three different primes create_sequence_a033993/1 - A033993 - Numbers that are divisible by exactly four different primes create_sequence_a051270/1 - A051270 - Numbers that are divisible by exactly 5 different primes create_sequence_a074969/1 - A074969 - Numbers with six distinct prime divisors The semiprimes: create_sequence_a014612/1 - A014612 - Numbers that are the product of exactly three primes, including multiplicity. create_sequence_a014613/1 - A014613 - Numbers that are products of 4 primes create_sequence_a014614/1 - A014614 - Numbers that are products of 5 primes create_sequence_a046306/1 - A046306 - Numbers that are divisible by exactly 6 primes with multiplicity. create_sequence_a046308/1 - A046308 - Numbers that are divisible by exactly 7 primes counting multiplicity. create_sequence_a046310/1 - A046310 - Numbers that are divisible by exactly 8 primes counting multiplicity create_sequence_a046312/1 - A046312 - Numbers that are divisible by exactly 9 primes with multiplicity create_sequence_a046314/1 - A046314 - Numbers that are divisible by exactly 10 primes with multiplicity create_sequence_a069272/1 - A069272 - 11-almost primes (generalization of semiprimes) create_sequence_a069273/1 - A069273 - 12-almost primes (generalization of semiprimes) create_sequence_a069274/1 - A069274 - 13-almost primes (generalization of semiprimes) create_sequence_a069275/1 - A069275 - 14-almost primes (generalization of semiprimes) create_sequence_a069276/1 - A069276 - 15-almost primes (generalization of semiprimes) create_sequence_a069277/1 - A069277 - 16-almost primes (generalization of semiprimes) create_sequence_a069278/1 - A069278 - 17-almost primes (generalization of semiprimes) create_sequence_a069279/1 - A069279 - Products of exactly 18 primes (generalization of semiprimes) create_sequence_a069280/1 - A069280 - 19-almost primes (generalization of semiprimes) create_sequence_a069281/1 - A069281 - 20-almost primes (generalization of semiprimes) The semiprimes with distinct prime factors. create_sequence_a006881/1 - A006881 - Squarefree semiprimes: Numbers that are the product of two distinct primes create_sequence_a007304/1 - A007304 - Sphenic numbers: products of 3 distinct primes create_sequence_a046386/1 - A046386 - Products of four distinct primes create_sequence_a046387/1 - A046387 - Products of 5 distinct primes create_sequence_a067885/1 - A067885 - Product of 6 distinct primes create_sequence_a123321/1 - A123321 - Products of 7 distinct primes create_sequence_a123322/1 - A123322 - Products of 8 distinct primes Odd semiprimes with distinct factors. create_sequence_a046321/1 - A046321 - Odd numbers divisible by exactly 8 primes (counted with multiplicity) Counting the number of factors: create_sequence_a007018/1 - A007018 - a(n) = a(n-1)^2 + a(n-1), a(0)=1 create_sequence_a046660/1 - A046660 - Excess of n = Ω(n) - ω(n) create_sequence_a076479/1 - A076479 - a(n) = mu(rad(n)), where mu is the Moebius-function Non-prime Divisors Divisors of specific values: create_sequence_a018253/1 - A018253 - Divisors of 24. create_sequence_a018256/1 - A018256 - Divisors of 36. create_sequence_a018261/1 - A018261 - Divisors of 48. create_sequence_a018266/1 - A018266 - Divisors of 60. create_sequence_a018293/1 - A018293 - Divisors of 120. create_sequence_a018321/1 - A018321 - Divisors of 180. create_sequence_a018350/1 - A018350 - Divisors of 240. create_sequence_a018412/1 - A018412 - Divisors of 360. create_sequence_a018609/1 - A018609 - Divisors of 720. create_sequence_a018676/1 - A018676 - Divisors of 840. create_sequence_a178877/1 - A178877 - Divisors of 1260. create_sequence_a178878/1 - A178878 - Divisors of 1680. create_sequence_a165412/1 - A165412 - Divisors of 2520. create_sequence_a178858/1 - A178858 - Divisors of 5040. create_sequence_a178859/1 - A178859 - Divisors of 7560. create_sequence_a178860/1 - A178860 - Divisors of 10080. create_sequence_a178861/1 - A178861 - Divisors of 15120. create_sequence_a178862/1 - A178862 - Divisors of 20160. create_sequence_a178863/1 - A178863 - Divisors of 25200. create_sequence_a178864/1 - A178864 - Divisors of 27720. Counting divisors: create_sequence_a030513/1 - A030513 - Numbers with 4 divisors create_sequence_a030515/1 - A030515 - Numbers with exactly 6 divisors create_sequence_a033273/1 - A033273 - Number of nonprime divisors of n Related to tau(n): create_sequence_a211337/1 - A211337 - Numbers n for which the number of divisors, tau(n), is congruent to 1 modulo 3 create_sequence_a211338/1 - A211338 - Numbers n for which the number of divisors, tau(n), is congruent to 2 modulo 3 create_sequence_a162643/1 - A162643 - Numbers such that their number of divisors is not a power of 2. create_sequence_a059269/1 - A059269 - Numbers n for which tau(n) is divisible by 3. Divisors of the form 4k+j: create_sequence_a001826/1 - A001826 - Number of divisors of n of form 4k+1 create_sequence_a001842/1 - A001842 - Expansion of Sum_{n&gt;=0} x^(4n+3)/(1 - x^(4n+3)) Properties of divisors: create_sequence_a001414/1 - A001414 - Integer log of n: sum of primes dividing n (with repetition). Also called sopfr(n). create_sequence_a036537/1 - A036537 - Numbers whose number of divisors is a power of 2. create_sequence_a038109/1 - A038109 - Divisible exactly by the square of a prime. create_sequence_a048272/1 - A048272 - Number of odd divisors of n minus number of even divisors of n create_sequence_a002182/1 - A002182 - Highly composite numbers: numbers with record value create_sequence_a046758/1 - A046758 - Equidigital numbers. create_sequence_a046760/1 - A046760 - Wasteful numbers. Smooth Numbers The smooth numbers are sequences of integers such that all prime factors of n are less than a specific value b, often shortened to b-smooth numbers: create_sequence_a003586/1 - A003586 - 3-smooth Numbers create_sequence_a051037/1 - A051037 - 5-smooth Numbers create_sequence_a002473/1 - A002473 - 7-smooth Numbers create_sequence_a051038/1 - A051038 - 11-smooth Numbers create_sequence_a080197/1 - A080197 - 13-smooth Numbers create_sequence_a080681/1 - A080681 - 17-smooth Numbers create_sequence_a080683/1 - A080683 - 23-smooth Numbers create_sequence_a080682/1 - A080682 - 29-smooth Numbers Squares and Square-free Numbers Sequences related to squaring numbers, lack of square factors, or properties of square factors: create_sequence_a000037/1 - A000037 - Numbers that are not squares create_sequence_a013929/1 - A013929 - Numbers that are not squarefree. create_sequence_a007947/1 - A007947 - Largest squarefree number dividing n create_sequence_a008966/1 - A008966 - 1 if n is squarefree, else 0. create_sequence_a056911/1 - A056911 - Odd squarefree numbers. create_sequence_a039956/1 - A039956 - Even squarefree numbers. create_sequence_a067259/1 - A067259 - Cubefree numbers which are not squarefree create_sequence_a130897/1 - A130897 - Numbers that are not exponentially squarefree. create_sequence_a209061/1 - A209061 - Exponentially squarefree numbers create_sequence_a117805/1 - A117805 - Start with 3. Square the previous term and subtract it. Cubes and Cube-free numbers Sequences related to cubed numbers, lack of cube factors, or properties of cube factors: create_sequence_a004709/1 - A004709 - Cubefree numbers: numbers that are not divisible by any cube &gt; 1 create_sequence_a046099/1 - A046099 - Numbers that are not cubefree. Numbers divisible by a cube greater than 1. create_sequence_a007412/1 - A007412 - The noncubes: n + [ (n + [ n^{1/3} ])^{1/3} ] create_sequence_a067259/1 - A067259 - Cubefree numbers which are not squarefree Co-primes These sequences are related to co-primes of numbers, or relatively prime numbers. The Jordan totients: create_sequence_a007434/1 - A007434 - Jordan function J_2(n) create_sequence_a059376/1 - A059376 - Jordan function J_3(n) create_sequence_a059377/1 - A059377 - Jordan function J_4(n) create_sequence_a059378/1 - A059378 - Jordan function J_5(n) create_sequence_a069091/1 - A069091 - Jordan function J_6(n) create_sequence_a069092/1 - A069092 - Jordan function J_7(n) create_sequence_a069093/1 - A069093 - Jordan function J_8(n) create_sequence_a069094/1 - A069094 - Jordan function J_9(n) create_sequence_a069095/1 - A069095 - Jordan function J_10(n) create_sequence_a065958/1 - A065958 - a(n) = n^2*Product_{distinct primes p dividing n} (1+1/p^2) create_sequence_a065959/1 - A065959 - a(n) = n^3*Product_{distinct primes p dividing n} (1+1/p^3) create_sequence_a065960/1 - A065960 - a(n) = n^4*Product_{distinct primes p dividing n} (1+1/p^4) Classical Moebius function: create_sequence_a160889/1 - A160889 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 4 create_sequence_a160891/1 - A160891 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 5 create_sequence_a160893/1 - A160893 - a(n) = Sum_{d|n} Möbius(n/d)*d^5/phi(n) create_sequence_a160895/1 - A160895 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 7 create_sequence_a160897/1 - A160897 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 8 create_sequence_a160908/1 - A160908 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 9 create_sequence_a160953/1 - A160953 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 10 create_sequence_a160957/1 - A160957 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 11 create_sequence_a160960/1 - A160960 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 12 Powers of Factors Sequences related to powers of divisors or prime factors: create_sequence_a001597/1 - A001597 - Perfect Powers create_sequence_a001694/1 - A001694 - Powerful Numbers create_sequence_a005361/1 - A005361 - Product of Expoenents of prime factors of N create_sequence_a005934/1 - A005934 - Highly powerful numbers: numbers with record value create_sequence_a046759/1 - A046759 - Economical numbers: write n as a product of primes raised to powers, let D(n) = number of digits in product, l(n) = number of digits in n; sequence gives n such that D(n) &lt; l(n). create_sequence_a052486/1 - A052486 - Achilles numbers - powerful but imperfect"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a000037/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a000037/1","type":"function","doc":"OEIS Sequence A000037 - Numbers that are not squares (or, the nonsquares). From OEIS A000037: Numbers that are not squares (or, the nonsquares). (Formerly M0613 N0223) Sequence IDs: :a000037 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a000037) |&gt; Sequence.take!(90) [2,3,5,6,7,8,10,11,12,13,14,15,17,18,19,20,21,22,23,24,26,27,28,29,30,31,32,33,34,35,37,38,39,40,41,42,43,44,45,46,47,48,50,51,52,53,54,55,56,57,58,59,60,61,62,63,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a000977/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a000977/1","type":"function","doc":"OEIS Sequence A000977 - Numbers that are divisible by at least three different primes. From OEIS A000977: Numbers that are divisible by at least three different primes. Sequence IDs: :a000977 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a000977) |&gt; Sequence.take!(50) [30,42,60,66,70,78,84,90,102,105,110,114,120,126,130,132,138,140,150,154,156,165,168,170,174,180,182,186,190,195,198,204,210,220,222,228,230,231,234,238,240,246,252,255,258,260,264,266,270,273]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001414/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001414/1","type":"function","doc":"OEIS Sequence A001414 - Integer log of n: sum of primes dividing n (with repetition). Also called sopfr(n). From OEIS A001414: Integer log of n: sum of primes dividing n (with repetition). Also called sopfr(n). (Formerly M0461 N0168) Sequence IDs: :a001414 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a001414) |&gt; Sequence.take!(78) [0,2,3,4,5,5,7,6,6,7,11,7,13,9,8,8,17,8,19,9,10,13,23,9,10,15,9,11,29,10,31,10,14,19,12,10,37,21,16,11,41,12,43,15,11,25,47,11,14,12,20,17,53,11,16,13,22,31,59,12,61,33,13,12,18,16,67,21,26,14,71,12,73,39,13,23,18,18]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001597/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001597/1","type":"function","doc":"OEIS Sequence A001597 - Perfect Powers From OEIS A001597: Perfect powers: m^k where m &gt; 0 and k &gt;= 2. (Formerly M3326 N1336) Sequence IDs: :a001597 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a001597) |&gt; Sequence.take!(20) [1, 4, 8, 9, 16, 25, 27, 32, 36, 49, 64, 81, 100, 121, 125, 128, 144, 169, 196, 216]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001694/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001694/1","type":"function","doc":"OEIS Sequence A001694 - Powerful Numbers From OEIS A001694: Powerful numbers, definition (1): if a prime p divides n then p^2 must also divide n (also called squareful, square full, square-full or 2-powerful numbers). (Formerly M3325 N1335) Sequence IDs: :a001694 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a001694) |&gt; Sequence.take!(20) [1, 4, 8, 9, 16, 25, 27, 32, 36, 49, 64, 72, 81, 100, 108, 121, 125, 128, 144, 169]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001826/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001826/1","type":"function","doc":"OEIS Sequence A001826 - Number of divisors of n of form 4k+1. From OEIS A001826: Number of divisors of n of form 4k+1. (Formerly ) Sequence IDs: :a001826 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a001826) |&gt; Sequence.take!(105) [1,1,1,1,2,1,1,1,2,2,1,1,2,1,2,1,2,2,1,2,2,1,1,1,3,2,2,1,2,2,1,1,2,2,2,2,2,1,2,2,2,2,1,1,4,1,1,1,2,3,2,2,2,2,2,1,2,2,1,2,2,1,3,1,4,2,1,2,2,2,1,2,2,2,3,1,2,2,1,2,3,2,1,2,4,1,2,1,2,4,2,1,2,1,2,1,2,2,3,3,2,2,1,2,4]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001842/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001842/1","type":"function","doc":"OEIS Sequence A001842 - Expansion of Sum_{n&gt;=0} x^(4n+3)/(1 - x^(4n+3)). From OEIS A001842: Expansion of Sum_{n&gt;=0} x^(4n+3)/(1 - x^(4n+3)). (Formerly ) Sequence IDs: :a001842 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a001842) |&gt; Sequence.take!(87) [0,0,0,1,0,0,1,1,0,1,0,1,1,0,1,2,0,0,1,1,0,2,1,1,1,0,0,2,1,0,2,1,0,2,0,2,1,0,1,2,0,0,2,1,1,2,1,1,1,1,0,2,0,0,2,2,1,2,0,1,2,0,1,3,0,0,2,1,0,2,2,1,1,0,0,3,1,2,2,1,0,2,0,1,2,0,1]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a002182/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a002182/1","type":"function","doc":"OEIS Sequence A002182 - Highly composite numbers: numbers with record value From OEIS A002182: Highly composite numbers, definition (1): where d(n), the number of divisors of n (A000005), increases to a record. (Formerly M1025 N0385) Sequence IDs: :a002182 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a002182) |&gt; Sequence.take!(20) [1, 2, 4, 6, 12, 24, 36, 48, 60, 120, 180, 240, 360, 720, 840, 1260, 1680, 2520, 5040, 7560]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a002473/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a002473/1","type":"function","doc":"OEIS Sequence A002473 - 7-smooth Numbers From OEIS A002473: 7-smooth numbers: positive numbers whose prime divisors are all &lt;= 7. (Formerly M0477 N0177) Sequence IDs: :a002473 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a002473) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [28, 30, 32, 35, 36, 40, 42, 45, 48, 49, 50, 54, 56, 60, 63, 64, 70, 72, 75, 80]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a003586/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a003586/1","type":"function","doc":"OEIS Sequence A003586 - 3-smooth Numbers From OEIS A003586: 3-smooth numbers: numbers of the form 2^i*3^j with i, j &gt;= 0. Sequence IDs: :a003586 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a003586) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [108, 128, 144, 162, 192, 216, 243, 256, 288, 324, 384, 432, 486, 512, 576, 648, 729, 768, 864, 972]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a004709/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a004709/1","type":"function","doc":"OEIS Sequence A004709 - Cubefree numbers: numbers that are not divisible by any cube &gt; 1. From OEIS A004709: Cubefree numbers: numbers that are not divisible by any cube &gt; 1. (Formerly ) Sequence IDs: :a004709 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a004709) |&gt; Sequence.take!(72) [1,2,3,4,5,6,7,9,10,11,12,13,14,15,17,18,19,20,21,22,23,25,26,28,29,30,31,33,34,35,36,37,38,39,41,42,43,44,45,46,47,49,50,51,52,53,55,57,58,59,60,61,62,63,65,66,67,68,69,70,71,73,74,75,76,77,78,79,82,83,84,85]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a005361/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a005361/1","type":"function","doc":"OEIS Sequence A005361 - Product of Expoenents of prime factors of N From OEIS A005361: Product of exponents of prime factorization of n. (Formerly M0063) Sequence IDs: :a005361 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a005361) |&gt; Sequence.take!(20) [1, 1, 1, 2, 1, 1, 1, 3, 2, 1, 1, 2, 1, 1, 1, 4, 1, 2, 1, 2]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a005934/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a005934/1","type":"function","doc":"OEIS Sequence A005934 - Highly powerful numbers: numbers with record value From OEIS A005934: Highly powerful numbers: numbers with record value of the product of the exponents in prime factorization (A005361). (Formerly M3333) Sequence IDs: :a005934 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a005934) |&gt; Sequence.take!(20) [1, 4, 8, 16, 32, 64, 128, 144, 216, 288, 432, 864, 1296, 1728, 2592, 3456, 5184, 7776, 10368, 15552]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a006881/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a006881/1","type":"function","doc":"OEIS Sequence A006881 - Squarefree semiprimes: Numbers that are the product of two distinct primes. From OEIS A006881: Squarefree semiprimes: Numbers that are the product of two distinct primes. (Formerly M4082) Sequence IDs: :a006881 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a006881) |&gt; Sequence.take!(60) [6,10,14,15,21,22,26,33,34,35,38,39,46,51,55,57,58,62,65,69,74,77,82,85,86,87,91,93,94,95,106,111,115,118,119,122,123,129,133,134,141,142,143,145,146,155,158,159,161,166,177,178,183,185,187,194,201,202,203,205]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007018/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007018/1","type":"function","doc":"OEIS Sequence A007018 - a(n) = a(n-1)^2 + a(n-1), a(0)=1. From OEIS A007018: a(n) = a(n-1)^2 + a(n-1), a(0)=1. (Formerly M1713) Sequence IDs: :a007018 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007018) |&gt; Sequence.take!(9) [1,2,6,42,1806,3263442,10650056950806,113423713055421844361000442,12864938683278671740537145998360961546653259485195806]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007304/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007304/1","type":"function","doc":"OEIS Sequence A007304 - Sphenic numbers: products of 3 distinct primes. From OEIS A007304: Sphenic numbers: products of 3 distinct primes. (Formerly M5207) Sequence IDs: :a007304 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007304) |&gt; Sequence.take!(53) [30,42,66,70,78,102,105,110,114,130,138,154,165,170,174,182,186,190,195,222,230,231,238,246,255,258,266,273,282,285,286,290,310,318,322,345,354,357,366,370,374,385,399,402,406,410,418,426,429,430,434,435,438]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007412/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007412/1","type":"function","doc":"OEIS Sequence A007412 - The noncubes: n + [ (n + [ n^{1/3} ])^{1/3} ]. From OEIS A007412: The noncubes: n + [ (n + [ n^{1/3} ])^{1/3} ]. (Formerly M0493) Sequence IDs: :a007412 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007412) |&gt; Sequence.take!(54) [2,3,4,5,6,7,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007434/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007434/1","type":"function","doc":"OEIS Sequence A007434 - Jordan function J_2(n) From OEIS A007434: Jordan function J_2(n) (a generalization of phi(n)). (Formerly M2717) Sequence IDs: :a007434 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a007434) |&gt; Sequence.take!(48) [1,3,8,12,24,24,48,48,72,72,120,96,168,144,192,192,288,216,360,288,384,360,528,384,600,504,648,576,840,576,960,768,960,864,1152,864,1368,1080,1344,1152,1680,1152,1848,1440,1728,1584,2208,1536]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007774/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007774/1","type":"function","doc":"OEIS Sequence A007774 - Numbers that are divisible by exactly 2 different primes. From OEIS A007774: Numbers that are divisible by exactly 2 different primes. Sequence IDs: :a007774 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007774) |&gt; Sequence.take!(65) [6,10,12,14,15,18,20,21,22,24,26,28,33,34,35,36,38,39,40,44,45,46,48,50,51,52,54,55,56,57,58,62,63,65,68,69,72,74,75,76,77,80,82,85,86,87,88,91,92,93,94,95,96,98,99,100,104,106,108,111,112,115,116,117,118]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007947/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007947/1","type":"function","doc":"OEIS Sequence A007947 - Largest squarefree number dividing n: the squarefree kernel of n, rad(n), radical of n. From OEIS A007947: Largest squarefree number dividing n: the squarefree kernel of n, rad(n), radical of n. Sequence IDs: :a007947 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007947) |&gt; Sequence.take!(78) [1,2,3,2,5,6,7,2,3,10,11,6,13,14,15,2,17,6,19,10,21,22,23,6,5,26,3,14,29,30,31,2,33,34,35,6,37,38,39,10,41,42,43,22,15,46,47,6,7,10,51,26,53,6,55,14,57,58,59,30,61,62,21,2,65,66,67,34,69,70,71,6,73,74,15,38,77,78]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a008966/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a008966/1","type":"function","doc":"OEIS Sequence A008966 - 1 if n is squarefree, else 0. From OEIS A008966: 1 if n is squarefree, else 0. (Formerly ) Sequence IDs: :a008966 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a008966) |&gt; Sequence.take!(100) [1,1,1,0,1,1,1,0,0,1,1,0,1,1,1,0,1,0,1,0,1,1,1,0,0,1,0,0,1,1,1,0,1,1,1,0,1,1,1,0,1,1,1,0,0,1,1,0,0,0,1,0,1,0,1,0,1,1,1,0,1,1,0,0,1,1,1,0,1,1,1,0,1,1,0,0,1,1,1,0,0,1,1,0,1,1,1,0,1,0,1,0,1,1,1,0,1,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a013929/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a013929/1","type":"function","doc":"OEIS Sequence A013929 - Numbers that are not squarefree. Numbers that are divisible by a square greater than 1. The complement of A005117. From OEIS A013929: Numbers that are not squarefree. Numbers that are divisible by a square greater than 1. The complement of A005117. Sequence IDs: :a013929 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a013929) |&gt; Sequence.take!(62) [4,8,9,12,16,18,20,24,25,27,28,32,36,40,44,45,48,49,50,52,54,56,60,63,64,68,72,75,76,80,81,84,88,90,92,96,98,99,100,104,108,112,116,117,120,121,124,125,126,128,132,135,136,140,144,147,148,150,152,153,156,160]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a014612/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a014612/1","type":"function","doc":"OEIS Sequence A014612 - Numbers that are the product of exactly three primes. From OEIS A014612: Numbers that are the product of exactly three (not necessarily distinct) primes. (Formerly ) Sequence IDs: :a014612 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a014612) |&gt; Sequence.take!(57) [8,12,18,20,27,28,30,42,44,45,50,52,63,66,68,70,75,76,78,92,98,99,102,105,110,114,116,117,124,125,130,138,147,148,153,154,164,165,170,171,172,174,175,182,186,188,190,195,207,212,222,230,231,236,238,242,244]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a014613/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a014613/1","type":"function","doc":"OEIS Sequence A014613 - Numbers that are products of 4 primes From OEIS A014613: Numbers that are products of 4 primes (these numbers are sometimes called &quot;4-almost primes&quot;, a generalization of semiprimes). Sequence IDs: :a014613 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a014613) |&gt; Sequence.take!(54) [16,24,36,40,54,56,60,81,84,88,90,100,104,126,132,135,136,140,150,152,156,184,189,196,198,204,210,220,225,228,232,234,248,250,260,276,294,296,297,306,308,315,328,330,340,342,344,348,350,351,364,372,375,376]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a014614/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a014614/1","type":"function","doc":"OEIS Sequence A014614 - Numbers that are products of 5 primes From OEIS A014614: Numbers that are products of 5 primes (or 5-almost primes, a generalization of semiprimes). Sequence IDs: :a014614 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a014614) |&gt; Sequence.take!(52) [32,48,72,80,108,112,120,162,168,176,180,200,208,243,252,264,270,272,280,300,304,312,368,378,392,396,405,408,420,440,450,456,464,468,496,500,520,552,567,588,592,594,612,616,630,656,660,675,680,684,688,696]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018253/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018253/1","type":"function","doc":"OEIS Sequence A018253 - Divisors of 24. From OEIS A018253: Divisors of 24. (Formerly ) Sequence IDs: :a018253 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018253) |&gt; Sequence.take!(8) [1,2,3,4,6,8,12,24]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018256/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018256/1","type":"function","doc":"OEIS Sequence A018256 - Divisors of 36. From OEIS A018256: Divisors of 36. (Formerly ) Sequence IDs: :a018256 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018256) |&gt; Sequence.take!(9) [1,2,3,4,6,9,12,18,36]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018261/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018261/1","type":"function","doc":"OEIS Sequence A018261 - Divisors of 48. From OEIS A018261: Divisors of 48. (Formerly ) Sequence IDs: :a018261 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018261) |&gt; Sequence.take!(10) [1,2,3,4,6,8,12,16,24,48]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018266/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018266/1","type":"function","doc":"OEIS Sequence A018266 - Divisors of 60. From OEIS A018266: Divisors of 60. (Formerly ) Sequence IDs: :a018266 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018266) |&gt; Sequence.take!(12) [1,2,3,4,5,6,10,12,15,20,30,60]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018293/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018293/1","type":"function","doc":"OEIS Sequence A018293 - Divisors of 120. From OEIS A018293: Divisors of 120. (Formerly ) Sequence IDs: :a018293 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018293) |&gt; Sequence.take!(16) [1,2,3,4,5,6,8,10,12,15,20,24,30,40,60,120]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018321/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018321/1","type":"function","doc":"OEIS Sequence A018321 - Divisors of 180. From OEIS A018321: Divisors of 180. (Formerly ) Sequence IDs: :a018321 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018321) |&gt; Sequence.take!(18) [1,2,3,4,5,6,9,10,12,15,18,20,30,36,45,60,90,180]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018350/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018350/1","type":"function","doc":"OEIS Sequence A018350 - Divisors of 240. From OEIS A018350: Divisors of 240. (Formerly ) Sequence IDs: :a018350 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018350) |&gt; Sequence.take!(20) [1,2,3,4,5,6,8,10,12,15,16,20,24,30,40,48,60,80,120,240]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018412/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018412/1","type":"function","doc":"OEIS Sequence A018412 - Divisors of 360. From OEIS A018412: Divisors of 360. (Formerly ) Sequence IDs: :a018412 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018412) |&gt; Sequence.take!(24) [1,2,3,4,5,6,8,9,10,12,15,18,20,24,30,36,40,45,60,72,90,120,180,360]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018609/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018609/1","type":"function","doc":"OEIS Sequence A018609 - Divisors of 720. From OEIS A018609: Divisors of 720. (Formerly ) Sequence IDs: :a018609 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018609) |&gt; Sequence.take!(30) [1,2,3,4,5,6,8,9,10,12,15,16,18,20,24,30,36,40,45,48,60,72,80,90,120,144,180,240,360,720]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a018676/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a018676/1","type":"function","doc":"OEIS Sequence A018676 - Divisors of 840. From OEIS A018676: Divisors of 840. (Formerly ) Sequence IDs: :a018676 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a018676) |&gt; Sequence.take!(32) [1,2,3,4,5,6,7,8,10,12,14,15,20,21,24,28,30,35,40,42,56,60,70,84,105,120,140,168,210,280,420,840]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a030513/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a030513/1","type":"function","doc":"OEIS Sequence A030513 - Numbers with 4 divisors. From OEIS A030513: Numbers with 4 divisors. (Formerly ) Sequence IDs: :a030513 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a030513) |&gt; Sequence.take!(58) [6,8,10,14,15,21,22,26,27,33,34,35,38,39,46,51,55,57,58,62,65,69,74,77,82,85,86,87,91,93,94,95,106,111,115,118,119,122,123,125,129,133,134,141,142,143,145,146,155,158,159,161,166,177,178,183,185,187]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a030515/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a030515/1","type":"function","doc":"OEIS Sequence A030515 - Numbers with exactly 6 divisors. From OEIS A030515: Numbers with exactly 6 divisors. Sequence IDs: :a030515 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a030515) |&gt; Sequence.take!(52) [12,18,20,28,32,44,45,50,52,63,68,75,76,92,98,99,116,117,124,147,148,153,164,171,172,175,188,207,212,236,242,243,244,245,261,268,275,279,284,292,316,325,332,333,338,356,363,369,387,388,404,412]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033273/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033273/1","type":"function","doc":"OEIS Sequence A033273 - Number of nonprime divisors of n. From OEIS A033273: Number of nonprime divisors of n. Sequence IDs: :a033273 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033273) |&gt; Sequence.take!(104) [1,1,1,2,1,2,1,3,2,2,1,4,1,2,2,4,1,4,1,4,2,2,1,6,2,2,3,4,1,5,1,5,2,2,2,7,1,2,2,6,1,5,1,4,4,2,1,8,2,4,2,4,1,6,2,6,2,2,1,9,1,2,4,6,2,5,1,4,2,5,1,10,1,2,4,4,2,5,1,8,4,2,1,9,2,2,2,6,1,9,2,4,2,2,2,10,1,4,4,7,1,5,1,6]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033942/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033942/1","type":"function","doc":"OEIS Sequence A033942 - At least 3 prime factors (counted with multiplicity). From OEIS A033942: At least 3 prime factors (counted with multiplicity). Sequence IDs: :a033942 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033942) |&gt; Sequence.take!(61) [8,12,16,18,20,24,27,28,30,32,36,40,42,44,45,48,50,52,54,56,60,63,64,66,68,70,72,75,76,78,80,81,84,88,90,92,96,98,99,100,102,104,105,108,110,112,114,116,117,120,124,125,126,128,130,132,135,136,138,140,144]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033987/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033987/1","type":"function","doc":"OEIS Sequence A033987 - Numbers that are divisible by at least 4 primes (counted with multiplicity). From OEIS A033987: Numbers that are divisible by at least 4 primes (counted with multiplicity). Sequence IDs: :a033987 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033987) |&gt; Sequence.take!(55) [16,24,32,36,40,48,54,56,60,64,72,80,81,84,88,90,96,100,104,108,112,120,126,128,132,135,136,140,144,150,152,156,160,162,168,176,180,184,189,192,196,198,200,204,208,210,216,220,224,225,228,232,234,240,243]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033992/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033992/1","type":"function","doc":"OEIS Sequence A033992 - Numbers that are divisible by exactly three different primes. From OEIS A033992: Numbers that are divisible by exactly three different primes. Sequence IDs: :a033992 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033992) |&gt; Sequence.take!(53) [30,42,60,66,70,78,84,90,102,105,110,114,120,126,130,132,138,140,150,154,156,165,168,170,174,180,182,186,190,195,198,204,220,222,228,230,231,234,238,240,246,252,255,258,260,264,266,270,273,276,280,282,285]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033993/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033993/1","type":"function","doc":"OEIS Sequence A033993 - Numbers that are divisible by exactly four different primes. From OEIS A033993: Numbers that are divisible by exactly four different primes. (Formerly ) Sequence IDs: :a033993 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033993) |&gt; Sequence.take!(46) [210,330,390,420,462,510,546,570,630,660,690,714,770,780,798,840,858,870,910,924,930,966,990,1020,1050,1092,1110,1122,1140,1155,1170,1190,1218,1230,1254,1260,1290,1302,1320,1326,1330,1365,1380,1386,1410,1428]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a036537/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a036537/1","type":"function","doc":"OEIS Sequence A036537 - Numbers whose number of divisors is a power of 2. From OEIS A036537: Numbers whose number of divisors is a power of 2. (Formerly ) Sequence IDs: :a036537 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a036537) |&gt; Sequence.take!(70) [1,2,3,5,6,7,8,10,11,13,14,15,17,19,21,22,23,24,26,27,29,30,31,33,34,35,37,38,39,40,41,42,43,46,47,51,53,54,55,56,57,58,59,61,62,65,66,67,69,70,71,73,74,77,78,79,82,83,85,86,87,88,89,91,93,94,95,97,101,102]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a037143/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a037143/1","type":"function","doc":"OEIS Sequence A037143 - Numbers with at most 2 prime factors (counted with multiplicity). From OEIS A037143: Numbers with at most 2 prime factors (counted with multiplicity). Sequence IDs: :a037143 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a037143) |&gt; Sequence.take!(69) [1,2,3,4,5,6,7,9,10,11,13,14,15,17,19,21,22,23,25,26,29,31,33,34,35,37,38,39,41,43,46,47,49,51,53,55,57,58,59,61,62,65,67,69,71,73,74,77,79,82,83,85,86,87,89,91,93,94,95,97,101,103,106,107,109,111,113,115,118]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a038109/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a038109/1","type":"function","doc":"OEIS Sequence A038109 - Divisible exactly by the square of a prime. From OEIS A038109: Divisible exactly by the square of a prime. Sequence IDs: :a038109 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a038109) |&gt; Sequence.take!(58) [4,9,12,18,20,25,28,36,44,45,49,50,52,60,63,68,72,75,76,84,90,92,98,99,100,108,116,117,121,124,126,132,140,144,147,148,150,153,156,164,169,171,172,175,180,188,196,198,200,204,207,212,220,225,228,234,236,242]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a039956/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a039956/1","type":"function","doc":"OEIS Sequence A039956 - Even squarefree numbers. From OEIS A039956: Even squarefree numbers. (Formerly ) Sequence IDs: :a039956 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a039956) |&gt; Sequence.take!(54) [2,6,10,14,22,26,30,34,38,42,46,58,62,66,70,74,78,82,86,94,102,106,110,114,118,122,130,134,138,142,146,154,158,166,170,174,178,182,186,190,194,202,206,210,214,218,222,226,230,238,246,254,258,262]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046099/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046099/1","type":"function","doc":"OEIS Sequence A046099 - Numbers that are not cubefree. Numbers divisible by a cube greater than 1. Complement of A004709. From OEIS A046099: Numbers that are not cubefree. Numbers divisible by a cube greater than 1. Complement of A004709. (Formerly ) Sequence IDs: :a046099 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046099) |&gt; Sequence.take!(55) [8,16,24,27,32,40,48,54,56,64,72,80,81,88,96,104,108,112,120,125,128,135,136,144,152,160,162,168,176,184,189,192,200,208,216,224,232,240,243,248,250,256,264,270,272,280,288,296,297,304,312,320,324,328,336]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046306/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046306/1","type":"function","doc":"OEIS Sequence A046306 - Numbers that are divisible by exactly 6 primes with multiplicity. From OEIS A046306: Numbers that are divisible by exactly 6 primes with multiplicity. Sequence IDs: :a046306 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046306) |&gt; Sequence.take!(49) [64,96,144,160,216,224,240,324,336,352,360,400,416,486,504,528,540,544,560,600,608,624,729,736,756,784,792,810,816,840,880,900,912,928,936,992,1000,1040,1104,1134,1176,1184,1188,1215,1224,1232,1260,1312,1320]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046308/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046308/1","type":"function","doc":"OEIS Sequence A046308 - Numbers that are divisible by exactly 7 primes counting multiplicity. From OEIS A046308: Numbers that are divisible by exactly 7 primes counting multiplicity. (Formerly ) Sequence IDs: :a046308 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046308) |&gt; Sequence.take!(44) [128,192,288,320,432,448,480,648,672,704,720,800,832,972,1008,1056,1080,1088,1120,1200,1216,1248,1458,1472,1512,1568,1584,1620,1632,1680,1760,1800,1824,1856,1872,1984,2000,2080,2187,2208,2268,2352,2368,2376]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046310/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046310/1","type":"function","doc":"OEIS Sequence A046310 - Numbers that are divisible by exactly 8 primes counting multiplicity. From OEIS A046310: Numbers that are divisible by exactly 8 primes counting multiplicity. Sequence IDs: :a046310 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046310) |&gt; Sequence.take!(43) [256,384,576,640,864,896,960,1296,1344,1408,1440,1600,1664,1944,2016,2112,2160,2176,2240,2400,2432,2496,2916,2944,3024,3136,3168,3240,3264,3360,3520,3600,3648,3712,3744,3968,4000,4160,4374,4416,4536,4704,4736]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046312/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046312/1","type":"function","doc":"OEIS Sequence A046312 - Numbers that are divisible by exactly 9 primes with multiplicity. From OEIS A046312: Numbers that are divisible by exactly 9 primes with multiplicity. Sequence IDs: :a046312 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046312) |&gt; Sequence.take!(42) [512,768,1152,1280,1728,1792,1920,2592,2688,2816,2880,3200,3328,3888,4032,4224,4320,4352,4480,4800,4864,4992,5832,5888,6048,6272,6336,6480,6528,6720,7040,7200,7296,7424,7488,7936,8000,8320,8748,8832,9072,9408]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046314/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046314/1","type":"function","doc":"OEIS Sequence A046314 - Numbers that are divisible by exactly 10 primes with multiplicity. From OEIS A046314: Numbers that are divisible by exactly 10 primes with multiplicity. Sequence IDs: :a046314 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046314) |&gt; Sequence.take!(38) [1024,1536,2304,2560,3456,3584,3840,5184,5376,5632,5760,6400,6656,7776,8064,8448,8640,8704,8960,9600,9728,9984,11664,11776,12096,12544,12672,12960,13056,13440,14080,14400,14592,14848,14976,15872,16000,16640]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046321/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046321/1","type":"function","doc":"OEIS Sequence A046321 - Odd numbers divisible by exactly 8 primes (counted with multiplicity). From OEIS A046321: Odd numbers divisible by exactly 8 primes (counted with multiplicity). Sequence IDs: :a046321 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046321) |&gt; Sequence.take!(33) [6561,10935,15309,18225,24057,25515,28431,30375,35721,37179,40095,41553,42525,47385,50301,50625,56133,59535,61965,63423,66339,66825,67797,69255,70875,78975,80919,83349,83835,84375,86751,88209,89667]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046386/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046386/1","type":"function","doc":"OEIS Sequence A046386 - Products of four distinct primes. From OEIS A046386: Products of four distinct primes. (Formerly ) Sequence IDs: :a046386 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046386) |&gt; Sequence.take!(45) [210,330,390,462,510,546,570,690,714,770,798,858,870,910,930,966,1110,1122,1155,1190,1218,1230,1254,1290,1302,1326,1330,1365,1410,1430,1482,1518,1554,1590,1610,1722,1770,1785,1794,1806,1830,1870,1914,1938,1974]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046387/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046387/1","type":"function","doc":"OEIS Sequence A046387 - Products of 5 distinct primes. From OEIS A046387: Products of 5 distinct primes. (Formerly ) Sequence IDs: :a046387 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046387) |&gt; Sequence.take!(38) [2310,2730,3570,3990,4290,4830,5610,6006,6090,6270,6510,6630,7410,7590,7770,7854,8610,8778,8970,9030,9282,9570,9690,9870,10010,10230,10374,10626,11130,11310,11730,12090,12210,12390,12558,12810,13090,13110]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046660/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046660/1","type":"function","doc":"OEIS Sequence A046660 - Excess of n = number of prime divisors (with multiplicity) - number of prime divisors (without multiplicity). From OEIS A046660: Excess of n = number of prime divisors (with multiplicity) - number of prime divisors (without multiplicity). Sequence IDs: :a046660 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046660) |&gt; Sequence.take!(111) [0,0,0,1,0,0,0,2,1,0,0,1,0,0,0,3,0,1,0,1,0,0,0,2,1,0,2,1,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,1,1,0,0,3,1,1,0,1,0,2,0,2,0,0,0,1,0,0,1,5,0,0,0,1,0,0,0,3,0,0,1,1,0,0,0,3,3,0,0,1,0,0,0,2,0,1,0,1,0,0,0,4,0,1,1,2,0,0,0,2,0,0,0,3,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046758/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046758/1","type":"function","doc":"OEIS Sequence A046758 - Equidigital numbers. From OEIS A046758: Equidigital numbers. (Formerly ) Sequence IDs: :a046758 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046758) |&gt; Sequence.take!(61) [1,2,3,5,7,10,11,13,14,15,16,17,19,21,23,25,27,29,31,32,35,37,41,43,47,49,53,59,61,64,67,71,73,79,81,83,89,97,101,103,105,106,107,109,111,112,113,115,118,119,121,122,123,127,129,131,133,134,135,137,139]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046759/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046759/1","type":"function","doc":"OEIS Sequence A046759 - Economical numbers: write n as a product of primes raised to powers, let D(n) = number of digits in product, l(n) = number of digits in n; sequence gives n such that D(n) &lt; l(n). From OEIS A046759: Economical numbers: write n as a product of primes raised to powers, let D(n) = number of digits in product, l(n) = number of digits in n; sequence gives n such that D(n) &lt; l(n). (Formerly ) Sequence IDs: :a046759 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046759) |&gt; Sequence.take!(41) [125,128,243,256,343,512,625,729,1024,1029,1215,1250,1280,1331,1369,1458,1536,1681,1701,1715,1792,1849,1875,2048,2187,2197,2209,2401,2560,2809,3125,3481,3584,3645,3721,4096,4374,4375,4489,4802,4913]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046760/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046760/1","type":"function","doc":"OEIS Sequence A046760 - Wasteful numbers. From OEIS A046760: Wasteful numbers. (Formerly ) Sequence IDs: :a046760 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046760) |&gt; Sequence.take!(67) [4,6,8,9,12,18,20,22,24,26,28,30,33,34,36,38,39,40,42,44,45,46,48,50,51,52,54,55,56,57,58,60,62,63,65,66,68,69,70,72,74,75,76,77,78,80,82,84,85,86,87,88,90,91,92,93,94,95,96,98,99,100,102,104,108,110,114]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a048272/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a048272/1","type":"function","doc":"OEIS Sequence A048272 - Number of odd divisors of n minus number of even divisors of n. From OEIS A048272: Number of odd divisors of n minus number of even divisors of n. Sequence IDs: :a048272 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a048272) |&gt; Sequence.take!(93) [1,0,2,-1,2,0,2,-2,3,0,2,-2,2,0,4,-3,2,0,2,-2,4,0,2,-4,3,0,4,-2,2,0,2,-4,4,0,4,-3,2,0,4,-4,2,0,2,-2,6,0,2,-6,3,0,4,-2,2,0,4,-4,4,0,2,-4,2,0,6,-5,4,0,2,-2,4,0,2,-6,2,0,6,-2,4,0,2,-6,5,0,2,-4,4,0,4,-4,2,0,4,-2,4]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a051037/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a051037/1","type":"function","doc":"OEIS Sequence A051037 - 5-smooth Numbers From OEIS A051037: 5-smooth numbers, i.e., numbers whose prime divisors are all &lt;= 5 Sequence IDs: :a051037 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a051037) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [40, 45, 48, 50, 54, 60, 64, 72, 75, 80, 81, 90, 96, 100, 108, 120, 125, 128, 135, 144]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a051038/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a051038/1","type":"function","doc":"OEIS Sequence A051038 - 11-smooth Numbers From OEIS A051038: 11-smooth numbers: numbers whose prime divisors are all &lt;= 11. Sequence IDs: :a051038 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a051038) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [25, 27, 28, 30, 32, 33, 35, 36, 40, 42, 44, 45, 48, 49, 50, 54, 55, 56, 60, 63]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a051270/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a051270/1","type":"function","doc":"OEIS Sequence A051270 - Numbers that are divisible by exactly 5 different primes. From OEIS A051270: Numbers that are divisible by exactly 5 different primes. Sequence IDs: :a051270 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a051270) |&gt; Sequence.take!(40) [2310,2730,3570,3990,4290,4620,4830,5460,5610,6006,6090,6270,6510,6630,6930,7140,7410,7590,7770,7854,7980,8190,8580,8610,8778,8970,9030,9240,9282,9570,9660,9690,9870,10010,10230,10374,10626,10710,10920,11130]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a052486/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a052486/1","type":"function","doc":"OEIS Sequence A052486 - Achilles numbers - powerful but imperfect From OEIS A052486: Achilles numbers - powerful but imperfect: if n = Product(p_i^e_i) then all e_i &gt; 1 (i.e., powerful), but the highest common factor of the e_i is 1, i.e., not a perfect power. Sequence IDs: :a052486 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a052486) |&gt; Sequence.take!(20) [72, 108, 200, 288, 392, 432, 500, 648, 675, 800, 864, 968, 972, 1125, 1152, 1323, 1352, 1372, 1568, 1800]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a056911/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a056911/1","type":"function","doc":"OEIS Sequence A056911 - Odd squarefree numbers. From OEIS A056911: Odd squarefree numbers. (Formerly ) Sequence IDs: :a056911 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a056911) |&gt; Sequence.take!(62) [1,3,5,7,11,13,15,17,19,21,23,29,31,33,35,37,39,41,43,47,51,53,55,57,59,61,65,67,69,71,73,77,79,83,85,87,89,91,93,95,97,101,103,105,107,109,111,113,115,119,123,127,129,131,133,137,139,141,143,145,149,151]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059269/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059269/1","type":"function","doc":"OEIS Sequence A059269 - Numbers n for which the number of divisors, tau(n), is divisible by 3. From OEIS A059269: Numbers n for which the number of divisors, tau(n), is divisible by 3. (Formerly ) Sequence IDs: :a059269 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a059269) |&gt; Sequence.take!(59) [4,9,12,18,20,25,28,32,36,44,45,49,50,52,60,63,68,72,75,76,84,90,92,96,98,99,100,108,116,117,121,124,126,132,140,144,147,148,150,153,156,160,164,169,171,172,175,180,188,196,198,200,204,207,212,220,224,225,228]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059376/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059376/1","type":"function","doc":"OEIS Sequence A059376 - Jordan function J_3(n). From OEIS A059376: Jordan function J_3(n). (Formerly ) Sequence IDs: :a059376 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a059376) |&gt; Sequence.take!(39) [1,7,26,56,124,182,342,448,702,868,1330,1456,2196,2394,3224,3584,4912,4914,6858,6944,8892,9310,12166,11648,15500,15372,18954,19152,24388,22568,29790,28672,34580,34384,42408,39312,50652,48006,57096]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059377/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059377/1","type":"function","doc":"OEIS Sequence A059377 - Jordan function J_4(n). From OEIS A059377: Jordan function J_4(n). (Formerly ) Sequence IDs: :a059377 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a059377) |&gt; Sequence.take!(33) [1,15,80,240,624,1200,2400,3840,6480,9360,14640,19200,28560,36000,49920,61440,83520,97200,130320,149760,192000,219600,279840,307200,390000,428400,524880,576000,707280,748800,923520,983040,1171200]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059378/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059378/1","type":"function","doc":"OEIS Sequence A059378 - Jordan function J_5(n). From OEIS A059378: Jordan function J_5(n). (Formerly ) Sequence IDs: :a059378 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a059378) |&gt; Sequence.take!(29) [1,31,242,992,3124,7502,16806,31744,58806,96844,161050,240064,371292,520986,756008,1015808,1419856,1822986,2476098,3099008,4067052,4992550,6436342,7682048,9762500,11510052,14289858,16671552,20511148]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a065958/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a065958/1","type":"function","doc":"OEIS Sequence A065958 - a(n) = n^2*Product_{distinct primes p dividing n} (1+1/p^2). From OEIS A065958: a(n) = n^2*Product_{distinct primes p dividing n} (1+1/p^2). Sequence IDs: :a065958 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a065958) |&gt; Sequence.take!(47) [1,5,10,20,26,50,50,80,90,130,122,200,170,250,260,320,290,450,362,520,500,610,530,800,650,850,810,1000,842,1300,962,1280,1220,1450,1300,1800,1370,1810,1700,2080,1682,2500,1850,2440,2340,2650,2210]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a065959/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a065959/1","type":"function","doc":"OEIS Sequence A065959 - a(n) = n^3*Product_{distinct primes p dividing n} (1+1/p^3). From OEIS A065959: a(n) = n^3*Product_{distinct primes p dividing n} (1+1/p^3). (Formerly ) Sequence IDs: :a065959 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a065959) |&gt; Sequence.take!(39) [1,9,28,72,126,252,344,576,756,1134,1332,2016,2198,3096,3528,4608,4914,6804,6860,9072,9632,11988,12168,16128,15750,19782,20412,24768,24390,31752,29792,36864,37296,44226,43344,54432,50654,61740,61544]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a065960/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a065960/1","type":"function","doc":"OEIS Sequence A065960 - a(n) = n^4*Product_{distinct primes p dividing n} (1+1/p^4). From OEIS A065960: a(n) = n^4*Product_{distinct primes p dividing n} (1+1/p^4). Sequence IDs: :a065960 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a065960) |&gt; Sequence.take!(33) [1,17,82,272,626,1394,2402,4352,6642,10642,14642,22304,28562,40834,51332,69632,83522,112914,130322,170272,196964,248914,279842,356864,391250,485554,538002,653344,707282,872644,923522,1114112,1200644]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a067259/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a067259/1","type":"function","doc":"OEIS Sequence A067259 - Cubefree numbers which are not squarefree. From OEIS A067259: Cubefree numbers which are not squarefree. Sequence IDs: :a067259 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a067259) |&gt; Sequence.take!(51) [4,9,12,18,20,25,28,36,44,45,49,50,52,60,63,68,75,76,84,90,92,98,99,100,116,117,121,124,126,132,140,147,148,150,153,156,164,169,171,172,175,180,188,196,198,204,207,212,220,225,228]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a067885/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a067885/1","type":"function","doc":"OEIS Sequence A067885 - Product of 6 distinct primes. From OEIS A067885: Product of 6 distinct primes. (Formerly ) Sequence IDs: :a067885 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a067885) |&gt; Sequence.take!(32) [30030,39270,43890,46410,51870,53130,62790,66990,67830,71610,72930,79170,81510,82110,84630,85470,91770,94710,98670,99330,101010,102102,103530,106590,108570,110670,111930,114114,115710,117390,122430,123690]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069091/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069091/1","type":"function","doc":"OEIS Sequence A069091 - Jordan function J_6(n). From OEIS A069091: Jordan function J_6(n). Sequence IDs: :a069091 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069091) |&gt; Sequence.take!(27) [1,63,728,4032,15624,45864,117648,258048,530712,984312,1771560,2935296,4826808,7411824,11374272,16515072,24137568,33434856,47045880,62995968,85647744,111608280,148035888,187858944,244125000,304088904,386889048]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069092/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069092/1","type":"function","doc":"OEIS Sequence A069092 - Jordan function J_7(n). From OEIS A069092: Jordan function J_7(n). Sequence IDs: :a069092 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069092) |&gt; Sequence.take!(24) [1,127,2186,16256,78124,277622,823542,2080768,4780782,9921748,19487170,35535616,62748516,104589834,170779064,266338304,410338672,607159314,893871738,1269983744,1800262812,2474870590,3404825446,4548558848]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069093/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069093/1","type":"function","doc":"OEIS Sequence A069093 - Jordan function J_8(n). From OEIS A069093: Jordan function J_8(n). Sequence IDs: :a069093 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069093) |&gt; Sequence.take!(21) [1,255,6560,65280,390624,1672800,5764800,16711680,43040160,99609120,214358880,428236800,815730720,1470024000,2562493440,4278190080,6975757440,10975240800,16983563040,25499934720,37817088000]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069094/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069094/1","type":"function","doc":"OEIS Sequence A069094 - Jordan function J_9(n). From OEIS A069094: Jordan function J_9(n). Sequence IDs: :a069094 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069094) |&gt; Sequence.take!(20) [1,511,19682,261632,1953124,10057502,40353606,133955584,387400806,998046364,2357947690,5149441024,10604499372,20620692666,38441386568,68585259008,118587876496,197961811866,322687697778,510999738368]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069095/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069095/1","type":"function","doc":"OEIS Sequence A069095 - Jordan function J_10(n). From OEIS A069095: Jordan function J_10(n). Sequence IDs: :a069095 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069095) |&gt; Sequence.take!(19) [1,1023,59048,1047552,9765624,60406104,282475248,1072693248,3486725352,9990233352,25937424600,61855850496,137858491848,288972178704,576640565952,1098437885952,2015993900448,3566920035096,6131066257800]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069272/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069272/1","type":"function","doc":"OEIS Sequence A069272 - 11-almost primes (generalization of semiprimes). From OEIS A069272: 11-almost primes (generalization of semiprimes). Sequence IDs: :a069272 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069272) |&gt; Sequence.take!(34) [2048,3072,4608,5120,6912,7168,7680,10368,10752,11264,11520,12800,13312,15552,16128,16896,17280,17408,17920,19200,19456,19968,23328,23552,24192,25088,25344,25920,26112,26880,28160,28800,29184,29696]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069273/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069273/1","type":"function","doc":"OEIS Sequence A069273 - 12-almost primes (generalization of semiprimes). From OEIS A069273: 12-almost primes (generalization of semiprimes). Sequence IDs: :a069273 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069273) |&gt; Sequence.take!(34) [4096,6144,9216,10240,13824,14336,15360,20736,21504,22528,23040,25600,26624,31104,32256,33792,34560,34816,35840,38400,38912,39936,46656,47104,48384,50176,50688,51840,52224,53760,56320,57600,58368,59392]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069274/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069274/1","type":"function","doc":"OEIS Sequence A069274 - 13-almost primes (generalization of semiprimes). From OEIS A069274: 13-almost primes (generalization of semiprimes). Sequence IDs: :a069274 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069274) |&gt; Sequence.take!(32) [8192,12288,18432,20480,27648,28672,30720,41472,43008,45056,46080,51200,53248,62208,64512,67584,69120,69632,71680,76800,77824,79872,93312,94208,96768,100352,101376,103680,104448,107520,112640,115200]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069275/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069275/1","type":"function","doc":"OEIS Sequence A069275 - 14-almost primes (generalization of semiprimes). From OEIS A069275: 14-almost primes (generalization of semiprimes). Sequence IDs: :a069275 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069275) |&gt; Sequence.take!(5) [16384,24576,36864,40960,55296]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069276/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069276/1","type":"function","doc":"OEIS Sequence A069276 - 15-almost primes (generalization of semiprimes). From OEIS A069276: 15-almost primes (generalization of semiprimes). Sequence IDs: :a069276 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069276) |&gt; Sequence.take!(5) [32768,49152,73728,81920,110592]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069277/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069277/1","type":"function","doc":"OEIS Sequence A069277 - 16-almost primes (generalization of semiprimes). From OEIS A069277: 16-almost primes (generalization of semiprimes). Sequence IDs: :a069277 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069277) |&gt; Sequence.take!(5) [65536,98304,147456,163840,221184]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069278/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069278/1","type":"function","doc":"OEIS Sequence A069278 - 17-almost primes (generalization of semiprimes). From OEIS A069278: 17-almost primes (generalization of semiprimes). Sequence IDs: :a069278 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069278) |&gt; Sequence.take!(3) [131072,196608,294912]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069279/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069279/1","type":"function","doc":"OEIS Sequence A069279 - Products of exactly 18 primes (generalization of semiprimes). From OEIS A069279: Products of exactly 18 primes (generalization of semiprimes). Sequence IDs: :a069279 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069279) |&gt; Sequence.take!(2) [262144,393216]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069280/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069280/1","type":"function","doc":"OEIS Sequence A069280 - 19-almost primes (generalization of semiprimes). From OEIS A069280: 19-almost primes (generalization of semiprimes). Sequence IDs: :a069280 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069280) |&gt; Sequence.take!(1) [524288]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069281/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069281/1","type":"function","doc":"OEIS Sequence A069281 - 20-almost primes (generalization of semiprimes). From OEIS A069281: 20-almost primes (generalization of semiprimes). Sequence IDs: :a069281 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069281) |&gt; Sequence.take!(1) [1048576]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a074969/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a074969/1","type":"function","doc":"OEIS Sequence A074969 - Numbers with six distinct prime divisors. From OEIS A074969: Numbers with six distinct prime divisors. Sequence IDs: :a074969 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a074969) |&gt; Sequence.take!(32) [30030,39270,43890,46410,51870,53130,60060,62790,66990,67830,71610,72930,78540,79170,81510,82110,84630,85470,87780,90090,91770,92820,94710,98670,99330,101010,102102,103530,103740,106260,106590,108570]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a076479/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a076479/1","type":"function","doc":"OEIS Sequence A076479 - a(n) = mu(rad(n)), where mu is the Moebius-function From OEIS A076479: a(n) = mu(rad(n)), where mu is the Moebius-function (A008683) and rad is the radical or squarefree kernel (A007947). Sequence IDs: :a076479 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a076479) |&gt; Sequence.take!(87) [1,-1,-1,-1,-1,1,-1,-1,-1,1,-1,1,-1,1,1,-1,-1,1,-1,1,1,1,-1,1,-1,1,-1,1,-1,-1,-1,-1,1,1,1,1,-1,1,1,1,-1,-1,-1,1,1,1,-1,1,-1,1,1,1,-1,1,1,1,1,1,-1,-1,-1,1,1,-1,1,-1,-1,1,1,-1,-1,1,-1,1,1,1,1,-1,-1,1,-1,1,-1,-1,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080197/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080197/1","type":"function","doc":"OEIS Sequence A080197 - 13-smooth Numbers From OEIS A080197: 13-smooth numbers: numbers whose prime divisors are all &lt;= 13. Sequence IDs: :a080197 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080197) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [24, 25, 26, 27, 28, 30, 32, 33, 35, 36, 39, 40, 42, 44, 45, 48, 49, 50, 52, 54]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080681/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080681/1","type":"function","doc":"OEIS Sequence A080681 - 17-smooth Numbers From OEIS A080681: 17-smooth numbers: numbers whose prime divisors are all &lt;= 17. Sequence IDs: :a080681 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080681) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [22, 24, 25, 26, 27, 28, 30, 32, 33, 34, 35, 36, 39, 40, 42, 44, 45, 48, 49, 50]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080682/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080682/1","type":"function","doc":"OEIS Sequence A080682 - 19-smooth Numbers From OEIS A080682: 19-smooth numbers: numbers whose prime divisors are all &lt;= 19. Sequence IDs: :a080682 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080682) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [21, 22, 24, 25, 26, 27, 28, 30, 32, 33, 34, 35, 36, 38, 39, 40, 42, 44, 45, 48]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080683/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080683/1","type":"function","doc":"OEIS Sequence A080683 - 23-smooth Numbers From OEIS A080683: 23-smooth numbers: numbers whose prime divisors are all &lt;= 23. Sequence IDs: :a080683 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080683) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [21, 22, 23, 24, 25, 26, 27, 28, 30, 32, 33, 34, 35, 36, 38, 39, 40, 42, 44, 45]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a117805/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a117805/1","type":"function","doc":"OEIS Sequence A117805 - Start with 3. Square the previous term and subtract it. From OEIS A117805: Start with 3. Square the previous term and subtract it. Sequence IDs: :a117805 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a117805) |&gt; Sequence.take!(9) [3,6,30,870,756030,571580604870,326704387862983487112030,106735757048926752040856495274871386126283608870,11392521832807516835658052968328096177131218666695418950023483907701862019030266123104859068030]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a123321/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a123321/1","type":"function","doc":"OEIS Sequence A123321 - Products of 7 distinct primes (squarefree 7-almost primes). From OEIS A123321: Products of 7 distinct primes (squarefree 7-almost primes). Sequence IDs: :a123321 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a123321) |&gt; Sequence.take!(2) [510510,570570]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a123322/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a123322/1","type":"function","doc":"OEIS Sequence A123322 - Products of 8 distinct primes (squarefree 8-almost primes). From OEIS A123322: Products of 8 distinct primes (squarefree 8-almost primes). Sequence IDs: :a123322 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a123322) |&gt; Sequence.take!(1) [9699690]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a130897/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a130897/1","type":"function","doc":"OEIS Sequence A130897 - Numbers that are not exponentially squarefree. From OEIS A130897: Numbers that are not exponentially squarefree. Sequence IDs: :a130897 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a130897) |&gt; Sequence.take!(43) [16,48,80,81,112,144,162,176,208,240,256,272,304,324,336,368,400,405,432,464,496,512,528,560,567,592,624,625,648,656,688,720,752,768,784,810,816,848,880,891,912,944,976]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160889/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160889/1","type":"function","doc":"OEIS Sequence A160889 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 4. From OEIS A160889: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 4. Sequence IDs: :a160889 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160889) |&gt; Sequence.take!(49) [1,7,13,28,31,91,57,112,117,217,133,364,183,399,403,448,307,819,381,868,741,931,553,1456,775,1281,1053,1596,871,2821,993,1792,1729,2149,1767,3276,1407,2667,2379,3472,1723,5187,1893,3724,3627,3871,2257,5824,2793]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160891/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160891/1","type":"function","doc":"OEIS Sequence A160891 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 5. From OEIS A160891: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 5. Sequence IDs: :a160891 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160891) |&gt; Sequence.take!(39) [1,15,40,120,156,600,400,960,1080,2340,1464,4800,2380,6000,6240,7680,5220,16200,7240,18720,16000,21960,12720,38400,19500,35700,29160,48000,25260,93600,30784,61440,58560,78300,62400,129600,52060,108600,95200]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160893/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160893/1","type":"function","doc":"OEIS Sequence A160893 - a(n) = Sum_{d|n} Möbius(n/d)*d^5/phi(n). From OEIS A160893: a(n) = Sum_{d|n} Möbius(n/d)*d^5/phi(n). Sequence IDs: :a160893 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160893) |&gt; Sequence.take!(33) [1,31,121,496,781,3751,2801,7936,9801,24211,16105,60016,30941,86831,94501,126976,88741,303831,137561,387376,338921,499255,292561,960256,488125,959171,793881,1389296,732541,2929531,954305,2031616,1948705]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160895/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160895/1","type":"function","doc":"OEIS Sequence A160895 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 7. From OEIS A160895: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 7. (Formerly ) Sequence IDs: :a160895 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160895) |&gt; Sequence.take!(30) [1,63,364,2016,3906,22932,19608,64512,88452,246078,177156,733824,402234,1235304,1421784,2064384,1508598,5572476,2613660,7874496,7137312,11160828,6728904,23482368,12206250,25340742,21493836,39529728,21243690,89572392]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160897/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160897/1","type":"function","doc":"OEIS Sequence A160897 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 8. From OEIS A160897: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 8. Sequence IDs: :a160897 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160897) |&gt; Sequence.take!(26) [1,127,1093,8128,19531,138811,137257,520192,796797,2480437,1948717,8883904,5229043,17431639,21347383,33292288,25646167,101193219,49659541,158747968,150021901,247487059,154764793,568569856,305171875,664088461]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160908/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160908/1","type":"function","doc":"OEIS Sequence A160908 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 9. From OEIS A160908: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 9. Sequence IDs: :a160908 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160908) |&gt; Sequence.take!(24) [1,255,3280,32640,97656,836400,960800,4177920,7173360,24902280,21435888,107059200,67977560,245004000,320311680,534773760,435984840,1829206800,943531280,3187491840,3151424000,5466151440,3559590240,13703577600]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160953/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160953/1","type":"function","doc":"OEIS Sequence A160953 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 10. From OEIS A160953: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 10. Sequence IDs: :a160953 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160953) |&gt; Sequence.take!(21) [1,511,9841,130816,488281,5028751,6725601,33488896,64566801,249511591,235794769,1287360256,883708281,3436782111,4805173321,8573157376,7411742281,32993635311,17927094321,63874967296,66186639441]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160957/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160957/1","type":"function","doc":"OEIS Sequence A160957 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 11. From OEIS A160957: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 11. Sequence IDs: :a160957 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160957) |&gt; Sequence.take!(20) [1,1023,29524,523776,2441406,30203052,47079208,268173312,581120892,2497558338,2593742460,15463962624,11488207654,48162029784,72080070744,137304735744,125999618778,594486672516,340614792100,1278749869056]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160960/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160960/1","type":"function","doc":"OEIS Sequence A160960 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 12. From OEIS A160960: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 12. Sequence IDs: :a160960 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160960) |&gt; Sequence.take!(18) [1,2047,88573,2096128,12207031,181308931,329554457,2146435072,5230147077,24987792457,28531167061,185660345344,149346699503,674597973479,1081213356763,2197949513728,2141993519227,10706111066619]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a162643/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a162643/1","type":"function","doc":"OEIS Sequence A162643 - Numbers such that their number of divisors is not a power of 2. From OEIS A162643: Numbers such that their number of divisors is not a power of 2. Sequence IDs: :a162643 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a162643) |&gt; Sequence.take!(60) [4,9,12,16,18,20,25,28,32,36,44,45,48,49,50,52,60,63,64,68,72,75,76,80,81,84,90,92,96,98,99,100,108,112,116,117,121,124,126,132,140,144,147,148,150,153,156,160,162,164,169,171,172,175,176,180,188,192,196,198]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a165412/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a165412/1","type":"function","doc":"OEIS Sequence A165412 - Divisors of 2520. From OEIS A165412: Divisors of 2520. (Formerly ) Sequence IDs: :a165412 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a165412) |&gt; Sequence.take!(48) [1,2,3,4,5,6,7,8,9,10,12,14,15,18,20,21,24,28,30,35,36,40,42,45,56,60,63,70,72,84,90,105,120,126,140,168,180,210,252,280,315,360,420,504,630,840,1260,2520]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178858/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178858/1","type":"function","doc":"OEIS Sequence A178858 - Divisors of 5040. From OEIS A178858: Divisors of 5040. (Formerly ) Sequence IDs: :a178858 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178858) |&gt; Sequence.take!(60) [1,2,3,4,5,6,7,8,9,10,12,14,15,16,18,20,21,24,28,30,35,36,40,42,45,48,56,60,63,70,72,80,84,90,105,112,120,126,140,144,168,180,210,240,252,280,315,336,360,420,504,560,630,720,840,1008,1260,1680,2520,5040]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178859/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178859/1","type":"function","doc":"OEIS Sequence A178859 - Divisors of 7560. From OEIS A178859: Divisors of 7560. (Formerly ) Sequence IDs: :a178859 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178859) |&gt; Sequence.take!(61) [1,2,3,4,5,6,7,8,9,10,12,14,15,18,20,21,24,27,28,30,35,36,40,42,45,54,56,60,63,70,72,84,90,105,108,120,126,135,140,168,180,189,210,216,252,270,280,315,360,378,420,504,540,630,756,840,945,1080,1260,1512,1890]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178860/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178860/1","type":"function","doc":"OEIS Sequence A178860 - Divisors of 10080. From OEIS A178860: Divisors of 10080. (Formerly ) Sequence IDs: :a178860 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178860) |&gt; Sequence.take!(63) [1,2,3,4,5,6,7,8,9,10,12,14,15,16,18,20,21,24,28,30,32,35,36,40,42,45,48,56,60,63,70,72,80,84,90,96,105,112,120,126,140,144,160,168,180,210,224,240,252,280,288,315,336,360,420,480,504,560,630,672,720,840,1008]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178861/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178861/1","type":"function","doc":"OEIS Sequence A178861 - Divisors of 15120. From OEIS A178861: Divisors of 15120. (Formerly ) Sequence IDs: :a178861 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178861) |&gt; Sequence.take!(63) [1,2,3,4,5,6,7,8,9,10,12,14,15,16,18,20,21,24,27,28,30,35,36,40,42,45,48,54,56,60,63,70,72,80,84,90,105,108,112,120,126,135,140,144,168,180,189,210,216,240,252,270,280,315,336,360,378,420,432,504,540,560,630]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178862/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178862/1","type":"function","doc":"OEIS Sequence A178862 - Divisors of 20160. From OEIS A178862: Divisors of 20160. (Formerly ) Sequence IDs: :a178862 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178862) |&gt; Sequence.take!(63) [1,2,3,4,5,6,7,8,9,10,12,14,15,16,18,20,21,24,28,30,32,35,36,40,42,45,48,56,60,63,64,70,72,80,84,90,96,105,112,120,126,140,144,160,168,180,192,210,224,240,252,280,288,315,320,336,360,420,448,480,504,560,576]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178863/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178863/1","type":"function","doc":"OEIS Sequence A178863 - Divisors of 25200. From OEIS A178863: Divisors of 25200. (Formerly ) Sequence IDs: :a178863 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178863) |&gt; Sequence.take!(63) [1,2,3,4,5,6,7,8,9,10,12,14,15,16,18,20,21,24,25,28,30,35,36,40,42,45,48,50,56,60,63,70,72,75,80,84,90,100,105,112,120,126,140,144,150,168,175,180,200,210,225,240,252,280,300,315,336,350,360,400,420,450,504]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178864/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178864/1","type":"function","doc":"OEIS Sequence A178864 - Divisors of 27720. From OEIS A178864: Divisors of 27720. (Formerly ) Sequence IDs: :a178864 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178864) |&gt; Sequence.take!(64) [1,2,3,4,5,6,7,8,9,10,11,12,14,15,18,20,21,22,24,28,30,33,35,36,40,42,44,45,55,56,60,63,66,70,72,77,84,88,90,99,105,110,120,126,132,140,154,165,168,180,198,210,220,231,252,264,280,308,315,330,360,385,396,420]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178877/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178877/1","type":"function","doc":"OEIS Sequence A178877 - Divisors of 1260. From OEIS A178877: Divisors of 1260. (Formerly ) Sequence IDs: :a178877 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178877) |&gt; Sequence.take!(36) [1,2,3,4,5,6,7,9,10,12,14,15,18,20,21,28,30,35,36,42,45,60,63,70,84,90,105,126,140,180,210,252,315,420,630,1260]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a178878/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a178878/1","type":"function","doc":"OEIS Sequence A178878 - Divisors of 1680. From OEIS A178878: Divisors of 1680. (Formerly ) Sequence IDs: :a178878 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a178878) |&gt; Sequence.take!(40) [1,2,3,4,5,6,7,8,10,12,14,15,16,20,21,24,28,30,35,40,42,48,56,60,70,80,84,105,112,120,140,168,210,240,280,336,420,560,840,1680]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a209061/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a209061/1","type":"function","doc":"OEIS Sequence A209061 - Exponentially squarefree numbers. From OEIS A209061: Exponentially squarefree numbers. Sequence IDs: :a209061 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a209061) |&gt; Sequence.take!(67) [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a211337/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a211337/1","type":"function","doc":"OEIS Sequence A211337 - Numbers n for which the number of divisors, tau(n), is congruent to 1 modulo 3. From OEIS A211337: Numbers n for which the number of divisors, tau(n), is congruent to 1 modulo 3. Sequence IDs: :a211337 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a211337) |&gt; Sequence.take!(59) [1,6,8,10,14,15,21,22,26,27,33,34,35,38,39,46,48,51,55,57,58,62,64,65,69,74,77,80,82,85,86,87,91,93,94,95,106,111,112,115,118,119,120,122,123,125,129,133,134,141,142,143,145,146,155,158,159,161,162]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a211338/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a211338/1","type":"function","doc":"OEIS Sequence A211338 - Numbers n for which the number of divisors, tau(n), is congruent to 2 modulo 3. From OEIS A211338: Numbers n for which the number of divisors, tau(n), is congruent to 2 modulo 3. Sequence IDs: :a211338 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a211338) |&gt; Sequence.take!(60) [2,3,5,7,11,13,16,17,19,23,24,29,30,31,37,40,41,42,43,47,53,54,56,59,61,66,67,70,71,73,78,79,81,83,88,89,97,101,102,103,104,105,107,109,110,113,114,127,128,130,131,135,136,137,138,139,149,151,152,154]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html","title":"Chunky.Sequence.OEIS.Multiples","type":"module","doc":"Sequences from the Online Encyclopedia of Integer Sequences dealing with multiples and additions. Available Sequences Multiples of an integer create_sequence_a008585/1 - A008585 - a(n) = 3*n. create_sequence_a008586/1 - A008586 - Multiples of 4. create_sequence_a008587/1 - A008587 - Multiples of 5. create_sequence_a008588/1 - A008588 - Nonnegative multiples of 6. create_sequence_a008589/1 - A008589 - Multiples of 7. create_sequence_a008590/1 - A008590 - Multiples of 8. create_sequence_a008591/1 - A008591 - Multiples of 9. create_sequence_a008592/1 - A008592 - Multiples of 10: a(n) = 10 * n. create_sequence_a008593/1 - A008593 - Multiples of 11. create_sequence_a008594/1 - A008594 - Multiples of 12. create_sequence_a008595/1 - A008595 - Multiples of 13. create_sequence_a008596/1 - A008596 - Multiples of 14. create_sequence_a008597/1 - A008597 - Multiples of 15. create_sequence_a008598/1 - A008598 - Multiples of 16. create_sequence_a008599/1 - A008599 - Multiples of 17. create_sequence_a008600/1 - A008600 - Multiples of 18. create_sequence_a008601/1 - A008601 - Multiples of 19. create_sequence_a008602/1 - A008602 - Multiples of 20. create_sequence_a008603/1 - A008603 - Multiples of 21. create_sequence_a008604/1 - A008604 - Multiples of 22. create_sequence_a008605/1 - A008605 - Multiples of 23. create_sequence_a008606/1 - A008606 - Multiples of 24. create_sequence_a008607/1 - A008607 - Multiples of 25. create_sequence_a252994/1 - A252994 - Multiples of 26. create_sequence_a305548/1 - A305548 - a(n) = 27*n. create_sequence_a135628/1 - A135628 - Multiples of 28. create_sequence_a195819/1 - A195819 - Multiples of 29. create_sequence_a249674/1 - A249674 - a(n) = 30*n. create_sequence_a135631/1 - A135631 - Multiples of 31. create_sequence_a174312/1 - A174312 - 32*n. create_sequence_a044102/1 - A044102 - Multiples of 36. create_sequence_a085959/1 - A085959 - Multiples of 37. create_sequence_a169823/1 - A169823 - Multiples of 60. create_sequence_a152691/1 - A152691 - Multiples of 64. create_sequence_a169825/1 - A169825 - Multiples of 420. create_sequence_a169827/1 - A169827 - Multiples of 840. Multiples with specific Digit Sums create_sequence_a069537/1 - A069537 - Multiples of 2 with digit sum = 2. create_sequence_a063997/1 - A063997 - Multiples of 4 whose digits add to 4. create_sequence_a069540/1 - A069540 - Multiples of 5 with digit sum 5. create_sequence_a062768/1 - A062768 - Multiples of 6 such that the sum of the digits is equal to 6. create_sequence_a063416/1 - A063416 - Multiples of 7 whose sum of digits is equal to 7. create_sequence_a069543/1 - A069543 - Multiples of 8 with digit sum 8. Multiples containing specific Digits create_sequence_a121023/1 - A121023 - Multiples of 3 containing a 3 in their decimal representation. create_sequence_a121024/1 - A121024 - Multiples of 4 containing a 4 in their decimal representation. create_sequence_a121025/1 - A121025 - Multiples of 5 containing a 5 in their decimal representation. create_sequence_a121026/1 - A121026 - Multiples of 6 containing a 6 in their decimal representation. create_sequence_a121027/1 - A121027 - Multiples of 7 containing a 7 in their decimal representation. create_sequence_a121028/1 - A121028 - Multiples of 8 containing an 8 in their decimal representation. create_sequence_a121029/1 - A121029 - Multiples of 9 containing a 9 in their decimal representation. create_sequence_a121030/1 - A121030 - Multiples of 10 containing a 10 in their decimal representation. create_sequence_a121031/1 - A121031 - Multiples of 11 containing an 11 in their decimal representation. create_sequence_a121032/1 - A121032 - Multiples of 12 containing a 12 in their decimal representation. create_sequence_a121033/1 - A121033 - Multiples of 13 containing a 13 in their decimal representation. create_sequence_a121034/1 - A121034 - Multiples of 14 containing a 14 in their decimal representation. create_sequence_a121035/1 - A121035 - Multiples of 15 containing a 15 in their decimal representation. create_sequence_a121036/1 - A121036 - Multiples of 16 containing a 16 in their decimal representation. create_sequence_a121037/1 - A121037 - Multiples of 17 containing a 17 in their decimal representation. create_sequence_a121038/1 - A121038 - Multiples of 18 containing a 18 in their decimal representation. create_sequence_a121039/1 - A121039 - Multiples of 19 containing a 19 in their decimal representation. create_sequence_a121040/1 - A121040 - Multiples of 20 containing a 20 in their decimal representation. Perfect Numbers and Variations create_sequence_a006037/1 - A006037 - Weird numbers: abundant (A005101) but not pseudoperfect (A005835). create_sequence_a002975/1 - A002975 - Primitive weird numbers: weird numbers with no proper weird divisors. create_sequence_a005835/1 - A005835 - Pseudoperfect (or semiperfect) numbers n: some subset of the proper divisors of n sums to n. create_sequence_a006036/1 - A006036 - Primitive pseudoperfect numbers. create_sequence_a054377/1 - A054377 - Primary pseudoperfect numbers: numbers n &gt; 1 such that 1/n + sum 1/p = 1, where the sum is over the primes p | n. create_sequence_a194472/1 - A194472 - Erdős-Nicolas numbers. Digit sums or sequential digits create_sequence_a009003/1 - A009003 - Hypotenuse numbers (squares are sums of 2 nonzero squares). create_sequence_a004144/1 - A004144 - Nonhypotenuse numbers (indices of positive squares that are not the sums of 2 distinct nonzero squares). create_sequence_a005153/1 - A005153 - Practical numbers: positive integers m such that every k &lt;= sigma(m) is a sum of distinct divisors of m. Also called panarithmic numbers. create_sequence_a006753/1 - A006753 - Smith (or joke) numbers: composite numbers n such that sum of digits of n = sum of digits of prime factors of n (counted with multiplicity). create_sequence_a019506/1 - A019506 - Hoax numbers: composite numbers whose digit-sum equals the sum of the digit-sums of its distinct prime factors. create_sequence_a016825/1 - A016825 - Positive integers congruent to 2 mod 4: a(n) = 4*n+2, for n &gt;= 0. create_sequence_a138591/1 - A138591 - Sums of two or more consecutive nonnegative integers. Convergences create_sequence_a007770/1 - A007770 - Happy numbers: numbers whose trajectory under iteration of sum of squares of digits map (see A003132) includes 1. create_sequence_a031177/1 - A031177 - Unhappy numbers: numbers having period-8 2-digitized sequences."},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a002975/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a002975/1","type":"function","doc":"OEIS Sequence A002975 - Primitive weird numbers: weird numbers with no proper weird divisors. From OEIS A002975: Primitive weird numbers: weird numbers with no proper weird divisors. (Formerly M5340) Sequence IDs: :a002975 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a002975) |&gt; Sequence.take!(3) [70,836,4030]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a004144/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a004144/1","type":"function","doc":"OEIS Sequence A004144 - Nonhypotenuse numbers (indices of positive squares that are not the sums of 2 distinct nonzero squares). From OEIS A004144: Nonhypotenuse numbers (indices of positive squares that are not the sums of 2 distinct nonzero squares). (Formerly M0542) Sequence IDs: :a004144 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a004144) |&gt; Sequence.take!(68) [1,2,3,4,6,7,8,9,11,12,14,16,18,19,21,22,23,24,27,28,31,32,33,36,38,42,43,44,46,47,48,49,54,56,57,59,62,63,64,66,67,69,71,72,76,77,79,81,83,84,86,88,92,93,94,96,98,99,103,107,108,112,114,118,121,124,126,127]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a005153/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a005153/1","type":"function","doc":"OEIS Sequence A005153 - Practical numbers: positive integers m such that every k &lt;= sigma(m) is a sum of distinct divisors of m. Also called panarithmic numbers. From OEIS A005153: Practical numbers: positive integers m such that every k &lt;= sigma(m) is a sum of distinct divisors of m. Also called panarithmic numbers. (Formerly M0991) Sequence IDs: :a005153 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a005153) |&gt; Sequence.take!(60) [1,2,4,6,8,12,16,18,20,24,28,30,32,36,40,42,48,54,56,60,64,66,72,78,80,84,88,90,96,100,104,108,112,120,126,128,132,140,144,150,156,160,162,168,176,180,192,196,198,200,204,208,210,216,220,224,228,234,240,252]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a005835/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a005835/1","type":"function","doc":"OEIS Sequence A005835 - Pseudoperfect (or semiperfect) numbers n: some subset of the proper divisors of n sums to n. From OEIS A005835: Pseudoperfect (or semiperfect) numbers n: some subset of the proper divisors of n sums to n. (Formerly M4094) Sequence IDs: :a005835 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a005835) |&gt; Sequence.take!(62) [6,12,18,20,24,28,30,36,40,42,48,54,56,60,66,72,78,80,84,88,90,96,100,102,104,108,112,114,120,126,132,138,140,144,150,156,160,162,168,174,176,180,186,192,196,198,200,204,208,210,216,220,222,224,228,234,240,246,252,258,260,264]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a006036/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a006036/1","type":"function","doc":"OEIS Sequence A006036 - Primitive pseudoperfect numbers. From OEIS A006036: Primitive pseudoperfect numbers. (Formerly M4133) Sequence IDs: :a006036 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a006036) |&gt; Sequence.take!(69) [6,20,28,88,104,272,304,350,368,464,490,496,550,572,650,748,770,910,945,1184,1190,1312,1330,1376,1430,1504,1575,1610,1696,1870,1888,1952,2002,2030,2090,2170,2205,2210,2470,2530,2584,2590,2870,2990,3010,3128,3190,3230,3290,3410,3465,3496,3710,3770,3944,4070,4095,4130,4216,4270,4288,4408,4510,4544,4672,4690,4712,4730,4970]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a006037/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a006037/1","type":"function","doc":"OEIS Sequence A006037 - Weird numbers: abundant (A005101) but not pseudoperfect (A005835). From OEIS A006037: Weird numbers: abundant (A005101) but not pseudoperfect (A005835). (Formerly M5339) Sequence IDs: :a006037 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a006037) |&gt; Sequence.take!(5) [70,836,4030,5830,7192]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a006753/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a006753/1","type":"function","doc":"OEIS Sequence A006753 - Smith (or joke) numbers: composite numbers n such that sum of digits of n = sum of digits of prime factors of n (counted with multiplicity). From OEIS A006753: Smith (or joke) numbers: composite numbers n such that sum of digits of n = sum of digits of prime factors of n (counted with multiplicity). (Formerly M3582) Sequence IDs: :a006753 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a006753) |&gt; Sequence.take!(52) [4,22,27,58,85,94,121,166,202,265,274,319,346,355,378,382,391,438,454,483,517,526,535,562,576,588,627,634,636,645,648,654,663,666,690,706,728,729,762,778,825,852,861,895,913,915,922,958,985,1086,1111,1165]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a007770/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a007770/1","type":"function","doc":"OEIS Sequence A007770 - Happy numbers: numbers whose trajectory under iteration of sum of squares of digits map (see A003132) includes 1. From OEIS A007770: Happy numbers: numbers whose trajectory under iteration of sum of squares of digits map (see A003132) includes 1. (Formerly ) Sequence IDs: :a007770 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a007770) |&gt; Sequence.take!(54) [1,7,10,13,19,23,28,31,32,44,49,68,70,79,82,86,91,94,97,100,103,109,129,130,133,139,167,176,188,190,192,193,203,208,219,226,230,236,239,262,263,280,291,293,301,302,310,313,319,320,326,329,331,338]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008585/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008585/1","type":"function","doc":"OEIS Sequence A008585 - a(n) = 3*n. From OEIS A008585: a(n) = 3*n. (Formerly ) Sequence IDs: :a008585 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008585) |&gt; Sequence.take!(60) [0,3,6,9,12,15,18,21,24,27,30,33,36,39,42,45,48,51,54,57,60,63,66,69,72,75,78,81,84,87,90,93,96,99,102,105,108,111,114,117,120,123,126,129,132,135,138,141,144,147,150,153,156,159,162,165,168,171,174,177]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008586/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008586/1","type":"function","doc":"OEIS Sequence A008586 - Multiples of 4. From OEIS A008586: Multiples of 4. (Formerly ) Sequence IDs: :a008586 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008586) |&gt; Sequence.take!(58) [0,4,8,12,16,20,24,28,32,36,40,44,48,52,56,60,64,68,72,76,80,84,88,92,96,100,104,108,112,116,120,124,128,132,136,140,144,148,152,156,160,164,168,172,176,180,184,188,192,196,200,204,208,212,216,220,224,228]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008587/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008587/1","type":"function","doc":"OEIS Sequence A008587 - Multiples of 5. From OEIS A008587: Multiples of 5. (Formerly ) Sequence IDs: :a008587 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008587) |&gt; Sequence.take!(56) [0,5,10,15,20,25,30,35,40,45,50,55,60,65,70,75,80,85,90,95,100,105,110,115,120,125,130,135,140,145,150,155,160,165,170,175,180,185,190,195,200,205,210,215,220,225,230,235,240,245,250,255,260,265,270,275]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008588/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008588/1","type":"function","doc":"OEIS Sequence A008588 - Nonnegative multiples of 6. From OEIS A008588: Nonnegative multiples of 6. (Formerly ) Sequence IDs: :a008588 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008588) |&gt; Sequence.take!(59) [0,6,12,18,24,30,36,42,48,54,60,66,72,78,84,90,96,102,108,114,120,126,132,138,144,150,156,162,168,174,180,186,192,198,204,210,216,222,228,234,240,246,252,258,264,270,276,282,288,294,300,306,312,318,324,330,336,342,348]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008589/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008589/1","type":"function","doc":"OEIS Sequence A008589 - Multiples of 7. From OEIS A008589: Multiples of 7. (Formerly ) Sequence IDs: :a008589 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008589) |&gt; Sequence.take!(55) [0,7,14,21,28,35,42,49,56,63,70,77,84,91,98,105,112,119,126,133,140,147,154,161,168,175,182,189,196,203,210,217,224,231,238,245,252,259,266,273,280,287,294,301,308,315,322,329,336,343,350,357,364,371,378]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008590/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008590/1","type":"function","doc":"OEIS Sequence A008590 - Multiples of 8. From OEIS A008590: Multiples of 8. (Formerly ) Sequence IDs: :a008590 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008590) |&gt; Sequence.take!(55) [0,8,16,24,32,40,48,56,64,72,80,88,96,104,112,120,128,136,144,152,160,168,176,184,192,200,208,216,224,232,240,248,256,264,272,280,288,296,304,312,320,328,336,344,352,360,368,376,384,392,400,408,416,424,432]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008591/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008591/1","type":"function","doc":"OEIS Sequence A008591 - Multiples of 9. From OEIS A008591: Multiples of 9. (Formerly ) Sequence IDs: :a008591 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008591) |&gt; Sequence.take!(54) [0,9,18,27,36,45,54,63,72,81,90,99,108,117,126,135,144,153,162,171,180,189,198,207,216,225,234,243,252,261,270,279,288,297,306,315,324,333,342,351,360,369,378,387,396,405,414,423,432,441,450,459,468,477]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008592/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008592/1","type":"function","doc":"OEIS Sequence A008592 - Multiples of 10: a(n) = 10 * n. From OEIS A008592: Multiples of 10: a(n) = 10 * n. (Formerly ) Sequence IDs: :a008592 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008592) |&gt; Sequence.take!(54) [0,10,20,30,40,50,60,70,80,90,100,110,120,130,140,150,160,170,180,190,200,210,220,230,240,250,260,270,280,290,300,310,320,330,340,350,360,370,380,390,400,410,420,430,440,450,460,470,480,490,500,510,520,530]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008593/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008593/1","type":"function","doc":"OEIS Sequence A008593 - Multiples of 11. From OEIS A008593: Multiples of 11. (Formerly ) Sequence IDs: :a008593 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008593) |&gt; Sequence.take!(54) [0,11,22,33,44,55,66,77,88,99,110,121,132,143,154,165,176,187,198,209,220,231,242,253,264,275,286,297,308,319,330,341,352,363,374,385,396,407,418,429,440,451,462,473,484,495,506,517,528,539,550,561,572,583]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008594/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008594/1","type":"function","doc":"OEIS Sequence A008594 - Multiples of 12. From OEIS A008594: Multiples of 12. (Formerly ) Sequence IDs: :a008594 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008594) |&gt; Sequence.take!(54) [0,12,24,36,48,60,72,84,96,108,120,132,144,156,168,180,192,204,216,228,240,252,264,276,288,300,312,324,336,348,360,372,384,396,408,420,432,444,456,468,480,492,504,516,528,540,552,564,576,588,600,612,624,636]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008595/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008595/1","type":"function","doc":"OEIS Sequence A008595 - Multiples of 13. From OEIS A008595: Multiples of 13. (Formerly ) Sequence IDs: :a008595 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008595) |&gt; Sequence.take!(53) [0,13,26,39,52,65,78,91,104,117,130,143,156,169,182,195,208,221,234,247,260,273,286,299,312,325,338,351,364,377,390,403,416,429,442,455,468,481,494,507,520,533,546,559,572,585,598,611,624,637,650,663,676]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008596/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008596/1","type":"function","doc":"OEIS Sequence A008596 - Multiples of 14. From OEIS A008596: Multiples of 14. (Formerly ) Sequence IDs: :a008596 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008596) |&gt; Sequence.take!(53) [0,14,28,42,56,70,84,98,112,126,140,154,168,182,196,210,224,238,252,266,280,294,308,322,336,350,364,378,392,406,420,434,448,462,476,490,504,518,532,546,560,574,588,602,616,630,644,658,672,686,700,714,728]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008597/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008597/1","type":"function","doc":"OEIS Sequence A008597 - Multiples of 15. From OEIS A008597: Multiples of 15. (Formerly ) Sequence IDs: :a008597 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008597) |&gt; Sequence.take!(53) [0,15,30,45,60,75,90,105,120,135,150,165,180,195,210,225,240,255,270,285,300,315,330,345,360,375,390,405,420,435,450,465,480,495,510,525,540,555,570,585,600,615,630,645,660,675,690,705,720,735,750,765,780]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008598/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008598/1","type":"function","doc":"OEIS Sequence A008598 - Multiples of 16. From OEIS A008598: Multiples of 16. (Formerly ) Sequence IDs: :a008598 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008598) |&gt; Sequence.take!(53) [0,16,32,48,64,80,96,112,128,144,160,176,192,208,224,240,256,272,288,304,320,336,352,368,384,400,416,432,448,464,480,496,512,528,544,560,576,592,608,624,640,656,672,688,704,720,736,752,768,784,800,816,832]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008599/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008599/1","type":"function","doc":"OEIS Sequence A008599 - Multiples of 17. From OEIS A008599: Multiples of 17. (Formerly ) Sequence IDs: :a008599 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008599) |&gt; Sequence.take!(53) [0,17,34,51,68,85,102,119,136,153,170,187,204,221,238,255,272,289,306,323,340,357,374,391,408,425,442,459,476,493,510,527,544,561,578,595,612,629,646,663,680,697,714,731,748,765,782,799,816,833,850,867,884]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008600/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008600/1","type":"function","doc":"OEIS Sequence A008600 - Multiples of 18. From OEIS A008600: Multiples of 18. (Formerly ) Sequence IDs: :a008600 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008600) |&gt; Sequence.take!(53) [0,18,36,54,72,90,108,126,144,162,180,198,216,234,252,270,288,306,324,342,360,378,396,414,432,450,468,486,504,522,540,558,576,594,612,630,648,666,684,702,720,738,756,774,792,810,828,846,864,882,900,918,936]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008601/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008601/1","type":"function","doc":"OEIS Sequence A008601 - Multiples of 19. From OEIS A008601: Multiples of 19. (Formerly ) Sequence IDs: :a008601 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008601) |&gt; Sequence.take!(53) [0,19,38,57,76,95,114,133,152,171,190,209,228,247,266,285,304,323,342,361,380,399,418,437,456,475,494,513,532,551,570,589,608,627,646,665,684,703,722,741,760,779,798,817,836,855,874,893,912,931,950,969,988]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008602/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008602/1","type":"function","doc":"OEIS Sequence A008602 - Multiples of 20. From OEIS A008602: Multiples of 20. (Formerly ) Sequence IDs: :a008602 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008602) |&gt; Sequence.take!(51) [0,20,40,60,80,100,120,140,160,180,200,220,240,260,280,300,320,340,360,380,400,420,440,460,480,500,520,540,560,580,600,620,640,660,680,700,720,740,760,780,800,820,840,860,880,900,920,940,960,980,1000]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008603/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008603/1","type":"function","doc":"OEIS Sequence A008603 - Multiples of 21. From OEIS A008603: Multiples of 21. (Formerly ) Sequence IDs: :a008603 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008603) |&gt; Sequence.take!(48) [0,21,42,63,84,105,126,147,168,189,210,231,252,273,294,315,336,357,378,399,420,441,462,483,504,525,546,567,588,609,630,651,672,693,714,735,756,777,798,819,840,861,882,903,924,945,966,987]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008604/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008604/1","type":"function","doc":"OEIS Sequence A008604 - Multiples of 22. From OEIS A008604: Multiples of 22. (Formerly ) Sequence IDs: :a008604 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008604) |&gt; Sequence.take!(46) [0,22,44,66,88,110,132,154,176,198,220,242,264,286,308,330,352,374,396,418,440,462,484,506,528,550,572,594,616,638,660,682,704,726,748,770,792,814,836,858,880,902,924,946,968,990]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008605/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008605/1","type":"function","doc":"OEIS Sequence A008605 - Multiples of 23. From OEIS A008605: Multiples of 23. (Formerly ) Sequence IDs: :a008605 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008605) |&gt; Sequence.take!(51) [0,23,46,69,92,115,138,161,184,207,230,253,276,299,322,345,368,391,414,437,460,483,506,529,552,575,598,621,644,667,690,713,736,759,782,805,828,851,874,897,920,943,966,989,1012,1035,1058,1081,1104,1127,1150]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008606/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008606/1","type":"function","doc":"OEIS Sequence A008606 - Multiples of 24. From OEIS A008606: Multiples of 24. (Formerly ) Sequence IDs: :a008606 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008606) |&gt; Sequence.take!(51) [0,24,48,72,96,120,144,168,192,216,240,264,288,312,336,360,384,408,432,456,480,504,528,552,576,600,624,648,672,696,720,744,768,792,816,840,864,888,912,936,960,984,1008,1032,1056,1080,1104,1128,1152,1176,1200]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a008607/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a008607/1","type":"function","doc":"OEIS Sequence A008607 - Multiples of 25. From OEIS A008607: Multiples of 25. (Formerly ) Sequence IDs: :a008607 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a008607) |&gt; Sequence.take!(50) [0,25,50,75,100,125,150,175,200,225,250,275,300,325,350,375,400,425,450,475,500,525,550,575,600,625,650,675,700,725,750,775,800,825,850,875,900,925,950,975,1000,1025,1050,1075,1100,1125,1150,1175,1200,1225]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a009003/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a009003/1","type":"function","doc":"OEIS Sequence A009003 - Hypotenuse numbers (squares are sums of 2 nonzero squares). From OEIS A009003: Hypotenuse numbers (squares are sums of 2 nonzero squares). (Formerly ) Sequence IDs: :a009003 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a009003) |&gt; Sequence.take!(64) [5,10,13,15,17,20,25,26,29,30,34,35,37,39,40,41,45,50,51,52,53,55,58,60,61,65,68,70,73,74,75,78,80,82,85,87,89,90,91,95,97,100,101,102,104,105,106,109,110,111,113,115,116,117,119,120,122,123,125,130,135,136,137,140]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a016825/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a016825/1","type":"function","doc":"OEIS Sequence A016825 - Positive integers congruent to 2 mod 4: a(n) = 4*n+2, for n &gt;= 0. From OEIS A016825: Positive integers congruent to 2 mod 4: a(n) = 4*n+2, for n &gt;= 0. (Formerly ) Sequence IDs: :a016825 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a016825) |&gt; Sequence.take!(59) [2,6,10,14,18,22,26,30,34,38,42,46,50,54,58,62,66,70,74,78,82,86,90,94,98,102,106,110,114,118,122,126,130,134,138,142,146,150,154,158,162,166,170,174,178,182,186,190,194,198,202,206,210,214,218,222,226,230,234]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a019506/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a019506/1","type":"function","doc":"OEIS Sequence A019506 - Hoax numbers: composite numbers whose digit-sum equals the sum of the digit-sums of its distinct prime factors. From OEIS A019506: Hoax numbers: composite numbers whose digit-sum equals the sum of the digit-sums of its distinct prime factors. (Formerly ) Sequence IDs: :a019506 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a019506) |&gt; Sequence.take!(50) [22,58,84,85,94,136,160,166,202,234,250,265,274,308,319,336,346,355,361,364,382,391,424,438,454,456,476,483,516,517,526,535,562,627,634,644,645,650,654,660,663,690,702,706,732,735,762,778,855,860]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a031177/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a031177/1","type":"function","doc":"OEIS Sequence A031177 - Unhappy numbers: numbers having period-8 2-digitized sequences. From OEIS A031177: Unhappy numbers: numbers having period-8 2-digitized sequences. (Formerly ) Sequence IDs: :a031177 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a031177) |&gt; Sequence.take!(68) [2,3,4,5,6,8,9,11,12,14,15,16,17,18,20,21,22,24,25,26,27,29,30,33,34,35,36,37,38,39,40,41,42,43,45,46,47,48,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,69,71,72,73,74,75,76,77,78,80,81,83]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a044102/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a044102/1","type":"function","doc":"OEIS Sequence A044102 - Multiples of 36. From OEIS A044102: Multiples of 36. (Formerly ) Sequence IDs: :a044102 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a044102) |&gt; Sequence.take!(48) [0,36,72,108,144,180,216,252,288,324,360,396,432,468,504,540,576,612,648,684,720,756,792,828,864,900,936,972,1008,1044,1080,1116,1152,1188,1224,1260,1296,1332,1368,1404,1440,1476,1512,1548,1584,1620,1656,1692]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a054377/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a054377/1","type":"function","doc":"OEIS Sequence A054377 - Primary pseudoperfect numbers: numbers n &gt; 1 such that 1/n + sum 1/p = 1, where the sum is over the primes p | n. From OEIS A054377: Primary pseudoperfect numbers: numbers n &gt; 1 such that 1/n + sum 1/p = 1, where the sum is over the primes p | n. (Formerly ) Sequence IDs: :a054377 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a054377) |&gt; Sequence.take!(8) [2,6,42,1806,47058,2214502422,52495396602,8490421583559688410706771261086]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a062768/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a062768/1","type":"function","doc":"OEIS Sequence A062768 - Multiples of 6 such that the sum of the digits is equal to 6. From OEIS A062768: Multiples of 6 such that the sum of the digits is equal to 6. (Formerly ) Sequence IDs: :a062768 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a062768) |&gt; Sequence.take!(46) [6,24,42,60,114,132,150,204,222,240,312,330,402,420,510,600,1014,1032,1050,1104,1122,1140,1212,1230,1302,1320,1410,1500,2004,2022,2040,2112,2130,2202,2220,2310,2400,3012,3030,3102,3120,3210,3300,4002,4020,4110]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a063416/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a063416/1","type":"function","doc":"OEIS Sequence A063416 - Multiples of 7 whose sum of digits is equal to 7. From OEIS A063416: Multiples of 7 whose sum of digits is equal to 7. (Formerly ) Sequence IDs: :a063416 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a063416) |&gt; Sequence.take!(38) [7,70,133,322,511,700,1015,1141,1204,1330,2023,2212,2401,3031,3220,4102,5110,7000,10024,10150,10213,10402,11032,11221,11410,12040,12103,13111,13300,15001,20041,20104,20230,21112,21301,22120,23002,24010]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a063997/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a063997/1","type":"function","doc":"OEIS Sequence A063997 - Multiples of 4 whose digits add to 4. From OEIS A063997: Multiples of 4 whose digits add to 4. (Formerly ) Sequence IDs: :a063997 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a063997) |&gt; Sequence.take!(36) [4,40,112,220,400,1012,1120,1300,2020,2200,3100,4000,10012,10120,10300,11020,11200,12100,13000,20020,20200,21100,22000,30100,31000,40000,100012,100120,100300,101020,101200,102100,103000,110020,110200,111100]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a069537/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a069537/1","type":"function","doc":"OEIS Sequence A069537 - Multiples of 2 with digit sum = 2. From OEIS A069537: Multiples of 2 with digit sum = 2. (Formerly ) Sequence IDs: :a069537 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a069537) |&gt; Sequence.take!(29) [2,20,110,200,1010,1100,2000,10010,10100,11000,20000,100010,100100,101000,110000,200000,1000010,1000100,1001000,1010000,1100000,2000000,10000010,10000100,10001000,10010000,10100000,11000000,20000000]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a069540/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a069540/1","type":"function","doc":"OEIS Sequence A069540 - Multiples of 5 with digit sum 5. From OEIS A069540: Multiples of 5 with digit sum 5. (Formerly ) Sequence IDs: :a069540 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a069540) |&gt; Sequence.take!(39) [5,50,140,230,320,410,500,1040,1130,1220,1310,1400,2030,2120,2210,2300,3020,3110,3200,4010,4100,5000,10040,10130,10220,10310,10400,11030,11120,11210,11300,12020,12110,12200,13010,13100,14000,20030,20120]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a069543/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a069543/1","type":"function","doc":"OEIS Sequence A069543 - Multiples of 8 with digit sum 8. From OEIS A069543: Multiples of 8 with digit sum 8. (Formerly ) Sequence IDs: :a069543 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a069543) |&gt; Sequence.take!(40) [8,80,152,224,440,512,800,1016,1160,1232,1304,1520,2024,2240,2312,2600,3032,3104,3320,4040,4112,4400,5120,6200,8000,10016,10160,10232,10304,10520,11024,11240,11312,11600,12032,12104,12320,13040,13112,13400]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a085959/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a085959/1","type":"function","doc":"OEIS Sequence A085959 - Multiples of 37. From OEIS A085959: Multiples of 37. (Formerly ) Sequence IDs: :a085959 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a085959) |&gt; Sequence.take!(48) [0,37,74,111,148,185,222,259,296,333,370,407,444,481,518,555,592,629,666,703,740,777,814,851,888,925,962,999,1036,1073,1110,1147,1184,1221,1258,1295,1332,1369,1406,1443,1480,1517,1554,1591,1628,1665,1702,1739]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121023/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121023/1","type":"function","doc":"OEIS Sequence A121023 - Multiples of 3 containing a 3 in their decimal representation. From OEIS A121023: Multiples of 3 containing a 3 in their decimal representation. (Formerly ) Sequence IDs: :a121023 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121023) |&gt; Sequence.take!(53) [3,30,33,36,39,63,93,123,132,135,138,153,183,213,231,234,237,243,273,300,303,306,309,312,315,318,321,324,327,330,333,336,339,342,345,348,351,354,357,360,363,366,369,372,375,378,381,384,387,390,393,396,399]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121024/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121024/1","type":"function","doc":"OEIS Sequence A121024 - Multiples of 4 containing a 4 in their decimal representation. From OEIS A121024: Multiples of 4 containing a 4 in their decimal representation. (Formerly ) Sequence IDs: :a121024 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121024) |&gt; Sequence.take!(53) [4,24,40,44,48,64,84,104,124,140,144,148,164,184,204,224,240,244,248,264,284,304,324,340,344,348,364,384,400,404,408,412,416,420,424,428,432,436,440,444,448,452,456,460,464,468,472,476,480,484,488,492,496]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121025/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121025/1","type":"function","doc":"OEIS Sequence A121025 - Multiples of 5 containing a 5 in their decimal representation. From OEIS A121025: Multiples of 5 containing a 5 in their decimal representation. (Formerly ) Sequence IDs: :a121025 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121025) |&gt; Sequence.take!(54) [5,15,25,35,45,50,55,65,75,85,95,105,115,125,135,145,150,155,165,175,185,195,205,215,225,235,245,250,255,265,275,285,295,305,315,325,335,345,350,355,365,375,385,395,405,415,425,435,445,450,455,465,475,485]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121026/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121026/1","type":"function","doc":"OEIS Sequence A121026 - Multiples of 6 containing a 6 in their decimal representation. From OEIS A121026: Multiples of 6 containing a 6 in their decimal representation. (Formerly ) Sequence IDs: :a121026 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121026) |&gt; Sequence.take!(53) [6,36,60,66,96,126,156,162,168,186,216,246,264,276,306,336,360,366,396,426,456,462,468,486,516,546,564,576,600,606,612,618,624,630,636,642,648,654,660,666,672,678,684,690,696,726,756,762,768,786,816,846,864]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121027/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121027/1","type":"function","doc":"OEIS Sequence A121027 - Multiples of 7 containing a 7 in their decimal representation. From OEIS A121027: Multiples of 7 containing a 7 in their decimal representation. (Formerly ) Sequence IDs: :a121027 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121027) |&gt; Sequence.take!(50) [7,70,77,147,175,217,273,287,357,371,378,427,476,497,567,574,637,672,679,700,707,714,721,728,735,742,749,756,763,770,777,784,791,798,847,875,917,973,987,1057,1071,1078,1127,1176,1197,1267,1274,1337,1372,1379]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121028/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121028/1","type":"function","doc":"OEIS Sequence A121028 - Multiples of 8 containing an 8 in their decimal representation. From OEIS A121028: Multiples of 8 containing an 8 in their decimal representation. (Formerly ) Sequence IDs: :a121028 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121028) |&gt; Sequence.take!(51) [8,48,80,88,128,168,184,208,248,280,288,328,368,384,408,448,480,488,528,568,584,608,648,680,688,728,768,784,800,808,816,824,832,840,848,856,864,872,880,888,896,928,968,984,1008,1048,1080,1088,1128,1168,1184]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121029/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121029/1","type":"function","doc":"OEIS Sequence A121029 - Multiples of 9 containing a 9 in their decimal representation. From OEIS A121029: Multiples of 9 containing a 9 in their decimal representation. (Formerly ) Sequence IDs: :a121029 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121029) |&gt; Sequence.take!(48) [9,90,99,189,198,279,297,369,396,459,495,549,594,639,693,729,792,819,891,900,909,918,927,936,945,954,963,972,981,990,999,1089,1098,1179,1197,1269,1296,1359,1395,1449,1494,1539,1593,1629,1692,1719,1791,1809]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121030/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121030/1","type":"function","doc":"OEIS Sequence A121030 - Multiples of 10 containing a 10 in their decimal representation. From OEIS A121030: Multiples of 10 containing a 10 in their decimal representation. (Formerly ) Sequence IDs: :a121030 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121030) |&gt; Sequence.take!(44) [10,100,110,210,310,410,510,610,710,810,910,1000,1010,1020,1030,1040,1050,1060,1070,1080,1090,1100,1110,1210,1310,1410,1510,1610,1710,1810,1910,2010,2100,2110,2210,2310,2410,2510,2610,2710,2810,2910,3010,3100]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121031/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121031/1","type":"function","doc":"OEIS Sequence A121031 - Multiples of 11 containing an 11 in their decimal representation. From OEIS A121031: Multiples of 11 containing an 11 in their decimal representation. (Formerly ) Sequence IDs: :a121031 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121031) |&gt; Sequence.take!(39) [11,110,1100,1111,1122,1133,1144,1155,1166,1177,1188,1199,2112,2211,3113,3311,4114,4411,5115,5511,6116,6611,7117,7711,8118,8811,9119,9911,11000,11011,11022,11033,11044,11055,11066,11077,11088,11099,11110]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121032/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121032/1","type":"function","doc":"OEIS Sequence A121032 - Multiples of 12 containing a 12 in their decimal representation. From OEIS A121032: Multiples of 12 containing a 12 in their decimal representation. (Formerly ) Sequence IDs: :a121032 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121032) |&gt; Sequence.take!(43) [12,120,312,612,912,1128,1200,1212,1224,1236,1248,1260,1272,1284,1296,1512,1812,2112,2124,2412,2712,3012,3120,3312,3612,3912,4128,4212,4512,4812,5112,5124,5412,5712,6012,6120,6312,6612,6912,7128,7212,7512,7812]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121033/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121033/1","type":"function","doc":"OEIS Sequence A121033 - Multiples of 13 containing a 13 in their decimal representation. From OEIS A121033: Multiples of 13 containing a 13 in their decimal representation. (Formerly ) Sequence IDs: :a121033 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121033) |&gt; Sequence.take!(38) [13,130,1131,1300,1313,1326,1339,1352,1365,1378,1391,2132,2613,3133,3913,4134,5135,5213,6136,6513,7137,7813,8138,9113,9139,10413,11310,11323,11336,11349,11362,11375,11388,11713,13000,13013,13026,13039]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121034/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121034/1","type":"function","doc":"OEIS Sequence A121034 - Multiples of 14 containing a 14 in their decimal representation. From OEIS A121034: Multiples of 14 containing a 14 in their decimal representation. (Formerly ) Sequence IDs: :a121034 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121034) |&gt; Sequence.take!(40) [14,140,714,1148,1400,1414,1428,1442,1456,1470,1484,1498,2114,2142,2814,3514,4144,4214,4914,5614,6146,6314,7014,7140,7714,8148,8414,9114,9142,9814,10514,11144,11214,11410,11424,11438,11452,11466,11480,11494]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121035/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121035/1","type":"function","doc":"OEIS Sequence A121035 - Multiples of 15 containing a 15 in their decimal representation. From OEIS A121035: Multiples of 15 containing a 15 in their decimal representation. (Formerly ) Sequence IDs: :a121035 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121035) |&gt; Sequence.take!(43) [15,150,315,615,915,1155,1215,1500,1515,1530,1545,1560,1575,1590,1815,2115,2415,2715,3015,3150,3315,3615,3915,4155,4215,4515,4815,5115,5415,5715,6015,6150,6315,6615,6915,7155,7215,7515,7815,8115,8415,8715,9015]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121036/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121036/1","type":"function","doc":"OEIS Sequence A121036 - Multiples of 16 containing a 16 in their decimal representation. From OEIS A121036: Multiples of 16 containing a 16 in their decimal representation. (Formerly ) Sequence IDs: :a121036 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121036) |&gt; Sequence.take!(42) [16,160,416,816,1168,1216,1600,1616,1632,1648,1664,1680,1696,2016,2160,2416,2816,3168,3216,3616,4016,4160,4416,4816,5168,5216,5616,6016,6160,6416,6816,7168,7216,7616,8016,8160,8416,8816,9168,9216,9616,10016]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121037/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121037/1","type":"function","doc":"OEIS Sequence A121037 - Multiples of 17 containing a 17 in their decimal representation. From OEIS A121037: Multiples of 17 containing a 17 in their decimal representation. (Formerly ) Sequence IDs: :a121037 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121037) |&gt; Sequence.take!(37) [17,170,1173,1700,1717,1734,1751,1768,1785,2176,3179,3417,5117,6171,6817,7174,8177,8517,10217,11713,11730,11747,11764,11781,11798,11917,12172,13175,13617,14178,15317,17000,17017,17034,17051,17068,17085]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121038/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121038/1","type":"function","doc":"OEIS Sequence A121038 - Multiples of 18 containing a 18 in their decimal representation. From OEIS A121038: Multiples of 18 containing a 18 in their decimal representation. (Formerly ) Sequence IDs: :a121038 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121038) |&gt; Sequence.take!(39) [18,180,918,1188,1800,1818,1836,1854,1872,1890,2718,3186,3618,4518,5184,5418,6318,7182,7218,8118,9018,9180,9918,10188,10818,11718,11808,11826,11844,11862,11880,11898,12186,12618,13518,14184,14418,15318,16182]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121039/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121039/1","type":"function","doc":"OEIS Sequence A121039 - Multiples of 19 containing a 19 in their decimal representation. From OEIS A121039: Multiples of 19 containing a 19 in their decimal representation. (Formerly ) Sequence IDs: :a121039 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121039) |&gt; Sequence.take!(37) [19,190,1197,1900,1919,1938,1957,1976,1995,3192,3819,4199,5719,6194,7619,9196,9519,11191,11419,11913,11932,11951,11970,11989,12198,13319,14193,15219,17119,17195,19000,19019,19038,19057,19076,19095,19114]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a121040/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a121040/1","type":"function","doc":"OEIS Sequence A121040 - Multiples of 20 containing a 20 in their decimal representation. From OEIS A121040: Multiples of 20 containing a 20 in their decimal representation. (Formerly ) Sequence IDs: :a121040 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a121040) |&gt; Sequence.take!(44) [20,120,200,220,320,420,520,620,720,820,920,1020,1120,1200,1220,1320,1420,1520,1620,1720,1820,1920,2000,2020,2040,2060,2080,2120,2200,2220,2320,2420,2520,2620,2720,2820,2920,3020,3120,3200,3220,3320,3420,3520]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a135628/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a135628/1","type":"function","doc":"OEIS Sequence A135628 - Multiples of 28. From OEIS A135628: Multiples of 28. (Formerly ) Sequence IDs: :a135628 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a135628) |&gt; Sequence.take!(50) [0,28,56,84,112,140,168,196,224,252,280,308,336,364,392,420,448,476,504,532,560,588,616,644,672,700,728,756,784,812,840,868,896,924,952,980,1008,1036,1064,1092,1120,1148,1176,1204,1232,1260,1288,1316,1344,1372]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a135631/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a135631/1","type":"function","doc":"OEIS Sequence A135631 - Multiples of 31. From OEIS A135631: Multiples of 31. (Formerly ) Sequence IDs: :a135631 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a135631) |&gt; Sequence.take!(49) [0,31,62,93,124,155,186,217,248,279,310,341,372,403,434,465,496,527,558,589,620,651,682,713,744,775,806,837,868,899,930,961,992,1023,1054,1085,1116,1147,1178,1209,1240,1271,1302,1333,1364,1395,1426,1457,1488]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a138591/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a138591/1","type":"function","doc":"OEIS Sequence A138591 - Sums of two or more consecutive nonnegative integers. From OEIS A138591: Sums of two or more consecutive nonnegative integers. (Formerly ) Sequence IDs: :a138591 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a138591) |&gt; Sequence.take!(71) [1,3,5,6,7,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,65,66,67,68,69,70,71,72,73,74,75,76,77]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a152691/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a152691/1","type":"function","doc":"OEIS Sequence A152691 - Multiples of 64. From OEIS A152691: Multiples of 64. (Formerly ) Sequence IDs: :a152691 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a152691) |&gt; Sequence.take!(46) [0,64,128,192,256,320,384,448,512,576,640,704,768,832,896,960,1024,1088,1152,1216,1280,1344,1408,1472,1536,1600,1664,1728,1792,1856,1920,1984,2048,2112,2176,2240,2304,2368,2432,2496,2560,2624,2688,2752,2816,2880]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a169823/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a169823/1","type":"function","doc":"OEIS Sequence A169823 - Multiples of 60. From OEIS A169823: Multiples of 60. (Formerly ) Sequence IDs: :a169823 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a169823) |&gt; Sequence.take!(46) [0,60,120,180,240,300,360,420,480,540,600,660,720,780,840,900,960,1020,1080,1140,1200,1260,1320,1380,1440,1500,1560,1620,1680,1740,1800,1860,1920,1980,2040,2100,2160,2220,2280,2340,2400,2460,2520,2580,2640,2700]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a169825/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a169825/1","type":"function","doc":"OEIS Sequence A169825 - Multiples of 420. From OEIS A169825: Multiples of 420. (Formerly ) Sequence IDs: :a169825 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a169825) |&gt; Sequence.take!(41) [0,420,840,1260,1680,2100,2520,2940,3360,3780,4200,4620,5040,5460,5880,6300,6720,7140,7560,7980,8400,8820,9240,9660,10080,10500,10920,11340,11760,12180,12600,13020,13440,13860,14280,14700,15120,15540,15960,16380,16800]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a169827/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a169827/1","type":"function","doc":"OEIS Sequence A169827 - Multiples of 840. From OEIS A169827: Multiples of 840. (Formerly ) Sequence IDs: :a169827 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a169827) |&gt; Sequence.take!(39) [0,840,1680,2520,3360,4200,5040,5880,6720,7560,8400,9240,10080,10920,11760,12600,13440,14280,15120,15960,16800,17640,18480,19320,20160,21000,21840,22680,23520,24360,25200,26040,26880,27720,28560,29400,30240,31080,31920]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a174312/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a174312/1","type":"function","doc":"OEIS Sequence A174312 - 32*n. From OEIS A174312: 32*n. (Formerly ) Sequence IDs: :a174312 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a174312) |&gt; Sequence.take!(51) [0,32,64,96,128,160,192,224,256,288,320,352,384,416,448,480,512,544,576,608,640,672,704,736,768,800,832,864,896,928,960,992,1024,1056,1088,1120,1152,1184,1216,1248,1280,1312,1344,1376,1408,1440,1472,1504,1536,1568,1600]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a194472/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a194472/1","type":"function","doc":"OEIS Sequence A194472 - Erdős-Nicolas numbers. From OEIS A194472: Erdős-Nicolas numbers. (Formerly ) Sequence IDs: :a194472 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a194472) |&gt; Sequence.take!(5) [24,2016,8190,42336,45864]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a195819/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a195819/1","type":"function","doc":"OEIS Sequence A195819 - Multiples of 29. From OEIS A195819: Multiples of 29. (Formerly ) Sequence IDs: :a195819 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a195819) |&gt; Sequence.take!(47) [0,29,58,87,116,145,174,203,232,261,290,319,348,377,406,435,464,493,522,551,580,609,638,667,696,725,754,783,812,841,870,899,928,957,986,1015,1044,1073,1102,1131,1160,1189,1218,1247,1276,1305,1334]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a249674/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a249674/1","type":"function","doc":"OEIS Sequence A249674 - a(n) = 30*n. From OEIS A249674: a(n) = 30*n. (Formerly ) Sequence IDs: :a249674 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a249674) |&gt; Sequence.take!(49) [0,30,60,90,120,150,180,210,240,270,300,330,360,390,420,450,480,510,540,570,600,630,660,690,720,750,780,810,840,870,900,930,960,990,1020,1050,1080,1110,1140,1170,1200,1230,1260,1290,1320,1350,1380,1410,1440]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a252994/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a252994/1","type":"function","doc":"OEIS Sequence A252994 - Multiples of 26. From OEIS A252994: Multiples of 26. (Formerly ) Sequence IDs: :a252994 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a252994) |&gt; Sequence.take!(54) [0,26,52,78,104,130,156,182,208,234,260,286,312,338,364,390,416,442,468,494,520,546,572,598,624,650,676,702,728,754,780,806,832,858,884,910,936,962,988,1014,1040,1066,1092,1118,1144,1170,1196,1222,1248,1274,1300,1326,1352,1378]"},{"ref":"Chunky.Sequence.OEIS.Multiples.html#create_sequence_a305548/1","title":"Chunky.Sequence.OEIS.Multiples.create_sequence_a305548/1","type":"function","doc":"OEIS Sequence A305548 - a(n) = 27*n. From OEIS A305548: a(n) = 27*n. (Formerly ) Sequence IDs: :a305548 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Multiples, :a305548) |&gt; Sequence.take!(57) [0,27,54,81,108,135,162,189,216,243,270,297,324,351,378,405,432,459,486,513,540,567,594,621,648,675,702,729,756,783,810,837,864,891,918,945,972,999,1026,1053,1080,1107,1134,1161,1188,1215,1242,1269,1296,1323,1350,1377,1404,1431,1458,1485,1512]"},{"ref":"Chunky.Sequence.OEIS.Powers.html","title":"Chunky.Sequence.OEIS.Powers","type":"module","doc":"Sequences from the Online Encyclopedia of Integer Sequences dealing with powers and simple polynomials. Available Sequences Powers of specific integers create_sequence_a000351/1 - A000351 - Powers of 5: a(n) = 5^n. create_sequence_a000400/1 - A000400 - Powers of 6: a(n) = 6^n. create_sequence_a000420/1 - A000420 - Powers of 7: a(n) = 7^n. create_sequence_a001018/1 - A001018 - Powers of 8: a(n) = 8^n. create_sequence_a001019/1 - A001019 - Powers of 9: a(n) = 9^n. create_sequence_a011557/1 - A011557 - Powers of 10: a(n) = 10^n. create_sequence_a001020/1 - A001020 - Powers of 11: a(n) = 11^n. create_sequence_a001021/1 - A001021 - Powers of 12. create_sequence_a001022/1 - A001022 - Powers of 13. create_sequence_a001023/1 - A001023 - Powers of 14. create_sequence_a001024/1 - A001024 - Powers of 15. create_sequence_a001025/1 - A001025 - Powers of 16: a(n) = 16^n. create_sequence_a001026/1 - A001026 - Powers of 17. create_sequence_a001027/1 - A001027 - Powers of 18. create_sequence_a001029/1 - A001029 - Powers of 19. create_sequence_a009964/1 - A009964 - Powers of 20. create_sequence_a009965/1 - A009965 - Powers of 21. create_sequence_a009966/1 - A009966 - Powers of 22. create_sequence_a009967/1 - A009967 - Powers of 23. create_sequence_a009968/1 - A009968 - Powers of 24: a(n) = 24^n. create_sequence_a009969/1 - A009969 - Powers of 25. create_sequence_a009970/1 - A009970 - Powers of 26. create_sequence_a009971/1 - A009971 - Powers of 27. create_sequence_a009972/1 - A009972 - Powers of 28. create_sequence_a009973/1 - A009973 - Powers of 29. create_sequence_a009974/1 - A009974 - Powers of 30. create_sequence_a009975/1 - A009975 - Powers of 31. create_sequence_a009976/1 - A009976 - Powers of 32. create_sequence_a009977/1 - A009977 - Powers of 33. create_sequence_a009978/1 - A009978 - Powers of 34. create_sequence_a009979/1 - A009979 - Powers of 35. create_sequence_a009980/1 - A009980 - Powers of 36. create_sequence_a009981/1 - A009981 - Powers of 37. create_sequence_a009982/1 - A009982 - Powers of 38. create_sequence_a009983/1 - A009983 - Powers of 39. create_sequence_a009984/1 - A009984 - Powers of 40. create_sequence_a009985/1 - A009985 - Powers of 41. create_sequence_a009986/1 - A009986 - Powers of 42. create_sequence_a009987/1 - A009987 - Powers of 43. create_sequence_a009988/1 - A009988 - Powers of 44. create_sequence_a009989/1 - A009989 - Powers of 45. create_sequence_a009990/1 - A009990 - Powers of 46. create_sequence_a009991/1 - A009991 - Powers of 47. create_sequence_a009992/1 - A009992 - Powers of 48: a(n) = 48^n. create_sequence_a087752/1 - A087752 - Powers of 49. create_sequence_a159991/1 - A159991 - Powers of 60. Variations of powers of 2 create_sequence_a000051/1 - A000051 - a(n) = 2^n + 1. create_sequence_a057716/1 - A057716 - The non-powers of 2."},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a000051/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a000051/1","type":"function","doc":"OEIS Sequence A000051 - a(n) = 2^n + 1. From OEIS A000051: a(n) = 2^n + 1. (Formerly M0717 N0266) Sequence IDs: :a000051 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a000051) |&gt; Sequence.take!(32) [2,3,5,9,17,33,65,129,257,513,1025,2049,4097,8193,16385,32769,65537,131073,262145,524289,1048577,2097153,4194305,8388609,16777217,33554433,67108865,134217729,268435457,536870913,1073741825,2147483649]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a000351/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a000351/1","type":"function","doc":"OEIS Sequence A000351 - Powers of 5: a(n) = 5^n. From OEIS A000351: Powers of 5: a(n) = 5^n. (Formerly M3937 N1620) Sequence IDs: :a000351 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a000351) |&gt; Sequence.take!(24) [1,5,25,125,625,3125,15625,78125,390625,1953125,9765625,48828125,244140625,1220703125,6103515625,30517578125,152587890625,762939453125,3814697265625,19073486328125,95367431640625,476837158203125,2384185791015625,11920928955078125]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a000400/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a000400/1","type":"function","doc":"OEIS Sequence A000400 - Powers of 6: a(n) = 6^n. From OEIS A000400: Powers of 6: a(n) = 6^n. (Formerly M4224 N1765) Sequence IDs: :a000400 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a000400) |&gt; Sequence.take!(23) [1,6,36,216,1296,7776,46656,279936,1679616,10077696,60466176,362797056,2176782336,13060694016,78364164096,470184984576,2821109907456,16926659444736,101559956668416,609359740010496,3656158440062976,21936950640377856,131621703842267136]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a000420/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a000420/1","type":"function","doc":"OEIS Sequence A000420 - Powers of 7: a(n) = 7^n. From OEIS A000420: Powers of 7: a(n) = 7^n. (Formerly M4431 N1874) Sequence IDs: :a000420 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a000420) |&gt; Sequence.take!(22) [1,7,49,343,2401,16807,117649,823543,5764801,40353607,282475249,1977326743,13841287201,96889010407,678223072849,4747561509943,33232930569601,232630513987207,1628413597910449,11398895185373143,79792266297612001,558545864083284007]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001018/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001018/1","type":"function","doc":"OEIS Sequence A001018 - Powers of 8: a(n) = 8^n. From OEIS A001018: Powers of 8: a(n) = 8^n. (Formerly M4555 N1937) Sequence IDs: :a001018 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001018) |&gt; Sequence.take!(25) [1,8,64,512,4096,32768,262144,2097152,16777216,134217728,1073741824,8589934592,68719476736,549755813888,4398046511104,35184372088832,281474976710656,2251799813685248,18014398509481984,144115188075855872,1152921504606846976,9223372036854775808,73786976294838206464,590295810358705651712,4722366482869645213696]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001019/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001019/1","type":"function","doc":"OEIS Sequence A001019 - Powers of 9: a(n) = 9^n. From OEIS A001019: Powers of 9: a(n) = 9^n. (Formerly M4653 N1992) Sequence IDs: :a001019 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001019) |&gt; Sequence.take!(20) [1,9,81,729,6561,59049,531441,4782969,43046721,387420489,3486784401,31381059609,282429536481,2541865828329,22876792454961,205891132094649,1853020188851841,16677181699666569,150094635296999121,1350851717672992089]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001020/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001020/1","type":"function","doc":"OEIS Sequence A001020 - Powers of 11: a(n) = 11^n. From OEIS A001020: Powers of 11: a(n) = 11^n. (Formerly M4807 N2054) Sequence IDs: :a001020 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001020) |&gt; Sequence.take!(20) [1,11,121,1331,14641,161051,1771561,19487171,214358881,2357947691,25937424601,285311670611,3138428376721,34522712143931,379749833583241,4177248169415651,45949729863572161,505447028499293771,5559917313492231481,61159090448414546291]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001021/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001021/1","type":"function","doc":"OEIS Sequence A001021 - Powers of 12. From OEIS A001021: Powers of 12. (Formerly M4869 N2084) Sequence IDs: :a001021 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001021) |&gt; Sequence.take!(18) [1,12,144,1728,20736,248832,2985984,35831808,429981696,5159780352,61917364224,743008370688,8916100448256,106993205379072,1283918464548864,15407021574586368,184884258895036416,2218611106740436992]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001022/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001022/1","type":"function","doc":"OEIS Sequence A001022 - Powers of 13. From OEIS A001022: Powers of 13. (Formerly M4914 N2107) Sequence IDs: :a001022 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001022) |&gt; Sequence.take!(21) [1,13,169,2197,28561,371293,4826809,62748517,815730721,10604499373,137858491849,1792160394037,23298085122481,302875106592253,3937376385699289,51185893014090757,665416609183179841,8650415919381337933,112455406951957393129,1461920290375446110677,19004963774880799438801]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001023/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001023/1","type":"function","doc":"OEIS Sequence A001023 - Powers of 14. From OEIS A001023: Powers of 14. (Formerly M4949 N2120) Sequence IDs: :a001023 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001023) |&gt; Sequence.take!(21) [1,14,196,2744,38416,537824,7529536,105413504,1475789056,20661046784,289254654976,4049565169664,56693912375296,793714773254144,11112006825558016,155568095557812224,2177953337809371136,30491346729331195904,426878854210636742656,5976303958948914397184,83668255425284801560576]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001024/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001024/1","type":"function","doc":"OEIS Sequence A001024 - Powers of 15. From OEIS A001024: Powers of 15. (Formerly M4990 N2147) Sequence IDs: :a001024 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001024) |&gt; Sequence.take!(21) [1,15,225,3375,50625,759375,11390625,170859375,2562890625,38443359375,576650390625,8649755859375,129746337890625,1946195068359375,29192926025390625,437893890380859375,6568408355712890625,98526125335693359375,1477891880035400390625,22168378200531005859375,332525673007965087890625]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001025/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001025/1","type":"function","doc":"OEIS Sequence A001025 - Powers of 16: a(n) = 16^n. From OEIS A001025: Powers of 16: a(n) = 16^n. (Formerly M5021 N2164) Sequence IDs: :a001025 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001025) |&gt; Sequence.take!(21) [1,16,256,4096,65536,1048576,16777216,268435456,4294967296,68719476736,1099511627776,17592186044416,281474976710656,4503599627370496,72057594037927936,1152921504606846976,18446744073709551616,295147905179352825856,4722366482869645213696,75557863725914323419136,1208925819614629174706176]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001026/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001026/1","type":"function","doc":"OEIS Sequence A001026 - Powers of 17. From OEIS A001026: Powers of 17. (Formerly M5048 N2182) Sequence IDs: :a001026 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001026) |&gt; Sequence.take!(21) [1,17,289,4913,83521,1419857,24137569,410338673,6975757441,118587876497,2015993900449,34271896307633,582622237229761,9904578032905937,168377826559400929,2862423051509815793,48661191875666868481,827240261886336764177,14063084452067724991009,239072435685151324847153,4064231406647572522401601]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001027/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001027/1","type":"function","doc":"OEIS Sequence A001027 - Powers of 18. From OEIS A001027: Powers of 18. (Formerly M5062 N2192) Sequence IDs: :a001027 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001027) |&gt; Sequence.take!(21) [1,18,324,5832,104976,1889568,34012224,612220032,11019960576,198359290368,3570467226624,64268410079232,1156831381426176,20822964865671168,374813367582081024,6746640616477458432,121439531096594251776,2185911559738696531968,39346408075296537575424,708235345355337676357632,12748236216396078174437376]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a001029/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a001029/1","type":"function","doc":"OEIS Sequence A001029 - Powers of 19. From OEIS A001029: Powers of 19. (Formerly M5079 N2198) Sequence IDs: :a001029 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a001029) |&gt; Sequence.take!(21) [1,19,361,6859,130321,2476099,47045881,893871739,16983563041,322687697779,6131066257801,116490258898219,2213314919066161,42052983462257059,799006685782884121,15181127029874798299,288441413567621167681,5480386857784802185939,104127350297911241532841,1978419655660313589123979,37589973457545958193355601]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009964/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009964/1","type":"function","doc":"OEIS Sequence A009964 - Powers of 20. From OEIS A009964: Powers of 20. (Formerly ) Sequence IDs: :a009964 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009964) |&gt; Sequence.take!(16) [1,20,400,8000,160000,3200000,64000000,1280000000,25600000000,512000000000,10240000000000,204800000000000,4096000000000000,81920000000000000,1638400000000000000,32768000000000000000]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009965/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009965/1","type":"function","doc":"OEIS Sequence A009965 - Powers of 21. From OEIS A009965: Powers of 21. (Formerly ) Sequence IDs: :a009965 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009965) |&gt; Sequence.take!(21) [1,21,441,9261,194481,4084101,85766121,1801088541,37822859361,794280046581,16679880978201,350277500542221,7355827511386641,154472377739119461,3243919932521508681,68122318582951682301,1430568690241985328321,30041942495081691894741,630880792396715529789561,13248496640331026125580781,278218429446951548637196401]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009966/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009966/1","type":"function","doc":"OEIS Sequence A009966 - Powers of 22. From OEIS A009966: Powers of 22. (Formerly ) Sequence IDs: :a009966 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009966) |&gt; Sequence.take!(21) [1,22,484,10648,234256,5153632,113379904,2494357888,54875873536,1207269217792,26559922791424,584318301411328,12855002631049216,282810057883082752,6221821273427820544,136880068015412051968,3011361496339065143296,66249952919459433152512,1457498964228107529355264,32064977213018365645815808,705429498686404044207947776]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009967/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009967/1","type":"function","doc":"OEIS Sequence A009967 - Powers of 23. From OEIS A009967: Powers of 23. (Formerly ) Sequence IDs: :a009967 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009967) |&gt; Sequence.take!(21) [1,23,529,12167,279841,6436343,148035889,3404825447,78310985281,1801152661463,41426511213649,952809757913927,21914624432020321,504036361936467383,11592836324538749809,266635235464391245607,6132610415680998648961,141050039560662968926103,3244150909895248285300369,74615470927590710561908487,1716155831334586342923895201]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009968/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009968/1","type":"function","doc":"OEIS Sequence A009968 - Powers of 24: a(n) = 24^n. From OEIS A009968: Powers of 24: a(n) = 24^n. (Formerly ) Sequence IDs: :a009968 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009968) |&gt; Sequence.take!(21) [1,24,576,13824,331776,7962624,191102976,4586471424,110075314176,2641807540224,63403380965376,1521681143169024,36520347436056576,876488338465357824,21035720123168587776,504857282956046106624,12116574790945106558976,290797794982682557415424,6979147079584381377970176,167499529910025153071284224,4019988717840603673710821376]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009969/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009969/1","type":"function","doc":"OEIS Sequence A009969 - Powers of 25. From OEIS A009969: Powers of 25. (Formerly ) Sequence IDs: :a009969 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009969) |&gt; Sequence.take!(21) [1,25,625,15625,390625,9765625,244140625,6103515625,152587890625,3814697265625,95367431640625,2384185791015625,59604644775390625,1490116119384765625,37252902984619140625,931322574615478515625,23283064365386962890625,582076609134674072265625,14551915228366851806640625,363797880709171295166015625,9094947017729282379150390625]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009970/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009970/1","type":"function","doc":"OEIS Sequence A009970 - Powers of 26. From OEIS A009970: Powers of 26. (Formerly ) Sequence IDs: :a009970 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009970) |&gt; Sequence.take!(21) [1,26,676,17576,456976,11881376,308915776,8031810176,208827064576,5429503678976,141167095653376,3670344486987776,95428956661682176,2481152873203736576,64509974703297150976,1677259342285725925376,43608742899428874059776,1133827315385150725554176,29479510200013918864408576,766467265200361890474622976,19928148895209409152340197376]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009971/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009971/1","type":"function","doc":"OEIS Sequence A009971 - Powers of 27. From OEIS A009971: Powers of 27. (Formerly ) Sequence IDs: :a009971 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009971) |&gt; Sequence.take!(16) [1,27,729,19683,531441,14348907,387420489,10460353203,282429536481,7625597484987,205891132094649,5559060566555523,150094635296999121,4052555153018976267,109418989131512359209,2954312706550833698643]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009972/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009972/1","type":"function","doc":"OEIS Sequence A009972 - Powers of 28. From OEIS A009972: Powers of 28. (Formerly ) Sequence IDs: :a009972 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009972) |&gt; Sequence.take!(16) [1,28,784,21952,614656,17210368,481890304,13492928512,377801998336,10578455953408,296196766695424,8293509467471872,232218265089212416,6502111422497947648,182059119829942534144,5097655355238390956032]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009973/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009973/1","type":"function","doc":"OEIS Sequence A009973 - Powers of 29. From OEIS A009973: Powers of 29. (Formerly ) Sequence IDs: :a009973 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009973) |&gt; Sequence.take!(16) [1,29,841,24389,707281,20511149,594823321,17249876309,500246412961,14507145975869,420707233300201,12200509765705829,353814783205469041,10260628712958602189,297558232675799463481,8629188747598184440949]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009974/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009974/1","type":"function","doc":"OEIS Sequence A009974 - Powers of 30. From OEIS A009974: Powers of 30. (Formerly ) Sequence IDs: :a009974 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009974) |&gt; Sequence.take!(16) [1,30,900,27000,810000,24300000,729000000,21870000000,656100000000,19683000000000,590490000000000,17714700000000000,531441000000000000,15943230000000000000,478296900000000000000,14348907000000000000000]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009975/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009975/1","type":"function","doc":"OEIS Sequence A009975 - Powers of 31. From OEIS A009975: Powers of 31. (Formerly ) Sequence IDs: :a009975 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009975) |&gt; Sequence.take!(16) [1,31,961,29791,923521,28629151,887503681,27512614111,852891037441,26439622160671,819628286980801,25408476896404831,787662783788549761,24417546297445042591,756943935220796320321,23465261991844685929951]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009976/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009976/1","type":"function","doc":"OEIS Sequence A009976 - Powers of 32. From OEIS A009976: Powers of 32. (Formerly ) Sequence IDs: :a009976 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009976) |&gt; Sequence.take!(15) [1,32,1024,32768,1048576,33554432,1073741824,34359738368,1099511627776,35184372088832,1125899906842624,36028797018963968,1152921504606846976,36893488147419103232,1180591620717411303424]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009977/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009977/1","type":"function","doc":"OEIS Sequence A009977 - Powers of 33. From OEIS A009977: Powers of 33. (Formerly ) Sequence IDs: :a009977 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009977) |&gt; Sequence.take!(15) [1,33,1089,35937,1185921,39135393,1291467969,42618442977,1406408618241,46411484401953,1531578985264449,50542106513726817,1667889514952984961,55040353993448503713,1816331681783800622529]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009978/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009978/1","type":"function","doc":"OEIS Sequence A009978 - Powers of 34. From OEIS A009978: Powers of 34. (Formerly ) Sequence IDs: :a009978 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009978) |&gt; Sequence.take!(15) [1,34,1156,39304,1336336,45435424,1544804416,52523350144,1785793904896,60716992766464,2064377754059776,70188843638032384,2386420683693101056,81138303245565435904,2758702310349224820736]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009979/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009979/1","type":"function","doc":"OEIS Sequence A009979 - Powers of 35. From OEIS A009979: Powers of 35. (Formerly ) Sequence IDs: :a009979 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009979) |&gt; Sequence.take!(15) [1,35,1225,42875,1500625,52521875,1838265625,64339296875,2251875390625,78815638671875,2758547353515625,96549157373046875,3379220508056640625,118272717781982421875,4139545122369384765625]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009980/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009980/1","type":"function","doc":"OEIS Sequence A009980 - Powers of 36. From OEIS A009980: Powers of 36. (Formerly ) Sequence IDs: :a009980 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009980) |&gt; Sequence.take!(15) [1,36,1296,46656,1679616,60466176,2176782336,78364164096,2821109907456,101559956668416,3656158440062976,131621703842267136,4738381338321616896,170581728179578208256,6140942214464815497216]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009981/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009981/1","type":"function","doc":"OEIS Sequence A009981 - Powers of 37. From OEIS A009981: Powers of 37. (Formerly ) Sequence IDs: :a009981 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009981) |&gt; Sequence.take!(15) [1,37,1369,50653,1874161,69343957,2565726409,94931877133,3512479453921,129961739795077,4808584372417849,177917621779460413,6582952005840035281,243569224216081305397,9012061295995008299689]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009982/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009982/1","type":"function","doc":"OEIS Sequence A009982 - Powers of 38. From OEIS A009982: Powers of 38. (Formerly ) Sequence IDs: :a009982 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009982) |&gt; Sequence.take!(16) [1,38,1444,54872,2085136,79235168,3010936384,114415582592,4347792138496,165216101262848,6278211847988224,238572050223552512,9065737908494995456,344498040522809827328,13090925539866773438464,497455170514937390661632]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009983/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009983/1","type":"function","doc":"OEIS Sequence A009983 - Powers of 39. From OEIS A009983: Powers of 39. (Formerly ) Sequence IDs: :a009983 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009983) |&gt; Sequence.take!(15) [1,39,1521,59319,2313441,90224199,3518743761,137231006679,5352009260481,208728361158759,8140406085191601,317475837322472439,12381557655576425121,482880748567480579719,18832349194131742609041]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009984/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009984/1","type":"function","doc":"OEIS Sequence A009984 - Powers of 40. From OEIS A009984: Powers of 40. (Formerly ) Sequence IDs: :a009984 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009984) |&gt; Sequence.take!(15) [1,40,1600,64000,2560000,102400000,4096000000,163840000000,6553600000000,262144000000000,10485760000000000,419430400000000000,16777216000000000000,671088640000000000000,26843545600000000000000]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009985/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009985/1","type":"function","doc":"OEIS Sequence A009985 - Powers of 41. From OEIS A009985: Powers of 41. (Formerly ) Sequence IDs: :a009985 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009985) |&gt; Sequence.take!(15) [1,41,1681,68921,2825761,115856201,4750104241,194754273881,7984925229121,327381934393961,13422659310152401,550329031716248441,22563490300366186081,925103102315013629321,37929227194915558802161]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009986/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009986/1","type":"function","doc":"OEIS Sequence A009986 - Powers of 42. From OEIS A009986: Powers of 42. (Formerly ) Sequence IDs: :a009986 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009986) |&gt; Sequence.take!(15) [1,42,1764,74088,3111696,130691232,5489031744,230539333248,9682651996416,406671383849472,17080198121677824,717368321110468608,30129469486639681536,1265437718438866624512,53148384174432398229504]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009987/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009987/1","type":"function","doc":"OEIS Sequence A009987 - Powers of 43. From OEIS A009987: Powers of 43. (Formerly ) Sequence IDs: :a009987 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009987) |&gt; Sequence.take!(15) [1,43,1849,79507,3418801,147008443,6321363049,271818611107,11688200277601,502592611936843,21611482313284249,929293739471222707,39959630797262576401,1718264124282290785243,73885357344138503765449]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009988/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009988/1","type":"function","doc":"OEIS Sequence A009988 - Powers of 44. From OEIS A009988: Powers of 44. (Formerly ) Sequence IDs: :a009988 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009988) |&gt; Sequence.take!(15) [1,44,1936,85184,3748096,164916224,7256313856,319277809664,14048223625216,618121839509504,27197360938418176,1196683881290399744,52654090776777588736,2316779994178213904384,101938319743841411792896]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009989/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009989/1","type":"function","doc":"OEIS Sequence A009989 - Powers of 45. From OEIS A009989: Powers of 45. (Formerly ) Sequence IDs: :a009989 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009989) |&gt; Sequence.take!(15) [1,45,2025,91125,4100625,184528125,8303765625,373669453125,16815125390625,756680642578125,34050628916015625,1532278301220703125,68952523554931640625,3102863559971923828125,139628860198736572265625]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009990/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009990/1","type":"function","doc":"OEIS Sequence A009990 - Powers of 46. From OEIS A009990: Powers of 46. (Formerly ) Sequence IDs: :a009990 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009990) |&gt; Sequence.take!(15) [1,46,2116,97336,4477456,205962976,9474296896,435817657216,20047612231936,922190162669056,42420747482776576,1951354384207722496,89762301673555234816,4129065876983540801536,189937030341242876870656]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009991/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009991/1","type":"function","doc":"OEIS Sequence A009991 - Powers of 47. From OEIS A009991: Powers of 47. (Formerly ) Sequence IDs: :a009991 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009991) |&gt; Sequence.take!(14) [1,47,2209,103823,4879681,229345007,10779215329,506623120463,23811286661761,1119130473102767,52599132235830049,2472159215084012303,116191483108948578241,5460999706120583177327]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a009992/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a009992/1","type":"function","doc":"OEIS Sequence A009992 - Powers of 48: a(n) = 48^n. From OEIS A009992: Powers of 48: a(n) = 48^n. (Formerly ) Sequence IDs: :a009992 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a009992) |&gt; Sequence.take!(16) [1,48,2304,110592,5308416,254803968,12230590464,587068342272,28179280429056,1352605460594688,64925062108545024,3116402981210161152,149587343098087735296,7180192468708211294208,344649238497994142121984,16543163447903718821855232]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a011557/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a011557/1","type":"function","doc":"OEIS Sequence A011557 - Powers of 10: a(n) = 10^n. From OEIS A011557: Powers of 10: a(n) = 10^n. (Formerly ) Sequence IDs: :a011557 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a011557) |&gt; Sequence.take!(19) [1,10,100,1000,10000,100000,1000000,10000000,100000000,1000000000,10000000000,100000000000,1000000000000,10000000000000,100000000000000,1000000000000000,10000000000000000,100000000000000000,1000000000000000000]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a057716/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a057716/1","type":"function","doc":"OEIS Sequence A057716 - The non-powers of 2. From OEIS A057716: The non-powers of 2. Sequence IDs: :a057716 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a057716) |&gt; Sequence.take!(68) [0,3,5,6,7,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,65,66,67,68,69,70,71,72,73,74]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a087752/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a087752/1","type":"function","doc":"OEIS Sequence A087752 - Powers of 49. From OEIS A087752: Powers of 49. (Formerly ) Sequence IDs: :a087752 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a087752) |&gt; Sequence.take!(15) [1,49,2401,117649,5764801,282475249,13841287201,678223072849,33232930569601,1628413597910449,79792266297612001,3909821048582988049,191581231380566414401,9387480337647754305649,459986536544739960976801]"},{"ref":"Chunky.Sequence.OEIS.Powers.html#create_sequence_a159991/1","title":"Chunky.Sequence.OEIS.Powers.create_sequence_a159991/1","type":"function","doc":"OEIS Sequence A159991 - Powers of 60. From OEIS A159991: Powers of 60. (Formerly ) Sequence IDs: :a159991 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Powers, :a159991) |&gt; Sequence.take!(14) [1,60,3600,216000,12960000,777600000,46656000000,2799360000000,167961600000000,10077696000000000,604661760000000000,36279705600000000000,2176782336000000000000,130606940160000000000000]"},{"ref":"Chunky.Sequence.OEIS.Primes.html","title":"Chunky.Sequence.OEIS.Primes","type":"module","doc":"OEIS Sequences dealing with Primes, Pseudo-primes, and primality. For related sequences, see Chunky.Sequences.OEIS.Factors Available Sequences Pseudoprimes Fermat pseudoprimes to specific bases: create_sequence_a001567/1 - A001567 - Fermat pseudoprimes to base 2, also called Sarrus numbers or Poulet numbers. create_sequence_a005935/1 - A005935 - Pseudoprimes to base 3. create_sequence_a020136/1 - A020136 - Fermat pseudoprimes to base 4. create_sequence_a005936/1 - A005936 - Pseudoprimes to base 5. create_sequence_a005937/1 - A005937 - Pseudoprimes to base 6. create_sequence_a005938/1 - A005938 - Pseudoprimes to base 7. create_sequence_a020137/1 - A020137 - Pseudoprimes to base 8. create_sequence_a020138/1 - A020138 - Pseudoprimes to base 9. create_sequence_a005939/1 - A005939 - Pseudoprimes to base 10. create_sequence_a020139/1 - A020139 - Pseudoprimes to base 11. create_sequence_a020140/1 - A020140 - Pseudoprimes to base 12. create_sequence_a020141/1 - A020141 - Pseudoprimes to base 13. create_sequence_a020142/1 - A020142 - Pseudoprimes to base 14. create_sequence_a020143/1 - A020143 - Pseudoprimes to base 15. create_sequence_a020144/1 - A020144 - Pseudoprimes to base 16. create_sequence_a020145/1 - A020145 - Pseudoprimes to base 17. create_sequence_a020146/1 - A020146 - Pseudoprimes to base 18. create_sequence_a020147/1 - A020147 - Pseudoprimes to base 19. create_sequence_a020148/1 - A020148 - Pseudoprimes to base 20. create_sequence_a020149/1 - A020149 - Pseudoprimes to base 21. create_sequence_a020150/1 - A020150 - Pseudoprimes to base 22. create_sequence_a020151/1 - A020151 - Pseudoprimes to base 23. create_sequence_a020152/1 - A020152 - Pseudoprimes to base 24. create_sequence_a020153/1 - A020153 - Pseudoprimes to base 25. create_sequence_a020154/1 - A020154 - Pseudoprimes to base 26. create_sequence_a020155/1 - A020155 - Pseudoprimes to base 27. create_sequence_a020156/1 - A020156 - Pseudoprimes to base 28. create_sequence_a020157/1 - A020157 - Pseudoprimes to base 29. create_sequence_a020158/1 - A020158 - Pseudoprimes to base 30. create_sequence_a020159/1 - A020159 - Pseudoprimes to base 31. create_sequence_a020160/1 - A020160 - Pseudoprimes to base 32. create_sequence_a020161/1 - A020161 - Pseudoprimes to base 33. create_sequence_a020162/1 - A020162 - Pseudoprimes to base 34. create_sequence_a020163/1 - A020163 - Pseudoprimes to base 35. create_sequence_a020164/1 - A020164 - Pseudoprimes to base 36. create_sequence_a020165/1 - A020165 - Pseudoprimes to base 37. create_sequence_a020166/1 - A020166 - Pseudoprimes to base 38. create_sequence_a020167/1 - A020167 - Pseudoprimes to base 39. create_sequence_a020168/1 - A020168 - Pseudoprimes to base 40. create_sequence_a020169/1 - A020169 - Pseudoprimes to base 41. create_sequence_a020170/1 - A020170 - Pseudoprimes to base 42. create_sequence_a020171/1 - A020171 - Pseudoprimes to base 43. create_sequence_a020172/1 - A020172 - Pseudoprimes to base 44. create_sequence_a020173/1 - A020173 - Pseudoprimes to base 45. create_sequence_a020174/1 - A020174 - Pseudoprimes to base 46. create_sequence_a020175/1 - A020175 - Pseudoprimes to base 47. create_sequence_a020176/1 - A020176 - Pseudoprimes to base 48. create_sequence_a020177/1 - A020177 - Pseudoprimes to base 49. create_sequence_a020178/1 - A020178 - Pseudoprimes to base 50. create_sequence_a020179/1 - A020179 - Pseudoprimes to base 51. create_sequence_a020180/1 - A020180 - Pseudoprimes to base 52. create_sequence_a020181/1 - A020181 - Pseudoprimes to base 53. create_sequence_a020182/1 - A020182 - Pseudoprimes to base 54. create_sequence_a020183/1 - A020183 - Pseudoprimes to base 55. create_sequence_a020184/1 - A020184 - Pseudoprimes to base 56. create_sequence_a020185/1 - A020185 - Pseudoprimes to base 57. create_sequence_a020186/1 - A020186 - Pseudoprimes to base 58. create_sequence_a020187/1 - A020187 - Pseudoprimes to base 59. create_sequence_a020188/1 - A020188 - Pseudoprimes to base 60. create_sequence_a020189/1 - A020189 - Pseudoprimes to base 61. create_sequence_a020190/1 - A020190 - Pseudoprimes to base 62. create_sequence_a020191/1 - A020191 - Pseudoprimes to base 63. create_sequence_a020192/1 - A020192 - Pseudoprimes to base 64. create_sequence_a020193/1 - A020193 - Pseudoprimes to base 65. create_sequence_a020194/1 - A020194 - Pseudoprimes to base 66. create_sequence_a020195/1 - A020195 - Pseudoprimes to base 67. create_sequence_a020196/1 - A020196 - Pseudoprimes to base 68. create_sequence_a020197/1 - A020197 - Pseudoprimes to base 69. create_sequence_a020198/1 - A020198 - Pseudoprimes to base 70. create_sequence_a020199/1 - A020199 - Pseudoprimes to base 71. create_sequence_a020200/1 - A020200 - Pseudoprimes to base 72. create_sequence_a020201/1 - A020201 - Pseudoprimes to base 73. create_sequence_a020202/1 - A020202 - Pseudoprimes to base 74. create_sequence_a020203/1 - A020203 - Pseudoprimes to base 75. create_sequence_a020204/1 - A020204 - Pseudoprimes to base 76. create_sequence_a020205/1 - A020205 - Pseudoprimes to base 77. create_sequence_a020206/1 - A020206 - Pseudoprimes to base 78. create_sequence_a020207/1 - A020207 - Pseudoprimes to base 79. create_sequence_a020208/1 - A020208 - Pseudoprimes to base 80. create_sequence_a020209/1 - A020209 - Pseudoprimes to base 81. create_sequence_a020210/1 - A020210 - Pseudoprimes to base 82. create_sequence_a020211/1 - A020211 - Pseudoprimes to base 83. create_sequence_a020212/1 - A020212 - Pseudoprimes to base 84. create_sequence_a020213/1 - A020213 - Pseudoprimes to base 85. create_sequence_a020214/1 - A020214 - Pseudoprimes to base 86. create_sequence_a020215/1 - A020215 - Pseudoprimes to base 87. create_sequence_a020216/1 - A020216 - Pseudoprimes to base 88. create_sequence_a020217/1 - A020217 - Pseudoprimes to base 89. create_sequence_a020218/1 - A020218 - Pseudoprimes to base 90. create_sequence_a020219/1 - A020219 - Pseudoprimes to base 91. create_sequence_a020220/1 - A020220 - Pseudoprimes to base 92. create_sequence_a020221/1 - A020221 - Pseudoprimes to base 93. create_sequence_a020222/1 - A020222 - Pseudoprimes to base 94. create_sequence_a020223/1 - A020223 - Pseudoprimes to base 95. create_sequence_a020224/1 - A020224 - Pseudoprimes to base 96. create_sequence_a020225/1 - A020225 - Pseudoprimes to base 97. create_sequence_a020226/1 - A020226 - Pseudoprimes to base 98. create_sequence_a020227/1 - A020227 - Pseudoprimes to base 99. create_sequence_a020228/1 - A020228 - Pseudoprimes to base 100. Characterizations of Primes create_sequence_a162511/1 - A162511 - Multiplicative function with a(p^e)=(-1)^(e-1)"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a001567/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a001567/1","type":"function","doc":"OEIS Sequence A001567 - Fermat pseudoprimes to base 2, also called Sarrus numbers or Poulet numbers. From OEIS A001567: Fermat pseudoprimes to base 2, also called Sarrus numbers or Poulet numbers. (Formerly M5441 N2365) Sequence IDs: :a001567 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a001567) |&gt; Sequence.take!(40) [341,561,645,1105,1387,1729,1905,2047,2465,2701,2821,3277,4033,4369,4371,4681,5461,6601,7957,8321,8481,8911,10261,10585,11305,12801,13741,13747,13981,14491,15709,15841,16705,18705,18721,19951,23001,23377,25761,29341]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a005935/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a005935/1","type":"function","doc":"OEIS Sequence A005935 - Pseudoprimes to base 3. From OEIS A005935: Pseudoprimes to base 3. (Formerly M5362) Sequence IDs: :a005935 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a005935) |&gt; Sequence.take!(40) [91,121,286,671,703,949,1105,1541,1729,1891,2465,2665,2701,2821,3281,3367,3751,4961,5551,6601,7381,8401,8911,10585,11011,12403,14383,15203,15457,15841,16471,16531,18721,19345,23521,24046,24661,24727,28009,29161]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a005936/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a005936/1","type":"function","doc":"OEIS Sequence A005936 - Pseudoprimes to base 5. From OEIS A005936: Pseudoprimes to base 5. (Formerly M3712) Sequence IDs: :a005936 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a005936) |&gt; Sequence.take!(39) [4,124,217,561,781,1541,1729,1891,2821,4123,5461,5611,5662,5731,6601,7449,7813,8029,8911,9881,11041,11476,12801,13021,13333,13981,14981,15751,15841,16297,17767,21361,22791,23653,24211,25327,25351,29341,29539]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a005937/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a005937/1","type":"function","doc":"OEIS Sequence A005937 - Pseudoprimes to base 6. From OEIS A005937: Pseudoprimes to base 6. (Formerly M5246) Sequence IDs: :a005937 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a005937) |&gt; Sequence.take!(39) [35,185,217,301,481,1105,1111,1261,1333,1729,2465,2701,2821,3421,3565,3589,3913,4123,4495,5713,6533,6601,8029,8365,8911,9331,9881,10585,10621,11041,11137,12209,14315,14701,15841,16589,17329,18361,18721]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a005938/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a005938/1","type":"function","doc":"OEIS Sequence A005938 - Pseudoprimes to base 7. From OEIS A005938: Pseudoprimes to base 7. (Formerly M4168) Sequence IDs: :a005938 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a005938) |&gt; Sequence.take!(40) [6,25,325,561,703,817,1105,1825,2101,2353,2465,3277,4525,4825,6697,8321,10225,10585,10621,11041,11521,12025,13665,14089,16725,16806,18721,19345,20197,20417,20425,22945,25829,26419,29234,29341,29857,29891,30025,30811]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a005939/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a005939/1","type":"function","doc":"OEIS Sequence A005939 - Pseudoprimes to base 10. From OEIS A005939: Pseudoprimes to base 10. (Formerly M4612) Sequence IDs: :a005939 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a005939) |&gt; Sequence.take!(43) [9,33,91,99,259,451,481,561,657,703,909,1233,1729,2409,2821,2981,3333,3367,4141,4187,4521,5461,6533,6541,6601,7107,7471,7777,8149,8401,8911,10001,11111,11169,11649,12403,12801,13833,13981,14701,14817,14911,15211]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020136/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020136/1","type":"function","doc":"OEIS Sequence A020136 - Fermat pseudoprimes to base 4. From OEIS A020136: Fermat pseudoprimes to base 4. (Formerly ) Sequence IDs: :a020136 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020136) |&gt; Sequence.take!(44) [15,85,91,341,435,451,561,645,703,1105,1247,1271,1387,1581,1695,1729,1891,1905,2047,2071,2465,2701,2821,3133,3277,3367,3683,4033,4369,4371,4681,4795,4859,5461,5551,6601,6643,7957,8321,8481,8695,8911,9061,9131]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020137/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020137/1","type":"function","doc":"OEIS Sequence A020137 - Pseudoprimes to base 8. From OEIS A020137: Pseudoprimes to base 8. (Formerly ) Sequence IDs: :a020137 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020137) |&gt; Sequence.take!(47) [9,21,45,63,65,105,117,133,153,231,273,341,481,511,561,585,645,651,861,949,1001,1105,1281,1365,1387,1417,1541,1649,1661,1729,1785,1905,2047,2169,2465,2501,2701,2821,3145,3171,3201,3277,3605,3641,4005,4033,4097]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020138/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020138/1","type":"function","doc":"OEIS Sequence A020138 - Pseudoprimes to base 9. From OEIS A020138: Pseudoprimes to base 9. (Formerly ) Sequence IDs: :a020138 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020138) |&gt; Sequence.take!(47) [4,8,28,52,91,121,205,286,364,511,532,616,671,697,703,946,949,1036,1105,1288,1387,1541,1729,1891,2465,2501,2665,2701,2806,2821,2926,3052,3281,3367,3751,4376,4636,4961,5356,5551,6364,6601,6643,7081,7381,7913,8401]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020139/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020139/1","type":"function","doc":"OEIS Sequence A020139 - Pseudoprimes to base 11. From OEIS A020139: Pseudoprimes to base 11. (Formerly ) Sequence IDs: :a020139 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020139) |&gt; Sequence.take!(43) [10,15,70,133,190,259,305,481,645,703,793,1105,1330,1729,2047,2257,2465,2821,4577,4921,5041,5185,6601,7869,8113,8170,8695,8911,9730,10585,12403,13333,14521,14981,15841,16705,17711,18705,23377,24130,24727,26335,26467]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020140/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020140/1","type":"function","doc":"OEIS Sequence A020140 - Pseudoprimes to base 12. From OEIS A020140: Pseudoprimes to base 12. (Formerly ) Sequence IDs: :a020140 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020140) |&gt; Sequence.take!(42) [65,91,133,143,145,247,377,385,703,1045,1099,1105,1649,1729,1885,1891,2041,2233,2465,2701,2821,2983,3367,3553,5005,5365,5551,5785,6061,6305,6601,8911,9073,10585,11077,12403,12673,12905,13051,13333,13345,13585]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020141/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020141/1","type":"function","doc":"OEIS Sequence A020141 - Pseudoprimes to base 13. From OEIS A020141: Pseudoprimes to base 13. (Formerly ) Sequence IDs: :a020141 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020141) |&gt; Sequence.take!(43) [4,6,12,21,85,105,231,244,276,357,427,561,1099,1785,1891,2465,2806,3605,5028,5149,5185,5565,6601,7107,8841,8911,9577,9637,10308,10585,11305,12403,12621,13019,13345,13461,13685,14491,14981,15051,15505,15841,17803]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020142/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020142/1","type":"function","doc":"OEIS Sequence A020142 - Pseudoprimes to base 14. From OEIS A020142: Pseudoprimes to base 14. (Formerly ) Sequence IDs: :a020142 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020142) |&gt; Sequence.take!(43) [15,39,65,195,481,561,781,793,841,985,1105,1111,1541,1891,2257,2465,2561,2665,2743,3277,5185,5713,6501,6533,6541,7107,7171,7449,7543,7585,8321,9073,10585,12403,12505,12545,12805,12871,13429,14111,14689,15067,15457]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020143/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020143/1","type":"function","doc":"OEIS Sequence A020143 - Pseudoprimes to base 15. From OEIS A020143: Pseudoprimes to base 15. (Formerly ) Sequence IDs: :a020143 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020143) |&gt; Sequence.take!(39) [14,341,742,946,1477,1541,1687,1729,1891,1921,2821,3133,3277,4187,6541,6601,7471,8701,8911,9073,10279,10649,12871,14041,14701,15409,15841,16841,19201,20017,24521,25313,25546,28063,29341,30889,31021,38963,41041]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020144/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020144/1","type":"function","doc":"OEIS Sequence A020144 - Pseudoprimes to base 16. From OEIS A020144: Pseudoprimes to base 16. (Formerly ) Sequence IDs: :a020144 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020144) |&gt; Sequence.take!(45) [15,51,85,91,255,341,435,451,561,595,645,703,1105,1247,1261,1271,1285,1387,1581,1687,1695,1729,1891,1905,2047,2071,2091,2431,2465,2701,2821,3133,3277,3367,3655,3683,4033,4369,4371,4681,4795,4859,5083,5151,5461]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020145/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020145/1","type":"function","doc":"OEIS Sequence A020145 - Pseudoprimes to base 17. From OEIS A020145: Pseudoprimes to base 17. (Formerly ) Sequence IDs: :a020145 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020145) |&gt; Sequence.take!(43) [4,8,9,16,45,91,145,261,781,1111,1228,1305,1729,1885,2149,2821,3991,4005,4033,4187,4912,5365,5662,5833,6601,6697,7171,8481,8911,10585,11476,12403,12673,13333,13833,15805,15841,16705,19345,19729,20591,21781,22791]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020146/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020146/1","type":"function","doc":"OEIS Sequence A020146 - Pseudoprimes to base 18. From OEIS A020146: Pseudoprimes to base 18. (Formerly ) Sequence IDs: :a020146 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020146) |&gt; Sequence.take!(44) [25,49,65,85,133,221,323,325,343,425,451,637,931,1105,1225,1369,1387,1649,1729,1921,2149,2465,2701,2821,2825,2977,3325,4165,4577,4753,5525,5725,5833,5941,6305,6517,6601,7345,8911,9061,10349,10585,10961,11221]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020147/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020147/1","type":"function","doc":"OEIS Sequence A020147 - Pseudoprimes to base 19. From OEIS A020147: Pseudoprimes to base 19. (Formerly ) Sequence IDs: :a020147 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020147) |&gt; Sequence.take!(45) [6,9,15,18,45,49,153,169,343,561,637,889,905,906,1035,1105,1629,1661,1849,1891,2353,2465,2701,2821,2955,3201,4033,4681,5461,5466,5713,6223,6541,6601,6697,7957,8145,8281,8401,8869,9211,9997,10021,10515,10585]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020148/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020148/1","type":"function","doc":"OEIS Sequence A020148 - Pseudoprimes to base 20. From OEIS A020148: Pseudoprimes to base 20. (Formerly ) Sequence IDs: :a020148 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020148) |&gt; Sequence.take!(42) [21,57,133,231,399,561,671,861,889,1281,1653,1729,1891,2059,2413,2501,2761,2821,2947,3059,3201,4047,5271,5461,5473,5713,5833,6601,6817,7999,8421,8911,11229,11557,11837,12801,13051,13981,14091,15251,15311,15841]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020149/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020149/1","type":"function","doc":"OEIS Sequence A020149 - Pseudoprimes to base 21. From OEIS A020149: Pseudoprimes to base 21. (Formerly ) Sequence IDs: :a020149 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020149) |&gt; Sequence.take!(42) [4,10,20,55,65,85,221,703,793,1045,1105,1852,2035,2465,3781,4630,5185,5473,5995,6541,7363,8695,8965,9061,10585,10945,11647,13019,13051,13981,14491,17767,18103,18721,19345,19669,19909,21667,22681,23155,24013,25465]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020150/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020150/1","type":"function","doc":"OEIS Sequence A020150 - Pseudoprimes to base 22. From OEIS A020150: Pseudoprimes to base 22. (Formerly ) Sequence IDs: :a020150 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020150) |&gt; Sequence.take!(45) [21,69,91,105,161,169,345,483,485,645,805,1105,1183,1247,1261,1541,1649,1729,1891,2037,2041,2047,2413,2465,2737,2821,3241,3605,3801,5551,5565,5963,6019,6601,6693,7081,7107,7267,7665,8119,8365,8421,8911,9453,10185]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020151/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020151/1","type":"function","doc":"OEIS Sequence A020151 - Pseudoprimes to base 23. From OEIS A020151: Pseudoprimes to base 23. (Formerly ) Sequence IDs: :a020151 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020151) |&gt; Sequence.take!(46) [22,33,91,154,165,169,265,341,385,451,481,553,561,638,946,1027,1045,1065,1105,1183,1271,1729,1738,1749,2059,2321,2465,2501,2701,2821,2926,3097,3445,4033,4081,4345,4371,4681,5005,5149,6253,6369,6533,6541,7189,7267]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020152/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020152/1","type":"function","doc":"OEIS Sequence A020152 - Pseudoprimes to base 24. From OEIS A020152: Pseudoprimes to base 24. (Formerly ) Sequence IDs: :a020152 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020152) |&gt; Sequence.take!(43) [25,115,175,325,553,575,805,949,1105,1541,1729,1771,1825,1975,2413,2425,2465,2701,2737,2821,2885,3781,4207,4537,6601,6931,6943,7081,7189,7471,7501,7813,8725,8911,9085,9361,9809,10465,10585,11557,12025,13825,14425]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020153/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020153/1","type":"function","doc":"OEIS Sequence A020153 - Pseudoprimes to base 25. From OEIS A020153: Pseudoprimes to base 25. (Formerly ) Sequence IDs: :a020153 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020153) |&gt; Sequence.take!(50) [4,6,8,12,24,28,39,66,91,124,217,232,276,403,426,451,532,561,616,703,781,804,868,946,1128,1288,1541,1729,1891,2047,2701,2806,2821,2911,2926,3052,3126,3367,3592,3976,4069,4123,4207,4564,4636,4686,5321,5461,5551,5611]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020154/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020154/1","type":"function","doc":"OEIS Sequence A020154 - Pseudoprimes to base 26. From OEIS A020154: Pseudoprimes to base 26. (Formerly ) Sequence IDs: :a020154 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020154) |&gt; Sequence.take!(47) [9,15,25,27,45,75,133,135,153,175,217,225,259,425,475,561,589,675,703,775,925,1035,1065,1147,2465,3145,3325,3385,3565,3825,4123,4525,4741,4921,5041,5425,6093,6475,6525,6601,6697,8029,8695,8911,9073,10585,11005]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020155/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020155/1","type":"function","doc":"OEIS Sequence A020155 - Pseudoprimes to base 27. From OEIS A020155: Pseudoprimes to base 27. (Formerly ) Sequence IDs: :a020155 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020155) |&gt; Sequence.take!(45) [26,65,91,121,133,247,259,286,341,365,481,671,703,949,1001,1105,1541,1649,1729,1891,2071,2465,2665,2701,2821,2981,2993,3146,3281,3367,3605,3751,4033,4745,4921,4961,5299,5461,5551,5611,5621,6305,6533,6601,7381]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020156/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020156/1","type":"function","doc":"OEIS Sequence A020156 - Pseudoprimes to base 28. From OEIS A020156: Pseudoprimes to base 28. (Formerly ) Sequence IDs: :a020156 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020156) |&gt; Sequence.take!(43) [9,27,45,87,145,261,361,529,561,703,783,785,1105,1305,1413,1431,1885,2041,2413,2465,2871,3201,3277,4553,4699,5149,5181,5365,7065,8149,8321,8401,9841,10027,10585,12673,13333,13345,13357,13833,14383,14769,14981]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020157/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020157/1","type":"function","doc":"OEIS Sequence A020157 - Pseudoprimes to base 29. From OEIS A020157: Pseudoprimes to base 29. (Formerly ) Sequence IDs: :a020157 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020157) |&gt; Sequence.take!(48) [4,14,15,21,28,35,52,91,105,231,268,341,364,469,481,561,651,793,871,1105,1729,1876,1897,2105,2257,2821,3484,3523,4069,4371,4411,5149,5185,5356,5473,5565,5611,6097,6601,7161,7294,8321,8401,8421,8841,8911,11041,11581]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020158/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020158/1","type":"function","doc":"OEIS Sequence A020158 - Pseudoprimes to base 30. From OEIS A020158: Pseudoprimes to base 30. (Formerly ) Sequence IDs: :a020158 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020158) |&gt; Sequence.take!(46) [49,91,133,217,247,341,403,469,493,589,637,703,871,899,901,931,1273,1519,1537,1729,2059,2077,2821,3097,3277,3283,3367,3577,4081,4097,4123,5729,6031,6061,6097,6409,6601,6817,7657,8023,8029,8401,8911,9881,11041,11713]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020159/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020159/1","type":"function","doc":"OEIS Sequence A020159 - Pseudoprimes to base 31. From OEIS A020159: Pseudoprimes to base 31. (Formerly ) Sequence IDs: :a020159 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020159) |&gt; Sequence.take!(45) [6,10,15,30,49,65,66,133,185,451,481,561,637,931,946,1105,1221,1729,1813,2317,2405,2465,2553,3310,4753,4921,6241,6289,6601,7107,7421,7449,8177,8911,9073,9131,10470,10585,10963,11041,12403,14191,16219,17767,18721]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020160/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020160/1","type":"function","doc":"OEIS Sequence A020160 - Pseudoprimes to base 32. From OEIS A020160: Pseudoprimes to base 32. (Formerly ) Sequence IDs: :a020160 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020160) |&gt; Sequence.take!(46) [25,33,93,165,205,217,325,341,385,425,465,561,645,697,793,825,1023,1025,1045,1057,1065,1105,1353,1387,1525,1705,1729,1905,2047,2317,2325,2465,2665,2701,2761,2821,3053,3157,3277,3565,3813,4033,4123,4141,4369,4371]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020161/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020161/1","type":"function","doc":"OEIS Sequence A020161 - Pseudoprimes to base 33. From OEIS A020161: Pseudoprimes to base 33. (Formerly ) Sequence IDs: :a020161 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020161) |&gt; Sequence.take!(43) [4,8,16,32,85,496,545,703,1057,1105,1417,1649,1729,1853,2465,2501,2821,3368,4033,4492,4681,5461,5713,5833,6533,6601,7861,8911,9061,9073,9265,10585,11305,11359,12209,12403,13741,15841,16589,16745,17968,18103,19909]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020162/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020162/1","type":"function","doc":"OEIS Sequence A020162 - Pseudoprimes to base 34. From OEIS A020162: Pseudoprimes to base 34. (Formerly ) Sequence IDs: :a020162 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020162) |&gt; Sequence.take!(47) [15,21,33,35,55,65,77,105,165,231,273,385,429,435,445,671,703,1001,1045,1065,1155,1157,1281,1365,1729,1869,1891,2035,2059,2071,2145,2779,2821,2937,3201,3605,4033,4795,5005,5161,5565,5785,5995,6305,6533,6601,6853]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020163/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020163/1","type":"function","doc":"OEIS Sequence A020163 - Pseudoprimes to base 35. From OEIS A020163: Pseudoprimes to base 35. (Formerly ) Sequence IDs: :a020163 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020163) |&gt; Sequence.take!(41) [9,34,51,153,341,442,561,782,1247,1261,1581,1921,2278,2431,2701,2871,3298,3601,4371,5083,5161,5517,7543,7633,7969,8398,10421,11041,12403,13051,13833,14689,15051,16441,16589,17391,19006,19041,19951,20026,22681]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020164/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020164/1","type":"function","doc":"OEIS Sequence A020164 - Pseudoprimes to base 36. From OEIS A020164: Pseudoprimes to base 36. (Formerly ) Sequence IDs: :a020164 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020164) |&gt; Sequence.take!(45) [35,91,185,217,259,301,403,481,559,679,703,1105,1111,1147,1261,1295,1333,1387,1591,1729,1891,2465,2651,2701,2821,3007,3145,3367,3421,3565,3589,3913,4123,4141,4171,4495,5551,5611,5713,6001,6485,6533,6601,6643,7471]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020165/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020165/1","type":"function","doc":"OEIS Sequence A020165 - Pseudoprimes to base 37. From OEIS A020165: Pseudoprimes to base 37. (Formerly ) Sequence IDs: :a020165 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020165) |&gt; Sequence.take!(50) [4,6,9,12,18,28,36,45,57,66,133,171,217,246,268,285,301,396,451,469,561,589,685,801,817,1065,1105,1233,1273,1333,1387,1476,1653,1729,1876,1881,2044,2077,2413,2465,2501,2556,2706,2821,2881,3556,3565,3781,3913,4047]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020166/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020166/1","type":"function","doc":"OEIS Sequence A020166 - Pseudoprimes to base 38. From OEIS A020166: Pseudoprimes to base 38. (Formerly ) Sequence IDs: :a020166 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020166) |&gt; Sequence.take!(46) [39,65,85,91,111,185,221,259,289,469,481,561,629,697,871,1105,1221,1443,1445,2405,2465,2479,2553,2665,2701,2821,3145,3367,3585,3757,4033,4187,4681,5291,5461,6031,6097,6601,6931,7449,7585,7613,7957,8177,9073,9919]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020167/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020167/1","type":"function","doc":"OEIS Sequence A020167 - Pseudoprimes to base 39. From OEIS A020167: Pseudoprimes to base 39. (Formerly ) Sequence IDs: :a020167 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020167) |&gt; Sequence.take!(40) [38,95,133,341,1561,1834,1891,2047,2101,2465,3053,3439,3805,4141,4237,4411,5662,5921,6533,6601,6697,8149,8321,8911,10381,10585,12403,12431,13889,13981,15841,16297,16441,16589,17081,20567,22681,23521,26885,28153]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020168/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020168/1","type":"function","doc":"OEIS Sequence A020168 - Pseudoprimes to base 40. From OEIS A020168: Pseudoprimes to base 40. (Formerly ) Sequence IDs: :a020168 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020168) |&gt; Sequence.take!(42) [39,91,121,123,289,451,533,561,703,793,1541,1561,1599,1729,1921,2821,2899,3097,3367,3751,3829,4961,5461,5729,6031,6601,7111,7201,7381,8911,9073,9881,10897,11011,11041,11121,11521,12403,12801,13073,13333,13981]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020169/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020169/1","type":"function","doc":"OEIS Sequence A020169 - Pseudoprimes to base 41. From OEIS A020169: Pseudoprimes to base 41. (Formerly ) Sequence IDs: :a020169 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020169) |&gt; Sequence.take!(48) [4,8,10,15,20,21,35,40,105,145,231,344,561,609,645,671,703,841,1065,1105,1281,1387,1417,1729,1885,1891,2121,2465,2701,2821,3045,3053,3829,4033,4205,4521,4870,5365,5565,6161,6892,7957,8295,8321,8695,8905,8911,9253]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020170/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020170/1","type":"function","doc":"OEIS Sequence A020170 - Pseudoprimes to base 42. From OEIS A020170: Pseudoprimes to base 42. (Formerly ) Sequence IDs: :a020170 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020170) |&gt; Sequence.take!(40) [205,451,529,559,697,1105,1247,1441,1541,1763,1765,1807,1891,1921,1991,2465,2665,5371,5611,5977,6001,7345,7421,8041,8749,9773,10585,10621,11041,12167,12403,13333,13981,14473,14491,14981,15457,17611,18721,22399]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020171/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020171/1","type":"function","doc":"OEIS Sequence A020171 - Pseudoprimes to base 43. From OEIS A020171: Pseudoprimes to base 43. (Formerly ) Sequence IDs: :a020171 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020171) |&gt; Sequence.take!(49) [6,14,21,25,33,42,77,91,105,165,185,231,325,385,425,481,525,561,777,825,861,925,973,1045,1105,1221,1541,1729,1785,1807,1825,1925,2071,2425,2465,2553,2821,2849,3145,3281,3439,3781,3885,4033,4417,4825,5005,5565,6105]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020172/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020172/1","type":"function","doc":"OEIS Sequence A020172 - Pseudoprimes to base 44. From OEIS A020172: Pseudoprimes to base 44. (Formerly ) Sequence IDs: :a020172 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020172) |&gt; Sequence.take!(46) [9,15,45,65,117,129,215,301,369,387,585,645,703,745,1017,1035,1105,1341,1677,1729,1921,1935,1937,1981,2047,2193,2465,2665,2821,3585,3913,4005,4097,4417,4633,5289,6273,6533,6601,6705,7281,7345,8385,8695,8911,9331]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020173/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020173/1","type":"function","doc":"OEIS Sequence A020173 - Pseudoprimes to base 45. From OEIS A020173: Pseudoprimes to base 45. (Formerly ) Sequence IDs: :a020173 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020173) |&gt; Sequence.take!(45) [4,22,44,76,133,253,418,436,451,481,638,763,1247,1417,1541,1562,1729,1771,1891,1981,2047,2059,2071,2356,2398,2737,2821,3053,3289,3553,4033,4807,4921,5377,5963,6322,6533,6601,6817,7337,8284,8321,8911,9361,10879]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020174/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020174/1","type":"function","doc":"OEIS Sequence A020174 - Pseudoprimes to base 46. From OEIS A020174: Pseudoprimes to base 46. (Formerly ) Sequence IDs: :a020174 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020174) |&gt; Sequence.take!(47) [9,15,45,133,141,145,235,261,341,365,423,561,657,703,705,721,763,781,949,1105,1305,1417,1551,1645,1729,1885,1891,1957,1991,2071,2115,2117,2201,2465,2701,2821,3201,3285,4033,4089,4187,4371,4465,4681,5365,5611,5781]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020175/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020175/1","type":"function","doc":"OEIS Sequence A020175 - Pseudoprimes to base 47. From OEIS A020175: Pseudoprimes to base 47. (Formerly ) Sequence IDs: :a020175 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020175) |&gt; Sequence.take!(47) [46,65,69,85,221,259,341,345,427,481,506,561,645,703,721,793,805,874,897,946,1105,1173,1426,1581,1649,1702,1729,1771,1891,2257,2465,2737,2806,2821,3145,3201,3811,4301,4485,5185,5461,5865,6283,6305,6601,6943,8911]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020176/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020176/1","type":"function","doc":"OEIS Sequence A020176 - Pseudoprimes to base 48. From OEIS A020176: Pseudoprimes to base 48. (Formerly ) Sequence IDs: :a020176 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020176) |&gt; Sequence.take!(45) [49,91,245,259,329,427,481,637,703,793,833,1105,1267,1645,1729,1813,1891,1921,2257,2303,2305,2353,2465,2701,2821,2989,3367,3439,4465,4753,5185,5537,5551,5611,5951,6533,6601,6697,6721,7345,8869,8911,9457,9881,10021]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020177/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020177/1","type":"function","doc":"OEIS Sequence A020177 - Pseudoprimes to base 49. From OEIS A020177: Pseudoprimes to base 49. (Formerly ) Sequence IDs: :a020177 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020177) |&gt; Sequence.take!(50) [4,6,8,12,15,16,24,25,48,66,75,76,172,176,232,247,276,304,325,425,435,475,496,559,561,688,703,817,904,946,949,1075,1105,1128,1146,1695,1825,1891,2101,2353,2356,2465,2486,2509,2701,3056,3091,3268,3277,3439]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020178/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020178/1","type":"function","doc":"OEIS Sequence A020178 - Pseudoprimes to base 50. From OEIS A020178: Pseudoprimes to base 50. (Formerly ) Sequence IDs: :a020178 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020178) |&gt; Sequence.take!(46) [21,49,51,119,133,147,231,301,357,561,637,697,793,817,833,861,931,1037,1281,1649,1729,2009,2041,2047,2107,2499,2501,2701,2821,2989,3201,3281,3913,3977,4753,5461,5719,6601,7693,7701,8041,8113,8911,9061,9073,9331]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020179/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020179/1","type":"function","doc":"OEIS Sequence A020179 - Pseudoprimes to base 51. From OEIS A020179: Pseudoprimes to base 51. (Formerly ) Sequence IDs: :a020179 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020179) |&gt; Sequence.take!(43) [10,25,50,65,70,91,175,325,451,481,925,1247,1681,1729,1825,2059,2275,2653,2821,3053,3790,4745,4927,5461,6175,6305,6505,6601,7201,8365,8911,9031,9475,9730,9850,10585,11041,12025,12209,12403,13366,13427,13747]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020180/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020180/1","type":"function","doc":"OEIS Sequence A020180 - Pseudoprimes to base 52. From OEIS A020180: Pseudoprimes to base 52. (Formerly ) Sequence IDs: :a020180 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020180) |&gt; Sequence.take!(42) [51,85,159,265,561,671,901,1513,1541,1891,2413,2465,2653,2703,2705,3111,3201,3421,4081,4187,4505,5151,6307,6433,6533,6601,6943,7201,8365,8911,9197,9773,9911,10349,10585,11305,12403,13019,13333,14491,15051,15841]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020181/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020181/1","type":"function","doc":"OEIS Sequence A020181 - Pseudoprimes to base 53. From OEIS A020181: Pseudoprimes to base 53. (Formerly ) Sequence IDs: :a020181 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020181) |&gt; Sequence.take!(48) [4,9,26,27,28,39,45,52,65,91,117,153,286,351,364,561,585,703,946,1036,1105,1405,1441,1541,1636,1729,2209,2465,2529,2821,2863,2871,3097,3277,3367,3406,3481,3653,3861,4005,4564,4777,5317,5833,6031,6364,6433,6601]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020182/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020182/1","type":"function","doc":"OEIS Sequence A020182 - Pseudoprimes to base 54. From OEIS A020182: Pseudoprimes to base 54. (Formerly ) Sequence IDs: :a020182 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020182) |&gt; Sequence.take!(42) [55,265,341,361,385,583,781,1045,1105,1247,1729,1855,2201,2465,2701,2821,2863,2915,3445,4033,4069,4081,5005,5317,5461,6095,6601,7471,7957,8321,8911,9073,10585,11713,13357,14585,14701,14905,15409,15841,17755,18721]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020183/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020183/1","type":"function","doc":"OEIS Sequence A020183 - Pseudoprimes to base 55. From OEIS A020183: Pseudoprimes to base 55. (Formerly ) Sequence IDs: :a020183 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020183) |&gt; Sequence.take!(45) [6,9,18,21,27,54,63,91,153,189,357,369,553,697,801,1027,1266,1387,1513,1729,1869,2701,2821,3213,3649,4033,4431,6273,6533,6541,6601,6643,7189,7957,8911,9773,9937,10649,10761,13333,13617,13833,14981,15457,15841]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020184/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020184/1","type":"function","doc":"OEIS Sequence A020184 - Pseudoprimes to base 56. From OEIS A020184: Pseudoprimes to base 56. (Formerly ) Sequence IDs: :a020184 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020184) |&gt; Sequence.take!(45) [15,33,55,57,95,165,209,247,285,403,561,589,627,715,1027,1045,1105,1339,1501,1653,1705,1891,1957,1991,2449,2465,3135,3193,3277,3553,3565,4345,5611,5665,6441,7657,8137,8321,10585,11041,11077,12403,13585,13695,15685]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020185/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020185/1","type":"function","doc":"OEIS Sequence A020185 - Pseudoprimes to base 57. From OEIS A020185: Pseudoprimes to base 57. (Formerly ) Sequence IDs: :a020185 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020185) |&gt; Sequence.take!(47) [4,8,14,25,28,56,65,125,145,203,217,325,377,451,721,725,781,1001,1105,1625,1885,1891,2047,2296,2465,2701,2821,2911,3193,3277,3565,3625,3976,4141,4187,5365,5425,6461,6533,6601,7501,7613,8029,8401,9373,9425,10325]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020186/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020186/1","type":"function","doc":"OEIS Sequence A020186 - Pseudoprimes to base 58. From OEIS A020186: Pseudoprimes to base 58. (Formerly ) Sequence IDs: :a020186 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020186) |&gt; Sequence.take!(43) [57,133,177,285,341,561,671,703,885,1105,1121,1141,1441,1541,1729,1891,2065,2821,3009,3097,3165,3363,3365,3781,4061,4071,4371,5605,6031,6601,7363,7471,7991,8119,8321,8749,8911,9073,11441,11859,12027,12331,12403]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020187/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020187/1","type":"function","doc":"OEIS Sequence A020187 - Pseudoprimes to base 59. From OEIS A020187: Pseudoprimes to base 59. (Formerly ) Sequence IDs: :a020187 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020187) |&gt; Sequence.take!(43) [15,58,87,145,435,451,561,645,946,1015,1105,1141,1247,1541,1661,1729,1885,1991,2413,2465,2755,2821,3097,4215,4681,4795,5365,5611,5729,6191,6409,6533,6601,7421,8149,8321,8705,8911,9637,10081,10217,10585,11041]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020188/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020188/1","type":"function","doc":"OEIS Sequence A020188 - Pseudoprimes to base 60. From OEIS A020188: Pseudoprimes to base 60. (Formerly ) Sequence IDs: :a020188 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020188) |&gt; Sequence.take!(40) [341,427,481,671,793,841,1729,1891,2257,2821,3133,3277,3599,3601,3661,4577,4777,6001,6161,6533,6601,6943,8911,8917,9937,10249,11521,12331,13333,13481,14701,14981,15841,16897,18889,20591,20801,21361,22321,23479]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020189/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020189/1","type":"function","doc":"OEIS Sequence A020189 - Pseudoprimes to base 61. From OEIS A020189: Pseudoprimes to base 61. (Formerly ) Sequence IDs: :a020189 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020189) |&gt; Sequence.take!(49) [4,6,10,12,15,20,30,52,60,91,93,130,155,190,217,341,388,403,465,561,679,786,970,1105,1261,1441,1729,2388,2465,2701,2821,3007,3406,3565,3661,4061,4123,4371,4577,4580,5044,5356,5461,6541,6601,6697,6799,7107,7372]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020190/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020190/1","type":"function","doc":"OEIS Sequence A020190 - Pseudoprimes to base 62. From OEIS A020190: Pseudoprimes to base 62. (Formerly ) Sequence IDs: :a020190 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020190) |&gt; Sequence.take!(47) [9,21,45,63,91,105,183,231,305,361,427,549,561,671,679,703,793,861,1105,1261,1281,1541,1729,2121,2465,2501,2745,2871,3367,3439,3843,3845,4141,4187,4577,5185,5307,5551,5565,5901,5917,6161,6405,6533,6601,6697,6849]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020191/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020191/1","type":"function","doc":"OEIS Sequence A020191 - Pseudoprimes to base 63. From OEIS A020191: Pseudoprimes to base 63. (Formerly ) Sequence IDs: :a020191 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020191) |&gt; Sequence.take!(41) [62,341,481,529,703,841,1105,1147,1417,1985,2071,2465,2509,3379,3565,3683,4033,4577,5161,5461,5662,6119,6533,6943,7141,7711,9073,9265,10585,13333,13747,14089,14689,14981,15458,18721,19345,19685,19951,21037,21361]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020192/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020192/1","type":"function","doc":"OEIS Sequence A020192 - Pseudoprimes to base 64. From OEIS A020192: Pseudoprimes to base 64. (Formerly ) Sequence IDs: :a020192 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020192) |&gt; Sequence.take!(52) [9,15,21,35,39,45,63,65,85,91,105,117,133,153,195,221,231,247,259,273,315,341,357,435,451,455,481,511,561,585,645,651,671,703,763,765,819,861,873,949,1001,1035,1105,1205,1247,1271,1281,1365,1387,1417,1541,1581]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020193/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020193/1","type":"function","doc":"OEIS Sequence A020193 - Pseudoprimes to base 65. From OEIS A020193: Pseudoprimes to base 65. (Formerly ) Sequence IDs: :a020193 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020193) |&gt; Sequence.take!(45) [4,8,16,28,32,33,64,112,133,232,289,448,511,561,703,1111,1247,1387,1856,1891,1921,2452,2701,3439,3553,3729,4291,4564,5068,6533,6601,6697,8321,8911,9537,9709,9808,9809,10681,11077,11584,11647,12754,13213,14981]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020194/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020194/1","type":"function","doc":"OEIS Sequence A020194 - Pseudoprimes to base 66. From OEIS A020194: Pseudoprimes to base 66. (Formerly ) Sequence IDs: :a020194 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020194) |&gt; Sequence.take!(42) [65,91,335,469,481,871,1105,1271,1541,1729,1891,2071,2201,2465,2821,2911,3145,4033,4291,4355,4681,5461,5551,6097,6601,6953,7969,8911,9211,9919,10585,11305,11647,13019,13741,15211,15841,17353,19345,19757,20591,21785]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020195/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020195/1","type":"function","doc":"OEIS Sequence A020195 - Pseudoprimes to base 67. From OEIS A020195: Pseudoprimes to base 67. (Formerly ) Sequence IDs: :a020195 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020195) |&gt; Sequence.take!(47) [6,22,33,49,51,66,85,154,165,187,217,385,561,637,682,703,946,1045,1078,1105,1309,1519,1705,1729,2047,2209,2245,2465,2701,2805,2821,3165,3201,3565,4123,4165,4566,4631,4774,5005,5214,5611,5797,6119,6369,6601,7633]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020196/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020196/1","type":"function","doc":"OEIS Sequence A020196 - Pseudoprimes to base 68. From OEIS A020196: Pseudoprimes to base 68. (Formerly ) Sequence IDs: :a020196 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020196) |&gt; Sequence.take!(48) [25,49,69,91,125,133,185,201,217,247,325,345,361,403,469,481,589,637,805,871,925,931,1005,1025,1221,1225,1273,1417,1519,1541,1725,1729,1771,1813,2077,2185,2211,2413,2527,2553,2665,2725,2821,3283,3325,3565,4033,4123]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020197/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020197/1","type":"function","doc":"OEIS Sequence A020197 - Pseudoprimes to base 69. From OEIS A020197: Pseudoprimes to base 69. (Formerly ) Sequence IDs: :a020197 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020197) |&gt; Sequence.take!(44) [4,34,35,68,85,91,119,133,247,361,595,1105,1387,1615,1729,1921,2431,2465,2527,2701,2821,3605,3655,4187,4693,4849,5713,6161,6643,6943,7345,7735,8911,10349,10585,11191,11305,11905,13019,13357,14246,14315,15181,15841]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020198/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020198/1","type":"function","doc":"OEIS Sequence A020198 - Pseudoprimes to base 70. From OEIS A020198: Pseudoprimes to base 70. (Formerly ) Sequence IDs: :a020198 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020198) |&gt; Sequence.take!(43) [69,169,213,341,377,561,671,703,781,897,949,1441,1541,1633,1649,1891,2001,2201,2701,2769,2873,3053,3201,4061,4331,4371,4899,4901,6001,6177,6409,6681,7449,7991,9301,9361,11661,12121,12209,12337,12441,12673,12881]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020199/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020199/1","type":"function","doc":"OEIS Sequence A020199 - Pseudoprimes to base 71. From OEIS A020199: Pseudoprimes to base 71. (Formerly ) Sequence IDs: :a020199 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020199) |&gt; Sequence.take!(46) [9,10,14,15,21,35,45,63,70,105,231,315,370,435,561,703,1035,1105,1387,1729,1921,2071,2209,2321,2465,2701,2821,2871,3290,4005,4033,4431,5565,6541,6601,7345,7957,8295,8365,8695,8911,9637,9730,9809,10349,10585]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020200/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020200/1","type":"function","doc":"OEIS Sequence A020200 - Pseudoprimes to base 72. From OEIS A020200: Pseudoprimes to base 72. (Formerly ) Sequence IDs: :a020200 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020200) |&gt; Sequence.take!(42) [85,305,365,451,511,781,793,949,1037,1105,1241,1387,1541,1729,2465,2485,2501,2701,2821,2911,4381,4411,4453,5183,5185,5257,6205,6601,6697,8449,8911,9061,10585,11305,13213,13981,14111,15841,16441,17803,18721,19345]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020201/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020201/1","type":"function","doc":"OEIS Sequence A020201 - Pseudoprimes to base 73. From OEIS A020201: Pseudoprimes to base 73. (Formerly ) Sequence IDs: :a020201 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020201) |&gt; Sequence.take!(50) [4,6,8,9,12,18,24,36,45,65,72,111,117,185,205,259,276,333,369,481,533,561,585,703,1105,1221,1441,1517,1665,1729,1845,1891,1921,2047,2405,2465,2466,2553,2556,2665,2806,2821,3439,4005,4329,4636,4797,5257,5461,5662]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020202/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020202/1","type":"function","doc":"OEIS Sequence A020202 - Pseudoprimes to base 74. From OEIS A020202: Pseudoprimes to base 74. (Formerly ) Sequence IDs: :a020202 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020202) |&gt; Sequence.take!(45) [15,25,75,91,175,219,325,365,427,435,511,561,793,949,1095,1105,1387,1525,1729,1825,1891,2275,2465,2821,4453,4577,4795,5185,5475,5551,6175,6533,6541,6601,6643,7421,7613,8911,10585,10675,11041,12607,12775,12871,13019]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020203/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020203/1","type":"function","doc":"OEIS Sequence A020203 - Pseudoprimes to base 75. From OEIS A020203: Pseudoprimes to base 75. (Formerly ) Sequence IDs: :a020203 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020203) |&gt; Sequence.take!(44) [74,91,133,247,259,289,427,481,703,793,1073,1159,1261,1387,1541,1649,1729,1849,1891,2071,2257,2413,2701,2813,2821,3367,3589,4033,4681,4699,4921,5551,5917,6061,6533,6601,6643,7957,8113,8321,8614,8911,9139,9211]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020204/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020204/1","type":"function","doc":"OEIS Sequence A020204 - Pseudoprimes to base 76. From OEIS A020204: Pseudoprimes to base 76. (Formerly ) Sequence IDs: :a020204 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020204) |&gt; Sequence.take!(49) [15,21,25,33,35,55,75,77,105,165,175,231,265,275,325,385,425,525,545,561,781,825,949,1105,1113,1155,1325,1369,1417,1491,1541,1749,1785,1825,1891,1925,2289,2465,2701,2725,2821,3445,3597,3605,4033,4081,4097,4505,4681]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020205/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020205/1","type":"function","doc":"OEIS Sequence A020205 - Pseudoprimes to base 77. From OEIS A020205: Pseudoprimes to base 77. (Formerly ) Sequence IDs: :a020205 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020205) |&gt; Sequence.take!(44) [4,38,39,57,65,76,247,285,703,741,969,1105,1387,1513,1653,1891,2465,2701,2806,2965,3705,4033,4371,4636,5073,5461,5713,5785,6305,6441,6533,6541,7633,7709,7957,10081,10585,10777,11229,12871,13051,16017,16745,17081]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020206/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020206/1","type":"function","doc":"OEIS Sequence A020206 - Pseudoprimes to base 78. From OEIS A020206: Pseudoprimes to base 78. (Formerly ) Sequence IDs: :a020206 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020206) |&gt; Sequence.take!(42) [77,341,385,451,553,703,869,1045,1247,1271,1441,1849,1921,2047,2465,2765,3097,4061,4187,4345,4577,5371,6031,6083,6085,6545,6601,8321,8911,8965,10585,13333,13981,15211,15251,15841,17711,17767,20689,22801,23281,23617]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020207/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020207/1","type":"function","doc":"OEIS Sequence A020207 - Pseudoprimes to base 79. From OEIS A020207: Pseudoprimes to base 79. (Formerly ) Sequence IDs: :a020207 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020207) |&gt; Sequence.take!(45) [6,15,26,39,49,65,78,91,195,301,559,561,637,1105,1649,1729,2107,2465,2626,2665,2701,2821,3201,3913,4215,4753,5055,6305,6533,6601,7051,7107,7361,7543,8149,8321,8911,9331,9773,9881,10585,10621,12001,14491,14689]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020208/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020208/1","type":"function","doc":"OEIS Sequence A020208 - Pseudoprimes to base 80. From OEIS A020208: Pseudoprimes to base 80. (Formerly ) Sequence IDs: :a020208 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020208) |&gt; Sequence.take!(46) [9,27,49,81,169,237,301,333,481,553,561,637,711,891,1221,1377,1557,1729,1813,1891,2107,2133,2553,2821,2871,2997,3321,3397,3439,3537,3577,3871,3913,5461,6253,6399,6401,6533,6601,6697,7107,7189,7613,7821,8261,8281]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020209/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020209/1","type":"function","doc":"OEIS Sequence A020209 - Pseudoprimes to base 81. From OEIS A020209: Pseudoprimes to base 81. (Formerly ) Sequence IDs: :a020209 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020209) |&gt; Sequence.take!(53) [4,8,10,16,20,28,40,52,70,80,85,91,112,121,130,176,190,205,208,232,280,286,292,364,370,451,496,511,520,532,616,671,697,703,730,742,910,946,949,965,976,1036,1105,1168,1261,1288,1387,1435,1456,1541,1606,1729,1891]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020210/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020210/1","type":"function","doc":"OEIS Sequence A020210 - Pseudoprimes to base 82. From OEIS A020210: Pseudoprimes to base 82. (Formerly ) Sequence IDs: :a020210 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020210) |&gt; Sequence.take!(47) [9,25,27,45,81,91,225,249,325,405,481,511,561,645,747,793,891,925,949,1105,1245,1247,1345,1377,1387,1431,1525,1541,1729,1825,2025,2071,2101,2241,2257,2421,2465,2701,2821,2871,2905,3825,4033,4239,4453,5185,5611]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020211/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020211/1","type":"function","doc":"OEIS Sequence A020211 - Pseudoprimes to base 83. From OEIS A020211: Pseudoprimes to base 83. (Formerly ) Sequence IDs: :a020211 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020211) |&gt; Sequence.take!(46) [21,65,82,105,123,133,205,231,265,273,287,451,533,561,689,697,703,861,1001,1105,1113,1241,1365,1558,1729,1785,1891,2173,2465,2569,2665,2821,2993,3034,3277,3445,4081,4305,4411,4505,4641,4745,5565,5713,6541,6601]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020212/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020212/1","type":"function","doc":"OEIS Sequence A020212 - Pseudoprimes to base 84. From OEIS A020212: Pseudoprimes to base 84. (Formerly ) Sequence IDs: :a020212 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020212) |&gt; Sequence.take!(41) [85,415,481,703,1105,1111,1411,1615,2465,2501,2509,2981,3145,3655,3667,4141,5713,6161,6533,6973,7055,7141,7201,7885,8401,8695,9061,10585,11441,13019,13579,13981,14023,14383,14491,15181,15251,15355,15521,16405,16745]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020213/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020213/1","type":"function","doc":"OEIS Sequence A020213 - Pseudoprimes to base 85. From OEIS A020213: Pseudoprimes to base 85. (Formerly ) Sequence IDs: :a020213 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020213) |&gt; Sequence.take!(48) [4,6,12,14,21,28,42,84,129,231,259,276,301,341,481,532,651,703,781,903,1281,1351,1491,1591,1729,2047,2201,2509,2701,2821,3097,3201,3277,3311,3913,3972,4371,4564,4577,4681,4859,5289,5662,6031,6601,7141,7161,7543]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020214/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020214/1","type":"function","doc":"OEIS Sequence A020214 - Pseudoprimes to base 86. From OEIS A020214: Pseudoprimes to base 86. (Formerly ) Sequence IDs: :a020214 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020214) |&gt; Sequence.take!(45) [15,51,65,85,87,145,221,255,377,435,451,493,561,595,703,1015,1105,1479,1729,1885,1891,2091,2465,2755,2821,2845,3091,3451,4033,5365,5685,6409,6601,7395,7397,7483,7701,8695,8911,9061,9673,10585,10991,11041,11305]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020215/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020215/1","type":"function","doc":"OEIS Sequence A020215 - Pseudoprimes to base 87. From OEIS A020215: Pseudoprimes to base 87. (Formerly ) Sequence IDs: :a020215 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020215) |&gt; Sequence.take!(45) [86,91,133,217,247,301,385,403,473,559,589,817,1045,1105,1111,1333,1661,1705,1729,2047,2365,2626,2651,2821,3553,3565,3785,3913,4123,4141,4681,5005,5461,5719,6533,6601,7471,7483,7657,8029,8041,8401,8686,8911,9331]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020216/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020216/1","type":"function","doc":"OEIS Sequence A020216 - Pseudoprimes to base 88. From OEIS A020216: Pseudoprimes to base 88. (Formerly ) Sequence IDs: :a020216 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020216) |&gt; Sequence.take!(44) [87,91,133,145,217,247,267,403,445,481,589,645,1105,1247,1729,1885,1891,2047,2465,2581,2611,2821,3165,3565,4123,4331,4849,4921,5365,5551,5785,6119,6601,6697,7087,7657,7743,7745,8029,8911,9073,10585,11481,11563]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020217/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020217/1","type":"function","doc":"OEIS Sequence A020217 - Pseudoprimes to base 89. From OEIS A020217: Pseudoprimes to base 89. (Formerly ) Sequence IDs: :a020217 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020217) |&gt; Sequence.take!(49) [4,8,9,15,22,33,44,45,55,85,88,99,153,165,169,341,385,495,561,765,1035,1045,1105,1165,1309,1387,1441,1541,1581,1649,1729,2097,2465,2529,2611,2701,2805,2821,2977,3015,3201,3961,4015,4061,4187,4371,4777,4849,5005]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020218/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020218/1","type":"function","doc":"OEIS Sequence A020218 - Pseudoprimes to base 90. From OEIS A020218: Pseudoprimes to base 90. (Formerly ) Sequence IDs: :a020218 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020218) |&gt; Sequence.take!(39) [91,623,703,793,1001,1157,1729,2047,2413,2821,3091,3367,4033,4699,6281,6601,8099,8321,8401,8911,11521,11557,12403,13021,13333,13981,14701,14981,15841,17701,19307,19951,20017,20263,24641,24661,25571,29341,31021]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020219/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020219/1","type":"function","doc":"OEIS Sequence A020219 - Pseudoprimes to base 91. From OEIS A020219: Pseudoprimes to base 91. (Formerly ) Sequence IDs: :a020219 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020219) |&gt; Sequence.take!(48) [6,9,10,15,18,30,45,66,69,90,115,205,207,341,345,369,435,505,561,909,1035,1065,1387,1446,1541,1845,2047,2059,2465,2651,2701,2829,2871,3015,4005,4141,4187,4371,4545,5963,6273,6533,6969,7471,8646,9361,9881,10585]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020220/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020220/1","type":"function","doc":"OEIS Sequence A020220 - Pseudoprimes to base 92. From OEIS A020220: Pseudoprimes to base 92. (Formerly ) Sequence IDs: :a020220 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020220) |&gt; Sequence.take!(47) [21,39,65,91,93,105,217,231,273,301,341,403,451,465,559,561,651,861,1001,1085,1105,1209,1271,1333,1365,1393,1661,1729,2465,2587,2701,2821,3171,3731,3781,3913,4033,4123,4371,4641,4681,5565,6045,6169,6191,6697,7161]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020221/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020221/1","type":"function","doc":"OEIS Sequence A020221 - Pseudoprimes to base 93. From OEIS A020221: Pseudoprimes to base 93. (Formerly ) Sequence IDs: :a020221 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020221) |&gt; Sequence.take!(46) [4,25,28,46,92,301,322,325,425,506,532,793,805,865,874,1081,1105,1393,1525,1645,1729,1771,2047,2071,2425,2465,2737,2926,3781,3913,4033,4187,4325,4465,4945,4996,5071,5149,5185,5405,5593,5713,5833,6601,6697,6721]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020222/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020222/1","type":"function","doc":"OEIS Sequence A020222 - Pseudoprimes to base 94. From OEIS A020222: Pseudoprimes to base 94. (Formerly ) Sequence IDs: :a020222 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020222) |&gt; Sequence.take!(47) [15,57,91,93,95,121,133,155,217,247,285,341,403,435,465,561,589,645,969,1065,1105,1247,1541,1603,1653,1729,1767,2059,2451,2465,2821,2945,2977,3053,3565,3751,4047,4123,4351,4495,4961,5461,5685,6601,6665,7099,7107]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020223/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020223/1","type":"function","doc":"OEIS Sequence A020223 - Pseudoprimes to base 95. From OEIS A020223: Pseudoprimes to base 95. (Formerly ) Sequence IDs: :a020223 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020223) |&gt; Sequence.take!(42) [91,94,141,341,561,658,671,742,1111,1551,1603,1891,1921,2806,2821,2977,3131,3367,3421,3601,4089,4371,4741,5461,5551,6161,6533,6601,6721,7107,8249,8601,9121,9641,10011,11041,13361,14241,15841,16939,17907,18019]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020224/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020224/1","type":"function","doc":"OEIS Sequence A020224 - Pseudoprimes to base 96. From OEIS A020224: Pseudoprimes to base 96. (Formerly ) Sequence IDs: :a020224 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020224) |&gt; Sequence.take!(42) [65,95,133,469,485,679,781,973,1105,1261,1273,1649,1729,1843,2465,2641,2665,2701,2821,3545,3977,4187,4577,5617,6097,6305,6499,6601,8905,8911,9121,9215,9217,9313,10585,11155,11881,12649,12901,13289,13333,13483]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020225/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020225/1","type":"function","doc":"OEIS Sequence A020225 - Pseudoprimes to base 97. From OEIS A020225: Pseudoprimes to base 97. (Formerly ) Sequence IDs: :a020225 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020225) |&gt; Sequence.take!(50) [4,6,8,12,16,21,24,32,48,49,66,96,105,147,176,186,231,245,341,344,469,481,496,561,637,645,651,833,946,949,973,1056,1065,1068,1105,1128,1729,1813,1891,2046,2047,2465,2701,2821,2976,3053,3277,3283,3577,4187]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020226/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020226/1","type":"function","doc":"OEIS Sequence A020226 - Pseudoprimes to base 98. From OEIS A020226: Pseudoprimes to base 98. (Formerly ) Sequence IDs: :a020226 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020226) |&gt; Sequence.take!(46) [9,33,45,85,99,153,165,291,451,485,561,565,765,873,1017,1045,1067,1105,1261,1649,1705,1921,2465,2501,2651,2701,2805,3007,3201,3277,3565,3585,3609,3729,4005,4069,4365,5085,5797,6817,7345,7471,7701,8245,8321,8965]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020227/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020227/1","type":"function","doc":"OEIS Sequence A020227 - Pseudoprimes to base 99. From OEIS A020227: Pseudoprimes to base 99. (Formerly ) Sequence IDs: :a020227 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020227) |&gt; Sequence.take!(47) [14,25,35,49,65,98,145,169,175,217,245,325,361,377,637,703,725,742,775,833,845,1105,1225,1421,1519,1729,1834,1885,2191,2198,2413,2465,2821,3185,3277,3565,4069,4123,4225,4699,4753,4795,4901,5365,5425,5611,6601]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a020228/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a020228/1","type":"function","doc":"OEIS Sequence A020228 - Pseudoprimes to base 100. From OEIS A020228: Pseudoprimes to base 100. (Formerly ) Sequence IDs: :a020228 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a020228) |&gt; Sequence.take!(46) [9,33,91,99,153,259,303,451,481,561,657,703,909,949,1111,1233,1241,1729,1891,2047,2329,2409,2701,2821,2871,2981,3333,3367,4141,4187,4521,5461,5551,6001,6533,6541,6601,6931,7107,7373,7471,7633,7777,8149,8401,8911]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a162511/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a162511/1","type":"function","doc":"OEIS Sequence A162511 - Multiplicative function with a(p^e)=(-1)^(e-1) From OEIS A162511: Multiplicative function with a(p^e)=(-1)^(e-1) Sequence IDs: :a162511 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a162511) |&gt; Sequence.take!(92) [1,1,1,-1,1,1,1,1,-1,1,1,-1,1,1,1,-1,1,-1,1,-1,1,1,1,1,-1,1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,-1,1,1,-1,-1,-1,1,-1,1,1,1,1,1,1,1,-1,1,1,-1,-1,1,1,1,-1,1,1,1,-1,1,1,-1,-1,1,1,1,-1,-1,1,1,-1,1,1,1,1,1,-1,1,-1]"},{"ref":"Chunky.Sequence.OEIS.Repr.html","title":"Chunky.Sequence.OEIS.Repr","type":"module","doc":"Sequences from the Online Encyclopedia of Integer Sequences dealing with number representations, like alternate bases, digit contents, and patterns of digits. Available Sequences Omissions and Deletions of digits create_sequence_a004176/1 - A004176 - Omit 1&#39;s from n. create_sequence_a004177/1 - A004177 - Omit 2&#39;s from n. create_sequence_a004178/1 - A004178 - Omit 3&#39;s from n. create_sequence_a004179/1 - A004179 - Omit 4&#39;s from n. create_sequence_a004180/1 - A004180 - Omit 5&#39;s from n. create_sequence_a004181/1 - A004181 - Omit 6&#39;s from n. create_sequence_a004182/1 - A004182 - Omit 7&#39;s from n. create_sequence_a004183/1 - A004183 - Omit 8&#39;s from n. create_sequence_a004184/1 - A004184 - Omit 9&#39;s from n. create_sequence_a004719/1 - A004719 - Delete all 0&#39;s from n. create_sequence_a004720/1 - A004720 - Delete all digits &#39;1&#39; from the sequence of nonnegative integers. create_sequence_a004721/1 - A004721 - Delete all 2&#39;s from the sequence of nonnegative integers. create_sequence_a004722/1 - A004722 - Delete all digits 3 from the terms of the sequence of nonnegative integers. create_sequence_a004723/1 - A004723 - Delete all 4&#39;s from the sequence of nonnegative integers. create_sequence_a004724/1 - A004724 - Delete all 5&#39;s from the sequence of nonnegative integers. create_sequence_a004725/1 - A004725 - Delete all 6&#39;s from the sequence of nonnegative integers. create_sequence_a004726/1 - A004726 - Delete all 7&#39;s from the sequence of nonnegative integers. create_sequence_a004727/1 - A004727 - Delete all 8&#39;s from the sequence of nonnegative integers. create_sequence_a004728/1 - A004728 - Delete all 9&#39;s from the sequence of nonnegative integers. Base 10 Representations These representations are in Base 10. See below for representations in other bases. Numbers with or without specific decimal digits: create_sequence_a011531/1 - A011531 - Numbers that contain a digit 1 in their decimal representation. create_sequence_a011532/1 - A011532 - Numbers that contain a 2. create_sequence_a011533/1 - A011533 - Numbers that contain a 3. create_sequence_a011534/1 - A011534 - Numbers that contain a 4. create_sequence_a011535/1 - A011535 - Numbers that contain a 5. create_sequence_a011536/1 - A011536 - Numbers that contain a 6. create_sequence_a011537/1 - A011537 - Numbers that contain at least one 7. create_sequence_a011538/1 - A011538 - Numbers that contain an 8. create_sequence_a011539/1 - A011539 - &quot;9ish numbers&quot;: decimal representation contains at least one nine. create_sequence_a011540/1 - A011540 - Numbers that contain a digit 0. create_sequence_a014263/1 - A014263 - Numbers that contain even digits only. create_sequence_a052382/1 - A052382 - Numbers without 0 as a digit, a.k.a. zeroless numbers. create_sequence_a052383/1 - A052383 - Numbers without 1 as a digit. create_sequence_a052404/1 - A052404 - Numbers without 2 as a digit. create_sequence_a052405/1 - A052405 - Numbers without 3 as a digit. create_sequence_a052406/1 - A052406 - Numbers without 4 as a digit. create_sequence_a052413/1 - A052413 - Numbers without 5 as a digit. create_sequence_a052414/1 - A052414 - Numbers without 6 as a digit. create_sequence_a052419/1 - A052419 - Numbers without 7 as a digit. create_sequence_a052421/1 - A052421 - Numbers without 8 as a digit. create_sequence_a051003/1 - A051003 - Beastly (or hateful) numbers: numbers containing the string 666 in their decimal expansion. create_sequence_a052040/1 - A052040 - Numbers n such that n^2 lacks the digit zero in its decimal expansion. create_sequence_a067251/1 - A067251 - Numbers with no trailing zeros in decimal representation. create_sequence_a097256/1 - A097256 - Numbers whose set of base 10 digits is {0,9}. create_sequence_a121022/1 - A121022 - Even numbers containing a 2 in their decimal representation. Digit counts, summations, or products in base 10: create_sequence_a001101/1 - A001101 - Moran numbers: n such that (n / sum of digits of n) is prime. create_sequence_a005349/1 - A005349 - Niven (or Harshad) numbers: numbers that are divisible by the sum of their digits. create_sequence_a007602/1 - A007602 - Numbers that are divisible by the product of their digits. create_sequence_a007953/1 - A007953 - Digital sum (i.e., sum of digits) of n; also called digsum(n). create_sequence_a007954/1 - A007954 - Product of decimal digits of n. create_sequence_a055640/1 - A055640 - Number of nonzero digits in decimal expansion of n. create_sequence_a055641/1 - A055641 - Number of zero digits in n. create_sequence_a055642/1 - A055642 - Number of digits in decimal expansion of n. create_sequence_a102669/1 - A102669 - Number of digits &gt;= 2 in decimal representation of n. create_sequence_a102670/1 - A102670 - Number of digits &gt;= 2 in the decimal representations of all integers from 0 to n. create_sequence_a102671/1 - A102671 - Number of digits &gt;= 3 in decimal representation of n. create_sequence_a102672/1 - A102672 - Number of digits &gt;= 3 in the decimal representations of all integers from 0 to n. create_sequence_a102673/1 - A102673 - Number of digits &gt;= 4 in decimal representation of n. create_sequence_a102674/1 - A102674 - Number of digits &gt;= 4 in the decimal representations of all integers from 0 to n. create_sequence_a102675/1 - A102675 - Number of digits &gt;= 5 in decimal representation of n. create_sequence_a102676/1 - A102676 - Number of digits &gt;= 5 in the decimal representations of all integers from 0 to n. create_sequence_a102677/1 - A102677 - Number of digits &gt;= 6 in decimal representation of n. create_sequence_a102678/1 - A102678 - Number of digits &gt;= 6 in the decimal representations of all integers from 0 to n. create_sequence_a102679/1 - A102679 - Number of digits &gt;= 7 in decimal representation of n. create_sequence_a102680/1 - A102680 - Number of digits &gt;= 7 in the decimal representations of all integers from 0 to n. create_sequence_a102681/1 - A102681 - Number of digits &gt;= 8 in decimal representation of n. create_sequence_a102682/1 - A102682 - Number of digits &gt;= 8 in the decimal representations of all integers from 0 to n. create_sequence_a102683/1 - A102683 - Number of digits 9 in decimal representation of n. create_sequence_a102684/1 - A102684 - Number of times the digit 9 appears in the decimal representations of all integers from 0 to n. create_sequence_a115983/1 - A115983 - Apocalypse primes: 10^665+a(n) has 666 decimal digits and is prime. create_sequence_a160093/1 - A160093 - Number of digits in n, excluding any trailing zeros. create_sequence_a193238/1 - A193238 - Number of prime digits in decimal representation of n. create_sequence_a196563/1 - A196563 - Number of even digits in decimal representation of n. create_sequence_a122840/1 - A122840 - a(n) is the number of 0s at the end of n when n is written in base 10. create_sequence_a114904/1 - A114904 - Sorted numbers of digits of any base-10 narcissistic number. create_sequence_a046253/1 - A046253 - Equal to the sum of its nonzero digits raised to its own power. create_sequence_a010872/1 - A010872 - a(n) = n mod 3. Rhonda numbers in base 10: create_sequence_a099542/1 - A099542 - Rhonda numbers to base 10. create_sequence_a100987/1 - A100987 - Integers that are Rhonda numbers to some base. create_sequence_a100988/1 - A100988 - Integers that are Rhonda numbers to more than one base. Kaprekar numbers: create_sequence_a006886/1 - A006886 - Kaprekar numbers: positive numbers n such that n = q+r and n^2 = q*10^m+r, for some m &gt;= 1, q &gt;= 0 and 0 &lt;= r &lt; 10^m, with n != 10^a, a &gt;= 1. create_sequence_a053816/1 - A053816 - Another version of the Kaprekar numbers (A006886): n such that n=q+r and n^2=q*10^m+r, for some m &gt;= 1, q&gt;=0 and 0&lt;=r=1 and n an m-digit number. Armstrong numbers: create_sequence_a005188/1 - A005188 - Armstrong (or pluperfect, or Plus Perfect, or narcissistic) numbers: m-digit positive numbers equal to sum of the m-th powers of their digits. create_sequence_a014576/1 - A014576 - Smallest n-digit narcissistic (or Armstrong) number: smallest n-digit number equal to sum of n-th powers of its digits (or 0 if no such number exists). Base Specific Representations (excluding Base 10) Base 2: create_sequence_a007088/1 - A007088 - The binary numbers (or binary words, or binary vectors): numbers written in base 2. create_sequence_a023416/1 - A023416 - Number of 0&#39;s in binary expansion of n. create_sequence_a059015/1 - A059015 - Total number of 0&#39;s in binary expansions of 0, ..., n. create_sequence_a071858/1 - A071858 - (Number of 1&#39;s in binary expansion of n) mod 3. create_sequence_a179868/1 - A179868 - (Number of 1&#39;s in binary expansion of n) mod 4. create_sequence_a000788/1 - A000788 - Total number of 1&#39;s in binary expansions of 0, ..., n. Base 3: create_sequence_a007089/1 - A007089 - Numbers in base 3. create_sequence_a005823/1 - A005823 - Numbers whose ternary expansion contains no 1&#39;s. create_sequence_a005836/1 - A005836 - Numbers n whose base 3 representation contains no 2. create_sequence_a023692/1 - A023692 - Numbers with a single 1 in their ternary expansion. create_sequence_a043321/1 - A043321 - Numbers n such that number of 0&#39;s in base 3 is 1. create_sequence_a023693/1 - A023693 - Numbers with exactly 2 1&#39;s in ternary expansion. create_sequence_a023694/1 - A023694 - Numbers with exactly 3 1&#39;s in ternary expansion. create_sequence_a023695/1 - A023695 - Numbers with exactly 4 1&#39;s in ternary expansion. create_sequence_a023696/1 - A023696 - Numbers with exactly 5 1&#39;s in ternary expansion. create_sequence_a023697/1 - A023697 - Numbers with exactly 6 1&#39;s in ternary expansion. create_sequence_a023698/1 - A023698 - Numbers with exactly 7 1&#39;s in ternary expansion. create_sequence_a023699/1 - A023699 - Numbers with a single 2 in their ternary expansion. create_sequence_a023700/1 - A023700 - Numbers with exactly 2 2&#39;s in ternary expansion. create_sequence_a023701/1 - A023701 - Numbers with exactly 3 2&#39;s in their ternary expansion. create_sequence_a023702/1 - A023702 - Numbers with exactly 4 2&#39;s in ternary expansion of n. create_sequence_a023703/1 - A023703 - Numbers with exactly 5 2&#39;s in ternary expansion. create_sequence_a023704/1 - A023704 - Numbers with exactly 6 2&#39;s in ternary expansion. create_sequence_a032924/1 - A032924 - Numbers whose ternary expansion contains no 0. create_sequence_a062756/1 - A062756 - Number of 1&#39;s in ternary (base 3) expansion of n. create_sequence_a074940/1 - A074940 - Numbers having at least one 2 in their ternary representation. create_sequence_a077267/1 - A077267 - Number of zeros in base 3 expansion of n. create_sequence_a081603/1 - A081603 - Number of 2&#39;s in ternary representation of n. create_sequence_a081605/1 - A081605 - Numbers having at least one 0 in their ternary representation. create_sequence_a081606/1 - A081606 - Numbers having at least one 1 in their ternary representation. create_sequence_a023745/1 - A023745 - Plaindromes: numbers whose digits in base 3 are in nondecreasing order. Base 4: create_sequence_a007090/1 - A007090 - Numbers in base 4. create_sequence_a010344/1 - A010344 - Base-4 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023706/1 - A023706 - Numbers with a single 0 in their base 4 expansion. create_sequence_a023707/1 - A023707 - Numbers with exactly 2 0&#39;s in base 4 expansion. create_sequence_a023708/1 - A023708 - Numbers with exactly 3 0&#39;s in base 4 expansion. create_sequence_a023709/1 - A023709 - Numbers with no 1&#39;s in base 4 expansion. create_sequence_a023710/1 - A023710 - Numbers with a single 1 in their base 4 expansion. create_sequence_a023711/1 - A023711 - Numbers with exactly 2 1&#39;s in base 4 expansion. create_sequence_a023712/1 - A023712 - Numbers with exactly 3 1&#39;s in base 4 expansion. create_sequence_a023713/1 - A023713 - Numbers with no 2&#39;s in base 4 expansion. create_sequence_a023714/1 - A023714 - Numbers with a single 2 in their base 4 expansion. create_sequence_a023715/1 - A023715 - Numbers with exactly 2 2&#39;s in base 4 expansion. create_sequence_a023716/1 - A023716 - Numbers with exactly 3 2&#39;s in base 4 expansion. create_sequence_a023717/1 - A023717 - Numbers with no 3&#39;s in base 4 expansion. create_sequence_a023718/1 - A023718 - Numbers with a single 3 in their base 4 expansion. create_sequence_a023719/1 - A023719 - Numbers with exactly two 3&#39;s in base 4 expansion. create_sequence_a023720/1 - A023720 - Numbers with exactly 3 3&#39;s in base 4 expansion. create_sequence_a023705/1 - A023705 - Numbers with no 0&#39;s in base 4 expansion. create_sequence_a100968/1 - A100968 - Integers n that are Rhonda numbers to base 4. create_sequence_a023746/1 - A023746 - Plaindromes: numbers whose digits in base 4 are in nondecreasing order. Base 5: create_sequence_a007091/1 - A007091 - Numbers in base 5. create_sequence_a010346/1 - A010346 - Base-5 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023721/1 - A023721 - Numbers with no 0&#39;s in their base-5 expansion. create_sequence_a023722/1 - A023722 - Numbers with a single 0 in their base 5 expansion. create_sequence_a023723/1 - A023723 - Numbers with exactly 2 0&#39;s in base 5 expansion. create_sequence_a023724/1 - A023724 - Numbers with exactly 3 0&#39;s in base 5 expansion. create_sequence_a023725/1 - A023725 - Numbers with no 1&#39;s in their base-5 expansion. create_sequence_a023726/1 - A023726 - Numbers with a single 1 in their base 5 expansion. create_sequence_a023727/1 - A023727 - Numbers with exactly 2 1&#39;s in their base 5 expansion. create_sequence_a023728/1 - A023728 - Numbers with exactly 3 1&#39;s in base 5 expansion. create_sequence_a023729/1 - A023729 - Numbers with no 2&#39;s in their base-5 expansion. create_sequence_a023730/1 - A023730 - Numbers with a single 2 in their base 5 expansion. create_sequence_a023731/1 - A023731 - Numbers with exactly two 2&#39;s in base 5 expansion. create_sequence_a023732/1 - A023732 - Numbers with exactly 3 2&#39;s in base 5 expansion. create_sequence_a023733/1 - A023733 - Numbers with no 3&#39;s in base-5 expansion. create_sequence_a023734/1 - A023734 - Numbers with a single 3 in their base-5 expansion. create_sequence_a023735/1 - A023735 - Numbers with exactly 2 3&#39;s in their base-5 expansion. create_sequence_a023736/1 - A023736 - Numbers with exactly 3 3&#39;s in their base-5 expansion. create_sequence_a023738/1 - A023738 - Numbers with a single 4 in their base 5 expansion. create_sequence_a023739/1 - A023739 - Numbers with exactly 2 4&#39;s in base 5 expansion. create_sequence_a023740/1 - A023740 - Numbers with exactly 3 4&#39;s in base 5 expansion. create_sequence_a097251/1 - A097251 - Numbers whose set of base 5 digits is {0,4}. create_sequence_a023747/1 - A023747 - Plaindromes: numbers whose digits in base 5 are in nondecreasing order. Base 6: create_sequence_a007092/1 - A007092 - Numbers in base 6. create_sequence_a010348/1 - A010348 - Base-6 Armstrong or narcissistic numbers (written in base 10). create_sequence_a097252/1 - A097252 - Numbers whose set of base 6 digits is {0,5}. create_sequence_a100969/1 - A100969 - Integers n that are Rhonda numbers to base 6. create_sequence_a248910/1 - A248910 - Numbers with no zeros in base-6 representation. create_sequence_a023748/1 - A023748 - Plaindromes: numbers whose digits in base 6 are in nondecreasing order. Base 7: create_sequence_a007093/1 - A007093 - Numbers in base 7. create_sequence_a010350/1 - A010350 - Base-7 Armstrong or narcissistic numbers (written in base 10). create_sequence_a097253/1 - A097253 - Numbers whose set of base 7 digits is {0,6}. create_sequence_a023749/1 - A023749 - Plaindromes: numbers whose digits in base 7 are in nondecreasing order. Base 8: create_sequence_a007094/1 - A007094 - Numbers in base 8. create_sequence_a010353/1 - A010353 - Base-9 Armstrong or narcissistic numbers (written in base 10). create_sequence_a097254/1 - A097254 - Numbers whose set of base 8 digits is {0,7}. create_sequence_a100970/1 - A100970 - Integers n that are Rhonda numbers to base 8. create_sequence_a255805/1 - A255805 - Numbers with no zeros in base-8 representation. create_sequence_a023750/1 - A023750 - Plaindromes: numbers whose digits in base 8 are in nondecreasing order. Base 9: create_sequence_a007095/1 - A007095 - Numbers in base 9. create_sequence_a010354/1 - A010354 - Base-8 Armstrong or narcissistic numbers (written in base 10). create_sequence_a097255/1 - A097255 - Numbers whose set of base 9 digits is {0,8}. create_sequence_a100973/1 - A100973 - Integers that are Rhonda numbers to base 9. create_sequence_a255808/1 - A255808 - Numbers with no zeros in base-9 representation. create_sequence_a023751/1 - A023751 - Plaindromes: numbers whose digits in base 9 are in nondecreasing order. Base 11 create_sequence_a097257/1 - A097257 - Numbers whose set of base 11 digits is {0,A}, where A base 11 = 10 base 10. create_sequence_a161948/1 - A161948 - Base-11 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023752/1 - A023752 - Plaindromes: numbers whose digits in base 11 are in nondecreasing order. Base 12 create_sequence_a097258/1 - A097258 - Numbers whose set of base 12 digits is {0,B}, where B base 12 = 11 base 10. create_sequence_a100971/1 - A100971 - Integers n that are Rhonda numbers to base 12. create_sequence_a161949/1 - A161949 - Base-12 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023753/1 - A023753 - Plaindromes: numbers whose digits in base 12 are in nondecreasing order. Base 13 create_sequence_a097259/1 - A097259 - Numbers whose set of base 13 digits is {0,C}, where C base 13 = 12 base 10. create_sequence_a161950/1 - A161950 - Base-13 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023754/1 - A023754 - Plaindromes: numbers whose digits in base 13 are in nondecreasing order. Base 14 create_sequence_a097260/1 - A097260 - Numbers whose set of base 14 digits is {0,D}, where D base 14 = 13 base 10. create_sequence_a100972/1 - A100972 - Integers that are Rhonda numbers to base 14. create_sequence_a161951/1 - A161951 - Base-14 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023755/1 - A023755 - Plaindromes: numbers whose digits in base 14 are in nondecreasing order. Base 15 create_sequence_a097261/1 - A097261 - Numbers whose set of base 15 digits is {0,E}, where E base 15 = 14 base 10. create_sequence_a100974/1 - A100974 - Integers that are Rhonda numbers to base 15. create_sequence_a161952/1 - A161952 - Base-15 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023756/1 - A023756 - Plaindromes: numbers whose digits in base 15 are in nondecreasing order. Base 16 create_sequence_a097262/1 - A097262 - Numbers whose set of base 16 digits is {0,F}, where F base 16 = 15 base 10. create_sequence_a100975/1 - A100975 - Integers that are Rhonda numbers to base 16. create_sequence_a161953/1 - A161953 - Base-16 Armstrong or narcissistic numbers (written in base 10). create_sequence_a023757/1 - A023757 - Plaindromes: numbers whose digits in base 16 are in nondecreasing order. Base 18 create_sequence_a255735/1 - A255735 - Integers that are Rhonda numbers to base 18. Base 20 create_sequence_a255732/1 - A255732 - Rhonda numbers in vigesimal number system. Base 30 create_sequence_a255736/1 - A255736 - Integers that are Rhonda numbers to base 30. Base 60 create_sequence_a255731/1 - A255731 - Rhonda numbers in sexagesimal number system."},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a000788/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a000788/1","type":"function","doc":"OEIS Sequence A000788 - Total number of 1&#39;s in binary expansions of 0, ..., n. From OEIS A000788: Total number of 1&#39;s in binary expansions of 0, ..., n. (Formerly M0964 N0360) Sequence IDs: :a000788 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a000788) |&gt; Sequence.take!(63) [0,1,2,4,5,7,9,12,13,15,17,20,22,25,28,32,33,35,37,40,42,45,48,52,54,57,60,64,67,71,75,80,81,83,85,88,90,93,96,100,102,105,108,112,115,119,123,128,130,133,136,140,143,147,151,156,159,163,167,172,176,181,186]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a001101/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a001101/1","type":"function","doc":"OEIS Sequence A001101 - Moran numbers: n such that (n / sum of digits of n) is prime. From OEIS A001101: Moran numbers: n such that (n / sum of digits of n) is prime. (Formerly ) Sequence IDs: :a001101 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a001101) |&gt; Sequence.take!(45) [18,21,27,42,45,63,84,111,114,117,133,152,153,156,171,190,195,198,201,207,209,222,228,247,261,266,285,333,370,372,399,402,407,423,444,465,481,511,516,518,531,555,558,592,603]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004176/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004176/1","type":"function","doc":"OEIS Sequence A004176 - Omit 1&#39;s from n. From OEIS A004176: Omit 1&#39;s from n. (Formerly ) Sequence IDs: :a004176 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004176) |&gt; Sequence.take!(75) [0,0,2,3,4,5,6,7,8,9,0,0,2,3,4,5,6,7,8,9,20,2,22,23,24,25,26,27,28,29,30,3,32,33,34,35,36,37,38,39,40,4,42,43,44,45,46,47,48,49,50,5,52,53,54,55,56,57,58,59,60,6,62,63,64,65,66,67,68,69,70,7,72,73,74]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004177/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004177/1","type":"function","doc":"OEIS Sequence A004177 - Omit 2&#39;s from n. From OEIS A004177: Omit 2&#39;s from n. (Formerly ) Sequence IDs: :a004177 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004177) |&gt; Sequence.take!(75) [0,1,0,3,4,5,6,7,8,9,10,11,1,13,14,15,16,17,18,19,0,1,0,3,4,5,6,7,8,9,30,31,3,33,34,35,36,37,38,39,40,41,4,43,44,45,46,47,48,49,50,51,5,53,54,55,56,57,58,59,60,61,6,63,64,65,66,67,68,69,70,71,7,73,74]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004178/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004178/1","type":"function","doc":"OEIS Sequence A004178 - Omit 3&#39;s from n. From OEIS A004178: Omit 3&#39;s from n. (Formerly ) Sequence IDs: :a004178 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004178) |&gt; Sequence.take!(75) [0,1,2,0,4,5,6,7,8,9,10,11,12,1,14,15,16,17,18,19,20,21,22,2,24,25,26,27,28,29,0,1,2,0,4,5,6,7,8,9,40,41,42,4,44,45,46,47,48,49,50,51,52,5,54,55,56,57,58,59,60,61,62,6,64,65,66,67,68,69,70,71,72,7,74]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004179/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004179/1","type":"function","doc":"OEIS Sequence A004179 - Omit 4&#39;s from n. From OEIS A004179: Omit 4&#39;s from n. (Formerly ) Sequence IDs: :a004179 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004179) |&gt; Sequence.take!(75) [0,1,2,3,0,5,6,7,8,9,10,11,12,13,1,15,16,17,18,19,20,21,22,23,2,25,26,27,28,29,30,31,32,33,3,35,36,37,38,39,0,1,2,3,0,5,6,7,8,9,50,51,52,53,5,55,56,57,58,59,60,61,62,63,6,65,66,67,68,69,70,71,72,73,7]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004180/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004180/1","type":"function","doc":"OEIS Sequence A004180 - Omit 5&#39;s from n. From OEIS A004180: Omit 5&#39;s from n. (Formerly ) Sequence IDs: :a004180 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004180) |&gt; Sequence.take!(75) [0,1,2,3,4,0,6,7,8,9,10,11,12,13,14,1,16,17,18,19,20,21,22,23,24,2,26,27,28,29,30,31,32,33,34,3,36,37,38,39,40,41,42,43,44,4,46,47,48,49,0,1,2,3,4,0,6,7,8,9,60,61,62,63,64,6,66,67,68,69,70,71,72,73,74]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004181/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004181/1","type":"function","doc":"OEIS Sequence A004181 - Omit 6&#39;s from n. From OEIS A004181: Omit 6&#39;s from n. (Formerly ) Sequence IDs: :a004181 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004181) |&gt; Sequence.take!(75) [0,1,2,3,4,5,0,7,8,9,10,11,12,13,14,15,1,17,18,19,20,21,22,23,24,25,2,27,28,29,30,31,32,33,34,35,3,37,38,39,40,41,42,43,44,45,4,47,48,49,50,51,52,53,54,55,5,57,58,59,0,1,2,3,4,5,0,7,8,9,70,71,72,73,74]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004182/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004182/1","type":"function","doc":"OEIS Sequence A004182 - Omit 7&#39;s from n. From OEIS A004182: Omit 7&#39;s from n. (Formerly ) Sequence IDs: :a004182 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004182) |&gt; Sequence.take!(73) [0,1,2,3,4,5,6,0,8,9,10,11,12,13,14,15,16,1,18,19,20,21,22,23,24,25,26,2,28,29,30,31,32,33,34,35,36,3,38,39,40,41,42,43,44,45,46,4,48,49,50,51,52,53,54,55,56,5,58,59,60,61,62,63,64,65,66,6,68,69,0,1,2]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004183/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004183/1","type":"function","doc":"OEIS Sequence A004183 - Omit 8&#39;s from n. From OEIS A004183: Omit 8&#39;s from n. (Formerly ) Sequence IDs: :a004183 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004183) |&gt; Sequence.take!(72) [0,1,2,3,4,5,6,7,0,9,10,11,12,13,14,15,16,17,1,19,20,21,22,23,24,25,26,27,2,29,30,31,32,33,34,35,36,37,3,39,40,41,42,43,44,45,46,47,4,49,50,51,52,53,54,55,56,57,5,59,60,61,62,63,64,65,66,67,6,69,70,71]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004184/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004184/1","type":"function","doc":"OEIS Sequence A004184 - Omit 9&#39;s from n. From OEIS A004184: Omit 9&#39;s from n. (Formerly ) Sequence IDs: :a004184 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004184) |&gt; Sequence.take!(72) [0,1,2,3,4,5,6,7,8,0,10,11,12,13,14,15,16,17,18,1,20,21,22,23,24,25,26,27,28,2,30,31,32,33,34,35,36,37,38,3,40,41,42,43,44,45,46,47,48,4,50,51,52,53,54,55,56,57,58,5,60,61,62,63,64,65,66,67,68,6,70,71]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004719/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004719/1","type":"function","doc":"OEIS Sequence A004719 - Delete all 0&#39;s from n. From OEIS A004719: Delete all 0&#39;s from n. (Formerly ) Sequence IDs: :a004719 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004719) |&gt; Sequence.take!(120) [1,2,3,4,5,6,7,8,9,1,11,12,13,14,15,16,17,18,19,2,21,22,23,24,25,26,27,28,29,3,31,32,33,34,35,36,37,38,39,4,41,42,43,44,45,46,47,48,49,5,51,52,53,54,55,56,57,58,59,6,61,62,63,64,65,66,67,68,69,7,71,72,73,74,75,76,77,78,79,8,81,82,83,84,85,86,87,88,89,9,91,92,93,94,95,96,97,98,99,1,11,12,13,14,15,16,17,18,19,11,111,112,113,114,115,116,117,118,119,12]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004720/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004720/1","type":"function","doc":"OEIS Sequence A004720 - Delete all digits &#39;1&#39; from the sequence of nonnegative integers. From OEIS A004720: Delete all digits &#39;1&#39; from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004720 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004720) |&gt; Sequence.take!(74) [0,2,3,4,5,6,7,8,9,0,2,3,4,5,6,7,8,9,20,2,22,23,24,25,26,27,28,29,30,3,32,33,34,35,36,37,38,39,40,4,42,43,44,45,46,47,48,49,50,5,52,53,54,55,56,57,58,59,60,6,62,63,64,65,66,67,68,69,70,7,72,73,74,75]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004721/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004721/1","type":"function","doc":"OEIS Sequence A004721 - Delete all 2&#39;s from the sequence of nonnegative integers. From OEIS A004721: Delete all 2&#39;s from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004721 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004721) |&gt; Sequence.take!(74) [0,1,3,4,5,6,7,8,9,10,11,1,13,14,15,16,17,18,19,0,1,3,4,5,6,7,8,9,30,31,3,33,34,35,36,37,38,39,40,41,4,43,44,45,46,47,48,49,50,51,5,53,54,55,56,57,58,59,60,61,6,63,64,65,66,67,68,69,70,71,7,73,74,75]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004722/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004722/1","type":"function","doc":"OEIS Sequence A004722 - Delete all digits 3 from the terms of the sequence of nonnegative integers. From OEIS A004722: Delete all digits 3 from the terms of the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004722 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004722) |&gt; Sequence.take!(75) [0,1,2,4,5,6,7,8,9,10,11,12,1,14,15,16,17,18,19,20,21,22,2,24,25,26,27,28,29,0,1,2,4,5,6,7,8,9,40,41,42,4,44,45,46,47,48,49,50,51,52,5,54,55,56,57,58,59,60,61,62,6,64,65,66,67,68,69,70,71,72,7,74,75,76]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004723/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004723/1","type":"function","doc":"OEIS Sequence A004723 - Delete all 4&#39;s from the sequence of nonnegative integers. From OEIS A004723: Delete all 4&#39;s from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004723 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004723) |&gt; Sequence.take!(74) [0,1,2,3,5,6,7,8,9,10,11,12,13,1,15,16,17,18,19,20,21,22,23,2,25,26,27,28,29,30,31,32,33,3,35,36,37,38,39,0,1,2,3,5,6,7,8,9,50,51,52,53,5,55,56,57,58,59,60,61,62,63,6,65,66,67,68,69,70,71,72,73,7,75]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004724/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004724/1","type":"function","doc":"OEIS Sequence A004724 - Delete all 5&#39;s from the sequence of nonnegative integers. From OEIS A004724: Delete all 5&#39;s from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004724 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004724) |&gt; Sequence.take!(75) [0,1,2,3,4,6,7,8,9,10,11,12,13,14,1,16,17,18,19,20,21,22,23,24,2,26,27,28,29,30,31,32,33,34,3,36,37,38,39,40,41,42,43,44,4,46,47,48,49,0,1,2,3,4,6,7,8,9,60,61,62,63,64,6,66,67,68,69,70,71,72,73,74,7,76]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004725/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004725/1","type":"function","doc":"OEIS Sequence A004725 - Delete all 6&#39;s from the sequence of nonnegative integers. From OEIS A004725: Delete all 6&#39;s from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004725 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004725) |&gt; Sequence.take!(75) [0,1,2,3,4,5,7,8,9,10,11,12,13,14,15,1,17,18,19,20,21,22,23,24,25,2,27,28,29,30,31,32,33,34,35,3,37,38,39,40,41,42,43,44,45,4,47,48,49,50,51,52,53,54,55,5,57,58,59,0,1,2,3,4,5,7,8,9,70,71,72,73,74,75,7]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004726/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004726/1","type":"function","doc":"OEIS Sequence A004726 - Delete all 7&#39;s from the sequence of nonnegative integers. From OEIS A004726: Delete all 7&#39;s from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004726 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004726) |&gt; Sequence.take!(72) [0,1,2,3,4,5,6,8,9,10,11,12,13,14,15,16,1,18,19,20,21,22,23,24,25,26,2,28,29,30,31,32,33,34,35,36,3,38,39,40,41,42,43,44,45,46,4,48,49,50,51,52,53,54,55,56,5,58,59,60,61,62,63,64,65,66,6,68,69,0,1,2]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004727/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004727/1","type":"function","doc":"OEIS Sequence A004727 - Delete all 8&#39;s from the sequence of nonnegative integers. From OEIS A004727: Delete all 8&#39;s from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004727 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004727) |&gt; Sequence.take!(71) [0,1,2,3,4,5,6,7,9,10,11,12,13,14,15,16,17,1,19,20,21,22,23,24,25,26,27,2,29,30,31,32,33,34,35,36,37,3,39,40,41,42,43,44,45,46,47,4,49,50,51,52,53,54,55,56,57,5,59,60,61,62,63,64,65,66,67,6,69,70,71]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a004728/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a004728/1","type":"function","doc":"OEIS Sequence A004728 - Delete all 9&#39;s from the sequence of nonnegative integers. From OEIS A004728: Delete all 9&#39;s from the sequence of nonnegative integers. (Formerly ) Sequence IDs: :a004728 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a004728) |&gt; Sequence.take!(71) [0,1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,18,1,20,21,22,23,24,25,26,27,28,2,30,31,32,33,34,35,36,37,38,3,40,41,42,43,44,45,46,47,48,4,50,51,52,53,54,55,56,57,58,5,60,61,62,63,64,65,66,67,68,6,70,71]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a005188/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a005188/1","type":"function","doc":"OEIS Sequence A005188 - Armstrong (or pluperfect, or Plus Perfect, or narcissistic) numbers: m-digit positive numbers equal to sum of the m-th powers of their digits. From OEIS A005188: Armstrong (or pluperfect, or Plus Perfect, or narcissistic) numbers: m-digit positive numbers equal to sum of the m-th powers of their digits. (Formerly M0488) Sequence IDs: :a005188 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a005188) |&gt; Sequence.take!(16) [1,2,3,4,5,6,7,8,9,153,370,371,407,1634,8208,9474]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a005349/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a005349/1","type":"function","doc":"OEIS Sequence A005349 - Niven (or Harshad) numbers: numbers that are divisible by the sum of their digits. From OEIS A005349: Niven (or Harshad) numbers: numbers that are divisible by the sum of their digits. (Formerly M0481) Sequence IDs: :a005349 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a005349) |&gt; Sequence.take!(61) [1,2,3,4,5,6,7,8,9,10,12,18,20,21,24,27,30,36,40,42,45,48,50,54,60,63,70,72,80,81,84,90,100,102,108,110,111,112,114,117,120,126,132,133,135,140,144,150,152,153,156,162,171,180,190,192,195,198,200,201,204]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a005823/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a005823/1","type":"function","doc":"OEIS Sequence A005823 - Numbers whose ternary expansion contains no 1&#39;s. From OEIS A005823: Numbers whose ternary expansion contains no 1&#39;s. (Formerly M1567) Sequence IDs: :a005823 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a005823) |&gt; Sequence.take!(56) [0,2,6,8,18,20,24,26,54,56,60,62,72,74,78,80,162,164,168,170,180,182,186,188,216,218,222,224,234,236,240,242,486,488,492,494,504,506,510,512,540,542,546,548,558,560,564,566,648,650,654,656,666,668,672,674]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a005836/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a005836/1","type":"function","doc":"OEIS Sequence A005836 - Numbers n whose base 3 representation contains no 2. From OEIS A005836: Numbers n whose base 3 representation contains no 2. (Formerly M2353) Sequence IDs: :a005836 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a005836) |&gt; Sequence.take!(58) [0,1,3,4,9,10,12,13,27,28,30,31,36,37,39,40,81,82,84,85,90,91,93,94,108,109,111,112,117,118,120,121,243,244,246,247,252,253,255,256,270,271,273,274,279,280,282,283,324,325,327,328,333,334,336,337,351,352]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a006886/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a006886/1","type":"function","doc":"OEIS Sequence A006886 - Kaprekar numbers: positive numbers n such that n = q+r and n^2 = q*10^m+r, for some m &gt;= 1, q &gt;= 0 and 0 &lt;= r &lt; 10^m, with n != 10^a, a &gt;= 1. From OEIS A006886: Kaprekar numbers: positive numbers n such that n = q+r and n^2 = q*10^m+r, for some m &gt;= 1, q &gt;= 0 and 0 &lt;= r &lt; 10^m, with n != 10^a, a &gt;= 1. (Formerly M4625) Sequence IDs: :a006886 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a006886) |&gt; Sequence.take!(17) [1,9,45,55,99,297,703,999,2223,2728,4879,4950,5050,5292,7272,7777,9999]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007088/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007088/1","type":"function","doc":"OEIS Sequence A007088 - The binary numbers (or binary words, or binary vectors): numbers written in base 2. From OEIS A007088: The binary numbers (or binary words, or binary vectors): numbers written in base 2. (Formerly M4679) Sequence IDs: :a007088 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007088) |&gt; Sequence.take!(40) [0,1,10,11,100,101,110,111,1000,1001,1010,1011,1100,1101,1110,1111,10000,10001,10010,10011,10100,10101,10110,10111,11000,11001,11010,11011,11100,11101,11110,11111,100000,100001,100010,100011,100100,100101,100110,100111]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007089/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007089/1","type":"function","doc":"OEIS Sequence A007089 - Numbers in base 3. From OEIS A007089: Numbers in base 3. (Formerly M1960) Sequence IDs: :a007089 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007089) |&gt; Sequence.take!(50) [0,1,2,10,11,12,20,21,22,100,101,102,110,111,112,120,121,122,200,201,202,210,211,212,220,221,222,1000,1001,1002,1010,1011,1012,1020,1021,1022,1100,1101,1102,1110,1111,1112,1120,1121,1122,1200,1201,1202,1210,1211]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007090/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007090/1","type":"function","doc":"OEIS Sequence A007090 - Numbers in base 4. From OEIS A007090: Numbers in base 4. (Formerly M0900) Sequence IDs: :a007090 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007090) |&gt; Sequence.take!(64) [0,1,2,3,10,11,12,13,20,21,22,23,30,31,32,33,100,101,102,103,110,111,112,113,120,121,122,123,130,131,132,133,200,201,202,203,210,211,212,213,220,221,222,223,230,231,232,233,300,301,302,303,310,311,312,313,320,321,322,323,330,331,332,333]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007091/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007091/1","type":"function","doc":"OEIS Sequence A007091 - Numbers in base 5. From OEIS A007091: Numbers in base 5. (Formerly M0595) Sequence IDs: :a007091 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007091) |&gt; Sequence.take!(66) [0,1,2,3,4,10,11,12,13,14,20,21,22,23,24,30,31,32,33,34,40,41,42,43,44,100,101,102,103,104,110,111,112,113,114,120,121,122,123,124,130,131,132,133,134,140,141,142,143,144,200,201,202,203,204,210,211,212,213,214,220,221,222,223,224,230]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007092/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007092/1","type":"function","doc":"OEIS Sequence A007092 - Numbers in base 6. From OEIS A007092: Numbers in base 6. (Formerly M0532) Sequence IDs: :a007092 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007092) |&gt; Sequence.take!(66) [0,1,2,3,4,5,10,11,12,13,14,15,20,21,22,23,24,25,30,31,32,33,34,35,40,41,42,43,44,45,50,51,52,53,54,55,100,101,102,103,104,105,110,111,112,113,114,115,120,121,122,123,124,125,130,131,132,133,134,135,140,141,142,143,144,145]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007093/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007093/1","type":"function","doc":"OEIS Sequence A007093 - Numbers in base 7. From OEIS A007093: Numbers in base 7. (Formerly M0511) Sequence IDs: :a007093 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007093) |&gt; Sequence.take!(64) [0,1,2,3,4,5,6,10,11,12,13,14,15,16,20,21,22,23,24,25,26,30,31,32,33,34,35,36,40,41,42,43,44,45,46,50,51,52,53,54,55,56,60,61,62,63,64,65,66,100,101,102,103,104,105,106,110,111,112,113,114,115,116,120]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007094/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007094/1","type":"function","doc":"OEIS Sequence A007094 - Numbers in base 8. From OEIS A007094: Numbers in base 8. (Formerly M0498) Sequence IDs: :a007094 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007094) |&gt; Sequence.take!(74) [0,1,2,3,4,5,6,7,10,11,12,13,14,15,16,17,20,21,22,23,24,25,26,27,30,31,32,33,34,35,36,37,40,41,42,43,44,45,46,47,50,51,52,53,54,55,56,57,60,61,62,63,64,65,66,67,70,71,72,73,74,75,76,77,100,101,102,103,104,105,106,107,110,111]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007095/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007095/1","type":"function","doc":"OEIS Sequence A007095 - Numbers in base 9. From OEIS A007095: Numbers in base 9. (Formerly M0490) Sequence IDs: :a007095 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007095) |&gt; Sequence.take!(77) [0,1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,18,20,21,22,23,24,25,26,27,28,30,31,32,33,34,35,36,37,38,40,41,42,43,44,45,46,47,48,50,51,52,53,54,55,56,57,58,60,61,62,63,64,65,66,67,68,70,71,72,73,74,75,76,77,78,80,81,82,83,84]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007602/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007602/1","type":"function","doc":"OEIS Sequence A007602 - Numbers that are divisible by the product of their digits. From OEIS A007602: Numbers that are divisible by the product of their digits. (Formerly M0482) Sequence IDs: :a007602 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007602) |&gt; Sequence.take!(53) [1,2,3,4,5,6,7,8,9,11,12,15,24,36,111,112,115,128,132,135,144,175,212,216,224,312,315,384,432,612,624,672,735,816,1111,1112,1113,1115,1116,1131,1176,1184,1197,1212,1296,1311,1332,1344,1416,1575,1715,2112,2144]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007953/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007953/1","type":"function","doc":"OEIS Sequence A007953 - Digital sum (i.e., sum of digits) of n; also called digsum(n). From OEIS A007953: Digital sum (i.e., sum of digits) of n; also called digsum(n). (Formerly ) Sequence IDs: :a007953 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007953) |&gt; Sequence.take!(88) [0,1,2,3,4,5,6,7,8,9,1,2,3,4,5,6,7,8,9,10,2,3,4,5,6,7,8,9,10,11,3,4,5,6,7,8,9,10,11,12,4,5,6,7,8,9,10,11,12,13,5,6,7,8,9,10,11,12,13,14,6,7,8,9,10,11,12,13,14,15,7,8,9,10,11,12,13,14,15,16,8,9,10,11,12,13,14,15]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a007954/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a007954/1","type":"function","doc":"OEIS Sequence A007954 - Product of decimal digits of n. From OEIS A007954: Product of decimal digits of n. (Formerly ) Sequence IDs: :a007954 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a007954) |&gt; Sequence.take!(108) [0,1,2,3,4,5,6,7,8,9,0,1,2,3,4,5,6,7,8,9,0,2,4,6,8,10,12,14,16,18,0,3,6,9,12,15,18,21,24,27,0,4,8,12,16,20,24,28,32,36,0,5,10,15,20,25,30,35,40,45,0,6,12,18,24,30,36,42,48,54,0,7,14,21,28,35,42,49,56,63,0,8,16,24,32,40,48,56,64,72,0,9,18,27,36,45,54,63,72,81,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a010344/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a010344/1","type":"function","doc":"OEIS Sequence A010344 - Base-4 Armstrong or narcissistic numbers (written in base 10). From OEIS A010344: Base-4 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a010344 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a010344) |&gt; Sequence.take!(11) [1,2,3,28,29,35,43,55,62,83,243]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a010346/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a010346/1","type":"function","doc":"OEIS Sequence A010346 - Base-5 Armstrong or narcissistic numbers (written in base 10). From OEIS A010346: Base-5 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a010346 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a010346) |&gt; Sequence.take!(14) [1,2,3,4,13,18,28,118,289,353,419,4890,4891,9113]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a010348/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a010348/1","type":"function","doc":"OEIS Sequence A010348 - Base-6 Armstrong or narcissistic numbers (written in base 10). From OEIS A010348: Base-6 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a010348 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a010348) |&gt; Sequence.take!(13) [1,2,3,4,5,99,190,2292,2293,2324,3432,3433,6197]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a010350/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a010350/1","type":"function","doc":"OEIS Sequence A010350 - Base-7 Armstrong or narcissistic numbers (written in base 10). From OEIS A010350: Base-7 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a010350 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a010350) |&gt; Sequence.take!(20) [1,2,3,4,5,6,10,25,32,45,133,134,152,250,3190,3222,3612,3613,4183,9286]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a010353/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a010353/1","type":"function","doc":"OEIS Sequence A010353 - Base-9 Armstrong or narcissistic numbers (written in base 10). From OEIS A010353: Base-9 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a010353 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a010353) |&gt; Sequence.take!(18) [1,2,3,4,5,6,7,8,41,50,126,127,468,469,1824,8052,8295,9857]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a010354/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a010354/1","type":"function","doc":"OEIS Sequence A010354 - Base-8 Armstrong or narcissistic numbers (written in base 10). From OEIS A010354: Base-8 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a010354 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a010354) |&gt; Sequence.take!(14) [1,2,3,4,5,6,7,20,52,92,133,307,432,433]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a010872/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a010872/1","type":"function","doc":"OEIS Sequence A010872 - a(n) = n mod 3. From OEIS A010872: a(n) = n mod 3. (Formerly ) Sequence IDs: :a010872 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a010872) |&gt; Sequence.take!(105) [0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2,0,1,2]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011531/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011531/1","type":"function","doc":"OEIS Sequence A011531 - Numbers that contain a digit 1 in their decimal representation. From OEIS A011531: Numbers that contain a digit 1 in their decimal representation. (Formerly ) Sequence IDs: :a011531 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011531) |&gt; Sequence.take!(53) [1,10,11,12,13,14,15,16,17,18,19,21,31,41,51,61,71,81,91,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011532/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011532/1","type":"function","doc":"OEIS Sequence A011532 - Numbers that contain a 2. From OEIS A011532: Numbers that contain a 2. (Formerly ) Sequence IDs: :a011532 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011532) |&gt; Sequence.take!(53) [2,12,20,21,22,23,24,25,26,27,28,29,32,42,52,62,72,82,92,102,112,120,121,122,123,124,125,126,127,128,129,132,142,152,162,172,182,192,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011533/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011533/1","type":"function","doc":"OEIS Sequence A011533 - Numbers that contain a 3. From OEIS A011533: Numbers that contain a 3. (Formerly ) Sequence IDs: :a011533 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011533) |&gt; Sequence.take!(53) [3,13,23,30,31,32,33,34,35,36,37,38,39,43,53,63,73,83,93,103,113,123,130,131,132,133,134,135,136,137,138,139,143,153,163,173,183,193,203,213,223,230,231,232,233,234,235,236,237,238,239,243,253]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011534/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011534/1","type":"function","doc":"OEIS Sequence A011534 - Numbers that contain a 4. From OEIS A011534: Numbers that contain a 4. (Formerly ) Sequence IDs: :a011534 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011534) |&gt; Sequence.take!(53) [4,14,24,34,40,41,42,43,44,45,46,47,48,49,54,64,74,84,94,104,114,124,134,140,141,142,143,144,145,146,147,148,149,154,164,174,184,194,204,214,224,234,240,241,242,243,244,245,246,247,248,249,254]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011535/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011535/1","type":"function","doc":"OEIS Sequence A011535 - Numbers that contain a 5. From OEIS A011535: Numbers that contain a 5. (Formerly ) Sequence IDs: :a011535 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011535) |&gt; Sequence.take!(53) [5,15,25,35,45,50,51,52,53,54,55,56,57,58,59,65,75,85,95,105,115,125,135,145,150,151,152,153,154,155,156,157,158,159,165,175,185,195,205,215,225,235,245,250,251,252,253,254,255,256,257,258,259]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011536/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011536/1","type":"function","doc":"OEIS Sequence A011536 - Numbers that contain a 6. From OEIS A011536: Numbers that contain a 6. (Formerly ) Sequence IDs: :a011536 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011536) |&gt; Sequence.take!(53) [6,16,26,36,46,56,60,61,62,63,64,65,66,67,68,69,76,86,96,106,116,126,136,146,156,160,161,162,163,164,165,166,167,168,169,176,186,196,206,216,226,236,246,256,260,261,262,263,264,265,266,267,268]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011537/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011537/1","type":"function","doc":"OEIS Sequence A011537 - Numbers that contain at least one 7. From OEIS A011537: Numbers that contain at least one 7. (Formerly ) Sequence IDs: :a011537 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011537) |&gt; Sequence.take!(53) [7,17,27,37,47,57,67,70,71,72,73,74,75,76,77,78,79,87,97,107,117,127,137,147,157,167,170,171,172,173,174,175,176,177,178,179,187,197,207,217,227,237,247,257,267,270,271,272,273,274,275,276,277]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011538/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011538/1","type":"function","doc":"OEIS Sequence A011538 - Numbers that contain an 8. From OEIS A011538: Numbers that contain an 8. (Formerly ) Sequence IDs: :a011538 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011538) |&gt; Sequence.take!(53) [8,18,28,38,48,58,68,78,80,81,82,83,84,85,86,87,88,89,98,108,118,128,138,148,158,168,178,180,181,182,183,184,185,186,187,188,189,198,208,218,228,238,248,258,268,278,280,281,282,283,284,285,286]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011539/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011539/1","type":"function","doc":"OEIS Sequence A011539 - &quot;9ish numbers&quot;: decimal representation contains at least one nine. From OEIS A011539: &quot;9ish numbers&quot;: decimal representation contains at least one nine. (Formerly ) Sequence IDs: :a011539 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011539) |&gt; Sequence.take!(53) [9,19,29,39,49,59,69,79,89,90,91,92,93,94,95,96,97,98,99,109,119,129,139,149,159,169,179,189,190,191,192,193,194,195,196,197,198,199,209,219,229,239,249,259,269,279,289,290,291,292,293,294,295]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a011540/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a011540/1","type":"function","doc":"OEIS Sequence A011540 - Numbers that contain a digit 0. From OEIS A011540: Numbers that contain a digit 0. (Formerly ) Sequence IDs: :a011540 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a011540) |&gt; Sequence.take!(51) [0,10,20,30,40,50,60,70,80,90,100,101,102,103,104,105,106,107,108,109,110,120,130,140,150,160,170,180,190,200,201,202,203,204,205,206,207,208,209,210,220,230,240,250,260,270,280,290,300,301,302]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a014263/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a014263/1","type":"function","doc":"OEIS Sequence A014263 - Numbers that contain even digits only. From OEIS A014263: Numbers that contain even digits only. (Formerly ) Sequence IDs: :a014263 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a014263) |&gt; Sequence.take!(58) [0,2,4,6,8,20,22,24,26,28,40,42,44,46,48,60,62,64,66,68,80,82,84,86,88,200,202,204,206,208,220,222,224,226,228,240,242,244,246,248,260,262,264,266,268,280,282,284,286,288,400,402,404,406,408,420,422,424]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a014576/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a014576/1","type":"function","doc":"OEIS Sequence A014576 - Smallest n-digit narcissistic (or Armstrong) number: smallest n-digit number equal to sum of n-th powers of its digits (or 0 if no such number exists). From OEIS A014576: Smallest n-digit narcissistic (or Armstrong) number: smallest n-digit number equal to sum of n-th powers of its digits (or 0 if no such number exists). (Formerly ) Sequence IDs: :a014576 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a014576) |&gt; Sequence.take!(22) [1,0,153,1634,54748,548834,1741725,24678050,146511208,4679307774,32164049650,0,0,28116440335967,0,4338281769391370,21897142587612075,0,1517841543307505039,63105425988599693916,128468643043731391252,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023416/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023416/1","type":"function","doc":"OEIS Sequence A023416 - Number of 0&#39;s in binary expansion of n. From OEIS A023416: Number of 0&#39;s in binary expansion of n. (Formerly ) Sequence IDs: :a023416 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023416) |&gt; Sequence.take!(105) [1,0,1,0,2,1,1,0,3,2,2,1,2,1,1,0,4,3,3,2,3,2,2,1,3,2,2,1,2,1,1,0,5,4,4,3,4,3,3,2,4,3,3,2,3,2,2,1,4,3,3,2,3,2,2,1,3,2,2,1,2,1,1,0,6,5,5,4,5,4,4,3,5,4,4,3,4,3,3,2,5,4,4,3,4,3,3,2,4,3,3,2,3,2,2,1,5,4,4,3,4,3,3,2,4]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023692/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023692/1","type":"function","doc":"OEIS Sequence A023692 - Numbers with a single 1 in their ternary expansion. From OEIS A023692: Numbers with a single 1 in their ternary expansion. (Formerly ) Sequence IDs: :a023692 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023692) |&gt; Sequence.take!(56) [1,3,5,7,9,11,15,17,19,21,23,25,27,29,33,35,45,47,51,53,55,57,59,61,63,65,69,71,73,75,77,79,81,83,87,89,99,101,105,107,135,137,141,143,153,155,159,161,163,165,167,169,171,173,177,179]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023693/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023693/1","type":"function","doc":"OEIS Sequence A023693 - Numbers with exactly 2 1&#39;s in ternary expansion. From OEIS A023693: Numbers with exactly 2 1&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023693 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023693) |&gt; Sequence.take!(53) [4,10,12,14,16,22,28,30,32,34,36,38,42,44,46,48,50,52,58,64,66,68,70,76,82,84,86,88,90,92,96,98,100,102,104,106,108,110,114,116,126,128,132,134,136,138,140,142,144,146,150,152,154]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023694/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023694/1","type":"function","doc":"OEIS Sequence A023694 - Numbers with exactly 3 1&#39;s in ternary expansion. From OEIS A023694: Numbers with exactly 3 1&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023694 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023694) |&gt; Sequence.take!(49) [13,31,37,39,41,43,49,67,85,91,93,95,97,103,109,111,113,115,117,119,123,125,127,129,131,133,139,145,147,149,151,157,175,193,199,201,203,205,211,229,247,253,255,257,259,265,271,273,275]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023695/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023695/1","type":"function","doc":"OEIS Sequence A023695 - Numbers with exactly 4 1&#39;s in ternary expansion. From OEIS A023695: Numbers with exactly 4 1&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023695 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023695) |&gt; Sequence.take!(45) [40,94,112,118,120,122,124,130,148,202,256,274,280,282,284,286,292,310,328,334,336,338,340,346,352,354,356,358,360,362,366,368,370,372,374,376,382,388,390,392,394,400,418,436,442]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023696/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023696/1","type":"function","doc":"OEIS Sequence A023696 - Numbers with exactly 5 1&#39;s in ternary expansion. From OEIS A023696: Numbers with exactly 5 1&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023696 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023696) |&gt; Sequence.take!(40) [121,283,337,355,361,363,365,367,373,391,445,607,769,823,841,847,849,851,853,859,877,931,985,1003,1009,1011,1013,1015,1021,1039,1057,1063,1065,1067,1069,1075,1081,1083,1085,1087]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023697/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023697/1","type":"function","doc":"OEIS Sequence A023697 - Numbers with exactly 6 1&#39;s in ternary expansion. From OEIS A023697: Numbers with exactly 6 1&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023697 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023697) |&gt; Sequence.take!(36) [364,850,1012,1066,1084,1090,1092,1094,1096,1102,1120,1174,1336,1822,2308,2470,2524,2542,2548,2550,2552,2554,2560,2578,2632,2794,2956,3010,3028,3034,3036,3038,3040,3046,3064,3118]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023698/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023698/1","type":"function","doc":"OEIS Sequence A023698 - Numbers with exactly 7 1&#39;s in ternary expansion. From OEIS A023698: Numbers with exactly 7 1&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023698 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023698) |&gt; Sequence.take!(36) [1093,2551,3037,3199,3253,3271,3277,3279,3281,3283,3289,3307,3361,3523,4009,5467,6925,7411,7573,7627,7645,7651,7653,7655,7657,7663,7681,7735,7897,8383,8869,9031,9085,9103,9109,9111]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023699/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023699/1","type":"function","doc":"OEIS Sequence A023699 - Numbers with a single 2 in their ternary expansion. From OEIS A023699: Numbers with a single 2 in their ternary expansion. (Formerly ) Sequence IDs: :a023699 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023699) |&gt; Sequence.take!(56) [2,5,6,7,11,14,15,16,18,19,21,22,29,32,33,34,38,41,42,43,45,46,48,49,54,55,57,58,63,64,66,67,83,86,87,88,92,95,96,97,99,100,102,103,110,113,114,115,119,122,123,124,126,127,129,130]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023700/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023700/1","type":"function","doc":"OEIS Sequence A023700 - Numbers with exactly 2 2&#39;s in ternary expansion. From OEIS A023700: Numbers with exactly 2 2&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023700 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023700) |&gt; Sequence.take!(51) [8,17,20,23,24,25,35,44,47,50,51,52,56,59,60,61,65,68,69,70,72,73,75,76,89,98,101,104,105,106,116,125,128,131,132,133,137,140,141,142,146,149,150,151,153,154,156,157,164,167,168]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023701/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023701/1","type":"function","doc":"OEIS Sequence A023701 - Numbers with exactly 3 2&#39;s in their ternary expansion. From OEIS A023701: Numbers with exactly 3 2&#39;s in their ternary expansion. (Formerly ) Sequence IDs: :a023701 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023701) |&gt; Sequence.take!(47) [26,53,62,71,74,77,78,79,107,134,143,152,155,158,159,160,170,179,182,185,186,187,197,206,209,212,213,214,218,221,222,223,227,230,231,232,234,235,237,238,269,296,305,314,317,320,321]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023702/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023702/1","type":"function","doc":"OEIS Sequence A023702 - Numbers with exactly 4 2&#39;s in ternary expansion of n. From OEIS A023702: Numbers with exactly 4 2&#39;s in ternary expansion of n. (Formerly ) Sequence IDs: :a023702 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023702) |&gt; Sequence.take!(45) [80,161,188,215,224,233,236,239,240,241,323,404,431,458,467,476,479,482,483,484,512,539,548,557,560,563,564,565,593,620,629,638,641,644,645,646,656,665,668,671,672,673,683,692,695]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023703/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023703/1","type":"function","doc":"OEIS Sequence A023703 - Numbers with exactly 5 2&#39;s in ternary expansion. From OEIS A023703: Numbers with exactly 5 2&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023703 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023703) |&gt; Sequence.take!(38) [242,485,566,647,674,701,710,719,722,725,726,727,971,1214,1295,1376,1403,1430,1439,1448,1451,1454,1455,1456,1538,1619,1646,1673,1682,1691,1694,1697,1698,1699,1781,1862,1889,1916]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023704/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023704/1","type":"function","doc":"OEIS Sequence A023704 - Numbers with exactly 6 2&#39;s in ternary expansion. From OEIS A023704: Numbers with exactly 6 2&#39;s in ternary expansion. (Formerly ) Sequence IDs: :a023704 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023704) |&gt; Sequence.take!(36) [728,1457,1700,1943,2024,2105,2132,2159,2168,2177,2180,2183,2184,2185,2915,3644,3887,4130,4211,4292,4319,4346,4355,4364,4367,4370,4371,4372,4616,4859,4940,5021,5048,5075,5084,5093]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023705/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023705/1","type":"function","doc":"OEIS Sequence A023705 - Numbers with no 0&#39;s in base 4 expansion. From OEIS A023705: Numbers with no 0&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023705 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023705) |&gt; Sequence.take!(63) [1,2,3,5,6,7,9,10,11,13,14,15,21,22,23,25,26,27,29,30,31,37,38,39,41,42,43,45,46,47,53,54,55,57,58,59,61,62,63,85,86,87,89,90,91,93,94,95,101,102,103,105,106,107,109,110,111,117,118,119,121,122,123]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023706/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023706/1","type":"function","doc":"OEIS Sequence A023706 - Numbers with a single 0 in their base 4 expansion. From OEIS A023706: Numbers with a single 0 in their base 4 expansion. (Formerly ) Sequence IDs: :a023706 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023706) |&gt; Sequence.take!(56) [0,4,8,12,17,18,19,20,24,28,33,34,35,36,40,44,49,50,51,52,56,60,69,70,71,73,74,75,77,78,79,81,82,83,84,88,92,97,98,99,100,104,108,113,114,115,116,120,124,133,134,135,137,138,139,141]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023707/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023707/1","type":"function","doc":"OEIS Sequence A023707 - Numbers with exactly 2 0&#39;s in base 4 expansion. From OEIS A023707: Numbers with exactly 2 0&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023707 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023707) |&gt; Sequence.take!(48) [16,32,48,65,66,67,68,72,76,80,96,112,129,130,131,132,136,140,144,160,176,193,194,195,196,200,204,208,224,240,261,262,263,265,266,267,269,270,271,273,274,275,276,280,284,289,290,291]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023708/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023708/1","type":"function","doc":"OEIS Sequence A023708 - Numbers with exactly 3 0&#39;s in base 4 expansion. From OEIS A023708: Numbers with exactly 3 0&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023708 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023708) |&gt; Sequence.take!(44) [64,128,192,257,258,259,260,264,268,272,288,304,320,384,448,513,514,515,516,520,524,528,544,560,576,640,704,769,770,771,772,776,780,784,800,816,832,896,960,1029,1030,1031,1033,1034]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023709/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023709/1","type":"function","doc":"OEIS Sequence A023709 - Numbers with no 1&#39;s in base 4 expansion. From OEIS A023709: Numbers with no 1&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023709 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023709) |&gt; Sequence.take!(52) [0,2,3,8,10,11,12,14,15,32,34,35,40,42,43,44,46,47,48,50,51,56,58,59,60,62,63,128,130,131,136,138,139,140,142,143,160,162,163,168,170,171,172,174,175,176,178,179,184,186,187,188]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023710/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023710/1","type":"function","doc":"OEIS Sequence A023710 - Numbers with a single 1 in their base 4 expansion. From OEIS A023710: Numbers with a single 1 in their base 4 expansion. (Formerly ) Sequence IDs: :a023710 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023710) |&gt; Sequence.take!(56) [1,4,6,7,9,13,16,18,19,24,26,27,28,30,31,33,36,38,39,41,45,49,52,54,55,57,61,64,66,67,72,74,75,76,78,79,96,98,99,104,106,107,108,110,111,112,114,115,120,122,123,124,126,127,129,132]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023711/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023711/1","type":"function","doc":"OEIS Sequence A023711 - Numbers with exactly 2 1&#39;s in base 4 expansion. From OEIS A023711: Numbers with exactly 2 1&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023711 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023711) |&gt; Sequence.take!(51) [5,17,20,22,23,25,29,37,53,65,68,70,71,73,77,80,82,83,88,90,91,92,94,95,97,100,102,103,105,109,113,116,118,119,121,125,133,145,148,150,151,153,157,165,181,197,209,212,214,215,217]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023712/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023712/1","type":"function","doc":"OEIS Sequence A023712 - Numbers with exactly 3 1&#39;s in base 4 expansion. From OEIS A023712: Numbers with exactly 3 1&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023712 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023712) |&gt; Sequence.take!(47) [21,69,81,84,86,87,89,93,101,117,149,213,261,273,276,278,279,281,285,293,309,321,324,326,327,329,333,336,338,339,344,346,347,348,350,351,353,356,358,359,361,365,369,372,374,375,377]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023713/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023713/1","type":"function","doc":"OEIS Sequence A023713 - Numbers with no 2&#39;s in base 4 expansion. From OEIS A023713: Numbers with no 2&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023713 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023713) |&gt; Sequence.take!(58) [0,1,3,4,5,7,12,13,15,16,17,19,20,21,23,28,29,31,48,49,51,52,53,55,60,61,63,64,65,67,68,69,71,76,77,79,80,81,83,84,85,87,92,93,95,112,113,115,116,117,119,124,125,127,192,193,195,196]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023714/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023714/1","type":"function","doc":"OEIS Sequence A023714 - Numbers with a single 2 in their base 4 expansion. From OEIS A023714: Numbers with a single 2 in their base 4 expansion. (Formerly ) Sequence IDs: :a023714 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023714) |&gt; Sequence.take!(56) [2,6,8,9,11,14,18,22,24,25,27,30,32,33,35,36,37,39,44,45,47,50,54,56,57,59,62,66,70,72,73,75,78,82,86,88,89,91,94,96,97,99,100,101,103,108,109,111,114,118,120,121,123,126,128,129]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023715/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023715/1","type":"function","doc":"OEIS Sequence A023715 - Numbers with exactly 2 2&#39;s in base 4 expansion. From OEIS A023715: Numbers with exactly 2 2&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023715 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023715) |&gt; Sequence.take!(48) [10,26,34,38,40,41,43,46,58,74,90,98,102,104,105,107,110,122,130,134,136,137,139,142,146,150,152,153,155,158,160,161,163,164,165,167,172,173,175,178,182,184,185,187,190,202,218,226]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023716/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023716/1","type":"function","doc":"OEIS Sequence A023716 - Numbers with exactly 3 2&#39;s in base 4 expansion. From OEIS A023716: Numbers with exactly 3 2&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023716 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023716) |&gt; Sequence.take!(45) [42,106,138,154,162,166,168,169,171,174,186,234,298,362,394,410,418,422,424,425,427,430,442,490,522,538,546,550,552,553,555,558,570,586,602,610,614,616,617,619,622,634,642,646,648]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023717/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023717/1","type":"function","doc":"OEIS Sequence A023717 - Numbers with no 3&#39;s in base 4 expansion. From OEIS A023717: Numbers with no 3&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023717 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023717) |&gt; Sequence.take!(59) [0,1,2,4,5,6,8,9,10,16,17,18,20,21,22,24,25,26,32,33,34,36,37,38,40,41,42,64,65,66,68,69,70,72,73,74,80,81,82,84,85,86,88,89,90,96,97,98,100,101,102,104,105,106,128,129,130,132,133]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023718/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023718/1","type":"function","doc":"OEIS Sequence A023718 - Numbers with a single 3 in their base 4 expansion. From OEIS A023718: Numbers with a single 3 in their base 4 expansion. (Formerly ) Sequence IDs: :a023718 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023718) |&gt; Sequence.take!(56) [3,7,11,12,13,14,19,23,27,28,29,30,35,39,43,44,45,46,48,49,50,52,53,54,56,57,58,67,71,75,76,77,78,83,87,91,92,93,94,99,103,107,108,109,110,112,113,114,116,117,118,120,121,122,131,135]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023719/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023719/1","type":"function","doc":"OEIS Sequence A023719 - Numbers with exactly two 3&#39;s in base 4 expansion. From OEIS A023719: Numbers with exactly two 3&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023719 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023719) |&gt; Sequence.take!(54) [15,31,47,51,55,59,60,61,62,79,95,111,115,119,123,124,125,126,143,159,175,179,183,187,188,189,190,195,199,203,204,205,206,211,215,219,220,221,222,227,231,235,236,237,238,240,241,242,244,245,246,248,249,250]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023720/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023720/1","type":"function","doc":"OEIS Sequence A023720 - Numbers with exactly 3 3&#39;s in base 4 expansion. From OEIS A023720: Numbers with exactly 3 3&#39;s in base 4 expansion. (Formerly ) Sequence IDs: :a023720 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023720) |&gt; Sequence.take!(45) [63,127,191,207,223,239,243,247,251,252,253,254,319,383,447,463,479,495,499,503,507,508,509,510,575,639,703,719,735,751,755,759,763,764,765,766,783,799,815,819,823,827,828,829,830]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023721/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023721/1","type":"function","doc":"OEIS Sequence A023721 - Numbers with no 0&#39;s in their base-5 expansion. From OEIS A023721: Numbers with no 0&#39;s in their base-5 expansion. (Formerly ) Sequence IDs: :a023721 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023721) |&gt; Sequence.take!(63) [1,2,3,4,6,7,8,9,11,12,13,14,16,17,18,19,21,22,23,24,31,32,33,34,36,37,38,39,41,42,43,44,46,47,48,49,56,57,58,59,61,62,63,64,66,67,68,69,71,72,73,74,81,82,83,84,86,87,88,89,91,92,93]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023722/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023722/1","type":"function","doc":"OEIS Sequence A023722 - Numbers with a single 0 in their base 5 expansion. From OEIS A023722: Numbers with a single 0 in their base 5 expansion. (Formerly ) Sequence IDs: :a023722 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023722) |&gt; Sequence.take!(53) [0,5,10,15,20,26,27,28,29,30,35,40,45,51,52,53,54,55,60,65,70,76,77,78,79,80,85,90,95,101,102,103,104,105,110,115,120,131,132,133,134,136,137,138,139,141,142,143,144,146,147,148,149]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023723/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023723/1","type":"function","doc":"OEIS Sequence A023723 - Numbers with exactly 2 0&#39;s in base 5 expansion. From OEIS A023723: Numbers with exactly 2 0&#39;s in base 5 expansion. (Formerly ) Sequence IDs: :a023723 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023723) |&gt; Sequence.take!(46) [25,50,75,100,126,127,128,129,130,135,140,145,150,175,200,225,251,252,253,254,255,260,265,270,275,300,325,350,376,377,378,379,380,385,390,395,400,425,450,475,501,502,503,504,505,510]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023724/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023724/1","type":"function","doc":"OEIS Sequence A023724 - Numbers with exactly 3 0&#39;s in base 5 expansion. From OEIS A023724: Numbers with exactly 3 0&#39;s in base 5 expansion. (Formerly ) Sequence IDs: :a023724 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023724) |&gt; Sequence.take!(39) [125,250,375,500,626,627,628,629,630,635,640,645,650,675,700,725,750,875,1000,1125,1251,1252,1253,1254,1255,1260,1265,1270,1275,1300,1325,1350,1375,1500,1625,1750,1876,1877,1878]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023725/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023725/1","type":"function","doc":"OEIS Sequence A023725 - Numbers with no 1&#39;s in their base-5 expansion. From OEIS A023725: Numbers with no 1&#39;s in their base-5 expansion. (Formerly ) Sequence IDs: :a023725 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023725) |&gt; Sequence.take!(61) [0,2,3,4,10,12,13,14,15,17,18,19,20,22,23,24,50,52,53,54,60,62,63,64,65,67,68,69,70,72,73,74,75,77,78,79,85,87,88,89,90,92,93,94,95,97,98,99,100,102,103,104,110,112,113,114,115,117,118,119,120]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023726/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023726/1","type":"function","doc":"OEIS Sequence A023726 - Numbers with a single 1 in their base 5 expansion. From OEIS A023726: Numbers with a single 1 in their base 5 expansion. (Formerly ) Sequence IDs: :a023726 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023726) |&gt; Sequence.take!(56) [1,5,7,8,9,11,16,21,25,27,28,29,35,37,38,39,40,42,43,44,45,47,48,49,51,55,57,58,59,61,66,71,76,80,82,83,84,86,91,96,101,105,107,108,109,111,116,121,125,127,128,129,135,137,138,139]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023727/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023727/1","type":"function","doc":"OEIS Sequence A023727 - Numbers with exactly 2 1&#39;s in their base 5 expansion. From OEIS A023727: Numbers with exactly 2 1&#39;s in their base 5 expansion. (Formerly ) Sequence IDs: :a023727 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023727) |&gt; Sequence.take!(48) [6,26,30,32,33,34,36,41,46,56,81,106,126,130,132,133,134,136,141,146,150,152,153,154,160,162,163,164,165,167,168,169,170,172,173,174,176,180,182,183,184,186,191,196,201,205,207,208]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023728/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023728/1","type":"function","doc":"OEIS Sequence A023728 - Numbers with exactly 3 1&#39;s in base 5 expansion. From OEIS A023728: Numbers with exactly 3 1&#39;s in base 5 expansion. (Formerly ) Sequence IDs: :a023728 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023728) |&gt; Sequence.take!(45) [31,131,151,155,157,158,159,161,166,171,181,206,231,281,406,531,631,651,655,657,658,659,661,666,671,681,706,731,751,755,757,758,759,761,766,771,775,777,778,779,785,787,788,789,790]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023729/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023729/1","type":"function","doc":"OEIS Sequence A023729 - Numbers with no 2&#39;s in their base-5 expansion. From OEIS A023729: Numbers with no 2&#39;s in their base-5 expansion. (Formerly ) Sequence IDs: :a023729 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023729) |&gt; Sequence.take!(62) [0,1,3,4,5,6,8,9,15,16,18,19,20,21,23,24,25,26,28,29,30,31,33,34,40,41,43,44,45,46,48,49,75,76,78,79,80,81,83,84,90,91,93,94,95,96,98,99,100,101,103,104,105,106,108,109,115,116,118,119,120,121]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023730/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023730/1","type":"function","doc":"OEIS Sequence A023730 - Numbers with a single 2 in their base 5 expansion. From OEIS A023730: Numbers with a single 2 in their base 5 expansion. (Formerly ) Sequence IDs: :a023730 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023730) |&gt; Sequence.take!(56) [2,7,10,11,13,14,17,22,27,32,35,36,38,39,42,47,50,51,53,54,55,56,58,59,65,66,68,69,70,71,73,74,77,82,85,86,88,89,92,97,102,107,110,111,113,114,117,122,127,132,135,136,138,139,142,147]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023731/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023731/1","type":"function","doc":"OEIS Sequence A023731 - Numbers with exactly two 2&#39;s in base 5 expansion. From OEIS A023731: Numbers with exactly two 2&#39;s in base 5 expansion. (Formerly ) Sequence IDs: :a023731 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023731) |&gt; Sequence.take!(48) [12,37,52,57,60,61,63,64,67,72,87,112,137,162,177,182,185,186,188,189,192,197,212,237,252,257,260,261,263,264,267,272,277,282,285,286,288,289,292,297,300,301,303,304,305,306,308,309]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023732/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023732/1","type":"function","doc":"OEIS Sequence A023732 - Numbers with exactly 3 2&#39;s in base 5 expansion. From OEIS A023732: Numbers with exactly 3 2&#39;s in base 5 expansion. (Formerly ) Sequence IDs: :a023732 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023732) |&gt; Sequence.take!(42) [62,187,262,287,302,307,310,311,313,314,317,322,337,362,437,562,687,812,887,912,927,932,935,936,938,939,942,947,962,987,1062,1187,1262,1287,1302,1307,1310,1311,1313,1314,1317,1322]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023733/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023733/1","type":"function","doc":"OEIS Sequence A023733 - Numbers with no 3&#39;s in base-5 expansion. From OEIS A023733: Numbers with no 3&#39;s in base-5 expansion. (Formerly ) Sequence IDs: :a023733 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023733) |&gt; Sequence.take!(60) [0,1,2,4,5,6,7,9,10,11,12,14,20,21,22,24,25,26,27,29,30,31,32,34,35,36,37,39,45,46,47,49,50,51,52,54,55,56,57,59,60,61,62,64,70,71,72,74,100,101,102,104,105,106,107,109,110,111,112,114]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023734/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023734/1","type":"function","doc":"OEIS Sequence A023734 - Numbers with a single 3 in their base-5 expansion. From OEIS A023734: Numbers with a single 3 in their base-5 expansion. (Formerly ) Sequence IDs: :a023734 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023734) |&gt; Sequence.take!(58) [3,8,13,15,16,17,19,23,28,33,38,40,41,42,44,48,53,58,63,65,66,67,69,73,75,76,77,79,80,81,82,84,85,86,87,89,95,96,97,99,103,108,113,115,116,117,119,123,128,133,138,140,141,142,144,148,153,158]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023735/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023735/1","type":"function","doc":"OEIS Sequence A023735 - Numbers with exactly 2 3&#39;s in their base-5 expansion. From OEIS A023735: Numbers with exactly 2 3&#39;s in their base-5 expansion. (Formerly ) Sequence IDs: :a023735 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023735) |&gt; Sequence.take!(52) [18,43,68,78,83,88,90,91,92,94,98,118,143,168,193,203,208,213,215,216,217,219,223,243,268,293,318,328,333,338,340,341,342,344,348,368,378,383,388,390,391,392,394,398,403,408,413,415,416,417,419,423]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023736/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023736/1","type":"function","doc":"OEIS Sequence A023736 - Numbers with exactly 3 3&#39;s in their base-5 expansion. From OEIS A023736: Numbers with exactly 3 3&#39;s in their base-5 expansion. (Formerly ) Sequence IDs: :a023736 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023736) |&gt; Sequence.take!(40) [93,218,343,393,418,443,453,458,463,465,466,467,469,473,493,593,718,843,968,1018,1043,1068,1078,1083,1088,1090,1091,1092,1094,1098,1118,1218,1343,1468,1593,1643,1668,1693,1703,1708]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023738/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023738/1","type":"function","doc":"OEIS Sequence A023738 - Numbers with a single 4 in their base 5 expansion. From OEIS A023738: Numbers with a single 4 in their base 5 expansion. (Formerly ) Sequence IDs: :a023738 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023738) |&gt; Sequence.take!(54) [4,9,14,19,20,21,22,23,29,34,39,44,45,46,47,48,54,59,64,69,70,71,72,73,79,84,89,94,95,96,97,98,100,101,102,103,105,106,107,108,110,111,112,113,115,116,117,118,129,134,139,144,145,146]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023739/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023739/1","type":"function","doc":"OEIS Sequence A023739 - Numbers with exactly 2 4&#39;s in base 5 expansion. From OEIS A023739: Numbers with exactly 2 4&#39;s in base 5 expansion. (Formerly ) Sequence IDs: :a023739 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023739) |&gt; Sequence.take!(46) [24,49,74,99,104,109,114,119,120,121,122,123,149,174,199,224,229,234,239,244,245,246,247,248,274,299,324,349,354,359,364,369,370,371,372,373,399,424,449,474,479,484,489,494,495,496]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023740/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023740/1","type":"function","doc":"OEIS Sequence A023740 - Numbers with exactly 3 4&#39;s in base 5 expansion. From OEIS A023740: Numbers with exactly 3 4&#39;s in base 5 expansion. (Formerly ) Sequence IDs: :a023740 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023740) |&gt; Sequence.take!(40) [124,249,374,499,524,549,574,599,604,609,614,619,620,621,622,623,749,874,999,1124,1149,1174,1199,1224,1229,1234,1239,1244,1245,1246,1247,1248,1374,1499,1624,1749,1774,1799,1824,1849]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023745/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023745/1","type":"function","doc":"OEIS Sequence A023745 - Plaindromes: numbers whose digits in base 3 are in nondecreasing order. From OEIS A023745: Plaindromes: numbers whose digits in base 3 are in nondecreasing order. (Formerly ) Sequence IDs: :a023745 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023745) |&gt; Sequence.take!(49) [0,1,2,4,5,8,13,14,17,26,40,41,44,53,80,121,122,125,134,161,242,364,365,368,377,404,485,728,1093,1094,1097,1106,1133,1214,1457,2186,3280,3281,3284,3293,3320,3401,3644,4373,6560,9841,9842,9845,9854]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023746/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023746/1","type":"function","doc":"OEIS Sequence A023746 - Plaindromes: numbers whose digits in base 4 are in nondecreasing order. From OEIS A023746: Plaindromes: numbers whose digits in base 4 are in nondecreasing order. (Formerly ) Sequence IDs: :a023746 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023746) |&gt; Sequence.take!(58) [0,1,2,3,5,6,7,10,11,15,21,22,23,26,27,31,42,43,47,63,85,86,87,90,91,95,106,107,111,127,170,171,175,191,255,341,342,343,346,347,351,362,363,367,383,426,427,431,447,511,682,683,687,703,767,1023,1365,1366]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023747/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023747/1","type":"function","doc":"OEIS Sequence A023747 - Plaindromes: numbers whose digits in base 5 are in nondecreasing order. From OEIS A023747: Plaindromes: numbers whose digits in base 5 are in nondecreasing order. (Formerly ) Sequence IDs: :a023747 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023747) |&gt; Sequence.take!(60) [0,1,2,3,4,6,7,8,9,12,13,14,18,19,24,31,32,33,34,37,38,39,43,44,49,62,63,64,68,69,74,93,94,99,124,156,157,158,159,162,163,164,168,169,174,187,188,189,193,194,199,218,219,224,249,312,313,314,318,319]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023748/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023748/1","type":"function","doc":"OEIS Sequence A023748 - Plaindromes: numbers whose digits in base 6 are in nondecreasing order. From OEIS A023748: Plaindromes: numbers whose digits in base 6 are in nondecreasing order. (Formerly ) Sequence IDs: :a023748 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023748) |&gt; Sequence.take!(63) [0,1,2,3,4,5,7,8,9,10,11,14,15,16,17,21,22,23,28,29,35,43,44,45,46,47,50,51,52,53,57,58,59,64,65,71,86,87,88,89,93,94,95,100,101,107,129,130,131,136,137,143,172,173,179,215,259,260,261,262,263,266,267]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023749/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023749/1","type":"function","doc":"OEIS Sequence A023749 - Plaindromes: numbers whose digits in base 7 are in nondecreasing order. From OEIS A023749: Plaindromes: numbers whose digits in base 7 are in nondecreasing order. (Formerly ) Sequence IDs: :a023749 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023749) |&gt; Sequence.take!(65) [0,1,2,3,4,5,6,8,9,10,11,12,13,16,17,18,19,20,24,25,26,27,32,33,34,40,41,48,57,58,59,60,61,62,65,66,67,68,69,73,74,75,76,81,82,83,89,90,97,114,115,116,117,118,122,123,124,125,130,131,132,138,139,146,171]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023750/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023750/1","type":"function","doc":"OEIS Sequence A023750 - Plaindromes: numbers whose digits in base 8 are in nondecreasing order. From OEIS A023750: Plaindromes: numbers whose digits in base 8 are in nondecreasing order. (Formerly ) Sequence IDs: :a023750 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023750) |&gt; Sequence.take!(66) [0,1,2,3,4,5,6,7,9,10,11,12,13,14,15,18,19,20,21,22,23,27,28,29,30,31,36,37,38,39,45,46,47,54,55,63,73,74,75,76,77,78,79,82,83,84,85,86,87,91,92,93,94,95,100,101,102,103,109,110,111,118,119,127,146,147]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023751/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023751/1","type":"function","doc":"OEIS Sequence A023751 - Plaindromes: numbers whose digits in base 9 are in nondecreasing order. From OEIS A023751: Plaindromes: numbers whose digits in base 9 are in nondecreasing order. (Formerly ) Sequence IDs: :a023751 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023751) |&gt; Sequence.take!(66) [0,1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,20,21,22,23,24,25,26,30,31,32,33,34,35,40,41,42,43,44,50,51,52,53,60,61,62,70,71,80,91,92,93,94,95,96,97,98,101,102,103,104,105,106,107,111,112,113,114,115,116]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023752/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023752/1","type":"function","doc":"OEIS Sequence A023752 - Plaindromes: numbers whose digits in base 11 are in nondecreasing order. From OEIS A023752: Plaindromes: numbers whose digits in base 11 are in nondecreasing order. (Formerly ) Sequence IDs: :a023752 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023752) |&gt; Sequence.take!(66) [0,1,2,3,4,5,6,7,8,9,10,12,13,14,15,16,17,18,19,20,21,24,25,26,27,28,29,30,31,32,36,37,38,39,40,41,42,43,48,49,50,51,52,53,54,60,61,62,63,64,65,72,73,74,75,76,84,85,86,87,96,97,98,108,109,120]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023753/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023753/1","type":"function","doc":"OEIS Sequence A023753 - Plaindromes: numbers whose digits in base 12 are in nondecreasing order. From OEIS A023753: Plaindromes: numbers whose digits in base 12 are in nondecreasing order. (Formerly ) Sequence IDs: :a023753 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023753) |&gt; Sequence.take!(69) [0,1,2,3,4,5,6,7,8,9,10,11,13,14,15,16,17,18,19,20,21,22,23,26,27,28,29,30,31,32,33,34,35,39,40,41,42,43,44,45,46,47,52,53,54,55,56,57,58,59,65,66,67,68,69,70,71,78,79,80,81,82,83,91,92,93,94,95,104]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023754/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023754/1","type":"function","doc":"OEIS Sequence A023754 - Plaindromes: numbers whose digits in base 13 are in nondecreasing order. From OEIS A023754: Plaindromes: numbers whose digits in base 13 are in nondecreasing order. (Formerly ) Sequence IDs: :a023754 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023754) |&gt; Sequence.take!(70) [0,1,2,3,4,5,6,7,8,9,10,11,12,14,15,16,17,18,19,20,21,22,23,24,25,28,29,30,31,32,33,34,35,36,37,38,42,43,44,45,46,47,48,49,50,51,56,57,58,59,60,61,62,63,64,70,71,72,73,74,75,76,77,84,85,86,87,88,89,90]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023755/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023755/1","type":"function","doc":"OEIS Sequence A023755 - Plaindromes: numbers whose digits in base 14 are in nondecreasing order. From OEIS A023755: Plaindromes: numbers whose digits in base 14 are in nondecreasing order. (Formerly ) Sequence IDs: :a023755 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023755) |&gt; Sequence.take!(70) [0,1,2,3,4,5,6,7,8,9,10,11,12,13,15,16,17,18,19,20,21,22,23,24,25,26,27,30,31,32,33,34,35,36,37,38,39,40,41,45,46,47,48,49,50,51,52,53,54,55,60,61,62,63,64,65,66,67,68,69,75,76,77,78,79,80,81,82,83,90]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023756/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023756/1","type":"function","doc":"OEIS Sequence A023756 - Plaindromes: numbers whose digits in base 15 are in nondecreasing order. From OEIS A023756: Plaindromes: numbers whose digits in base 15 are in nondecreasing order. (Formerly ) Sequence IDs: :a023756 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023756) |&gt; Sequence.take!(70) [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,16,17,18,19,20,21,22,23,24,25,26,27,28,29,32,33,34,35,36,37,38,39,40,41,42,43,44,48,49,50,51,52,53,54,55,56,57,58,59,64,65,66,67,68,69,70,71,72,73,74,80,81,82,83,84]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a023757/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a023757/1","type":"function","doc":"OEIS Sequence A023757 - Plaindromes: numbers whose digits in base 16 are in nondecreasing order. From OEIS A023757: Plaindromes: numbers whose digits in base 16 are in nondecreasing order. (Formerly ) Sequence IDs: :a023757 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a023757) |&gt; Sequence.take!(70) [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,34,35,36,37,38,39,40,41,42,43,44,45,46,47,51,52,53,54,55,56,57,58,59,60,61,62,63,68,69,70,71,72,73,74,75,76,77,78,79]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a032924/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a032924/1","type":"function","doc":"OEIS Sequence A032924 - Numbers whose ternary expansion contains no 0. From OEIS A032924: Numbers whose ternary expansion contains no 0. (Formerly ) Sequence IDs: :a032924 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a032924) |&gt; Sequence.take!(60) [1,2,4,5,7,8,13,14,16,17,22,23,25,26,40,41,43,44,49,50,52,53,67,68,70,71,76,77,79,80,121,122,124,125,130,131,133,134,148,149,151,152,157,158,160,161,202,203,205,206,211,212,214,215,229,230,232,233,238,239]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a043321/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a043321/1","type":"function","doc":"OEIS Sequence A043321 - Numbers n such that number of 0&#39;s in base 3 is 1. From OEIS A043321: Numbers n such that number of 0&#39;s in base 3 is 1. (Formerly ) Sequence IDs: :a043321 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a043321) |&gt; Sequence.take!(56) [3,6,10,11,12,15,19,20,21,24,31,32,34,35,37,38,39,42,46,47,48,51,58,59,61,62,64,65,66,69,73,74,75,78,94,95,97,98,103,104,106,107,112,113,115,116,118,119,120,123,127,128,129,132,139,140]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a046253/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a046253/1","type":"function","doc":"OEIS Sequence A046253 - Equal to the sum of its nonzero digits raised to its own power. From OEIS A046253: Equal to the sum of its nonzero digits raised to its own power. (Formerly ) Sequence IDs: :a046253 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a046253) |&gt; Sequence.take!(4) [0,1,3435,438579088]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a051003/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a051003/1","type":"function","doc":"OEIS Sequence A051003 - Beastly (or hateful) numbers: numbers containing the string 666 in their decimal expansion. From OEIS A051003: Beastly (or hateful) numbers: numbers containing the string 666 in their decimal expansion. (Formerly ) Sequence IDs: :a051003 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a051003) |&gt; Sequence.take!(19) [666,1666,2666,3666,4666,5666,6660,6661,6662,6663,6664,6665,6666,6667,6668,6669,7666,8666,9666]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052040/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052040/1","type":"function","doc":"OEIS Sequence A052040 - Numbers n such that n^2 lacks the digit zero in its decimal expansion. From OEIS A052040: Numbers n such that n^2 lacks the digit zero in its decimal expansion. (Formerly ) Sequence IDs: :a052040 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052040) |&gt; Sequence.take!(72) [1,2,3,4,5,6,7,8,9,11,12,13,14,15,16,17,18,19,21,22,23,24,25,26,27,28,29,31,34,35,36,37,38,39,41,42,43,44,46,54,56,57,58,59,61,62,63,65,66,67,68,69,72,73,74,75,76,77,79,81,82,83,85,86,87,88,89,91,92,93,94,96]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052382/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052382/1","type":"function","doc":"OEIS Sequence A052382 - Numbers without 0 as a digit, a.k.a. zeroless numbers. From OEIS A052382: Numbers without 0 as a digit, a.k.a. zeroless numbers. (Formerly ) Sequence IDs: :a052382 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052382) |&gt; Sequence.take!(94) [1,2,3,4,5,6,7,8,9,11,12,13,14,15,16,17,18,19,21,22,23,24,25,26,27,28,29,31,32,33,34,35,36,37,38,39,41,42,43,44,45,46,47,48,49,51,52,53,54,55,56,57,58,59,61,62,63,64,65,66,67,68,69,71,72,73,74,75,76,77,78,79,81,82,83,84,85,86,87,88,89,91,92,93,94,95,96,97,98,99,111,112,113,114]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052383/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052383/1","type":"function","doc":"OEIS Sequence A052383 - Numbers without 1 as a digit. From OEIS A052383: Numbers without 1 as a digit. (Formerly ) Sequence IDs: :a052383 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052383) |&gt; Sequence.take!(72) [0,2,3,4,5,6,7,8,9,20,22,23,24,25,26,27,28,29,30,32,33,34,35,36,37,38,39,40,42,43,44,45,46,47,48,49,50,52,53,54,55,56,57,58,59,60,62,63,64,65,66,67,68,69,70,72,73,74,75,76,77,78,79,80,82,83,84,85,86,87,88,89]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052404/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052404/1","type":"function","doc":"OEIS Sequence A052404 - Numbers without 2 as a digit. From OEIS A052404: Numbers without 2 as a digit. (Formerly ) Sequence IDs: :a052404 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052404) |&gt; Sequence.take!(72) [0,1,3,4,5,6,7,8,9,10,11,13,14,15,16,17,18,19,30,31,33,34,35,36,37,38,39,40,41,43,44,45,46,47,48,49,50,51,53,54,55,56,57,58,59,60,61,63,64,65,66,67,68,69,70,71,73,74,75,76,77,78,79,80,81,83,84,85,86,87,88,89]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052405/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052405/1","type":"function","doc":"OEIS Sequence A052405 - Numbers without 3 as a digit. From OEIS A052405: Numbers without 3 as a digit. (Formerly ) Sequence IDs: :a052405 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052405) |&gt; Sequence.take!(72) [0,1,2,4,5,6,7,8,9,10,11,12,14,15,16,17,18,19,20,21,22,24,25,26,27,28,29,40,41,42,44,45,46,47,48,49,50,51,52,54,55,56,57,58,59,60,61,62,64,65,66,67,68,69,70,71,72,74,75,76,77,78,79,80,81,82,84,85,86,87,88,89]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052406/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052406/1","type":"function","doc":"OEIS Sequence A052406 - Numbers without 4 as a digit. From OEIS A052406: Numbers without 4 as a digit. (Formerly ) Sequence IDs: :a052406 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052406) |&gt; Sequence.take!(72) [0,1,2,3,5,6,7,8,9,10,11,12,13,15,16,17,18,19,20,21,22,23,25,26,27,28,29,30,31,32,33,35,36,37,38,39,50,51,52,53,55,56,57,58,59,60,61,62,63,65,66,67,68,69,70,71,72,73,75,76,77,78,79,80,81,82,83,85,86,87,88,89]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052413/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052413/1","type":"function","doc":"OEIS Sequence A052413 - Numbers without 5 as a digit. From OEIS A052413: Numbers without 5 as a digit. (Formerly ) Sequence IDs: :a052413 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052413) |&gt; Sequence.take!(72) [0,1,2,3,4,6,7,8,9,10,11,12,13,14,16,17,18,19,20,21,22,23,24,26,27,28,29,30,31,32,33,34,36,37,38,39,40,41,42,43,44,46,47,48,49,60,61,62,63,64,66,67,68,69,70,71,72,73,74,76,77,78,79,80,81,82,83,84,86,87,88,89]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052414/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052414/1","type":"function","doc":"OEIS Sequence A052414 - Numbers without 6 as a digit. From OEIS A052414: Numbers without 6 as a digit. (Formerly ) Sequence IDs: :a052414 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052414) |&gt; Sequence.take!(72) [0,1,2,3,4,5,7,8,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,27,28,29,30,31,32,33,34,35,37,38,39,40,41,42,43,44,45,47,48,49,50,51,52,53,54,55,57,58,59,70,71,72,73,74,75,77,78,79,80,81,82,83,84,85,87,88,89]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052419/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052419/1","type":"function","doc":"OEIS Sequence A052419 - Numbers without 7 as a digit. From OEIS A052419: Numbers without 7 as a digit. (Formerly ) Sequence IDs: :a052419 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052419) |&gt; Sequence.take!(72) [0,1,2,3,4,5,6,8,9,10,11,12,13,14,15,16,18,19,20,21,22,23,24,25,26,28,29,30,31,32,33,34,35,36,38,39,40,41,42,43,44,45,46,48,49,50,51,52,53,54,55,56,58,59,60,61,62,63,64,65,66,68,69,80,81,82,83,84,85,86,88,89]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a052421/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a052421/1","type":"function","doc":"OEIS Sequence A052421 - Numbers without 8 as a digit. From OEIS A052421: Numbers without 8 as a digit. (Formerly ) Sequence IDs: :a052421 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a052421) |&gt; Sequence.take!(72) [0,1,2,3,4,5,6,7,9,10,11,12,13,14,15,16,17,19,20,21,22,23,24,25,26,27,29,30,31,32,33,34,35,36,37,39,40,41,42,43,44,45,46,47,49,50,51,52,53,54,55,56,57,59,60,61,62,63,64,65,66,67,69,70,71,72,73,74,75,76,77,79]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a053816/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a053816/1","type":"function","doc":"OEIS Sequence A053816 - Another version of the Kaprekar numbers (A006886): n such that n=q+r and n^2=q*10^m+r, for some m &gt;= 1, q&gt;=0 and 0&lt;=r=1 and n an m-digit number. From OEIS A053816: Another version of the Kaprekar numbers (A006886): n such that n=q+r and n^2=q*10^m+r, for some m &gt;= 1, q&gt;=0 and 0&lt;=r=1 and n an m-digit number. (Formerly ) Sequence IDs: :a053816 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a053816) |&gt; Sequence.take!(15) [1,9,45,55,99,297,703,999,2223,2728,4950,5050,7272,7777,9999]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a055640/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a055640/1","type":"function","doc":"OEIS Sequence A055640 - Number of nonzero digits in decimal expansion of n. From OEIS A055640: Number of nonzero digits in decimal expansion of n. (Formerly ) Sequence IDs: :a055640 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a055640) |&gt; Sequence.take!(105) [0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a055641/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a055641/1","type":"function","doc":"OEIS Sequence A055641 - Number of zero digits in n. From OEIS A055641: Number of zero digits in n. (Formerly ) Sequence IDs: :a055641 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a055641) |&gt; Sequence.take!(106) [1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,2,1,1,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a055642/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a055642/1","type":"function","doc":"OEIS Sequence A055642 - Number of digits in decimal expansion of n. From OEIS A055642: Number of digits in decimal expansion of n. (Formerly ) Sequence IDs: :a055642 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a055642) |&gt; Sequence.take!(106) [1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a059015/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a059015/1","type":"function","doc":"OEIS Sequence A059015 - Total number of 0&#39;s in binary expansions of 0, ..., n. From OEIS A059015: Total number of 0&#39;s in binary expansions of 0, ..., n. (Formerly ) Sequence IDs: :a059015 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a059015) |&gt; Sequence.take!(66) [1,1,2,2,4,5,6,6,9,11,13,14,16,17,18,18,22,25,28,30,33,35,37,38,41,43,45,46,48,49,50,50,55,59,63,66,70,73,76,78,82,85,88,90,93,95,97,98,102,105,108,110,113,115,117,118,121,123,125,126,128,129,130,130,136,141]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a062756/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a062756/1","type":"function","doc":"OEIS Sequence A062756 - Number of 1&#39;s in ternary (base 3) expansion of n. From OEIS A062756: Number of 1&#39;s in ternary (base 3) expansion of n. (Formerly ) Sequence IDs: :a062756 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a062756) |&gt; Sequence.take!(105) [0,1,0,1,2,1,0,1,0,1,2,1,2,3,2,1,2,1,0,1,0,1,2,1,0,1,0,1,2,1,2,3,2,1,2,1,2,3,2,3,4,3,2,3,2,1,2,1,2,3,2,1,2,1,0,1,0,1,2,1,0,1,0,1,2,1,2,3,2,1,2,1,0,1,0,1,2,1,0,1,0,1,2,1,2,3,2,1,2,1,2,3,2,3,4,3,2,3,2,1,2,1,2,3,2]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a067251/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a067251/1","type":"function","doc":"OEIS Sequence A067251 - Numbers with no trailing zeros in decimal representation. From OEIS A067251: Numbers with no trailing zeros in decimal representation. (Formerly ) Sequence IDs: :a067251 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a067251) |&gt; Sequence.take!(94) [1,2,3,4,5,6,7,8,9,11,12,13,14,15,16,17,18,19,21,22,23,24,25,26,27,28,29,31,32,33,34,35,36,37,38,39,41,42,43,44,45,46,47,48,49,51,52,53,54,55,56,57,58,59,61,62,63,64,65,66,67,68,69,71,72,73,74,75,76,77,78,79,81,82,83,84,85,86,87,88,89,91,92,93,94,95,96,97,98,99,101,102,103,104]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a071858/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a071858/1","type":"function","doc":"OEIS Sequence A071858 - (Number of 1&#39;s in binary expansion of n) mod 3. From OEIS A071858: (Number of 1&#39;s in binary expansion of n) mod 3. (Formerly ) Sequence IDs: :a071858 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a071858) |&gt; Sequence.take!(105) [0,1,1,2,1,2,2,0,1,2,2,0,2,0,0,1,1,2,2,0,2,0,0,1,2,0,0,1,0,1,1,2,1,2,2,0,2,0,0,1,2,0,0,1,0,1,1,2,2,0,0,1,0,1,1,2,0,1,1,2,1,2,2,0,1,2,2,0,2,0,0,1,2,0,0,1,0,1,1,2,2,0,0,1,0,1,1,2,0,1,1,2,1,2,2,0,2,0,0,1,0,1,1,2,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a074940/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a074940/1","type":"function","doc":"OEIS Sequence A074940 - Numbers having at least one 2 in their ternary representation. From OEIS A074940: Numbers having at least one 2 in their ternary representation. (Formerly ) Sequence IDs: :a074940 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a074940) |&gt; Sequence.take!(71) [2,5,6,7,8,11,14,15,16,17,18,19,20,21,22,23,24,25,26,29,32,33,34,35,38,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,83,86,87,88,89,92]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a077267/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a077267/1","type":"function","doc":"OEIS Sequence A077267 - Number of zeros in base 3 expansion of n. From OEIS A077267: Number of zeros in base 3 expansion of n. (Formerly ) Sequence IDs: :a077267 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a077267) |&gt; Sequence.take!(106) [1,0,0,1,0,0,1,0,0,2,1,1,1,0,0,1,0,0,2,1,1,1,0,0,1,0,0,3,2,2,2,1,1,2,1,1,2,1,1,1,0,0,1,0,0,2,1,1,1,0,0,1,0,0,3,2,2,2,1,1,2,1,1,2,1,1,1,0,0,1,0,0,2,1,1,1,0,0,1,0,0,4,3,3,3,2,2,3,2,2,3,2,2,2,1,1,2,1,1,3,2,2,2,1,1,2]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a081603/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a081603/1","type":"function","doc":"OEIS Sequence A081603 - Number of 2&#39;s in ternary representation of n. From OEIS A081603: Number of 2&#39;s in ternary representation of n. (Formerly ) Sequence IDs: :a081603 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a081603) |&gt; Sequence.take!(105) [0,0,1,0,0,1,1,1,2,0,0,1,0,0,1,1,1,2,1,1,2,1,1,2,2,2,3,0,0,1,0,0,1,1,1,2,0,0,1,0,0,1,1,1,2,1,1,2,1,1,2,2,2,3,1,1,2,1,1,2,2,2,3,1,1,2,1,1,2,2,2,3,2,2,3,2,2,3,3,3,4,0,0,1,0,0,1,1,1,2,0,0,1,0,0,1,1,1,2,1,1,2,1,1,2]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a081605/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a081605/1","type":"function","doc":"OEIS Sequence A081605 - Numbers having at least one 0 in their ternary representation. From OEIS A081605: Numbers having at least one 0 in their ternary representation. (Formerly ) Sequence IDs: :a081605 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a081605) |&gt; Sequence.take!(71) [0,3,6,9,10,11,12,15,18,19,20,21,24,27,28,29,30,31,32,33,34,35,36,37,38,39,42,45,46,47,48,51,54,55,56,57,58,59,60,61,62,63,64,65,66,69,72,73,74,75,78,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a081606/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a081606/1","type":"function","doc":"OEIS Sequence A081606 - Numbers having at least one 1 in their ternary representation. From OEIS A081606: Numbers having at least one 1 in their ternary representation. (Formerly ) Sequence IDs: :a081606 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a081606) |&gt; Sequence.take!(71) [1,3,4,5,7,9,10,11,12,13,14,15,16,17,19,21,22,23,25,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,55,57,58,59,61,63,64,65,66,67,68,69,70,71,73,75,76,77,79,81,82,83,84,85,86]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097251/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097251/1","type":"function","doc":"OEIS Sequence A097251 - Numbers whose set of base 5 digits is {0,4}. From OEIS A097251: Numbers whose set of base 5 digits is {0,4}. (Formerly ) Sequence IDs: :a097251 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097251) |&gt; Sequence.take!(43) [0,4,20,24,100,104,120,124,500,504,520,524,600,604,620,624,2500,2504,2520,2524,2600,2604,2620,2624,3000,3004,3020,3024,3100,3104,3120,3124,12500,12504,12520,12524,12600,12604,12620,12624,13000,13004,13020]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097252/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097252/1","type":"function","doc":"OEIS Sequence A097252 - Numbers whose set of base 6 digits is {0,5}. From OEIS A097252: Numbers whose set of base 6 digits is {0,5}. (Formerly ) Sequence IDs: :a097252 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097252) |&gt; Sequence.take!(42) [0,5,30,35,180,185,210,215,1080,1085,1110,1115,1260,1265,1290,1295,6480,6485,6510,6515,6660,6665,6690,6695,7560,7565,7590,7595,7740,7745,7770,7775,38880,38885,38910,38915,39060,39065,39090,39095,39960,39965]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097253/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097253/1","type":"function","doc":"OEIS Sequence A097253 - Numbers whose set of base 7 digits is {0,6}. From OEIS A097253: Numbers whose set of base 7 digits is {0,6}. (Formerly ) Sequence IDs: :a097253 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097253) |&gt; Sequence.take!(37) [0,6,42,48,294,300,336,342,2058,2064,2100,2106,2352,2358,2394,2400,14406,14412,14448,14454,14700,14706,14742,14748,16464,16470,16506,16512,16758,16764,16800,16806,100842,100848,100884,100890,101136]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097254/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097254/1","type":"function","doc":"OEIS Sequence A097254 - Numbers whose set of base 8 digits is {0,7}. From OEIS A097254: Numbers whose set of base 8 digits is {0,7}. (Formerly ) Sequence IDs: :a097254 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097254) |&gt; Sequence.take!(37) [0,7,56,63,448,455,504,511,3584,3591,3640,3647,4032,4039,4088,4095,28672,28679,28728,28735,29120,29127,29176,29183,32256,32263,32312,32319,32704,32711,32760,32767,229376,229383,229432,229439,229824]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097255/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097255/1","type":"function","doc":"OEIS Sequence A097255 - Numbers whose set of base 9 digits is {0,8}. From OEIS A097255: Numbers whose set of base 9 digits is {0,8}. (Formerly ) Sequence IDs: :a097255 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097255) |&gt; Sequence.take!(37) [0,8,72,80,648,656,720,728,5832,5840,5904,5912,6480,6488,6552,6560,52488,52496,52560,52568,53136,53144,53208,53216,58320,58328,58392,58400,58968,58976,59040,59048,472392,472400,472464,472472,473040]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097256/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097256/1","type":"function","doc":"OEIS Sequence A097256 - Numbers whose set of base 10 digits is {0,9}. From OEIS A097256: Numbers whose set of base 10 digits is {0,9}. (Formerly ) Sequence IDs: :a097256 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097256) |&gt; Sequence.take!(37) [0,9,90,99,900,909,990,999,9000,9009,9090,9099,9900,9909,9990,9999,90000,90009,90090,90099,90900,90909,90990,90999,99000,99009,99090,99099,99900,99909,99990,99999,900000,900009,900090,900099,900900]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097257/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097257/1","type":"function","doc":"OEIS Sequence A097257 - Numbers whose set of base 11 digits is {0,A}, where A base 11 = 10 base 10. From OEIS A097257: Numbers whose set of base 11 digits is {0,A}, where A base 11 = 10 base 10. (Formerly ) Sequence IDs: :a097257 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097257) |&gt; Sequence.take!(33) [0,10,110,120,1210,1220,1320,1330,13310,13320,13420,13430,14520,14530,14630,14640,146410,146420,146520,146530,147620,147630,147730,147740,159720,159730,159830,159840,160930,160940,161040,161050,1610510]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097258/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097258/1","type":"function","doc":"OEIS Sequence A097258 - Numbers whose set of base 12 digits is {0,B}, where B base 12 = 11 base 10. From OEIS A097258: Numbers whose set of base 12 digits is {0,B}, where B base 12 = 11 base 10. (Formerly ) Sequence IDs: :a097258 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097258) |&gt; Sequence.take!(33) [0,11,132,143,1584,1595,1716,1727,19008,19019,19140,19151,20592,20603,20724,20735,228096,228107,228228,228239,229680,229691,229812,229823,247104,247115,247236,247247,248688,248699,248820,248831,2737152]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097259/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097259/1","type":"function","doc":"OEIS Sequence A097259 - Numbers whose set of base 13 digits is {0,C}, where C base 13 = 12 base 10. From OEIS A097259: Numbers whose set of base 13 digits is {0,C}, where C base 13 = 12 base 10. (Formerly ) Sequence IDs: :a097259 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097259) |&gt; Sequence.take!(33) [0,12,156,168,2028,2040,2184,2196,26364,26376,26520,26532,28392,28404,28548,28560,342732,342744,342888,342900,344760,344772,344916,344928,369096,369108,369252,369264,371124,371136,371280,371292,4455516]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097260/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097260/1","type":"function","doc":"OEIS Sequence A097260 - Numbers whose set of base 14 digits is {0,D}, where D base 14 = 13 base 10. From OEIS A097260: Numbers whose set of base 14 digits is {0,D}, where D base 14 = 13 base 10. (Formerly ) Sequence IDs: :a097260 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097260) |&gt; Sequence.take!(33) [0,13,182,195,2548,2561,2730,2743,35672,35685,35854,35867,38220,38233,38402,38415,499408,499421,499590,499603,501956,501969,502138,502151,535080,535093,535262,535275,537628,537641,537810,537823,6991712]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097261/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097261/1","type":"function","doc":"OEIS Sequence A097261 - Numbers whose set of base 15 digits is {0,E}, where E base 15 = 14 base 10. From OEIS A097261: Numbers whose set of base 15 digits is {0,E}, where E base 15 = 14 base 10. (Formerly ) Sequence IDs: :a097261 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097261) |&gt; Sequence.take!(33) [0,14,210,224,3150,3164,3360,3374,47250,47264,47460,47474,50400,50414,50610,50624,708750,708764,708960,708974,711900,711914,712110,712124,756000,756014,756210,756224,759150,759164,759360,759374,10631250]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a097262/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a097262/1","type":"function","doc":"OEIS Sequence A097262 - Numbers whose set of base 16 digits is {0,F}, where F base 16 = 15 base 10. From OEIS A097262: Numbers whose set of base 16 digits is {0,F}, where F base 16 = 15 base 10. (Formerly ) Sequence IDs: :a097262 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a097262) |&gt; Sequence.take!(32) [0,15,240,255,3840,3855,4080,4095,61440,61455,61680,61695,65280,65295,65520,65535,983040,983055,983280,983295,986880,986895,987120,987135,1044480,1044495,1044720,1044735,1048320,1048335,1048560,1048575]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a099542/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a099542/1","type":"function","doc":"OEIS Sequence A099542 - Rhonda numbers to base 10. From OEIS A099542: Rhonda numbers to base 10. (Formerly ) Sequence IDs: :a099542 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a099542) |&gt; Sequence.take!(28) [1568,2835,4752,5265,5439,5664,5824,5832,8526,12985,15625,15698,19435,25284,25662,33475,34935,35581,45951,47265,47594,52374,53176,53742,54479,55272,56356,56718]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100968/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100968/1","type":"function","doc":"OEIS Sequence A100968 - Integers n that are Rhonda numbers to base 4. From OEIS A100968: Integers n that are Rhonda numbers to base 4. (Formerly ) Sequence IDs: :a100968 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100968) |&gt; Sequence.take!(7) [10206,11935,12150,16031,45030,94185,113022]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100969/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100969/1","type":"function","doc":"OEIS Sequence A100969 - Integers n that are Rhonda numbers to base 6. From OEIS A100969: Integers n that are Rhonda numbers to base 6. (Formerly ) Sequence IDs: :a100969 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100969) |&gt; Sequence.take!(13) [855,1029,3813,5577,7040,7304,15104,19136,35350,36992,41031,42009,60368]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100970/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100970/1","type":"function","doc":"OEIS Sequence A100970 - Integers n that are Rhonda numbers to base 8. From OEIS A100970: Integers n that are Rhonda numbers to base 8. (Formerly ) Sequence IDs: :a100970 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100970) |&gt; Sequence.take!(20) [1836,6318,6622,10530,14500,14739,17655,18550,25398,25956,30562,39215,39325,50875,51429,52887,55611,56420,58548,59731]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100971/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100971/1","type":"function","doc":"OEIS Sequence A100971 - Integers n that are Rhonda numbers to base 12. From OEIS A100971: Integers n that are Rhonda numbers to base 12. (Formerly ) Sequence IDs: :a100971 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100971) |&gt; Sequence.take!(35) [560,800,3993,4425,4602,4888,7315,8296,9315,11849,12028,13034,14828,15052,16264,18511,18906,25619,25875,27176,32742,37264,37523,46035,50765,52338,58261,58504,59166,62002,66176,66752,66928,67195,68502]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100972/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100972/1","type":"function","doc":"OEIS Sequence A100972 - Integers that are Rhonda numbers to base 14. From OEIS A100972: Integers that are Rhonda numbers to base 14. (Formerly ) Sequence IDs: :a100972 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100972) |&gt; Sequence.take!(14) [11475,18655,20565,29631,31725,45387,58404,58667,59950,63945,67525,68904,91245,99603]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100973/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100973/1","type":"function","doc":"OEIS Sequence A100973 - Integers that are Rhonda numbers to base 9. From OEIS A100973: Integers that are Rhonda numbers to base 9. (Formerly ) Sequence IDs: :a100973 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100973) |&gt; Sequence.take!(12) [15540,21054,25331,44360,44660,44733,47652,50560,54944,76857,77142,83334]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100974/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100974/1","type":"function","doc":"OEIS Sequence A100974 - Integers that are Rhonda numbers to base 15. From OEIS A100974: Integers that are Rhonda numbers to base 15. (Formerly ) Sequence IDs: :a100974 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100974) |&gt; Sequence.take!(22) [2392,2472,11468,15873,17424,18126,19152,20079,24388,30758,31150,33004,33550,37925,39483,42550,44714,58870,59605,66950,70182,71485]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100975/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100975/1","type":"function","doc":"OEIS Sequence A100975 - Integers that are Rhonda numbers to base 16. From OEIS A100975: Integers that are Rhonda numbers to base 16. (Formerly ) Sequence IDs: :a100975 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100975) |&gt; Sequence.take!(22) [1000,1134,6776,15912,19624,20043,20355,23946,26296,29070,31906,32292,34236,34521,36465,39066,50055,50986,52341,54340,58088,59541]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100987/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100987/1","type":"function","doc":"OEIS Sequence A100987 - Integers that are Rhonda numbers to some base. From OEIS A100987: Integers that are Rhonda numbers to some base. (Formerly ) Sequence IDs: :a100987 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100987) |&gt; Sequence.take!(44) [560,756,800,855,1000,1029,1134,1470,1568,1632,1750,1815,1836,1944,1995,2080,2100,2392,2472,2662,2695,2709,2835,2940,3000,3024,3060,3087,3094,3168,3240,3264,3348,3456,3510,3600,3672,3675,3744,3750,3813,3888,3952,3976]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a100988/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a100988/1","type":"function","doc":"OEIS Sequence A100988 - Integers that are Rhonda numbers to more than one base. From OEIS A100988: Integers that are Rhonda numbers to more than one base. (Formerly ) Sequence IDs: :a100988 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a100988) |&gt; Sequence.take!(39) [1000,2940,4200,4212,4725,5670,5824,5832,6776,6864,7040,7140,8296,9476,9633,10200,11016,11050,11160,11495,11935,12393,12474,13068,13260,13671,14014,14322,14406,15680,15750,15912,16240,16821,17056,17820,18270,18655,18700]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102669/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102669/1","type":"function","doc":"OEIS Sequence A102669 - Number of digits &gt;= 2 in decimal representation of n. From OEIS A102669: Number of digits &gt;= 2 in decimal representation of n. (Formerly ) Sequence IDs: :a102669 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102669) |&gt; Sequence.take!(105) [0,0,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,0,0,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102670/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102670/1","type":"function","doc":"OEIS Sequence A102670 - Number of digits &gt;= 2 in the decimal representations of all integers from 0 to n. From OEIS A102670: Number of digits &gt;= 2 in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102670 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102670) |&gt; Sequence.take!(72) [0,0,1,2,3,4,5,6,7,8,8,8,9,10,11,12,13,14,15,16,17,18,20,22,24,26,28,30,32,34,35,36,38,40,42,44,46,48,50,52,53,54,56,58,60,62,64,66,68,70,71,72,74,76,78,80,82,84,86,88,89,90,92,94,96,98,100,102,104,106,107,108]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102671/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102671/1","type":"function","doc":"OEIS Sequence A102671 - Number of digits &gt;= 3 in decimal representation of n. From OEIS A102671: Number of digits &gt;= 3 in decimal representation of n. (Formerly ) Sequence IDs: :a102671 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102671) |&gt; Sequence.take!(105) [0,0,0,1,1,1,1,1,1,1,0,0,0,1,1,1,1,1,1,1,0,0,0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,1,1,1,2,2,2,2,2,2,2,1,1,1,2,2,2,2,2,2,2,1,1,1,2,2,2,2,2,2,2,1,1,1,2,2,2,2,2,2,2,1,1,1,2,2,2,2,2,2,2,1,1,1,2,2,2,2,2,2,2,0,0,0,1,1]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102672/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102672/1","type":"function","doc":"OEIS Sequence A102672 - Number of digits &gt;= 3 in the decimal representations of all integers from 0 to n. From OEIS A102672: Number of digits &gt;= 3 in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102672 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102672) |&gt; Sequence.take!(74) [0,0,0,1,2,3,4,5,6,7,7,7,7,8,9,10,11,12,13,14,14,14,14,15,16,17,18,19,20,21,22,23,24,26,28,30,32,34,36,38,39,40,41,43,45,47,49,51,53,55,56,57,58,60,62,64,66,68,70,72,73,74,75,77,79,81,83,85,87,89,90,91,92,94]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102673/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102673/1","type":"function","doc":"OEIS Sequence A102673 - Number of digits &gt;= 4 in decimal representation of n. From OEIS A102673: Number of digits &gt;= 4 in decimal representation of n. (Formerly ) Sequence IDs: :a102673 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102673) |&gt; Sequence.take!(105) [0,0,0,0,1,1,1,1,1,1,0,0,0,0,1,1,1,1,1,1,0,0,0,0,1,1,1,1,1,1,0,0,0,0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,1,1,1,1,2,2,2,2,2,2,1,1,1,1,2,2,2,2,2,2,1,1,1,1,2,2,2,2,2,2,1,1,1,1,2,2,2,2,2,2,1,1,1,1,2,2,2,2,2,2,0,0,0,0,1]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102674/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102674/1","type":"function","doc":"OEIS Sequence A102674 - Number of digits &gt;= 4 in the decimal representations of all integers from 0 to n. From OEIS A102674: Number of digits &gt;= 4 in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102674 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102674) |&gt; Sequence.take!(75) [0,0,0,0,1,2,3,4,5,6,6,6,6,6,7,8,9,10,11,12,12,12,12,12,13,14,15,16,17,18,18,18,18,18,19,20,21,22,23,24,25,26,27,28,30,32,34,36,38,40,41,42,43,44,46,48,50,52,54,56,57,58,59,60,62,64,66,68,70,72,73,74,75,76,78]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102675/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102675/1","type":"function","doc":"OEIS Sequence A102675 - Number of digits &gt;= 5 in decimal representation of n. From OEIS A102675: Number of digits &gt;= 5 in decimal representation of n. (Formerly ) Sequence IDs: :a102675 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102675) |&gt; Sequence.take!(105) [0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,1,1,1,1,1,2,2,2,2,2,1,1,1,1,1,2,2,2,2,2,1,1,1,1,1,2,2,2,2,2,1,1,1,1,1,2,2,2,2,2,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102676/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102676/1","type":"function","doc":"OEIS Sequence A102676 - Number of digits &gt;= 5 in the decimal representations of all integers from 0 to n. From OEIS A102676: Number of digits &gt;= 5 in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102676 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102676) |&gt; Sequence.take!(76) [0,0,0,0,0,1,2,3,4,5,5,5,5,5,5,6,7,8,9,10,10,10,10,10,10,11,12,13,14,15,15,15,15,15,15,16,17,18,19,20,20,20,20,20,20,21,22,23,24,25,26,27,28,29,30,32,34,36,38,40,41,42,43,44,45,47,49,51,53,55,56,57,58,59,60,62]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102677/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102677/1","type":"function","doc":"OEIS Sequence A102677 - Number of digits &gt;= 6 in decimal representation of n. From OEIS A102677: Number of digits &gt;= 6 in decimal representation of n. (Formerly ) Sequence IDs: :a102677 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102677) |&gt; Sequence.take!(105) [0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,1,1,1,1,1,1,2,2,2,2,1,1,1,1,1,1,2,2,2,2,1,1,1,1,1,1,2,2,2,2,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102678/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102678/1","type":"function","doc":"OEIS Sequence A102678 - Number of digits &gt;= 6 in the decimal representations of all integers from 0 to n. From OEIS A102678: Number of digits &gt;= 6 in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102678 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102678) |&gt; Sequence.take!(78) [0,0,0,0,0,0,1,2,3,4,4,4,4,4,4,4,5,6,7,8,8,8,8,8,8,8,9,10,11,12,12,12,12,12,12,12,13,14,15,16,16,16,16,16,16,16,17,18,19,20,20,20,20,20,20,20,21,22,23,24,25,26,27,28,29,30,32,34,36,38,39,40,41,42,43,44,46,48]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102679/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102679/1","type":"function","doc":"OEIS Sequence A102679 - Number of digits &gt;= 7 in decimal representation of n. From OEIS A102679: Number of digits &gt;= 7 in decimal representation of n. (Formerly ) Sequence IDs: :a102679 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102679) |&gt; Sequence.take!(105) [0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,2,2,2,1,1,1,1,1,1,1,2,2,2,1,1,1,1,1,1,1,2,2,2,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102680/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102680/1","type":"function","doc":"OEIS Sequence A102680 - Number of digits &gt;= 7 in the decimal representations of all integers from 0 to n. From OEIS A102680: Number of digits &gt;= 7 in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102680 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102680) |&gt; Sequence.take!(82) [0,0,0,0,0,0,0,1,2,3,3,3,3,3,3,3,3,4,5,6,6,6,6,6,6,6,6,7,8,9,9,9,9,9,9,9,9,10,11,12,12,12,12,12,12,12,12,13,14,15,15,15,15,15,15,15,15,16,17,18,18,18,18,18,18,18,18,19,20,21,22,23,24,25,26,27,28,30,32,34,35,36]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102681/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102681/1","type":"function","doc":"OEIS Sequence A102681 - Number of digits &gt;= 8 in decimal representation of n. From OEIS A102681: Number of digits &gt;= 8 in decimal representation of n. (Formerly ) Sequence IDs: :a102681 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102681) |&gt; Sequence.take!(105) [0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,2,2,1,1,1,1,1,1,1,1,2,2,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102682/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102682/1","type":"function","doc":"OEIS Sequence A102682 - Number of digits &gt;= 8 in the decimal representations of all integers from 0 to n. From OEIS A102682: Number of digits &gt;= 8 in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102682 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102682) |&gt; Sequence.take!(86) [0,0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,3,4,4,4,4,4,4,4,4,4,5,6,6,6,6,6,6,6,6,6,7,8,8,8,8,8,8,8,8,8,9,10,10,10,10,10,10,10,10,10,11,12,12,12,12,12,12,12,12,12,13,14,14,14,14,14,14,14,14,14,15,16,17,18,19,20,21,22]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102683/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102683/1","type":"function","doc":"OEIS Sequence A102683 - Number of digits 9 in decimal representation of n. From OEIS A102683: Number of digits 9 in decimal representation of n. (Formerly ) Sequence IDs: :a102683 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102683) |&gt; Sequence.take!(105) [0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a102684/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a102684/1","type":"function","doc":"OEIS Sequence A102684 - Number of times the digit 9 appears in the decimal representations of all integers from 0 to n. From OEIS A102684: Number of times the digit 9 appears in the decimal representations of all integers from 0 to n. (Formerly ) Sequence IDs: :a102684 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a102684) |&gt; Sequence.take!(100) [0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,4,4,4,4,4,4,4,4,4,4,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,9,10,11,12,13,14,15,16,17,18,20]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a114904/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a114904/1","type":"function","doc":"OEIS Sequence A114904 - Sorted numbers of digits of any base-10 narcissistic number. From OEIS A114904: Sorted numbers of digits of any base-10 narcissistic number. (Formerly ) Sequence IDs: :a114904 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a114904) |&gt; Sequence.take!(29) [1,3,4,5,6,7,8,9,10,11,14,16,17,19,20,21,23,24,25,27,29,31,32,33,34,35,37,38,39]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a115983/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a115983/1","type":"function","doc":"OEIS Sequence A115983 - Apocalypse primes: 10^665+a(n) has 666 decimal digits and is prime. From OEIS A115983: Apocalypse primes: 10^665+a(n) has 666 decimal digits and is prime. (Formerly ) Sequence IDs: :a115983 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a115983) |&gt; Sequence.take!(7) [123,1837,6409,7329,8569,8967,9663]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a121022/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a121022/1","type":"function","doc":"OEIS Sequence A121022 - Even numbers containing a 2 in their decimal representation. From OEIS A121022: Even numbers containing a 2 in their decimal representation. (Formerly ) Sequence IDs: :a121022 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a121022) |&gt; Sequence.take!(55) [2,12,20,22,24,26,28,32,42,52,62,72,82,92,102,112,120,122,124,126,128,132,142,152,162,172,182,192,200,202,204,206,208,210,212,214,216,218,220,222,224,226,228,230,232,234,236,238,240,242,244,246,248,250,252]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a122840/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a122840/1","type":"function","doc":"OEIS Sequence A122840 - a(n) is the number of 0s at the end of n when n is written in base 10. From OEIS A122840: a(n) is the number of 0s at the end of n when n is written in base 10. (Formerly ) Sequence IDs: :a122840 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a122840) |&gt; Sequence.take!(105) [0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a160093/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a160093/1","type":"function","doc":"OEIS Sequence A160093 - Number of digits in n, excluding any trailing zeros. From OEIS A160093: Number of digits in n, excluding any trailing zeros. (Formerly ) Sequence IDs: :a160093 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a160093) |&gt; Sequence.take!(105) [1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,1,3,3,3,3,3]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a161948/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a161948/1","type":"function","doc":"OEIS Sequence A161948 - Base-11 Armstrong or narcissistic numbers (written in base 10). From OEIS A161948: Base-11 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a161948 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a161948) |&gt; Sequence.take!(18) [1,2,3,4,5,6,7,8,9,10,61,72,126,370,855,1161,1216,1280]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a161949/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a161949/1","type":"function","doc":"OEIS Sequence A161949 - Base-12 Armstrong or narcissistic numbers (written in base 10). From OEIS A161949: Base-12 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a161949 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a161949) |&gt; Sequence.take!(16) [1,2,3,4,5,6,7,8,9,10,11,29,125,811,944,1539]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a161950/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a161950/1","type":"function","doc":"OEIS Sequence A161950 - Base-13 Armstrong or narcissistic numbers (written in base 10). From OEIS A161950: Base-13 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a161950 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a161950) |&gt; Sequence.take!(23) [1,2,3,4,5,6,7,8,9,10,11,12,17,45,85,98,136,160,793,794,854,1968,8194]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a161951/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a161951/1","type":"function","doc":"OEIS Sequence A161951 - Base-14 Armstrong or narcissistic numbers (written in base 10). From OEIS A161951: Base-14 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a161951 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a161951) |&gt; Sequence.take!(15) [1,2,3,4,5,6,7,8,9,10,11,12,13,244,793]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a161952/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a161952/1","type":"function","doc":"OEIS Sequence A161952 - Base-15 Armstrong or narcissistic numbers (written in base 10). From OEIS A161952: Base-15 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a161952 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a161952) |&gt; Sequence.take!(19) [1,2,3,4,5,6,7,8,9,10,11,12,13,14,113,128,2755,3052,5059]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a161953/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a161953/1","type":"function","doc":"OEIS Sequence A161953 - Base-16 Armstrong or narcissistic numbers (written in base 10). From OEIS A161953: Base-16 Armstrong or narcissistic numbers (written in base 10). (Formerly ) Sequence IDs: :a161953 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a161953) |&gt; Sequence.take!(34) [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,342,371,520,584,645,1189,1456,1457,1547,1611,2240,2241,2458,2729,2755,3240,3689,3744,3745]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a179868/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a179868/1","type":"function","doc":"OEIS Sequence A179868 - (Number of 1&#39;s in binary expansion of n) mod 4. From OEIS A179868: (Number of 1&#39;s in binary expansion of n) mod 4. (Formerly ) Sequence IDs: :a179868 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a179868) |&gt; Sequence.take!(101) [0,1,1,2,1,2,2,3,1,2,2,3,2,3,3,0,1,2,2,3,2,3,3,0,2,3,3,0,3,0,0,1,1,2,2,3,2,3,3,0,2,3,3,0,3,0,0,1,2,3,3,0,3,0,0,1,3,0,0,1,0,1,1,2,1,2,2,3,2,3,3,0,2,3,3,0,3,0,0,1,2,3,3,0,3,0,0,1,3,0,0,1,0,1,1,2,2,3,3,0,3]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a193238/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a193238/1","type":"function","doc":"OEIS Sequence A193238 - Number of prime digits in decimal representation of n. From OEIS A193238: Number of prime digits in decimal representation of n. (Formerly ) Sequence IDs: :a193238 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a193238) |&gt; Sequence.take!(86) [0,0,1,1,0,1,0,1,0,0,0,0,1,1,0,1,0,1,0,0,1,1,2,2,1,2,1,2,1,1,1,1,2,2,1,2,1,2,1,1,0,0,1,1,0,1,0,1,0,0,1,1,2,2,1,2,1,2,1,1,0,0,1,1,0,1,0,1,0,0,1,1,2,2,1,2,1,2,1,1,0,0,1,1,0,1]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a196563/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a196563/1","type":"function","doc":"OEIS Sequence A196563 - Number of even digits in decimal representation of n. From OEIS A196563: Number of even digits in decimal representation of n. (Formerly ) Sequence IDs: :a196563 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a196563) |&gt; Sequence.take!(86) [1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,2,1,2,1,2,1,2,1,2,1,1,0,1,0,1,0,1,0,1,0,2,1,2,1,2,1,2,1,2,1,1,0,1,0,1,0,1,0,1,0,2,1,2,1,2,1,2,1,2,1,1,0,1,0,1,0,1,0,1,0,2,1,2,1,2,1]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a248910/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a248910/1","type":"function","doc":"OEIS Sequence A248910 - Numbers with no zeros in base-6 representation. From OEIS A248910: Numbers with no zeros in base-6 representation. (Formerly ) Sequence IDs: :a248910 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a248910) |&gt; Sequence.take!(67) [1,2,3,4,5,7,8,9,10,11,13,14,15,16,17,19,20,21,22,23,25,26,27,28,29,31,32,33,34,35,43,44,45,46,47,49,50,51,52,53,55,56,57,58,59,61,62,63,64,65,67,68,69,70,71,79,80,81,82,83,85,86,87,88,89,91,92]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a255731/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a255731/1","type":"function","doc":"OEIS Sequence A255731 - Rhonda numbers in sexagesimal number system. From OEIS A255731: Rhonda numbers in sexagesimal number system. (Formerly ) Sequence IDs: :a255731 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a255731) |&gt; Sequence.take!(17) [3348,3510,6750,17430,18750,18876,18944,19475,20564,21312,26550,28280,37230,38396,43940,48042,77770]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a255732/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a255732/1","type":"function","doc":"OEIS Sequence A255732 - Rhonda numbers in vigesimal number system. From OEIS A255732: Rhonda numbers in vigesimal number system. (Formerly ) Sequence IDs: :a255732 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a255732) |&gt; Sequence.take!(14) [1815,11050,15295,21165,22165,30702,34510,34645,42292,44165,52059,53416,65945,78430]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a255735/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a255735/1","type":"function","doc":"OEIS Sequence A255735 - Integers that are Rhonda numbers to base 18. From OEIS A255735: Integers that are Rhonda numbers to base 18. (Formerly ) Sequence IDs: :a255735 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a255735) |&gt; Sequence.take!(19) [1470,3000,8918,17025,19402,20650,21120,22156,26522,36549,38354,43281,46035,48768,54229,54528,56584,58216,58224]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a255736/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a255736/1","type":"function","doc":"OEIS Sequence A255736 - Integers that are Rhonda numbers to base 30. From OEIS A255736: Integers that are Rhonda numbers to base 30. (Formerly ) Sequence IDs: :a255736 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a255736) |&gt; Sequence.take!(27) [3024,3168,5115,5346,5950,6762,7750,7956,8470,9476,9576,9849,10360,11495,13035,13356,16335,22610,22784,23864,37515,38025,40704,40986,49887,52925,59800]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a255805/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a255805/1","type":"function","doc":"OEIS Sequence A255805 - Numbers with no zeros in base-8 representation. From OEIS A255805: Numbers with no zeros in base-8 representation. (Formerly ) Sequence IDs: :a255805 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a255805) |&gt; Sequence.take!(67) [1,2,3,4,5,6,7,9,10,11,12,13,14,15,17,18,19,20,21,22,23,25,26,27,28,29,30,31,33,34,35,36,37,38,39,41,42,43,44,45,46,47,49,50,51,52,53,54,55,57,58,59,60,61,62,63,73,74,75,76,77,78,79,81,82,83,84]"},{"ref":"Chunky.Sequence.OEIS.Repr.html#create_sequence_a255808/1","title":"Chunky.Sequence.OEIS.Repr.create_sequence_a255808/1","type":"function","doc":"OEIS Sequence A255808 - Numbers with no zeros in base-9 representation. From OEIS A255808: Numbers with no zeros in base-9 representation. (Formerly ) Sequence IDs: :a255808 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Repr, :a255808) |&gt; Sequence.take!(67) [1,2,3,4,5,6,7,8,10,11,12,13,14,15,16,17,19,20,21,22,23,24,25,26,28,29,30,31,32,33,34,35,37,38,39,40,41,42,43,44,46,47,48,49,50,51,52,53,55,56,57,58,59,60,61,62,64,65,66,67,68,69,70,71,73,74,75]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html","title":"Chunky.Sequence.OEIS.Sigma","type":"module","doc":"OEIS Sequences for Sigma values. Some sigma sequences are in the Sequence.OEIS.Core module. Available Sequences Sigma_M of integers Sequences of sigma_M(n) of integers: create_sequence_a001158/1 - A001158 - Sum of cubes of divisors of N, simga-3(n) create_sequence_a001159/1 - A001159 - sum of 4th powers of divisors of n, simga-4(n) create_sequence_a001160/1 - A001160 - sum of 5th powers of divisors of n, simga-5(n) create_sequence_a013954/1 - A013954 - sum of 6th powers of divisors of n, simga-6(n) create_sequence_a013955/1 - A013955 - sum of 7th powers of divisors of n, simga-7(n) create_sequence_a013956/1 - A013956 - sum of 8th powers of divisors of n, simga-8(n) create_sequence_a013957/1 - A013957 - sum of 9th powers of divisors of n, simga-9(n) create_sequence_a013958/1 - A013958 - sum of 10th powers of divisors of n, simga-10(n) create_sequence_a013959/1 - A013959 - sum of 11th powers of divisors of n, simga-11(n) create_sequence_a013960/1 - A013960 - sum of 12th powers of divisors of n, simga-12(n) create_sequence_a013961/1 - A013961 - sum of 13th powers of divisors of n, simga-13(n) create_sequence_a013962/1 - A013962 - sum of 14th powers of divisors of n, simga-14(n) create_sequence_a013963/1 - A013963 - sum of 15th powers of divisors of n, simga-15(n) create_sequence_a013964/1 - A013964 - sum of 16th powers of divisors of n, simga-16(n) create_sequence_a013965/1 - A013965 - sum of 17th powers of divisors of n, simga-17(n) create_sequence_a013966/1 - A013966 - sum of 18th powers of divisors of n, simga-18(n) create_sequence_a013967/1 - A013967 - sum of 19th powers of divisors of n, simga-19(n) create_sequence_a013968/1 - A013968 - sum of 20th powers of divisors of n, simga-20(n) Variations on sums of divisors: create_sequence_a002093/1 - A002093 - Highly Abundant Numbers create_sequence_a003601/1 - A003601 - Arithmetic Numbers"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a001158/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a001158/1","type":"function","doc":"OEIS Sequence A001158 - Sum of cubes of divisors of N, simga-3(n), 𝝈3(n). From OEIS A001158: sigma_3(n): sum of cubes of divisors of n. (Formerly M4605 N1964) Sequence IDs: :a001158 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a001158) |&gt; Sequence.take!(10) [1, 9, 28, 73, 126, 252, 344, 585, 757, 1134]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a001159/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a001159/1","type":"function","doc":"OEIS Sequence A001159 - sum of 4th powers of divisors of n, simga-4(n), 𝝈4(n). From OEIS A001159: sigma_4(n): sum of 4th powers of divisors of n. (Formerly M5041 N2177) Sequence IDs: :a001159 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a001159) |&gt; Sequence.take!(10) [1, 17, 82, 273, 626, 1394, 2402, 4369, 6643, 10642]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a001160/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a001160/1","type":"function","doc":"OEIS Sequence A001160 - sum of 5th powers of divisors of n, simga-5(n), 𝝈5(n). From OEIS A001160: sigma_5(n): sum of 5th powers of divisors of n. (Formerly M5240 N2279) Sequence IDs: :a001160 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a001160) |&gt; Sequence.take!(10) [1, 33, 244, 1057, 3126, 8052, 16808, 33825, 59293, 103158]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a002093/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a002093/1","type":"function","doc":"OEIS Sequence A002093 - Highly Abundant Numbers From OEIS A002093: Highly abundant numbers: numbers n such that sigma(n) &gt; sigma(m) for all m &lt; n. (Formerly M0553 N0200) Sequence IDs: :a002093 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a002093) |&gt; Sequence.take!(25) [1, 2, 3, 4, 6, 8, 10, 12, 16, 18, 20, 24, 30, 36, 42, 48, 60, 72, 84, 90, 96, 108, 120, 144, 168]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a003601/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a003601/1","type":"function","doc":"OEIS Sequence A003601 - Arithmetic Numbers From OEIS A003601: Numbers n such that the average of the divisors of n is an integer: sigma_0(n) divides sigma_1(n). Alternatively, tau(n) (A000005(n)) divides sigma(n) (A000203(n)). (Formerly M2389) Sequence IDs: :a003601 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a003601) |&gt; Sequence.take!(10) [1, 3, 5, 6, 7, 11, 13, 14, 15, 17]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013954/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013954/1","type":"function","doc":"OEIS Sequence A013954 - sum of 6th powers of divisors of n, simga-6(n), 𝝈6(n). From OEIS A013954: sigma_6(n): sum of 6th powers of divisors of n. Sequence IDs: :a013954 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013954) |&gt; Sequence.take!(10) [1, 65, 730, 4161, 15626, 47450, 117650, 266305, 532171, 1015690]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013955/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013955/1","type":"function","doc":"OEIS Sequence A013955 - sum of 7th powers of divisors of n, simga-7(n), 𝝈7(n). From OEIS A013955: sigma_7(n): sum of 7th powers of divisors of n. Sequence IDs: :a013955 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013955) |&gt; Sequence.take!(10) [1, 129, 2188, 16513, 78126, 282252, 823544, 2113665, 4785157, 10078254]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013956/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013956/1","type":"function","doc":"OEIS Sequence A013956 - sum of 8th powers of divisors of n, simga-8(n), 𝝈8(n). From OEIS A013956: sigma_8(n): sum of 8th powers of divisors of n. Sequence IDs: :a013956 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013956) |&gt; Sequence.take!(10) [1, 257, 6562, 65793, 390626, 1686434, 5764802, 16843009, 43053283, 100390882]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013957/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013957/1","type":"function","doc":"OEIS Sequence A013957 - sum of 9th powers of divisors of n, simga-9(n), 𝝈9(n). From OEIS A013957: sigma_9(n): sum of 9th powers of divisors of n. Sequence IDs: :a013957 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013957) |&gt; Sequence.take!(10) [1, 513, 19684, 262657, 1953126, 10097892, 40353608, 134480385, 387440173, 1001953638]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013958/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013958/1","type":"function","doc":"OEIS Sequence A013958 - sum of 10th powers of divisors of n, simga-10(n), 𝝈10(n). From OEIS A013958: sigma_10(n): sum of 10th powers of divisors of n. Sequence IDs: :a013958 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013958) |&gt; Sequence.take!(10) [1, 1025, 59050, 1049601, 9765626, 60526250, 282475250, 1074791425, 3486843451, 10009766650]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013959/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013959/1","type":"function","doc":"OEIS Sequence A013959 - sum of 11th powers of divisors of n, simga-11(n), 𝝈11(n). From OEIS A013959: sigma_11(n): sum of 11th powers of divisors of n. Sequence IDs: :a013959 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013959) |&gt; Sequence.take!(10) [1, 2049, 177148, 4196353, 48828126, 362976252, 1977326744, 8594130945, 31381236757, 100048830174]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013960/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013960/1","type":"function","doc":"OEIS Sequence A013960 - sum of 12th powers of divisors of n, simga-12(n), 𝝈12(n). From OEIS A013960: sigma_12(n): sum of 12th powers of divisors of n. Sequence IDs: :a013960 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013960) |&gt; Sequence.take!(10) [1, 4097, 531442, 16781313, 244140626, 2177317874, 13841287202, 68736258049, 282430067923, 1000244144722]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013961/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013961/1","type":"function","doc":"OEIS Sequence A013961 - sum of 13th powers of divisors of n, simga-13(n), 𝝈13(n). From OEIS A013961: sigma_13(n): sum of 13th powers of divisors of n. Sequence IDs: :a013961 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013961) |&gt; Sequence.take!(10) [1, 8193, 1594324, 67117057, 1220703126, 13062296532, 96889010408, 549822930945, 2541867422653, 10001220711318]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013962/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013962/1","type":"function","doc":"OEIS Sequence A013962 - sum of 14th powers of divisors of n, simga-14(n), 𝝈14(n). From OEIS A013962: sigma_14(n): sum of 14th powers of divisors of n. Sequence IDs: :a013962 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013962) |&gt; Sequence.take!(10) [1, 16385, 4782970, 268451841, 6103515626, 78368963450, 678223072850, 4398314962945, 22876797237931, 100006103532010]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013963/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013963/1","type":"function","doc":"OEIS Sequence A013963 - sum of 15th powers of divisors of n, simga-15(n), 𝝈15(n). From OEIS A013963: sigma_15(n): sum of 15th powers of divisors of n. Sequence IDs: :a013963 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013963) |&gt; Sequence.take!(10) [1, 32769, 14348908, 1073774593, 30517578126, 470199366252, 4747561509944, 35185445863425, 205891146443557, 1000030517610894]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013964/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013964/1","type":"function","doc":"OEIS Sequence A013964 - sum of 16th powers of divisors of n, simga-16(n), 𝝈16(n). From OEIS A013964: sigma_16(n): sum of 16th powers of divisors of n. Sequence IDs: :a013964 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013964) |&gt; Sequence.take!(10) [1, 65537, 43046722, 4295032833, 152587890626, 2821153019714, 33232930569602, 281479271743489, 1853020231898563, 10000152587956162]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013965/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013965/1","type":"function","doc":"OEIS Sequence A013965 - sum of 17th powers of divisors of n, simga-17(n), 𝝈17(n). From OEIS A013965: sigma_17(n): sum of 17th powers of divisors of n. Sequence IDs: :a013965 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013965) |&gt; Sequence.take!(10) [1, 131073, 129140164, 17180000257, 762939453126, 16926788715972, 232630513987208, 2251816993685505, 16677181828806733, 100000762939584198]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013966/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013966/1","type":"function","doc":"OEIS Sequence A013966 - sum of 18th powers of divisors of n, simga-18(n), 𝝈18(n). From OEIS A013966: sigma_18(n): sum of 18th powers of divisors of n. Sequence IDs: :a013966 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013966) |&gt; Sequence.take!(10) [1, 262145, 387420490, 68719738881, 3814697265626, 101560344351050, 1628413597910450, 18014467229220865, 150094635684419611, 1000003814697527770]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013967/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013967/1","type":"function","doc":"OEIS Sequence A013967 - sum of 19th powers of divisors of n, simga-19(n), 𝝈19(n). From OEIS A013967: sigma_19(n): sum of 19th powers of divisors of n. Sequence IDs: :a013967 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013967) |&gt; Sequence.take!(10) [1, 524289, 1162261468, 274878431233, 19073486328126, 609360902796252, 11398895185373144, 144115462954287105, 1350851718835253557, 10000019073486852414]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013968/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013968/1","type":"function","doc":"OEIS Sequence A013968 - sum of 20th powers of divisors of n, simga-20(n), 𝝈20(n). From OEIS A013968: sigma_20(n): sum of 20th powers of divisors of n. Sequence IDs: :a013968 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013968) |&gt; Sequence.take!(10) [1, 1048577, 3486784402, 1099512676353, 95367431640626, 3656161927895954, 79792266297612002, 1152922604119523329, 12157665462543713203, 100000095367432689202]"},{"ref":"Chunky.Sequence.OEIS.Util.html","title":"Chunky.Sequence.OEIS.Util","type":"module","doc":"Utilities for developing sequences."},{"ref":"Chunky.Sequence.OEIS.Util.html#crawl_keywords/1","title":"Chunky.Sequence.OEIS.Util.crawl_keywords/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Util.html#generate_function_sequences/2","title":"Chunky.Sequence.OEIS.Util.generate_function_sequences/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Util.html#generate_list_sequences/2","title":"Chunky.Sequence.OEIS.Util.generate_list_sequences/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Util.html#generate_sequence_stub/2","title":"Chunky.Sequence.OEIS.Util.generate_sequence_stub/2","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html","title":"Chunky.Sequence.Test","type":"module","doc":"Test sequences with variations on sequence constructions. Test Conditions Verbose Iterators :whole_numbers - infinite iterator Simple Functions :doubler - infinite iterator, double index :last_two - add last two values, :last_three - add last three values, prep with specific fill value attribute :cycle - Cycle data from prepped data attribute Static Lists :empty - empty list :small - 5 values :medium - 10 values :large - 50 values"},{"ref":"Chunky.Sequence.Test.html#create_sequence_cycle/1","title":"Chunky.Sequence.Test.create_sequence_cycle/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_doubler/1","title":"Chunky.Sequence.Test.create_sequence_doubler/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_last_three/1","title":"Chunky.Sequence.Test.create_sequence_last_three/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_last_two/1","title":"Chunky.Sequence.Test.create_sequence_last_two/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_empty/1","title":"Chunky.Sequence.Test.create_sequence_list_empty/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_large/1","title":"Chunky.Sequence.Test.create_sequence_list_large/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_medium/1","title":"Chunky.Sequence.Test.create_sequence_list_medium/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_small/1","title":"Chunky.Sequence.Test.create_sequence_list_small/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_whole_numbers/1","title":"Chunky.Sequence.Test.create_sequence_whole_numbers/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#seq_cycle/2","title":"Chunky.Sequence.Test.seq_cycle/2","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#seq_last_three/4","title":"Chunky.Sequence.Test.seq_last_three/4","type":"function","doc":""},{"ref":"Chunky.Timeout.html","title":"Chunky.Timeout","type":"module","doc":"Working with sequences and recurrent/recursive mathematical functions can lead to really long processing times in some circumstances. The Chunky.Timeout module provides some macros and functions for making things a little more sane."},{"ref":"Chunky.Timeout.html#with_timeout/2","title":"Chunky.Timeout.with_timeout/2","type":"macro","doc":"Wrap an expression in a timeout, returning the value as an {:ok, result} or {:timeout, nil} tuple. Wait time is specified in integer milliseconds."},{"ref":"library.html","title":"Fractions","type":"extras","doc":"The Chunky library brings Fractions, Sequences, Geometry, and extended Math functions to elixir. Install by adding chunky to your list of dependencies in mix.exs: def deps do [ {:chunky, &quot;~&gt; 0.13.0&quot;} ] end Fractions Chunky features a Fractions module with common operations, conversions, and functionality for creating and manipulating fractions. Create fractions from just about anything: iex&gt; Chunky.Fraction.new(&quot;1/3&quot;) %Fraction{num: 1, den: 3} iex&gt; Chunky.Fraction.new(0.25) %Fraction{num: 25, den: 100} iex&gt; Chunky.Fraction.new(22, 7) %Fraction{num: 22, den: 7} Use common math operations: iex&gt; Chunky.Fraction.new(12, 7) |&gt; Chunky.Fraction.add(1) %Fraction{num: 22, den: 7} iex&gt; Chunky.Fraction.new(&quot;10/7&quot;) |&gt; Chunky.Fraction.multiply(0.75) |&gt; Chunky.Fraction.divide(&quot;3/57&quot;) %Fraction{num: 42750, den: 2100} take integer or fractional powers of fractions or integers: iex&gt; Chunky.Fraction.power(16, Chunky.Fraction.new(&quot;1/4&quot;)) %Fraction{num: 2, den: 1} See Chunky.Fraction for more. Sequences Chunky makes it easy to work with finite and infinite sequences, with built in manipulation functions and sequences from the Online Encyclopedia of Integer Sequences. For instance, take the 100-th through 109-th prime numbers: iex&gt; Chunky.Sequence.create(Chunky.Sequence.OEIS.Core, :a000040) |&gt; Chunky.Sequence.drop(100) |&gt; Chunky.Sequence.take!(10) [547, 557, 563, 569, 571, 577, 587, 593, 599, 601] or get the first 20 values of Ramanujan&#39;s Tau sequence: iex&gt; Chunky.Sequence.create(Chunky.Sequence.OEIS.Core, :a000594) |&gt; Chunky.Sequence.take!(20) [1, -24, 252, -1472, 4830, -6048, -16744, 84480, -113643, -115920, 534612, -370944, -577738, 401856, 1217160, 987136, -6905934, 2727432, 10661420, -7109760] See Chunky.Sequence for more about creating and manipulating sequences. Or find specific sequences to work with in: Chunky.Sequence.OEIS.Combinatorics - Permutations, Combinations, and general Combinatorics sequences Chunky.Sequence.OEIS.Constants - Constant values, digit expansions, and constant cycles Chunky.Sequence.OEIS.Core - The OEIS Core sequences. Chunky.Sequence.OEIS.Factors - OEIS non-core sequences dealing with integer factors and factorization Chunky.Sequence.OEIS.Multiples - Multiples and addition sequences Chunky.Sequence.OEIS.Powers - OEIS non-core sequences dealing with powers and simple polynomials Chunky.Sequence.OEIS.Primes - OEIS non-core sequences dealing with primes Chunky.Sequence.OEIS.Repr - Number representations, digit contents, and digit patterns Chunky.Sequence.OEIS.Sigma - OEIS non-core sequences related to the Sigma functions Math Chunky provides a large selection of pure integer (and a few fraction and float) mathematical functions, constructs, and predicates. The math modules are: Chunky.Math - Integer math operations, combinatorics, number theory, number generation Chunky.Math.Predicates - Numeric analysis and inspection Using Chunky.Math, you can do things like, finding the factors (or just the prime factors) of an integer, small or large: iex&gt; Chunky.Math.factors(124) [1, 2, 4, 31, 62, 124] iex&gt; Chunky.Math.prime_factors(124) [1, 2, 2, 31] iex&gt; Chunky.Math.factors(1234567890) [1, 2, 3, 5, 6, 9, 10, 15, 18, 30, 45, 90, 3607, 3803, 7214, 7606, 10821, 11409, 18035, 19015, 21642, 22818, 32463, 34227, 36070, 38030, 54105, 57045, 64926, 68454, 108210, 114090, 162315, 171135, 324630, 342270, 13717421, 27434842, 41152263, 68587105, 82304526, 123456789, 137174210, 205761315, 246913578, 411522630, 617283945, 1234567890] iex&gt; Chunky.Math.prime_factors(1234567890987654321) [1, 3, 3, 7, 19, 928163, 1111211111] Or testing properties of numbers with predicates: iex&gt; Chunky.Math.Predicates.is_abundant?(945) true iex&gt; Chunky.Math.Predicates.is_highly_abundant?(945) false or testing all the predicates at once, to determine the properties of a number: iex&gt; Chunky.Math.Predicates.analyze_number(12345678) [:abundant, :arithmetic_number, :cubefree, :even, :evil_number, :hypotenuse_number, :plaindrome, :polite_number, :positive, :pseudoperfect_number, :singly_even_number, :unhappy_number, :wasteful_number] iex&gt; Chunky.Math.Predicates.analyze_number(1299209) [:arithmetic_number, :cubefree, :deficient, :equidigital_number, :evil_number, :hypotenuse_number, :odd, :polite_number, :positive, :prime, :prime_power, :squarefree, :unhappy_number] Chunky also has more advanced functions: iex&gt; Chunky.Math.binomial(7, 3) 35 iex&gt; Chunky.Math.euler_polynomial(2, 15) |&gt; Chunky.Fraction.get_whole() 210 See the Math modules for functions dealing with number theory, combinatorics, predicates, and much more. Geometry Chunky has a selection of functions and predicates for working with Geometry and Triangles: Chunky.Geometry.Triangle - Measure, build, and construct triangles Chunky.Geometry.Triangle.Predicates - Numeric analysis and inspection of triangles Build, measure, and inspect triangles: iex&gt; Triangle.type({3, 4, 5}) :right iex&gt; Triangle.compose({12, 5, 13}, {9, 15, 12}) {:ok, {13, 14, 15}} iex&gt; Triangle.Predicates.analyze({10, 13, 13}) [:acute, :decomposable, :heronian_triangle, :isoceles] Series Operations You can use Chunky.Math.Operations for macro based shortcuts for some common series operations, like summation: # Step sum of j^3 + k^2 + 3 summation k, 1.10 do summation j, k..10 do j * j * j + k * k + 3 end end and product: # continued fractional product 1/2 * 2/3 * ... 100/101 product n, 1..100 do Fraction.new(n, n + 1) end"}]